Welcome to PCLink Help

 Top Next

PRESS F1 for Help

PCLink and Tuning help is available by right clicking and selecting "What's this?" or by pressing F1 while pointing at something you need help with.

•

Tuning Functions - This provides ECU specific information on what each ECU adjustment does.

•

PCLink - This provides instructions on the use of the many features of PCLink.

New Features - Check out the latest features added to ECU's and PCLink.

Version 1.9 - 29/08/2008

© 2008 Link ElectroSystems


PCLink Users Guide

 Top Previous Next

PCLink Users Guide

PCLink Users Guide

This help file is intended as an on line reference to assist the user while operating PCLink tuning software.

If this is the first time you are using PCLink, is it recommended that you read the Getting Started section as well as completing the 5-step Tutorial.

The following sections act as a reference for both new and experienced users.

•

File menu

•

Options menu

•

Runtime Displays menu

•

Link Operations menu

•

PCLink Features - help on PCLink's useful tuning features

It is also useful to learn some of the Keyboard Shortcuts as these can save a lot of time and make tuning simpler.


Getting Started

Getting Started

If this is the first time you are using PCLink, is it recommended that you read the following notes before attempting to tune a Link Engine Management Computer using PCLink software.

•

Items Required

•

FIFO Setting

•

Important Notes

•

Main Display

•

Saving, Storing, Reloading and Printing

•

Tuning


Items Required

Items Required

You will need to following items to use PCLink software for tuning a Link computer.

1.

A computer running Microsoft Windows. As with any software the higher spec. the PC the better. On slower computers, screen resizing may take a while, particularly on start-up.

2.

The latest version of PCLink tuning software installed on your PC. This is distributed with all new Link ECU's and also available from www.link-electro.co.nz.

3.

A Link ECU that is PCLink compatible. Note that some Link ECU's are not PCLink compatible. It may be possible to upgrade your Link ECU so that it is compatible with PCLink. Contact tech@link-electro.co.nz to find out if your ECU can be upgraded to use PCLink compatible.

4.

An adaptor and appropriate cabling to interface between your Link ECU and PC. This may be in the form of a SerialLink, COMLink, USBLink or direct serial cable connection (G2 LinkPlus). Contact your local Link dealer to purchase an adapter if you do not already have one.

Back to Getting Started


FIFO Setting

FIFO Setting

Note: With modern PC's, it is not often required to perform this procedure. Do so only if you are having problem connecting to your Link ECU.

When using the PC serial port (COM port), some computers have the FIFO setting set incorrectly. Before attempting to connect a link computer, follow the following instructions to ensure that it is correctly set:

1.

Click on Start at the bottom left of your windows desktop screen, and select Control Panel.

2.

Double click on Administrative Tools, then select Computer Management.

3.

From the Device Manager list double click on Ports (COM & LPT) to open a list of available ports.

4.

Select the port that is being used to connect the Link computer to your PC, and double click to open the Communications Port Properties box.

5.

Select the Port Settings tab and click on the button labeled Advanced.

6.

The Advanced Port Settings windows should know be open. Click the default button and the FIFO setting should be checked.

7.

Now click the OK buttons on all the open windows until they are all closed.

Back to Getting Started


Important Notes

Important Notes

Listed below are some basic concepts and important notes that must be taken into account when using PCLink. They have been made as brief as possible, but are very important

PCLink can run either with or without a Link computer connected. If a Link computer is plugged in and connected, then any changes that are made to the software will be updated in the Link computer immediately. however, settings will only be permanently stored when STORE is selected. The status of the connection is displayed at the top right corner of the screen as Offline or Online. When the software is disconnected, the background of all editable cells will turn yellow.

•

PCLink has been designed so that many of the common functions can be carried out using keyboard shortcuts. This is because it is often difficult to use the mouse in tuning environments.

•

At the very bottom of the screen there are 2 status panels. The left side Information panel will display hints for objects that you hold the mouse over. The right side Status Bar will give information relating to the Link connection and tuning functions. A scroll bar will also often appear in the status bar for operations that take a long time such as connecting or storing.

•

The arrow keys are used both in the Zone Tables and the Settings Panels to navigate through the neighbouring edit boxes to the desired value. The arrow keys will not work while a value is being edited.

•

'Q' and 'A' keys are used to increment and decrement a selected value.

•

Clicking on one zone in a table, then holding down SHIFT and clicking another zone will select multiple zones for editing.

•

Holding CTRL down and pressing the 'Q' or 'A' keys while in the Zone table will increment or decrement the row containing the value being edited.

•

If the user chooses to type a new value, this value will NOT be sent to the Link computer until the Enter key is pressed. Once the Enter key has been pressed, the user can once again navigate through the neighbouring values using the arrow keys. Alternatively, pressing the Esc key will exit the cell without making changes.

•

Pressing the 'V' key will select the Settings Panels to edit these values.

•

Pressing the 'T' key will select the Zone Tables for editing.

For a full list of keyboard shortcuts, select Keyboard Shortcuts

Back to Getting Started


Main Display

Main PCLink Display

The top section of the screen contains the settings tree and the settings panels. The Settings tree is used to select a specific settings panel, which then appears to the right of the tree. See the Settings Panels page for more information.

The middle section of the screen contains the zone tables. Each tab contains one zone table. See the Editing Zone Tables page for more information.

The bottom section of the screen contains runtime values. These are read only values that are sent from the link computer. The left panel contains values and the right panel contains status flags. The values can also be displayed as gauges, recorded and played back, plotted, and the data in the zone tables can also be plotted per row or as a surface graph. See the Runtime displays page for more information.

At the very bottom of the screen is an information bar. The left section displays information about what ever object the mouse is over at that time. The right section contains status information and a scroll bar to notify the user when operations are being carried out.

Back to Getting Started


Save, Store & Print

Saving, Storing, Reloading and Printing

Store and Reload commands

These commands are carried out on the Link computer. Refer to the user manual for more details on about these operations.

See Save and Store for instructions on how to perform a Store operation.

See Reload for instructions on how to perform a Reload operation.

Saving and Opening files

Settings in the attached Link computer can be saved to a PCL file on your PC and opened and downloaded at a later date. This function is useful for:

•

Saving settings for later use.

•

Backing up Link computer settings.

•

Transferring settings from one Link computer to another.

See Opening Files for instructions on how to open a PCL file.

See Save and Store for instructions on how to save a PCL file.

Printing

Settings in the connected Link computer can be printed out for easier analysis.

See Printing for more instructions.

Back to Getting Started


Tuning

Tuning

This section of help gives instructions on:

•

Editing the Settings Panels

•

Editing the Zone Tables

Also see the Keyboard Shortcuts page for keyboard keys that can be used while tuning.


Editing Zone Tables

Editing Zone Tables

The Zone tables can be edited using either the mouse or the keyboard. An example of a zone table is shown below.

Selecting a Zone Table

The tabs in the middle of the screen list the available zone tables. Use the 'C' key to scroll through the zone table tabs or Shift C to scroll through the tabs in reverse.

Selecting and Editing a Cell

When a cell is selected in the zone tables, Up/Down buttons will appear beside the cell to allow the user to increment or decrement the value in the cell. Alternatively a value can be typed directly into the cell, but the new value will not be sent to the Link computer unless the Enter key is pressed. Press the 'T' key to jump to the zone table, and then use the arrow keys to navigate around the table. The 'Q' and 'A' keys can be used to increase or decrease the value in the selected cell.

When values have been changed, the cell will changes colour to light blue.

To go to the Active Cell

Press the 'G' key to move the selected cell to the position of the active cell at that time.

Row Operations

Up/Down buttons also appear at the left of the selected row. These buttons can be used to increment or decrement every value in the selected row. Press Ctrl Q to increment the selected row and Ctrl A to decrement the selected row.

Fill Along

If a cell in the zone table is selected and then Ctrl F will carry out a Fill Along operation. Every value in cells to the right of the selected cell in the same row will be set to the same value as the selected cell.

Entire Table Operations

The up down buttons at the top left of some tables can be used to increment or decrement every value in the table. This function may take some time depending on the type of Link computer that is connected. Watch the status bar at the bottom right of the screen to track the progress.

Other Table Functions

The Tables tab of the Options Menu shows a list of functions that are available for the zone tables.

•

Track Active Cell (F5) – When set to ON, the edited cell will follow the active cell in the zone table so editing functions such as Q, A, Ctrl Q and Ctrl A will apply to the active cell or row.

•

Cross Hairs Visible (F6) – This toggles the cross hairs, which appear over the table to show exactly where in the table the engine is operating.

•

Step Size (F7) – This toggles small or large step sizes when values are incremented or decremented. This setting applies only to some types of Link computer that require fine adjustments.

•

Display Add-Ons - The Display add-on page lists options for showing the amount values are changed, where the active cell has been, or other specified values in the table.

Other Handy Tips

•

The Keyboard Shortcuts lists keyboard shortcuts for active values and rows.

•

The Row Graph and Surface graph functions plot the profile of a row in a zone table, or of the entire table.

•

Right click on the zone table window with the mouse and select Float from the drop down menu to float this panel to view more than one zone table at the same time.


Settings Panel

Settings Panels

From the settings panels, the user can change most of the Link computer settings except those in the zone tables. Press the 'V' key to jump to the settings panel. An example of a settings panel is shown below.

The settings Tree (on the left) contains a list of all available settings panels. Use the mouse to select any of the headings in the Settings Tree or from the Settings drop down menu. The '[' or ']' keys can be used to scroll through the settings tree in forward or reverse directions respectively. When the desired panel is selected in the settings tree, press the Tab key to place the curser in the settings panel in order to edit the values.

Navigating Within a Settings Panel

The arrow keys can be used to jump between different settings in the settings panel.

Editing Combo Boxes (Drop Down Lists)

When editing fields with drop down menu, press the Enter key make the menu drop down and show all options. Use the up and down arrow keys to select the desired value and then press Enter to send that new value to the Link computer.

Editing Values

Values can be typed directly into the edit box, but the changes will not be sent to the Link computer until the Enter key is pressed. Alternatively, the 'Q' or 'A' keys can be used to increment or decrement the values.

When values have been changed form the last Stored value, the cell will change colour to light blue.

Displaying Multiple Settings Panels

Right click on the settings panel window with the mouse and select "Float" from the drop down menu to float this panel to view more than one Setting Panel at the same time.


Tutorials

Tutorials

This section contains some tutorials to help familiarise the user with the operation of PCLink.

Tutorials include:

•

Tutorial 1: Opening the sample file

•

Tutorial 2: Connecting to a Link computer

•

Tutorial 3: Setting up the Gauges Panel

•

Tutorial 4: Logging runtime data

•

Tutorial 5: Playing back runtime data


Opening the Sample File

Tutorial 1: Opening the Sample File

A sample file is available for you to experiment with and get a feel for how to use PCLink. The file name is "SampleOne.pcl" and it is available in the same folder as the PCLink application.

Select Open from the File drop down menu. The following dialog window will appear.

Sample PCL files are stored in the same folder as PCLink (on the main hard drive by default). Select a sample file to open. Note that text appears in the preview box. This is an example of Memo text that can be attached to any file, see The Memo Form for more information. Press OK to open the sample file. The PCLink window should look similar to the one below.

You may not recognise some of these settings but don't panic. Different Link computers have different functions and configurations. It is important to note that because different Link computers have different configuration, a file saved from one computer may not download onto another computer with a different memory layout.

Feel free to explore the program. No harm can be done as this is only a sample file. Right click on an item and select Whats This? for more information.

Back To Tutorials page


Connecting to a Link ECU

Tutorial 2: Connecting to a Link ECU

Physically connect your Link ECU to your PC/laptop either directly or using a SerialLink or COMLink and the associated cables. The ignition switch (key) must be turned OFF before connecting to the Link ECU. When the key is switched on, the Link ECU will automatically determine which device is fitted and run the appropriate software to support it.

Assuming you have a PCLink-compatible Link ECU physically connected and powered up, follow these steps to establish a connection with a Link computer.

Display the Options Dialog by selecting Options from the Options pull down menu at the top of the screen or by pressing Ctrl+O.

Select the Connection tab and set the COM Port number to the port that the Link computer is connected to. If you do not know the COM Port number, select auto and PCLink will determine it for you. When the correct port has been selected, press the OK button.

Click on the red 'L' button or press Ctrl+Alt+L to establish a connection to the ECU. The status panel at the bottom of the screen should show the status of the connection. The connection status at the top left of the screen will change to On Line and the Link logo will start spinning if the connection was successful.

If you have any issues establishing a connection to the Link ECU, contact your nearest Link dealer or visit www.linkECU.com for further technical support options.

To Tutorials page


Setting up the Gauges Panel

Tutorial 3: Setting up the Gauges Panel

The Gauges panel displays any six of the runtime values as analogue gauges. The gauges are user configurable, meaning that the user can setup the gauges with the following options:

•

Which values are displayed on which gauges.

•

The range of each gauge (eg, maximum and minimum values).

•

The point where the orange line starts (Low priority).

•

The point where the red line starts (High priority).

For an example of how to setup the gauges, below are instructions on how to set up the left large gauge to show Throttle position (TPS). TPS is chosen because it is a runtime value that can be output from the Link computer without the engine running.

1.

Display the gauges by pressing Ctrl+F6 or by selecting Gauges in the Runtime Displays menu.

2.

Right click on the left large gauge and select TP (%), usually found under Analog Inputs.

3.

To adjust the gauge, right click on it and select setup. when the setup window opens, locate TP (%) (found under analog inputs) and click on it.

4.

Change the Minimum value to 0, and the Maximum value to 100. This sets the minimum and maximum values displayed by the gauge.

5.

Change the value of Low Priority to 90, and the value of High Priority to 95. This sets the start of the orange and red areas respectively.

6.

Press the Close button to implement the changes and close the setup window.

7.

Press the throttle to view the gauge moving. The engine does not need to be running, although the ignition must be on to supply power to the Link ECU and the connection status must be set to On Line (refer to Tutorial 2 for connecting to the Link ECU).

NOTE: Press the Gauges toolbar button (or Ctrl+F6) again to maximise the gauges panel.

To Tutorials page


Logging runtime data

Tutorial 4: Logging Runtime Values

The Data Logger

The data logging display is used to Runtime Values each time they are updated. With the Link ECU connected, On Line and the engine running, perform the following steps to demonstrate the use of the data logger.

1.

Open the Data Logger by either clicking on the Data Logger toolbar button, pressing Ctrl+F7 or selecting Data Logging from the Runtime Displays menu.

2.

To start sampling data press the Record button or press the R key. If a Link computer is connected and On Line, and the engine is running, PCLink will begin Data Logging.

3.

Press the Space Bar to leave a marker in the right most column of the logger. This can be useful for marking a particular time for reviewing later.

4.

Press the Data Logger toolbar button at the top of the screen again (or press Ctrl+F7) to maximise the Data Logger window.

5.

Press the Stop button, or the S key to stop Data Logging.

6.

Logged data can be saved using the Save button (Ctrl+V). This will open the Save window and the user can select the location to store the file. All data logged since the clear button was last pressed will be saved. The file is stored as a Text file (extension .txt). This text file can be reopened in Play Back mode and played back through PCLink. The layout of the text file means that it can also easily be opened in some spreadsheet programs (eg, Microsoft® Excel®).

7.

To clear logged data press the Clear Button (Ctrl+C).

Using the Runtime Configurations menu, the user can define which of the available runtime values are to be displayed on the Data Logger. See Runtime Configurations Setup for more information.

•

Select Setup from the Runtime Displays menu or press Ctrl+E to display the Runtime Configuration window.

•

In the Runtime Configuration window, the Log Data column shows whether the data is to be logged or not. To change a whether a runtime value appears in the data log, double click on yes/no in the Log Data column.

•

When finished press the Implement & Close button to implement changes. To save these changes, refer to the options available under the Runtime Configuration menu.

NOTE: The user can right click on the Data Logger window and select which data is to be displayed from the popup menu.

NOTE: The left most column shows the time stamp of the data. This is the time since the last time the data was cleared, displayed in seconds.

Back To Tutorials page


Playing back runtime data

Tutorial 5: Playing Back Runtime Data

This function enables data that has been saved using the Data Logger, to be reopened, and played back through PCLink for viewing with the gauges, runtime plots, etc...

To perform this tutorial you must have previously saved a data log file. This procedure is demonstrated in Tutorial 4.

Under the Runtime Displays drop down menu, select Play Back (or press Ctrl+B). This will display the Play Back panel as shown below.

1.

Press the Open File button, and open your previously saved data log.

2.

Press the Play button (or press P), to start the data playing back through PCLink. The data will start playing through on the Data Logging form.

3.

Press the Pause button (or press H) to pause the data play back, and press Pause again to resume.

4.

Press the Step button (or press K) when playback is paused to step through the data.

5.

Press the Stop button to stop playing.

6.

When playback gets to the end of the sample it will stop. If the Repeat box is checked (Alt+R), the player will return to the beginning of the file and start again.

7.

Press the Stop button and change the number in the Goto Time box to 5. Then press the Goto button. The sampler will run though until it reaches 5 seconds after the logs start and then automatically Pause. To continue playing, press the Pause button.

Other Playback Notes

•

The Always On Top check box is used to determine whether the Play Back panel is always displayed, or only displayed when active.

•

The Play Back panel will only respond to keyboard inputs when it is active, just like the Main PCLink Screen will only respond to keyboard presses when it is active. If the Play Back form is active press the M key to make the Main form active. If the Main Form is active press Ctrl+B to make the play back form active.

•

Pressing the play key causer the log filer player to restart the file from the beginning.

To Tutorials page


File

File

File

The file menu is used to open, save and print PCL files as well as adding memo notes to an open PCL file.

•

Open

•

Save

•

SaveAs

•

Memo Form

•

Printing


Open

Opening PCL Files

Previously saved ECU configuration files can be opened by selecting the Open item from the File pull down menu. This opens a dialog where the user can select a file from the directory. The following points should be noted:

•

All PCLink data files are saved with the extension (.pcl). For example the file "SampleOne" is saved as "SampleOne.pcl".

•

When a file is selected from the file list box, the Preview will display the Memo Form that is associated with that file.

•

Selecting OK will then load the file displayed in the File Name box.

PCLink will first compare the configuration of the connected Link computer with the configuration of the saved files. If the configurations are different, the user will be notified of the differences and which values are not changed. Following this, the settings in the file will be downloaded to the Link computer.


Save

The Save & Store Dialog

The Save & Store Dialog is displayed whenever the Save or the Store buttons are pressed. These commands are in the same dialog because users should carry out a save operation when storing data to ensure that changes are not lost accidentally.

Storing

When the user presses the Store button on the main PCLink screen, the Save & Store Dialog will be displayed with Store to Link Computer checked. The user can simply press OK (or press Enter) to carry out the store operation, or select Save settings to file on PC to also save a backup file in addition to Storing data.

Saving

When the user presses the Save button on the main PCLink screen, the Save & Store Dialog will be displayed with Save settings to file on PC checked. The user can simply press OK (or press Enter) to save the data to a file, or select Store to Link Computer to also carry out the Store operation as well as saving the settings. The text in the Memo Form will also be saved in the file.

To change the name of the file that the settings are stored to, press the Change File Name button.


SaveAs

SaveAs

This function opens the Save & Store Dialog with a dialog displayed to allow the user to change the file name.


Memo Form

The Memo Form

The Memo form is available to allow users to attach notes to a file. These notes are attached to the file when saved and then displayed as a preview in the Open box. These notes are also displayed in the Printout.


Printing

Printing

Selecting this menu item displays a Preview of the printout. PCLink creates a printable form containing all the Link ECU settings, including the Memo Form.

The Print option allows the user to print out the following:

•

The File name

•

The Data and/or Time

•

Link ECU settings including zone tables, etc.

•

Notes printed on the memo form.

Notes can also be added directly to the Print, or unwanted information deleted.

The following print options are available:

•

Print – (Alt + P) This will open the Print Dialog to print the file to an external printer.

•

Save – (Alt + S) This will open the Save Dialog to save the print as a text file.

•

Close – (Alt + C) This will close the Print form.

Print options can be set under Printout Options which can be found in the options dialog.


Options

Options

The options menu is used to customise the operation of PCLink. Once changes have been made in the Options dialog, press the OK button to apply these changes, or the Cancel button to ignore them. The options have been divided into the following headings:

•

Connection

•

Preferences

•

Printout

•

Tables

•

Displayed values

•

Zeroing / Undoing Changes

•

TPS Setup

•

MAP Sensor Calibration


Connection

Options - Connection

This panel allows the user to change settings relating to the connection of the Link computer.

Automatic connection

•

Don't connect on startup – PCLink will not attempt to make a connection to an attached Link computer when PCLink is started.

•

Connect on startup – PCLink will attempt to connect to a Link computer at the Serial Port specified when PCLink is started.

•

Auto-detect and connect – PCLink will automatically detect and connect to a Link computer when it is plugged in to the Serial Port specified and the ignition is on.

Note: Auto-Connect does not automatically select the correct COM port number.

Serial Port

This indicates which serial port communication with the Link ECU will occur on is connected to. Only available and properly configured COM ports are visible. Selecting Auto makes PCLink scan through all available com ports until a Link ECU is found.

Note: when using USB to Serial adapters, a COMLink, a USBLink or USB enabled Link ECU, the correct installation instructions must be followed to establish a working COM port.


Preferences

Options - Preferences

Confirm Large Changes

When some values are changed by a large amount, a message may be displayed prompting the user to confirm the change. This function is designed to avoid accidental changes that may cause damage to the hardware. For example, if a key on the keyboard is held down accidentally. However, this function can be annoying if the user is manually entering in a large number of new values. If this is the case, the Confirm Large Changes setting can be turned off and the messages will not be displayed. However, next time the PCLink software is started up, this setting will be turned on again.

Font Size

Set the font size for certain areas of the software to allow easier viewing depending on the screen size and the tuning environment.


Printout

Options – Printout

Determines what special information is displayed on a Printout.

File Name

Includes the file name of the file if the data has been saved.

Time

Includes the time that the printout was created.

Date

Includes the date that the printout was created.

Note: The printout form can also be edited directly before printing.


Tables

Options - Tables

Track Active Cell

When set to ON, the edited cell will follow the active cell in the zone table so editing functions such as Q, A, Ctrl Q and Ctrl A will apply to the active cell. Press the F5 key to toggle this setting on or off and the result will appear at the bottom of the screen.

Note: Selecting any of the zone tables for editing automatically turns active cell tracking off.

Cross Hairs Visible

Cross hairs will appear on some zone tables to indicate the exact position in the table that the engine is running in. Press the F6 key to toggle this setting on or off and the result will appear at the bottom of the screen.

Step Change Size

Some zone tables with fine precision allow small or large changes when values are incremented. Press the F7 key to toggle this setting on or off and the result will appear at the bottom of the screen.

Display Add-On

This setting applies to all editable values including settings and the zone tables. It sets the way in which settings are displayed in their appropriate edit boxes and tables. Press the F8 key to change this setting and the result will appear at the bottom of the screen.

•

Just Value - Only the normal value is displayed with no add-ons.

•

Display amount changed - When this setting is turned on, the normal value and the Amount Changed is shown.

•

Trail of active cells - When turned on, this function will leave a star (*) in every cell that the active cell enters.

•

Display Specified Values - When turned on, the runtime value set in the Specified Fuel Table Add-On box will be placed in a cell in the zone tables if the engine remains operating in that cell for longer than 1 second.

Specified Fuel Table Add-On

This setting allows the user to select which value is shown as an add-on in the Fuel table. All Link ECU's can use the narrow-band setting, while some ECU's also have a wide-band lambda option available.

To Options


Amount Changed

Amount Changed

When turned on, this function will display the amount that editable values have been changed by since they were last zeroed. The changed values can also be undone at any time using the Undo function.

To turn this function on, check the Display Amount Changed setting in the Tables section under Options.

Example: below are some values that might be displayed and what they mean:

"12" : Current value in Link computer = 12

Amount changed since reset = Zero

(eg, the original value was 12 when last reset.)

"12 +3" : Current value in Link computer = 12

Amount changed since reset = Increased by 3

(eg, the original value was 9 when last reset.)

"15 -6" : Current value in Link computer = 15

Amount changed since reset = Decreased by 6

(eg, the original value was 21 when last reset.)

"100 ++" : Current value in Link computer = 100

Amount changed since reset = Increased by more than 9

(eg, the original value was 91 or less when last reset.)

"10 --" : Current value in Link computer = 10

Amount changed since reset = Decreased by more than 9

(eg, the original value was greater than when last reset.)

Note: if the amount changed is zero it will not be displayed.

See also: Zeroing and Undoing Changes to see how these changes can be undone and why cells change to a light blue colour when edited.


Displayed Values

Options Dialog – Displayed Values

This panel allows the user to change the units of values received depending on preferences.

Temperature

Temperatures can be displayed and edited in either Degrees Celsius or Degrees Fahrenheit.


Zeroing/Undoing Changes

Zeroing and Undoing Changes

Changes made while tuning a Link Computer can be tracked using the following functions.

When a value is changed and the change has been sent to the Link computer, the cell containing that value will turn light blue. If the Amount Changed setting is set to ON, then cells containing editable numbers will also show how much they have been changed by. A cell is considered to be changed when it value is different from the value that was loaded up when the Link ECU was connected, or since the last time the Zero Changes button was pressed (F9).

Zero Changes (F9)

If the Zero Changes button is pressed, then none of the cells should be light blue anymore, and no Amount Changed values should be visible, since they have all become zero. Zero Changes is performed by clicking on the Z button in the toolbar or by selecting Zero Changes in the Options menu.

Undoing Changes

Alternatively, if the user clicks the Undo Changes button, all changes displayed as light blue cells will be undone. Therefore, any changes made since either the Link ECU was first connected, or the Zero Changes button was pressed, will be undone. Undo Changes is performed by clicking on the curved arrow button in the toolbar or by selecting Undo Short Term Changes in the Options menu.


TPS Setup

TPS Setup

A Throttle Position Sensor (TPS) set-up function is available on some Link ECU's for automatically calibrating the TPS sensor. This function is available under the Options drop down menu at the top of the screen. Follow the instructions on the pop up windows, you will be instructed to move the throttle to the wide open position and press the OK button, followed by the same operation with the throttle closed.


MAPSensorCalibration

MAPSensorCalibration

MAP Sensor Calibration

MAP Sensor Calibration tunes the Link G2 ECU to match the external MAP sensors calibration. This is performed by comparing it to the on board Barometric Absolute Pressure (BAP) sensor. The BAP sensor is calibrated to a known reference during ECU manufacture.

To perform a MAP Sensor Calibration, select MAP Sensor Calibration from the Options menu and follow on screen instructions.


Runtime Displays

Runtime Displays

Runtime information can be viewed many different ways. Each view is selected by clicking on the runtime display toolbar buttons shown below:

Different methods of viewing runtime information include:

Digital Display of values and status flags.

Gauges display of selected runtime data.

Data Logger for logging and saving data for later Playback.

Data Plotting for viewing real time plots of selected runtime data.

Plotting Zone Tables to analyse trends

Diagnostics

It is also possible to configure the runtime display using the Runtime Configurations Setup.

Maximising Runtime Display Windows

Tip: The Gauges, Data Logger and Runtime Plotter can be maximised to fill the screen by pressing the toolbar button for the required window twice. For example, to display the runtime plotter, press the Runtime plotter toolbar button, then to maximise the runtime plotter, press the toolbar button again.


Digital Display

Runtime Digital Display

The digital display shows the runtime information from the Link ECU. These include runtime values and runtime status flags.

Note: Previous versions of PCLink had a separate display area for Runtime Values and Runtime Status Flags. These have now been combined for simplicity.

Runtime Values and Runtime Status Values

Runtime Values are realtime displays of information form the Link ECU. They display variables that continuously change such as RPM and MAP.

Runtime Status Values indicate the state of a particular ECU parameter such as ON or OFF.

Runtime Values and Runtime Status values are displayed in a tabbed layout. Values are arranged according to the ECU function they are associated with.

Custom Runtime Tabs can be created and modified using the Runtime Tab Designer.

The colours of the runtime values change depending on the priority settings in the Runtime Configurations Setup. When the value is above the low priority value, the cell will turn orange and when it is above the high priority value, it will turn red.


Gauges Panel

The Gauges Panel

The gauges panel shows six gauges that correspond to any of the runtime values. These gauges are numbered as displayed below. The user can define which values to display on a gauge from the Runtime Configurations Setup or by right clicking on a gauge and selecting the required run time value to display.


Data Logging

Data Logger

The Data Logger allows runtime value and status information to be recorded and saved to a text file that can be played back in PCLink or viewed in another application such as a spreadsheet package (eg. Microsoft Excel) or a text editor (eg. Notepad).

Time Stamp

The left column in the data logger shows the time stamp of when the data for the corresponding row was taken. The units of this time stamp are seconds.

Setting up the Data Logger

The set-up button (Ctrl E) opens the Runtime Configurations Setup. The dialog can be used to control which data appears in the data logger. Also, right clicking the mouse on the data logger will display a popup menu where columns can be selected or de-selected. This setting does not control what data is written to file as all data is saved in the text files.

Recording Data

Click the record button, or press the R key, to start the data logger recording data. Click the stop button, or press the S key, to stop recording. The clear button (Ctrl C) will clear all recorded data in the data logger. The save button (Ctrl V) will save all the recorded data in the data logger to a file. If data is being recorded for long periods, not all this information can be displayed in the data logger. But when a file is saved, all data that was recorded since the data logger was last cleared is saved.

Marker

Press the space bar at any time during a recording operation to put a marker in the file. This marker appears in the right most column of the data logger and is saved to file.

Play Back

Press the playback button (Ctrl P) to open the Datalog Play Back window and allow a saved file to be played back through the PCLink software.


Datalog Play Back

Datalog Play Back

This dialog will open a log filed saved from the data logger and play it back through PCLink.

Note: A PCL (PCLink ECU configuration) file for the computer that was used to collect the data must be opened first to view the zone tables, active cell, etc.

Opening the Playback Dialog

The playback dialog can be opened either from the data logger window or by selecting Play Back from the Runtime Displays pull down menu or by pressing Ctrl+B.

•

Open – (Alt O) Press this button to open a file for play back. The play back files are text files that are saved from the data logger.panel.

•

Close – (Alt C) This button will close any open files and then close the Play Back panel.

•

Play – (P) The software will begin playing back data through PCLink.

•

Pause – (H) This will pause the playback. When the pause button is pressed again, the software continues from the point where it was paused.

•

Step – (K) This will step through the playback data when it is paused.

•

Stop – (S) To stop the Data Logging press the stop button. When the play button is pressed, the Play Back will restart from the beginning.

•

Repeat – (Alt R) If this box is checked, when the Play Back gets to the end of the file it will return to the beginning and scroll through again.

•

Always on Top – (Alt A) When checked, the Play Back panel will always be visible on the screen when the PCLink software is active.

•

Goto time – If the user wishes to go to a specific line in a Play Back file, enter the time stamp of the desired line in this box, and press the Goto button (Alt G). Press the Pause button to continue playing from this point.

The above keyboard shortcuts will only work when the Play Back Window is active. If the main PCLink screen is active then it will receive keyboard inputs. To make the Play Back panel active, press Ctrl B. If the playback panel is active, press M to make the main panel active.


Data Plotting

Data Plotting

This panel displays runtime plots of up to any 8 of the runtime values available. The data to be plotted can be selected either from the Runtime Configurations Setup (Ctrl E), or by right clicking on the window with the mouse and selecting or de-selecting runtime values from the popup menu.

The runtime plot panel plots real time data either directly from the Link computer or from playback log files.

•

PLAY – (P) Starts the plotter.

•

STOP – (S) Stops the plotter.

•

CLEAR – (Alt L) Clears the screen of plotted data.

•

Setup – (Ctrl E) Opens the Runtime Configuration panel.

•

Show Points – Toggles points that appear on the graph marked each measured value.

The Scroll Graph control is available to allow the user to scroll through the previously plotted data. (Ctrl Arrow keys)

The width of the runtime plot can be changed in the Sample Length setting in the Runtime Configurations Setup panel.


Plotting Zone Tables

Plotting Zone Tables

Data in zone tables can be plotted to analyse trends in two ways:

•

Row Graph (2D)

•

Surface Graph (3D)


Row Graph

The Row Graph

The row graph is displayed below the zone tables. It displays a plot of either the row being edited (Green) or the active row (Red), depending on whether the track active cell setting is ON.

If the zone table in the middle of the screen is selected, then the row graph will plot the row that is selected. A green box will appear to indicate the cell currently selected on the graph and a dash line will mark the original setting of the value since the last Zero Changes. If active cell tracking (F5) is turned on then the graph will plot the row containing the currently active cell. A red box will appear to indicate the position of the currently active cell.


Surface Graph

The Surface Graph

The surface graph plots the currently selected zone table and also the position of the active cell (Red) and the position of the cell currently being edited (Green). To change the table that is plotted by the graph, simply select the table for editing.

A control panel is available to move, rotate and zoom in on the graph.

•

Rotation - The two scroll bars control the rotation of the graph around two axes.

•

Zooming - The '+' and '-' buttons control the zoom scale

•

Position - By holding the button of the mouse down on the graph it can be moved to the desired position.


Diagnostics

Diagnostics

The diagnostics menu provides information about important ECU events that have occurred. Diagnostics items are stored permanently when they occur and allow the tuner to see what has happened between tuning sessions.

The following options are available:

•

Zero All - Resets ALL statistics. There is no need to perform a store after clicking the Zero All button.

•

Help - Displays this help page!

•

Close - Closes the diagnostics window. this will no reset statistics unless the Zero All button has been pressed.


Runtime Configurations Setup

Runtime Configurations Setup

Keyboard: Ctrl E

The Runtime Configurations Setup panel allows configuration of all Runtime Displays including plotting, gauges and logging. This panel can be opened by selecting Settings in the Runtime Displays menu or pressing Ctle+E.

Edit a runtime values configuration by selecting it in the leftmost column. Each Runtime Values properties are set in the lower area of the panel. The following items can be configured for each Runtime Value.

•

Minimum/Maximum: These columns are used to set the span of the gauges. Enter the minimum and maximum value for each gauge.

•

Low Pri: This column sets the value at which the orange line starts on the gauges. This also applies to the digital runtime display. When the needle passes into the orange zone of the gauge, the digital display for that value will change colour to orange.

•

Hight Pri: This column sets the value at which the red line starts on the gauges. This also applies to the digital runtime display. When the needle passes into the red zone of the gauge, the digital display for that value will change colour to red.

•

Filter Num: This option allows filtering of values that may be particularly sensitive, for example, the lambda air fuel ratio, which is available on some computers. The filter num value defines how many previous received values are averaged to get the displayed value. For example, if filter num is set to 3, then the 3 most recent values will be averaged to get the displayed value.

•

Gauge No: Specifies the position of the gauge on the Gauges Panel.

•

Log Data: This column allows the user to select what runtime data will be displayed on the Data Logging. When logged data is saved, all available data will be saved, not just displayed data.

•

Plot Data: This determines whether the data is plotted on the Data Plotting. A maximum of 8 values can be plotted at a time on the runtime plot.

•

Warning: This setting applies to runtime values. If this is set to on, then a warning message will be displayed when the displayed value is greater than the High Pri value.

Double click on the value in a cell in the Plot, Log or Warning column to change the setting in that cell. The remaining values can only be edited using the boxes at the bottom of the panel. You cannot edit the table directly except in the Plot, Log and Warning columns, which can be edited by double clicking.

Opening / Saving Configurations

You can save different configurations to open at a later date. These configuration files are saved with a ".rtc" extension.

Implement & Close – (Alt C)

This will close the Runtime configurations page and initiate the changes.


Link Operations

Link Operations

Link Operations

These relate directly to specific operations between PCLink and the Link ECU.

•

Connect

•

Store

•

Reload


Connect

Connect to a Link ECU

Assuming you have a PCLink compatible Link ECU physically connected and powered up, this function instructs PCLink to attempt to make a connection to the Link ECU. This function can be selected either in the Link Controls menu or by clicking on the 'L' icon.

Make sure that the correct COM port is selected under the Connection heading. The connection status at the top left of the screen will change to On Line and the Link oval will start spinning if the connection was successful.


Store

Store

Save & Store

The Save & Store Dialog is displayed whenever the Save or the Store buttons are pressed. These commands are in the same dialog because users should carry out a save operation when storing data to ensure that changes are not lost accidentally. This function can be selected either in the Link Controls menu, by clicking on the 'S' button, by selecting Save in the File menu, by clicking on the 'Save' button or by pressing Ctrl+S.

Storing

When the user presses the Store button on the main PCLink screen, the Save & Store Dialog will be displayed with Store to Link Computer checked. The user can simply click on OK (or press Enter) to carry out the store operation, or select Save settings to file on PC to also save a backup file in addition to Storing data to the Link ECU.

Saving

When the user presses the Save button on the main PCLink screen, the Save & Store Dialog will be displayed with Save settings to file on PC checked. The user can simply click on OK (or press Enter) to save the data to a file, or select Store to Link Computer to also carry out the Store operation as well as saving the settings. The text in the Memo Form will also be saved in the file.

Saved File Name

To change the name of the file that the settings are stored to, press the Change File Name button.


Reload

Reload

This process resets all settings to the default values to allow a base for subsequent tuning.

CAUTION:

Reload will over-write ALL values currently stored in the Link ECU's memory and should only be used during initial setup or if you wish to restart the tuning procedure again from scratch. Make sure you save you current settings (just in case) before performing a Reload.


PCLink Features

PCLink Features

PCLink Features

This section contains help on using PCLink's advanced tuning features. These features are all designed to make using PCLink easier and improve tuning efficiency. This section describes PCLink functions, NOT Link ECU tuning functions. Tuning functions are discussed HERE. Help is available on the following PCLink tuning functions:

•

Table and Zone Editing Functions

•

Importing and Exporting Tables/Maps

•

Configuring Runtime Values

•

Copying Tables/Maps


Table and Zone Editing

Table and Zone Editing

Table and Zone Editing Functions

The following functions are designed to reduce tuning time and allow tables/maps to be edited more efficiently.

•

Fill

•

Copy Right - Copy the selected cell to all cells on the right.

•

Copy Down - Copy the selected cell to all cells above.

•

Interpolate Right - Fill the zones to the right with increasing/decreasing values.

•

Interpolate Down - Fill the zones below with increasing/decreasing values.

•

Interpolate Selection

•

Horizontally - Interpolate the values in a row between the left and rightmost selected values in that row.

•

Vertically - Interpolate the values in a column between the top and bottom selected values in that column.

•

Selection Change

•

To Value - Change all selected zones to a particular value.

•

Offset - Add a value to all selected zones.

•

Percentage - Change the values in selected zones by a percentage.

•

Copy To - Copy the contents of one table to another.


Interpolate Selection

Interpolate Selection

Interpolate Selection Functions for Table Editing

This function is designed to allow maps/tables to be generated quickly. Interpolate Selection is used to fill the selected cells with steadily increasing/decreasing numbers. Two options are available:

•

Interpolate Horizontally - Each row in the selection is filled with steadily increasing/decreasing values starting with the leftmost selected zone and ending at the rightmost selected zone.

•

Interpolate Vertically - Each column in the selection is filled with steadily increasing/decreasing values starting with the uppermost selected zone and ending at the lowermost selected zone.

Example: The following example demonstrates the use of the Interpolate Selection functions. The numbers used in the fuel table are for demonstrative purposes only and should not indicative of correct fueling numbers.

Starting with a completely flat fuel table:

Setting the rightmost value in the top row to 50, then selecting the entire top row (by clicking the leftmost zone, then holding the shift key and clicking on the rightmost zone), then selecting Interpolate Horizontally (by right clicking on the selected area) gives the table shown in the following picture. Note how the first row has been filled with steadily increasing values from left to right.

Setting the leftmost value in the bottom row to 80 and the rightmost value to 22, then selecting the entire bottom row, then selecting Interpolate Horizontally gives the table shown in the following picture. Note that the bottom row has been filled with steadily decreasing values.

Now to fill in the table ... Select the entire table (by clicking on the left top zone, then holding shift and clicking on the bottom right zone), then select Interpolate Vertically. The table shown in the following picture is obtained. Note that each column has been filled with a steadily increasing/decreasing value from top to bottom.


Selection Change

Selection Change

Selection Change Functions for Table Editing

Selection Change functions allow a selection of zones to be modified. Zones can be increased by a particular value, or a percentage or set to a particular value. These operations can be performed on an individual zone or a selection of zones.

Note: To select multiple zones, click on the top left zone of the area you wish to select, then hold the shift key and click on the bottom right of the area you wish to select.

The following Selection Change options are available:

•

To Value - Sets all selected zones to a particular value. You will be prompted to enter the value to set the zones to.

•

Offset - Adds a value to all selected zones. You will be prompted for the value to add.

•

Percentage - Changes all selected zones by a percentage. You will be prompted to enter the percentage change.

•

A value of 0% will cause no change.

•

A value of 100% will cause numbers to double.

•

A value of -50% will halve the numbers.


Fill

Fill

Fill Functions for Table Editing

Fill functions are used to spread changes across rows or down columns. The following Fill functions are available:

•

Copy Right - Copy the value of the currently selected zone to each zone on the right up to the end of the row.

•

Copy Down - Copy the value of the currently selected zone to each zone below up to the bottom of the column.

•

Interpolate Right - Fills the rest of the row up with a steadily increasing value based on the change between two selected zones.

•

Interpolate Down - Fills the rest of the column with a steadily increasing value based on the change between two selected zones.

Example: Using Copy Right and Interpolate Down. Starting with a flat table (Note that this was done by selecting the entire table and using the To Value function).

Setting the zone corresponding to 1000 RPM and -40 kPa to 50, then clicking on it to select it, then right clicking and selecting Copy Right gives the following result. Note how every zone to the right of the selected zone now has its value set to 50.

Setting the zone corresponding to 1000 RPM and -20 kPa to 55, then selecting this zone and the one above it (1000 RPM and -40 kPa) as shown below:

Then right clicking on the selection and selecting Fill -> Interpolate Down gives the result shown in the following picture. Note how every value in the column steadily increases by 5 (the difference between the two zones originally selected).


Importing and Exporting Tables/Maps

Importing and Exporting Tables/Maps

Importing and Exporting Tables/Maps

Tables/Maps can be exported and imported (saved and loaded) separately from the rest of the .pcl file (PCLink Link ECU configuration file). This allows tables/maps to be copied from different ECU's without having to change all other configuration settings.

Exported tables/maps are saved as .pcl files and can be opened in PCLink for viewing, editing and saving as normal.

This is an extremely useful feature as it allows table/maps to be stored in archives. A good example is to export injector dead time tables after each tune and name them by injector part number. Tis would allow the accumulation of a library of injector dead times that can be imported when required rather than manually entering each value.

To Export a Table/Map

Connect to a Link ECU or open a previously saved .pcl file. Right click on any table/map and select Import/Export, then Export to File. You will be prompted to enter the file name. It is recommended to enter a meaningful filename such as "My EVO Fuel Map Only" to avoid confusion with complete .pcl files. In some cases you may be prompted to save additional settings along with the table/map. Eg. When you choose to export a fuel map you will be asked if you want to save Master Fuel and Injector Dead Times also.

To Import a Table/Map

Connect to a Link ECU or open a previously saved .pcl file. Right click on any table/map and select Import/Export, then Import From File. You will be prompted to select the file to import the table/map from. Settings from the file will be downloaded to the Link ECU and updated in PCLink. A dialog box will appear detailing the settings that were imported from the file. Note that if the file does not contain the table/map that you are trying to import, no error will be issued, rather the dialog box will appear with an empty list.


Configuring Runtime Values

Configuring Runtime Values

Configuring Runtime Value Tabs

PCLink now has configurable Runtime Value Tabs. While all the original Runtime Tabs are still there, the user can now create and customise their own Runtime Tabs using any of the values available for display on the other Runtime Tabs. This allows the tuner to set up a Runtime Tab to display the information they want to view all on one tab. This can stop the continuous jumping back and forth between tabs found in older versions of PCLink.

Displaying Runtime Tabs

Press Ctrl + F5 to display the Runtime Values area at the bottom of the PCLink screen. Alternately Digital can be selected from the Runtime Displays menu, or the [image] button in the tool bar can be clicked.

To navigate through the pages of Runtime Values click on the tabs at the top of the runtime values. Runtime values are categorised according to the function they are associated with.

Creating and Customising Runtime Tabs

To create a new Runtime Tab, open the Runtime Tab Designer by selecting Custom Tabs from the Runtime Displays Menu. The Runtime Tab Designer is shown below:

To create a new Runtime Tab, select New Menu. You will be prompted to enter a name for your new Runtime Tab. In the picture above a new Runtime Tab named "My Tab" has been created.

To add display values to the Runtime Tab, select the appropriate values from the list on the left then click Add. Note that some runtime values may have more than one entry in the list on the left. This is because one entry is a 'Runtime Value' (eg MAP = 100 kPa) and one is a 'Runtime Status' (eg MAP = OK). In the picture above, Injector Duty cycle, Injector Pulse Width, Ignition Angle, etc... have been chosen for display giving the Runtime Tab shown below:

The order of the display values in the Runtime Tab Designers list is the order in which they will be displayed (from left to right).


Copy To

Copy To

Copy To

Some maps/tables when right clicked on allow their contents to be copied to another table. The main use of this function is when using dual fuel or ignition tables. After the first table has been setup during tuning, its contents can be copied to the second table as a base for further tuning of the second table.

To Copy One Table/Map to Another

Right click on the table/map. If Copy To appears in the menu then this table can be copied to another. Select Copy To, then select the table/map to copy this table to.

Warning: This will overwrite the previous contents of the destination table.


Copy Between Tables

Copy Between Tables

Copy/Paste

Entire tables or parts of tables can be copied and pasted to other tables in the same or another PCLink. Use this to copy your fuel map out of an old file into a new tune you are working on.

To Copy Numbers From One Table to Another

1.

Open the file you want to copy numbers from.

2.

Select the table to copy the numbers from.

3.

Select the top left cell that you want to copy from. If you want to copy the entire table then this will be the the top left cell.

4.

Hold down shift and use the arrow keys to select the bottom right cell of the selection. If you want to copy the entire table then this will be the bottom right cell.

5.

Press Ctrl+C

6.

Select the table you want to put the number into.

7.

Select the cell where the numbers will be pasted. If you are copying the entire table then this will be the top left cell.

8.

Press Ctrl+V to paste the numbers into the table.

Warning: This will only copy the tables numbers. All axis information will be left untouched. If you want to retain axis information, consider using the Import/Export function in the table menu (Right click and select Import or Export).

Note: This only works in the latest PCLink (V3.40 onwards) so you will need to open your old files with the latest PCLink.

Copy To

Some maps/tables when right clicked on allow their contents to be copied to another table. The main use of this function is when using dual fuel or ignition tables. After the first table has been setup during tuning, its contents can be copied to the second table as a base for further tuning of the second table.

To Copy One Table/Map to Another

Right click on the table/map. If Copy To appears in the menu then this table can be copied to another. Select Copy To, then select the table/map to copy this table to.

Warning: This will overwrite the previous contents of the destination table.


Keyboard Shortcuts

PCLink Keyboard Shortcuts

PCLink can be used almost entirely from the keyboard using the following key combinations:

File and Connection Shortcuts

F2 Save file to PC

F3 Connect to ECU

F4 Store settings permanently in the ECU

Ctrl+Shift+L Connect to ECU

Ctrl+L Upload settings from ECU again

Ctrl+S Store settings permanently in the ECU

Editing Selected Values

Q Increment current value small

Page Up Increment current value small

A Decrement current value small

Page Down Decrement current value small

Shift + Q Increment current value large

Shift + Page Up Increment current value large

Shift + A Decrement current value large

Shift + Page Down Decrement current value large

Ctrl Q Increment current row

Ctrl + Page Up Increment current row

Ctrl A Decrement current row

Ctrl + Page Down Decrement current row

See Editing Tables or Settings Panel for more information.

Table Functions

F Jump to Fuel Table

I Jump to Ignition Table

Z Mark a cell green

Shift Select multiple cells

; Next Table

C Next Table

' Previous Table

Shift C Previous Table

Insert Insert a column on main fuel and ignition tables

Shift + Insert Insert a row on main fuel and ignition tables

Delete Delete a column on main fuel and ignition tables

Shift + Delete Delete a row on main fuel and ignition tables

Ctrl T Brings up the table editing menu

Ctrl + Add to selected cells

+x Adds x to all selected cells

+xt Adds x to all cells in the table

+x% Increases the selected cells by x %

+x%t Increases the entire table by x %

Ctrl - Subtract from selected cells

-x Subtracts x from all selected cells

-xt Subtracts x from all cells in the table

-x% Decreases the selected cells by x %

-x%t Decreases the entire table by x %

Ctrl F Fill all cells to the right with the current cells value

Ctrl + Arrow Key Copy the current cells value to the cell in the direction of the arrow key pressed

G Go to active cell

T Edit Table

F5 Toggle active cell tracking

F6 Toggle cross hairs / box

F7 Toggle Large and Small Changes

F8 Change display add-on

F9 Clear display add-on

Ctrl + C Copy selected block to clip board

Ctrl + V Paste clip board contents into table

See Editing Tables for more information.

Quick Tune

F10 Display Quick Tune Window if not visible

F10 Make a fuel table adjustment in Manual Mode

F10 Start/Stop Quick Tune in Auto Mode

F11 Reset the current cells tune state

Runtime display controls (Bottom of screen)

Ctrl [ Scroll forwards through runtime displays

Ctrl ] Scroll backwards through runtime displays

Ctrl E Runtime Configurations Setup

R or Shift R Change runtime status tab

S Stop Data Logging or Graphing

Ctrl F5 Show Digital RTV's

Ctrl F6 Show Gauges

Ctrl F7 Show Data Logging

Ctrl F8 Show Data Plotting

Ctrl F9 Show Row Graph

Ctrl F10 Show Surface Graph

See Runtime Displays for more information

Additional

Space Place a marker in all tables and jump to the active cell

Ctrl O Open Options form

Ctrl B Open Playback function

Ctrl M Opens the memo

Ctrl P Opens the print preview

Ctrl D Opens Diagnostics Window

Ctrl E Setup Graphics

Settings Displays (Top of screen)

V Edit Settings

[ Scroll through Settings displays

] Scroll backwards through Settings displays

See Settings Panel for more information.


Quick Tune

Quick Tune

Quick Tune

Quick Tune provides assisted or fully automated tuning of the main fuel table. This feature greatly reduces fuel tuning time.

NOTE: There are some important things to note about Quick tune:

•

Quick Tune only tunes fueling. It does NOT tune ignition.

•

Quick Tune is designed to assist professional tuners not to substitute the use of professional tuners.

•

All other ECU functions including ignition and boost control should be tuned before using Quick Tune.

Quick Tune Operation

Quick Tune is an interactive tuning tool that assists in time efficient tuning of the main fuel table. A graphical display of Target AFR (desired AFR) and Actual AFR (measured AFR) is provided. A dual pointer gauge allows the tuner to quickly see how close Actual AFR is to the Target AFR. Quick Tune can be setup to operate over the entire fuel table or just over a particular area. Quick Tune can be used in Manual or Automatic modes. In Manual mode, Quick Tune guides you to cell centering and advises you when is is a suitable time to make a fuel table adjustment. With the press of a key a calculated adjustment is made. Often only one or two adjustments are required to tune each cell. In Automatic mode Quick Tune does all the adjustment work for you. This leaves the tuner free to operate the Dyno or perform other tuning work such as making ignition table adjustments.

Quick Tune Shortcut Keys

•

F10 - Display Quick Tune Window if not visible

•

F10 - Make a fuel table adjustment in Manual Mode

•

F10 - Start/Stop Quick Tune in Auto Mode

•

F11 - Reset the current cells tune state

The Quick Tune Display

The Quick tune panel provides the following controls:

•

Target AFR - This is the desired AFR from the AFR Target Table.

•

Actual AFR - This is the average and filtered AFR as measured from the selected wideband oxygen sensor sources. See below for more details.

•

Status - This provides information about the state of Quick Tune operation. The following status information may be displayed:

•

Ready - The cell is centered and and adjustment can be made.

•

Target Reached - The cell has been tuned (automatic mode). Pressing the 0 Button (or F11) will reset this state.

•

Not in Cell Centre - The engine is not operating near enough to a cell centre to make an adjustment. How close you need to be to a cell centre can be adjusted in the setting panel. See below.

•

Waiting - Waiting for AFR to stabilise before determining if it is correct. The wait time can be defined in the settings panel.

•

No WB Source - WB channels are not set up correctly.

•

ECT Lockout - ECT is not above the lockout value in the settings panel.

•

Load Lockout - Load (MAP, MGP, TPS) is not within the range set in the settings panel.

•

RPM Lockout - RPM (MAP, MGP, TPS) is not within the range set in the settings panel.

•

Gauge - The gauge shows the relationship between target and actual AFR. The red pointer shows actual measured AFR while the grey pointer shows target AFR. The idea is that when fueling is tuned, the two pointers will be in the same place.

•

Mode - This selects the operating mode of Quick Tune.

•

Off - Quick Tune will not operate at all.

•

Manual - Quick tune will guide you to cell centering but an adjustment will not be made until the "Tune Active Cell" button (or F10) is pressed.

•

Automatic - In automatic mode Quick Tune takes over adjustment of the fuel table. Pressing F10 will start and stop tuning.

•

Tune Cell / Start Tune Button - The function of this button changes depending on the current mode. In Automatic mode this buton starts and stops the automated tuning process. In Manual mode, this button will make an adjustment to the main fuel table in an attempt to make the target and actual AFRs match.

•

Reset Cell Button - This is used to zero any adjustment to a fuel table cell allowing Quick Tune to have another attempt at tuning that cell.

•

? Help - This help page

•

Show Settings - Makes the setup information visible or hidden. See below for details on the setup options.

Setting up Quick Tune

Before Quick Tune can be used it must be configured for the particular application. Configuration settings can be hidden away once sorted to allow a smaller Quick Tune panel for more efficient use of the screen. To make the Quick Tune settings visible click on the Show Settings check box below the Help button. The following list details each adjustment:

•

Measured WB Oxy Sources - This list shows all the Analog Voltage Channels currently configured as Wideband. Confirm that each wideband channel is reading by checking its runtime value found under Analog Inputs. If more than one wideband source is used multiple options can be ticked. The Actual AFR value will be the average of the selected channels.

•

Load Centre Tolerance - This is how close the load value (usually Manifold Gauge Pressure) must be to the centre of the cell before Quick Tune considers the cell to be within its tuneable range.

•

RPM Centre Tolerance - This is how close engine RPM must be to the centre of the cell before Quick Tune considers the cell to be within its tuneable range.

•

RPM Lockout Lower - Quick Tune will not operate below this RPM. eg to avoid Quick Tune working at idle, set this value above idle, say 1000 RPM.

•

RPM Lockout Upper - Quick Tune will not operate above this RPM.

•

Load Lockout Lower - Quick Tune will not operate below this load. eg to avoid Quick Tune working in the overrun row set to -80 kPa MGP or (20 kPa MAP) to make it work to full vacuum, set to -100 kPa MGP (or 0 kPa MAP).

•

Load Lockout Upper - Quick Tune will not operate above this load.

•

ECT Lockout - Sets the lowest engine temperature that Quick Tune will operate. Set this to a high enough temperature that all warm up enrichment fuel will be 0%.

•

Precision - Sets how close in AFR a cell needs to be to its target value to be considered tuned. eg If target is 14.7 and Precision is 0.2 Quick tune will consider the cell tuned if actual AFR is within 14.5 to 14.9 AFR.

•

Time in Cell Centre - This is the stabilising time in seconds. This sets how long Quick Tune will wait for the mixture to stabilise once all other conditions are met.

•

Filter - Used to dampen fluctuation or noisy AFR signals. A higher number will result in more damping. A filter number of 1 means no damping.

•

Max Auto Attempts - This is the number of times Quick Tune will try to adjust a cell before giving up. Usually on one to three attempts are required.

•

Tune Ahead - This setting instructs Quick Tune to copy the tuned cell numbers to other cells. This allows number to be copied down, right or both. This creates a closer number in un-tuned cells and provides a flatter fuel table while tuning for more precision.

•

Gauge Maximum - the maximum value displayed by the gauge.

•

Gauge Minimum - The minimum value displayed by the gauge.

Before Using Quick Tune

Before using Quick Tune the following checks must be done:

1.

Set up the Target AFR table as required. Make sure the following items are correct:

•

The table axis parameters. These are typically RPM on the X axis and MGP on the Y axis.

•

The table has the appropriate rows and columns required to allow it to cover all areas the motor may operate in.

•

Enter appropriate Target AFRs in all cells.

2.

Install, wire and calibrate wideband oxygen sensors. This includes assigning an Analog Channel and setting up that channels calibration. Quick Tune relies heavily on this input being correct. Only Analog Channels assigned as Wideband (Ext Controller) will be available to Quick Tune.

3.

Open the setup panel and adjust all settings to suitable values before switching Quick Tune to Manual or Automatic modes.

4.

Select the required wideband channels in the Measured WB Oxy Sources list. Check that the Actual AFR number and gauge show the correct reading.

Operating Quick Tune in Manual Mode

Manual mode is designed to assist the tuner in tuning the fuel table while completely under their control. No adjustments are made to the fuel table without the tuners say so. Manual mode greatly reduces the time taken to tune individual cells and also allows the tuner to be working on other areas such as ignition timing while still being able to adjust fueling.

To operate Quick Tune in Manual mode:

1.

Carefully read and understand all information further up this page. Set all Quick Tune settings appropriately before starting.

2.

Display the main fuel table.

3.

Press F10 to open the Quick Tune window if it is not already displayed.

4.

Press F6 to set the cross hairs/box to your favourite option.

5.

Ensure that the engine is operating above the ECT Lockout value.

6.

Under controlled conditions (eg on a Dyno) run the engine so that load and RPM are within the range specified in the setup panel.

7.

Select Manual Mode in the Quick Tune window.

8.

If everything is operating correctly you should see the status alternating between Not in Cell Centre, Waiting and Ready as the cross hairs move around the table.

9.

Centre the cross hairs in a cell so the status says Ready.

10.

Press F10 to make and adjustment. The cell will change to a blue colour to indicate its value has been changed and the status will say Waiting while the mixture is allowed to stabilise.

11.

At the end of the Waiting time if the AFR is close to the target (within the range set by the precision adjustment) the cell will go green to indicate that it is tuned.

12.

Repeat steps 9 and 10 until the cell has gone green. It will typically only take one to three adjustments.

13.

Move on to the next cell and repeat steps 9 onwards.

Operating Quick Tune in Automatic Mode

Automatic mode is designed to automate the fuel table tuning process. It is not designed to replace an experienced tuner, nor is it designed to completely tune the engine (as it does fuel only). Quick Tune can be used to tune the fuel table from one cell to the next in any direction but is essentially designed to tune from the top left to the bottom right of the fuel table going across the rows or down the columns. Automatic mode works exactly the same as Manual mode except that the tuner is not required to indicate when an adjustment should be made, Quick Tune does this for you.

To operate Quick Tune in Automatic mode:

1.

Carefully read and understand all information further up this page. Set all Quick Tune settings appropriately before starting.

2.

Display the main fuel table.

3.

Press F10 to open the Quick Tune window if it is not already displayed.

4.

Press F6 to set the cross hairs/box to your favourite option.

5.

Ensure that the engine is operating above the ECT Lockout value.

6.

Under controlled conditions (eg on a Dyno) run the engine so that load and RPM are within the range specified in the setup panel.

7.

Select Automatic Mode in the Quick Tune window.

8.

If everything is operating correctly you should see the status alternating between Not in Cell Centre, Waiting and Ready as the cross hairs move around the table.

9.

Press F10 to start automatic mode.

10.

Centre the cross hairs in a cell. Quick Tune will adjust the cells value until the target AFR is reached. It may be necessary to change the Precision, Time in Cell Centre, Filter and Max Auto Attempts setting to achieve the best Quick Tune operation for your application.

11.

Once the state shows Target Reached, move on to the next cell. The tune process will repeat.

12.

If for some reason you want a cell to be retuned, centre the cross hairs in that cell and press F11.

Other Quick Tune Notes

•

In automatic mode when a full fuel table is to be tuned, it is most efficient to use the Tune Ahead setting set to 'Copy across and down'. When this setting is on, hold the engine speed constant and tune down each RPM column by adjusting the load.

•

If the fuel table numbers are a long way from ideal, Quick Tune will need to make large adjustments to the fuel table numbers. This may result in large number changes between adjacent cells. To prevent the engine moving into cells that are a long way from tuned (potentially harmfully lean), use the Tune Ahead function as described above.

•

The required Time in Cell Centre depends on the placement of the wideband sensor and the type of sensor/controller used.


New Features

New Features

NEW FEATURES

Take some time to have a look at the new features offered in the latest version of PCLink and G2/G3 ECU's. There have been some significant changes since the last release!

New PCLink Features

The following list outlines the latest features added to PCLink. Click on an underlined item to find out more about this feature.

•

Quick Tune - Quick Tune is the latest major addition to PCLink. Quick Tune provides partially or fully automated fuel table tuning. Fuel table tuning time can be greatly reduced using Quick Tune. Quick Tune uses a mathematical algorithm along with a target AFR table to quickly adjust fuel table numbers as required. Quick Tune provides real time visual feedback on the tuning process and is easily configurable.

•

Copy/Paste - Entire tables or parts of tables can be copied and pasted to other tables in the same or another PCLink. Use this to copy your fuel map out of an old file into a new tune you are working on. Remember this only works in the latest PCLink (V3.40 onwards) so you will need to open your old files with the latest PCLink.

•

More New Keyboard Shortcuts

•

F2 - Connects/Disconnects to/from the ECU.

•

F3 - save file to PC.

•

F4 - Now does a permanent store to the ECU. Be careful using this one as you wont be asked if you want to change your mind!

•

Z - Marks a cell with a green colour. Use this to mark cells that you have tuned so you can easily remember where you are up to.

•

F10 - Quick Tune shortcut. Opens Quick Tune, performs a manual adjustment or starts/stops automatic adjustments.

•

F11 - Resets a cell when using Quick Tune.

•

New Keyboard Shortcut Keys - New shortcut keys have been added to allow easier control of PCLink from the keyboard:

•

F - Jump immediately to the active Fuel Table

•

I - Jump to the active Ignition Table

•

Page Up - Increment small

•

Page Down - Decrement small

•

Shift + Page Up - Increment large

•

Shift + Page Down - Decrement small

•

Insert - Insert a column on main fuel and ignition tables

•

Shift + Insert - Insert a row on main fuel and ignition tables

•

Delete - Delete a column on main fuel and ignition tables

•

Shift + Delete - Delete a row on main fuel and ignition tables

•

; and ' - Jump through tables

•

Diagnostic Menu - The diagnostics menu has now been improved to provide information such as max engine temperature, max RPM, number of starts and heaps of other useful statistics. These values are permanently stored in the ECU when they occur allowing the tuner to see what has happened since they last connected to the ECU.

Link G2/G3 Software Platform New Features

A lot of new features have been added to ECU firmware with the release of the G3 range of ECU's. Some of these features will also be available in G2 ECU's in the latest firmware version. The following list outlines some of the major improvements:

Firmware Version 1.90

•

Holden V6 trigger decoding and VVT control - A trigger mode has been added for Holden V6 variable valve timing engines.

•

2, 3 and 4 Rotor Sequential Fuel and Ignition - LinkPlus G3 ECU's now support up to 4 rotor engines running full sequential staged fuel and ignition.

Firmware Version 1.70

•

New Anti-lag Ignition Retard Modes - Anti-lag ignition retard can now be adjusted as a timing offset, percentage or absolute timing value.

•

Improved Acceleration Enrichment - Firmware version 1.60 onwards has improved acceleration enrichment and asynchronous injection for G2 and G3 ECU's.

•

Four Terminal ISC Stepper Support - G3 ECU's now support 4 terminal ISC stepper motors.

•

Tacho Multiplier on all Auxiliary Outputs - All tacho capable auxiliary outputs including spare ignition and fuel drives now have a tacho multiplier option. The upper frequency limit for tacho drives has also been increased.

•

GP PWM auxiliary Outputs - Auxiliary outputs 1 to 4 can now be configured as conditional PWM drives.

•

PTC Temp Sensor Support - Custom calibrations can now be added for PTC temperature sensors. Calibration numbers have been added for KTY83 PTC temperature sensors.

•

Ign 4D Table Independent Axis - The Ignition 4D Table, X and Y axis can now be spanned independently. One application is allowing ignition timing to be added on a cold engine at low throttle settings for the purpose of stabilising idle. i.e Set X axis to ECT, and Y axis to TPS.

•

New Engine Support

- Trigger Decoding for the Subaru H6 EZ30

- Variable Valve Timing (AVCS) for the Subaru EZ30

- Odd Fire Mode added. First application is the 2 cylinder Aprilia V Twin.

- BMW M3 trigger decoding (116 teeth on crank)

- Porsche 944 trigger decoding (132 on crank)

- Nissan R34 Skyline Trigger decoding added

- Map Sensor option added for Nissan R34 Skyline

Firmware version 1.51

•

Advanced VVT Control and Diagnostics - G3 VVT Control has been revised to include an impressive list of supported VVT engines. Advanced diagnostics has been added to assist with fault finding and tuning.

•

Closed Loop Lambda (CLL) - Closed Loop Lambda is now available for all G2 and G3 ECU's. This feature allows the ECU to automatically trim fueling at idle, and low load to achieve a stoichiometric AFR for best emissions and catalytic converter operation.

•

Injector and Ignition Test Functions - Functions have been added to easily test individual injector and ignition channels. The selected channel is repetitively pulsed do that wiring can be checked.

•

Closed Loop Idle Speed Control (ISC) - Closed loop idle speed control is now available in G2 and G3 ECU's. This feature uses a sophisticated control algorithm to achieve a very reliable/repeatable idle speed control. Closed and Open Loop ISC control is now available for six terminal stepper motors and two/three wire solenoids on G3 ECU's and for two/three wire solenoids on G2 ECU's.

•

Staged Injection - A new method of staged injection control has been developed. This provides easy setup and a very smooth and controllable transition between primary and secondary injectors.

•

Rotary Support - Support has been added for two rotor rotary engines. Ignition modes for separate or wasted leading options have been added. When combined with the above staged injection control, this provides a superior package for injected rotary engines.

•

New TPS Load Axis Modes - TPS Load axis modes for fuel tables have now been divided into BAP and MAP compensated modes. This has proven to provide a better solution for both aggressive cam shaft engines and multi-throttle turbo applications.

•

Knock Control - Closed Loop Knock Control is now available for G3 and G2 ECU's (if equipped with Knock Inputs). Knock Control uses dual 3D tables to allow ignition advance to be decreased in periods where engine noise increases past a configurable threshold.

•

Continuous Variable Valve Timing - G3 ECU's now include VVT control for up to four cams. Cams can be grouped together or controlled individually. A preset configuration can be chosen for particular engines or a custom configuration allows the tuner to adjust the PID control algorithm. VVT cam control is not and will not be available in G2 ECU's.


Tuning Functions

Tuning Functions

Tuning Functions

This section is dedicated to explanation of Link ECU tuning functions. This manual can be read directly or each topic automatically displayed by right clicking on the function you require help with in PCLink and selecting Whats This?.

Tuning functions are arranged by Link Engine Management System version. Tuning function help is currently available for the following systems:

•

Link G3 Platform - LEM G3, LinkPlus G3, WRXLink G3 and EVOLink G3

•

Link G2 Platform - LinkPlus G2 and EVOLink G2

•

LinkPlus G1 Tuning Functions - LinkPlus V10 and LinkPlus V14

•

LEM V5 Tuning Functions

•

LEM V4 Tuning Functions


Link G2/G3 Platform

Link G2/G3 Platform

Link G2/G3 Tuning Functions

Link ECU's based on the G2 and G3 platforms have similar functionality. However, not all functions available in G3 ECU's will be available in G2 ECU's. Most tuning functions are common with G2 and G3 ECU's, but more advanced controls such as Continuous Variable Valve Timing are only available in G3 ECU's.

Tuning functions for G2/G3 ECU's are divided into the following groups:

•

Configuration

•

Fuel

•

Fuel - Advanced

•

Ignition

•

Ignition - Advanced

•

Limits

•

Auxiliary Outputs

•

Digital Inputs

•

Analog Channels

•

Triggers

•

Motorsport

•

Boost Control

•

Idle Speed Control

•

VVT Control

•

Runtime Values


Engine Configuration

Engine Configuration

Engine Configuration

This following engine configuration information should be setup prior to anything else:

•

Engine Type

•

Number of Cylinders/Rotors

•

Firing Order Table


Engine Type

Engine Type

Engine Type

This selects the type of engine. The following options are available:

•

Piston (4 Stroke)

•

Piston Odd Fire (4 Stroke) - Selecting this option will make the Odd Fire engine selection menu appear.

•

Rotary (Not available on all Link ECU's)

Note that a firing order table will not be visible when Engine Type is set to Rotary. Selecting Rotary will enable the Trailing Split Ignition options.


Cylinders

Cylinders

Number of Cylinders

This selects the number of cylinders (or rotors on a rotary) that the engine has.

Note: Although up to 12 Rotors can be selected, only 2 Rotor engines are currently supported


Firing Order

Firing Order

Firing Order

This selects the firing order that the engine uses. The first cylinder in the firing order should ALWAYS be set to 1. A firing order table will not be visible when Engine Type is set to Rotary.


Fuel

Fuel

Fuel

The following functions are available to control fuel injection.

•

Fuel Table

•

Fuel Setup

•

Crank Enrichment

•

Post-Start Enrichment

•

Warm-up Enrichment

•

Accel Enrichment

•

Wakeup Enrichment

•

IAT Fuel Trim

•

Injector Deadtime

•

Overrun Fuel Cut

•

Pre-Start Prime

•

Idle Load Trims

•

Fuel Temp Correction

•

Closed Loop Lambda


Fuel Setup

Fuel Setup

Fuel Setup

The following controls relate to fuel injection setup. Typically these will be set once during the initial setup procedure and left unaltered after that. Depending on the Injection Mode selected, the following options may be available:

•

Master

•

Injection Mode

•

Load Axis

•

Injector Control

•

Injection Rate


Master

Master

Master

Master scales the overall fuel injection scheduling and is effective throughout the entire operating range from idle to full power. Master is required as an overall trim to account for the size/capacity of the engine and the flow rate of the injectors.

Note: Master should be adjusted before adjusting the zones in the Fuel Table.

The value of Master is the injector pulse width (in milliseconds) that results if the active zone of the of the Fuel Table is set to a value of 100 and the manifold absolute pressure is 100kPa. This does not include any other enrichments or trims.

Increasing the Master value increases the injector pulse width and hence the amount of fuel injected into the engine. However, changing Master DOES NOT change any value in the Fuel Table or any other fuel adjustments. It is therefore possible to achieve the same tune with a smaller Master and larger Fuel Table numbers as when using a larger Master and smaller Fuel Table numbers.

Note: It is recommended to use a Master value which results in the rows in the middle of the Fuel Table having zone number values around 50 with the desired air/fuel ratios.


Injection Mode

Injection Mode

Injection Mode

This selects the type of fuel injection being used. The following options are available:

•

Off

•

Single-point Group

•

Multi-point Group

•

Sequential

•

Group/Staged

•

Sequential/Staged

Off - This turns the fuel injectors off so that the engine can be cranked without fuel entering the engine. This is useful for testing ignition or clearing a flooded engine.

Single-point Group - This mode should be used if one or two fuel injectors feed a point which is common to all cylinders. In this mode the injector(s) are fired once per TDC.

Multi-point Group - This mode should be used if each cylinder has it's own injector but there is insufficient triggering to use sequential injection. In this mode the injectors are fired in two out-of-phase groups with each group firing every 720 degrees.

Sequential - This mode should be used if each cylinder has it's own injector providing the following criteria are met.

1.

The engine's triggering must be sufficient to calculate the current engine position during 720 degrees of crankshaft rotation. This means that a second trigger sensor is required for synchronisation and this must use an appropriate trigger wheel driven off the crankshaft (or driven at half the crankshaft's rotational speed).

2.

The ECU must have enough injector drives to use one drive per injector. For example, eight injector drives are required to perform sequential injection on an eight cylinder engine. It is very important that each injector drives is wired to the correct injector and the correct firing order is entered.

Group/Staged - This mode allows control of staged injection where the engine uses primary injectors operating all the time and secondary injectors which operate only at higher load/rpm. This mode must be used for staged injection if the criteria required for sequential injection are not met.

Sequential/Staged - This staged injection mode uses sequential injection for both sets of injectors. Therefore the engine must have sufficient triggering and there must be two dedicated injectors for each cylinder. Each injector must be correctly wired to it's own injector drive so the ECU must have enough drives to support this mode.

Example: A four cylinder engine with sequential staged injection will require eight injector drives.


Load Axis

Load Axis

Load Axis

This option determines how the load axis (vertical axis) of the main Fuel Table will be spanned. Note that this option affects the both fuel tables when Dual Fuel Tables are used. The following options are available:

•

MAP - Manifold Absolute Pressure (MAP) mode uses only the signal from the MAP sensor to calculate the current load. This signal is referenced to perfect vacuum which would give a reading of 0kPa. Atmospheric Pressure is approximately 100kPa, while 1.0Bar of Boost (14.7psi) is approximately 200kPa. Refer HERE for more information Absolute and Gauge Pressure.

•

MGP - Manifold Gauge Pressure (MGP) mode uses signals from a Manifold Absolute Pressure (MAP) sensor and a Barometric Absolute Pressure (BAP) sensor. MGP is the MAP with reference to the BAP. In this mode vacuum is represented by a negative MGP while boost is represented by a positive MGP. This mode is designed to provide compensation for changes in atmospheric pressure and altitude. This is the recommended mode for normal engine tuning. Refer HERE for more information Absolute and Gauge Pressure.

•

Throttle Position - BAP Correction - This mode spans the fuel tables load axis based on throttle position in %. Under vacuum, Barometric Absolute Pressure (BAP) is used as part of the fuel calculation to allow for atmospheric pressure changes. Under boost, Manifold Absolute Pressure (MAP) is used in place of BAP. This mode is most useful in engines where manifold pressure at low load is unstable (possibly due to aggressive camshaft profiles). As manifold pressure is not automatically allowed for in the fuel equation, compensation must be made in the numbers used in the fuel table. This will result in small numbers in the low load areas and large numbers in the high load areas. The only drawback of this is decreased tuning resolution in low load areas.

•

Throttle Position - MAP Correction - This mode spans the fuel tables load axis based on throttle position in %. Manifold Absolute Pressure (MAP) is used as part of the fuel calculation. This is suitable for applications that have more stable manifold pressure but require a throttle position based load scheduling (such as multi-throttle engines with gentle camshaft profiles). As this mode allows for manifold pressure in the fuel calculation a more even spread of numbers across the fuel table is achieved.

Notes:

•

When using either of the Throttle Position Load Axis modes, make sure that the throttle position sensor is in good condition, has been wired correctly and a TPS Calibration has been performed.

•

When changing between different Load Axis modes, it may be necessary to add, remove or move rows in the fuel table to achieve the desired range of row values.

TPS - MAP/BAP Modes

When using either of the TPS load axis spanning modes on forced induction engines, under boost MAP will always be used in the fuel calculation. This can result in poor tune ability due to the possibility of having differing manifold pressures for the same throttle position. Ie it is possible to have 150 kPa MAP or 200 kPa MAP at 100% throttle. Even though MAP is still used in the fuel calculation under boost, changes in VE may mean that the AFR is not correct. In these cases the 4D Fuel Table should be used. The 4D Fuel table can be set up to be spanned by MAP or MGP (for barometric correction).


Injector Control

Injector Control

Injector Control

This tells the ECU how it needs to drive the fuel injectors. It is possible to get injectors with different coil resistances.

Note:

•

High impedance injectors have a coil resistance over 6 Ohms (14 Ohms is most common).

•

Low impedance injectors have a coil resistance below 6 Ohms (around 2.5 Ohms is most common).

With high impedance injectors it is possible to apply the full battery voltage (saturation) across the injector during the whole time that it must stay on. The injector current will be limited by the injector's coil resistance so that no damage will occur. With low impedance injectors this is not the case. When the injector pulse widths are high, driving low impedance injectors in this way will result in excessive current that will damage the injectors and/or ECU. One solution (the one used by most car manufacturers) is to fit ballast resistors to limit the injector current to a safe level. The only downside of this approach is that it increases the time taken for the injector to open. This is of no concern on most factory engines as the injectors never need to operate near their minimum pulse width for consistent operation. However, when large injectors are used in after market performance applications, very short pulse widths are required at idle and low load. In this case it is desirable to have an injector that can open as quickly as possible. To do this the injector control can be set to peak and hold. This will initially apply the full battery voltage across the injector to open it. However the ECU will limit the current to a safe level while still keeping the injector open.

Peak and Hold control is only available on some ECU's. In cases where peak and hold is unavailable it will show as *unavailable*.

Setup:

•

When using high impedance injectors ALWAYS set the Injector Control to Saturated

•

When using low impedance injectors WITH the correct ballast resistors ALWAYS set the Injector Control to Saturated.

•

When using low impedance injectors WITHOUT ballast resistors ALWAYS set the Injector Control to Peak and Hold.

Failure to select the correct injector control mode may result in injector/ECU failure.


Injection Rate

Injection Rate

Injection Rate

Note: This function is only available when using Multi-Point Group Injection Mode.

This setting determines if the injector groups are fired once every 360 degrees of crankshaft rotation or once every 720 degrees of crankshaft rotation.


Crank Enrichment

Crank Enrichment

Crank Enrichment

Cold engines require significantly more fuel (enrichment) than warm engines. This is primarily due to the fact that the injected fuel condenses on the walls of the inlet tract and therefore does not make it to the cylinders.

The Crank Enrichment function provides enrichment while the engine is being cranked on the starter motor (while the engine speed is below 400rpm). As soon as the engine speed exceeds 400 RPM, Crank Enrichment is turned off and enrichment is provided by the Post-Start function.

The amount of crank enrichment that is required for starting depends on engine coolant temperature. To cater for this, a 20 zone table is used to allow the crank enrichment values to be edited in 10ºC increments. The value entered into each zone represents the percentage enrichment at that particular temperature. Linear Interpolation is used between each zone to calculate the crank enrichment when the current temperature is between the zone centres. The green cell indicates the currently active zone.

The current amount of Crank Enrichment is displayed under the Runtime Values - Fuel Section.

The First Crank Enrich setting adds to the Crank Enrichment for the FIRST engine revolution delivering an additional enrichment just for the first revolution. Do not confuse this with the Pre-Start Prime function that delivers fuel BEFORE the engine is cranked.

Crank Hold Time is the time in seconds that Crank Enrichment will continue to operate after the ECU has crossed over to Post-Start Enrichment. This means that for this period of time both enrichment functions are operating at the same time. This function helps to provide a more stable air fuel ratio in the first few seconds after startup.

Note: There are four engine coolant temperature dependant functions which provide enrichment. These are Pre-Start Prime, Crank Enrichment, Post-Start Enrichment and Warm-Up Enrichment. As a general rule, the correct crank enrichment value will be higher than either the post-start or warm-up enrichment values.


Post-Start Enrichment

Post-Start Enrichment

Post-Start Enrichment

Cold engines require significantly more fuel (enrichment) than warm engines. This is primarily due to the fact that the injected fuel condenses on the walls of the inlet tract and therefore does not make it to the cylinders.

As soon as the engine speed exceeds 400 RPM, the crank enrichment is turned off and enrichment is provided by the Post-Start function. The Post-Start enrichment value will be fixed for a set length of time (set by the Hold Time). After the Hold Time has elapsed, the post-start enrichment will decrease linearly until it reaches the value set by the Warm-Up Enrichment. The length of time that this decrease takes is set by the Decay Time. At the end of this decay the Post-Start Enrichment will turn off and the Warm-Up Enrichment will be the only engine temperature enrichment remaining active.

Because the required post-start enrichment is temperature dependant, a 20 zone table is used to allow the post-start enrichment values to be edited in 10ºC increments. The value entered into each zone represents the percentage enrichment at that particular temperature. Linear Interpolation is used between each zone to calculate the enrichment when the current temperature is between the zone centres. The green cell indicates the currently active zone.

The current post-start enrichment is displayed under the Runtime Values - Fuel Section.

Note: There are four engine coolant temperature dependant functions which provide enrichment. These are Pre-Start Prime, Crank Enrichment, Post-Start Enrichment and Warm-Up Enrichment. As a general rule, the correct Post-Start Enrichment value will be lower than the Crank Enrichment but higher than the Post-Start Enrichment.

Example: The following figure shows an example where the Crank Hold Time is 4 seconds and Crank Decay Time is 15 seconds.


Pre-Crank Prime

Pre-Crank Prime

Pre-Crank Prime

When trying to start a cold engine, fuel condenses on the walls of the intake tract, taking longer to reach the cylinder. Pre-Start Prime delivers fuel to the engine BEFORE it is cranked. This supplies additional fuel to wet the intake tract helping to ensure good starting at low engine temperatures.

Prime Mode sets the type of Pre-Crank Prime used:

•

OFF - No Pre-Start Prime

•

Key On - The injectors will be opened for the time specified in the Injector Prime Time table each time the ECU is powered up.

•

Ign Start Position - The injectors will be opened for the time specified in the Injector Prime Time table each time the key is turned to the start position. This ensures that the prime fuel is not injected too early when the key is turned on, then turned to start some time later. This mode requires a Digital Input to be configured as Start Position and wired to the start terminal on the ignition switch.

Injector Prime Time sets the time the injectors will be opened for at a particular temperature. Set to zero for no Pre-Crank Prime at a particular temperature.

Pre-Crank Prime delivers fuel BEFORE the engine is cranked. Do not confuse this with the First Crank function which adds to the Crank Enrichment for the FIRST engine revolution delivering an additional enrichment just for the first revolution.

Note: There are four engine coolant temperature dependant functions which provide enrichment. These are Pre-Crank Prime, Crank Enrichment, Post-Start Enrichment and Warm-Up Enrichment. As a general rule, the correct warm-up enrichment value will be lower than either the crank enrichment or post-start enrichment.

Older Firmware Versions:

The following items apply to G2 firmware versions 1.1.30 and earlier:

Prime Temperature sets the maximum engine temperature that and Pre-Start Prime function will operate. At engine temperatures above this, NO additional fuel will be delivered by the Pre-Start Prime function.

Prime Fuel sets the length of the Pre-Start Prime injector pulse width in ms (1 ms = 1 thousandth of a second).


Warm-up Enrichment

Warm-up Enrichment

Warm-up Enrichment

Cold engines require significantly more fuel (enrichment) than warm engines. This is primarily due to the fact that the injected fuel condenses on the walls of the inlet tract and therefore does not make it to the cylinders.

After the Post-Start Enrichment has decayed away, Post-Start Enrichment will turn off and Warm-Up Enrichment will become active. Warm-Up Enrichment will remain active for the rest of the time that the engine is running. As the engine warm-ups up to full operating temperature the required warm-up enrichment will decrease.

A 2D table is used to allow the Warm-Up Enrichment values to be edited in 10ºC increments. The value entered into each zone represents the percentage enrichment at that particular temperature. Linear Interpolation is used between each zone to calculate the enrichment when the current temperature is between the zone centres. The green cell indicates the currently active zone.

To complicate matters the required enrichment changes dramatically with airflow. For example at 20ºC the amount of enrichment required at idle is considerably more that the amount required if operating at half throttle. To allow compensation for this, a 3D Table is available to allow the warm-up enrichment to be set as a function of both engine coolant temperature AND load. It is recommended that the load axis is set to TPS although MAP or MGP are also available.

When using a 3D table Warm-up Mode, Table RPM Start specifies the value at which the first RPM table element is centered. Table RPM Increment specifies the RPM difference between each of the tables RPM elements. Table Load Start specifies the value at which the first load table element is centered. Table Load Increment specifies the difference between each of the tables load elements.

The current Warm-Up Enrichment is displayed under the Runtime Values - Fuel Section.

Note: At normal operating temperature the warm-up enrichment should be set to zero.

Note: There are four engine coolant temperature dependant functions which provide enrichment. These are Pre-Start Prime, Crank Enrichment, Post-Start Enrichment and Warm-Up Enrichment. As a general rule, the correct warm-up enrichment value will be lower than either the crank enrichment or post-start enrichment.


Acceleration Enrichment

Acceleration Enrichment

Acceleration Enrichment

Without acceleration enrichment, when the throttle is abruptly opened the engine will briefly 'lean out'. To achieve good throttle response, acceleration enrichment is required. The following functions are available to control acceleration enrichment:

•

Accel Mode

•

Accel Clamp Table

•

Accel Sensitivity

•

Accel Hold

•

Accel Decay

•

Accel Deadband

•

Accel Cold Trim

•

Accel Load Correction

Asynchronous injection acceleration enrichment adjustments are also available under the Wakeup Enrichment menu.


Accel Mode

Accel Mode

Accel Mode

Accel Mode is used to select whether the Acceleration Enrichment is activated by either a change in MAP or Throttle Position (TPS). Selecting Accel Mode as OFF disables acceleration enrichment.

Note: Throttle position is the preferred method and should be used in all cases except when a suitable TPS is not available.


Accel Clamp Table

Accel Clamp Table

Accel Clamp Table

The Accel Clamp Table allows the maximum acceleration enrichment to be adjusted with respect to engine speed. The values represent the maximum percentage enrichment which may be applied. The actual enrichment at any time is dependent on the rate of change of the value triggering the enrichment (either MAP or Throttle Position depending on the Accel Mode) as well as the Accel Sens value. However, the acceleration enrichment will not exceed the value in the Accel Clamp Table. The single exception to this rule is when the the engine is cold and the active zone in the Accel Cold Trim Table is greater than 1.0.

Note: A value of zero in the Accel Clamp Table will disable all acceleration enrichment at that RPM.


Accel Sens

Accel Sens.

Top Previous Next

Accel Sensitivity

Accel Sens. controls how much acceleration enrichment will be applied for a given rate of change of the value triggering the enrichment (either throttle position or manifold pressure depending on which Accel Mode is used). A larger Accel Sens number will result in more acceleration enrichment, although the amount of acceleration enrichment will not exceed the value set in the Accel Clamp Table. The single exception to this rule is when the the engine is cold and the active zone in the Accel Cold Trim Table is greater than 1.0.


Accel Hold

Accel Hold

Accel Hold

Accel Hold controls how long the full acceleration enrichment will last before is begins its decay to zero. The number represents the number of injection events which must occur before the decay begins.

The required number of injection events will depend on the number of cylinders the engine has and the injection mode. In group fire injection modes, only two injection events occur per full engine cycle, on an 8 cylinder sequential injected engine 8 injection events occur per full cycle.

After the number of injection events specified by Accel Hold have occurred, acceleration enrichment will be decayed at the rate specified by Accel Decay.


Accel Decay

Accel Decay

Accel Decay

This function controls the rate at which the Acceleration Enrichment fuel decays away to zero. The number represents a percentage of the original Acceleration Enrichment. This amount is subtracted away from the Acceleration Enrichment each engine cycle until Acceleration Enrichment equals zero.

Acceleration enrichment decay begins after the number of injection events specified by Accel Hold. The number of injection events required to decay acceleration enrichment completely depends on the Accel Decay number and the injection rate. The injection rate depends on the injection mode and number of engine cylinders.

Example

If the original Acceleration Enrichment fuel was 10% and the Accel Decay equals 5% then the Acceleration Enrichment will decay as %10, %9.5, %9.0, %8.5, ..... per engine cycle.

Therefore a larger number gives faster decay while a smaller number gives slower decay.


Accel Deadband

Accel Deadband

Accel Deadband

There will always be some noise (unwanted electrical disturbance) in either the MAP or TPS signal. To remove the possibility of this noise resulting in Acceleration Enrichment, the Accel Deadband may be used.

Example: If the Accel Mode is TPS and the Accel Deadband is 1%, then the throttle position must change by more than 1% between samples for any Acceleration Enrichment to be activated.


Accel Cold Trim

Accel Cold Trim

Accel Cold Trim Table

During an engine's warm-up period much more Acceleration Enrichment is required. The Accel Cold Trim Table allows acceleration enrichment to be adjusted with respect to engine coolant temperature. Both the Accel Sens and Accel Clamp Table values are multiplied by the Accel Cold Trim to calculate the acceleration enrichment required for a given engine temperature. A value of 1.0 represents normal fully-warm acceleration enrichment and zones relating to fully warmed-up engine temperatures should be set to this value. At lower engine temperatures zone values larger than 1.0 will be required to provide additional acceleration enrichment.


Accel Load Correction

Accel Load Correction

Accel Load Correction Table

Less acceleration enrichment is required at high load than at low load. The Accel Load Correction Table allows for adjustment of the amount of acceleration enrichment based on engine load. A number of 1.0 will allow acceleration enrichment up to the maximum amount as set in the Accel Clamp Table. Numbers below 1.0 will result in less enrichment while numbers above 1.0 will result in more.


Wakeup Enrichment

Wakeup Enrichment

Wakeup Enrichment

Note: Wakeup Enrichment is only applicable to group fire injection modes.

Wakeup Enrichment is an extension to normal Acceleration Enrichment. The Wakeup Enrichment function is part of the ECU's acceleration enrichment system. On sudden throttle opening (especially at low RPM) normal acceleration enrichment may not be delivered fast enough. This is not an ECU limitation, but rather due to the fact that normal acceleration enrichment is not delivered until the next injection pulse. Wake up injection asynchronously (immediately and out of time from normal injection) adds additional injector pulses to help eliminate momentary lean spots.

Note: The effect of the Wakeup Enrichment function will be noticed most when the throttle is opened a small amount quickly at low RPM. An example is driving the vehicle at about 1200-1500 RPM in second gear and lightly pressing the throttle.

The following adjustments are provided for Wake Up enrichment:

•

Mode - Determines if Throttle Position or MAP is used to control wakeup enrichment. Setting Mode to OFF disables wakeup enrichment.

•

Wake Up Pulses - The number of asynchronous pulses injected.

•

Low Width - The injection pulse width on top of the current Injector Dead Time when throttle movement is above the Low Threshold.

•

High Width - The injection pulse width on top of the current Injector Dead Time when throttle movement is at or above the High Threshold.

•

Low Threshold - The lowest rate of change of throttle position (or MAP) at which wakeup enrichment will be added. When the throttle rate of change is at the Low Threshold, the wakeup pulses will be of Low Width ms.

•

High Threshold - The fast rate of change of throttle position (or MAP) that will result in wakeup enrichment pulses being of High Width ms.

•

End Point - Wakeup enrichment will not operate above this RPM.

Wakeup enrichment is also trimmed depending on the value in the Accel Load Correction table.

The state of the Wakeup Enrichment function can be verified by watching the wakeup enrichment runtime value found in the fuel runtime values.

The TPS Delta Max runtime value (found in the Analog Inputs runtime values) can be used to determine the current rate of change of throttle position.

Example

The following diagram summarises wakeup enrichment. The numbers shown are for example purposes only and will vary depending on engine type. Assume the following settings:

•

Mode = TPS

•

Wakeup Pulses = 4

•

Low Width = 0.6ms

•

High Width = 10ms

•

Low Threshold = 0.6 %TP

•

High Threshold = 10 %TP

•

End Point = 4000 RPM

So, based on the above settings, the following will occur:

•

No wakeup enrichment will occur above 4000 RPM.

•

When wakeup occurs, 4 asynchronous injection pulses will be delivered instantly.

•

Wakeup enrichment is based on THE RATE OF CHANGE (ROC) of throttle position. It is important to realise that wakeup enrichment is not based on actual throttle position, but how fast the throttle position changes.

•

When throttle position movement is slow, four 0.6 ms injection pulses will occur (plus injector dead time).

•

When throttle position movement is high, four 2.5ms pulses will be delivered (plus injector dead time).

•

Between slow and fast throttle movements, four pulses between 0.6 and 2.5ms will be delivered. The actual pulse width is proportional to the rate of change of throttle position.

•

The wakeup enrichment pulse widths will vary depending on the numbers in the accel load correction table. A number of 0.5 in the accel load correction table will result in half the normal wakeup enrichment pulse width.

Older Firmware Versions (Pre V1.60)

Firmware versions prior to V1.60 did not have the above wakeup enrichment adjustments. It is strongly recommended that your ECU is upgraded to the latest firmware version as there were issues with wakeup enrichment prior to this. In previous firmware versions, the following adjustments were available:

•

Wake Up Pulses - The number of asynchronous pulses injected.

•

Wake Up Width - The width (in milliseconds of each asynchronous injection pulse).


IAT Correction

IAT Correction

Intake Air Temp Correction

This function allows fueling correction to compensate for changes in inlet air temperature. Because hotter air is less dense, as air temperature increases there will be less oxygen available to burn in the combustion chambers. Without IAT correction an engine will run richer on a hotter day and leaner on a cooler day. While this is desirable to some extent, the change is typically more than what is required.

The IAT Temp Mode can be set up as either a 2D table, a 3D table or turned OFF completely.

Note: It is recommended that all applications use intake temperature correction. Air Temp Correction requires that an intake temperature sensor be installed and an Analogue Input be configured correctly as Inlet Air Temp.

Note: Ideally, the correction at 20ºC should be set to zero. At air temperatures below this the correction should be positive to provide enrichment. At air temperatures above this the correction should be negative to reduce the fuel delivery.

2D Table

Using Air Temperature Correction in 2D mode allows a percentage enrichment to be set for each 10 degrees of intake temperature. Linear Interpolation is used between each zone to calculate the correction when the current intake air temperature is between the zone centres. The green cell indicates the currently active zone.

3D Table

3D Air Temperature Correction allows the enrichment at different intake temperatures to be dependent on engine load. The Air Temp Correction table load axis may be selected under Load Axis. Table RPM Start specifies the value at which the first RPM table element is centered. Table RPM Increment specifies the RPM difference between each of the tables RPM elements. Table Load Start specifies the value at which the first load table element is centered. Table Load Increment specifies the difference between each of the tables load elements.


Injector Deadtime

Injector Deadtime

Injector Deadtime (Voltage Correction)

There is always a delay between the injector being energised and the injector actually opening. Likewise, there is a small delay between the injector being de-energised and the injector closing. Because the opening time is considerably longer than the closing time, the overall result is that less fuel will flow for a given pulse width than would be expected with an 'ideal injector'. To compensate for this the injector pulse widths are increased to compensate for this 'dead-time'. The dead-time for a given injector is a function of the battery voltage, differential fuel pressure and the type of injector control (saturation or peak and hold). A typical dead-time at 3Bar differential fuel pressure and 14 volts is just under 1ms (ms = millisecond = 1 thousandth of a second).

In applications with a linear 1:1 fuel pressure regulator (ie not a rising rate regulator), the differential fuel pressure (difference between manifold pressure and fuel pressure) will be constant. Therefore the only variable that is changing will be the battery voltage (this changes with electrical load and sometimes engine speed). Without correction, the changes in dead time will cause the engine to run lean when the voltage drops. If the Injector Voltage Correction is properly setup then changes in the battery voltage will not affect the air/fuel ratio.

The injector dead-time table allows the dead-time for different battery voltages to be entered. The values represent the dead-time in milliseconds. These should increase with falling system voltage.

Dead time values for a particular injector can be entered directly or a preset Injector Type selected.


Fuel Temp Correction

Fuel Temp Correction

Fuel Temp Correction

After stopping a hot engine, the combination of high engine bay temperatures and stationary fuel in the fuel system may cause fuel vaporisation. If an attempt to restart the engine is made before the fuel has cooled, the engine may not start and run satisfactorily until the fuel system has had time to circulate fresh fuel to the fuel rail. As the vaporized fuel is less dense, fuel injector pulse widths must be increased during hot restarts.

This function allows corrections to be made based on fuel temperature. This requires a suitable fuel temperature sensor mounted in the fuel rail. This arrangement may be found as standard on some engines. If a fuel temperature sensor is not available, editing the "warmed-up" zones in the Crank Enrichment and Post-Start Enrichment tables may be an acceptable substitute to using Fuel Temp Correction.

The Fuel Temp Correction function may be turned on or off. If it is turned on then a 20 zone table becomes active to allow the Fuel Temp Correction values to be edited in 10ºC increments. The value entered into each zone represents the percentage enrichment at that particular temperature. Linear Interpolation is used between each zone to calculate the correction when the current temperature is between the zone centres. The green cell indicates the currently active zone.

Note: Fuel Temp Correction requires that a fuel temperature sensor be installed and an Analogue Input be configured correctly as Fuel Temperature.


Overrun Fuel Cut

Overrun Fuel Cut

Overrun Fuel Cut

When the throttle is abruptly closed the engine generates more vacuum than under normal conditions (such as idle and light cruising). This condition is known as overrun. During overrun the ECU performs a fuel cut by switching off all injectors. This helps minimise the possibility of backfires occurring and reduces fuel consumption and emissions.

Note: The overrun condition is recognised when the throttle is closed and the engine speed is above the set value. As a result this function may only be used if a throttle position sensor (TPS) is fitted and correctly setup.

The following functions allow the overrun fuel cut to be tailored to the application.

•

Fuel Cut Mode

•

TPS Threshold

•

Engine Speed Threshold

•

Activation Delay

•

Fuel Cut Retard


Overrun Fuel Cut Mode

Overrun Fuel Cut Mode

Fuel Cut Mode

The overrun fuel cut, may be turned on or off under Fuel Cut Mode.

Note: A TPS must be fitted, wired and correctly setup if the Overrun Fuel Cut function is to be used.


TPS Threshold

TPS Threshold

Fuel Cut - TPS Threshold

If the Fuel Cut Mode is set as TPS then the overrun condition is recognised if both the throttle is closed (throttle position less than the TPS Threshold) AND the engine speed is above the Engine Speed Threshold.

Setup Procedure: The TPS threshold is generally set slightly above the 0% throttle point to allow for some noise which is inherent in the signal from TPS.


Fuel Cut Activation RPM

Fuel Cut Engine Speed

Fuel Cut - Activation RPM

The overrun condition is recognised if both the throttle is closed (throttle position less than the TPS Threshold) AND the engine speed is above the engine speed set for the current engine temperature in the Fuel Cut Activation RPM Table.

Setup Procedure: The Activation RPM must be set above the engines idle speed so that fuel is not cut when the engine is sitting at idle with the throttle closed. In practise the activation RPM should be set around 500rpm above idle so that as the engine speed falls during overrun the fuel is turned back on early enough to stop the engine from stalling. A typical Activation RPM for a fully warm engine (80-100 degrees C) is 1500 RPM.

When the engine is cold the idle speed control system will typically be setup to raise the idle speed. As a result, it is necessary to raise the activation RPM at lower engine temperatures. Even if the idle speed is not increased during cold running it is still advisable to use larger activation RPM numbers at lower engine temperatures. This is because cold engines generally do not tolerate the use of a fuel cut especially at low RPM.


Activation Delay

Activation Delay

Fuel Cut Activation Delay

This will delay the Overrun Fuel Cut for a short length of time after the required conditions are met. The time units are in seconds.

Note: This feature can be used to prevent an overrun fuel cut occurring during gear shifts.


Ignition Retard

Ignition Retard

Fuel Cut Ignition Retard

To help smooth the transition as the fuel cut turns on and off, the ECU will progressively retard the ignition timing prior to cutting fuel. The ignition timing will then be progressively advanced back to normal after the fuel has been restored. Changing the Ignition Retard adjusts the full amount of ignition retard the ECU will use, however the time it takes to go from normal ignition timing to full retard is fixed. This means that changing the Ignition Retard will effect the rate of retard.


Idle Load Trims

Idle Load Trims

Idle Load Trims

These trims may be used to correct a surging idle that results from mechanical loads being switched on. An idle trim exists for both air conditioning and automatic transmission 'Drive' selection:

•

Air Con Trim

•

Drive Trim

•

Engine Fan Trim


Air Con Trim

Air Con Trim

Air Con Trim

Air Con Trim is amount of time in milliseconds added to the injector pulse width when the Air Conditioning clutch is engaged.


Drive Trim

Drive Trim

Drive Trim

Drive Trim is amount of time in milliseconds added to the injector pulse width when the automatic transmission park/neutral input is not received.


Engine Fan Trim

Engine Fan Trim

Engine Fan Trim

Engine Fan Trim is amount of time in milliseconds added to the injector pulse width when the engine fan is activated.


Fuel Table

Fuel Table

Fuel Table

The fuel table comprises of a grid of ZONES. The x-axis (horizontal) is engine speed. The y-axis (vertical) is engine load. Therefore, each zone represents a unique load/RPM point. Adjusting a zone in the Fuel Table changes the injector pulse width and therefore the amount of fuel that is delivered at a particular load/engine speed.

Note: INCREASING the zone number INCREASES the amount of fuel which is delivered while decreasing it has the opposite effect.

Fuel Table Layout

The number and spacing of the zones in the Fuel Table is completely user adjustable. Rows/columns may be inserted or removed where desired by right clicking in the desired place on the labels of the RPM Axis or Load Axis (ie right click on the RPM values to insert a new RPM column). This flexibility allows fine spacing in areas where high resolution/accuracy is required and coarse spacing in less critical areas. The maximum number of RPM columns is 22, while the maximum number of Load rows is 20. When adding a new row or column, the new row/columns zone values will be interpolated between the values in the rows/columns which it was inserted between.


Closed Loop Lambda (CLL)

Closed Loop Lambda (CLL)

Top Previous Next

Closed Loop Lambda

Closed Loop Lambda (CLL) is designed to provide automatic trimming of fuel mixtures under light load conditions to achieve a stoichiometric air/fuel ratio. This is required for best emissions and catalytic converter operation.

Currently CLL is designed to be used with a narrow band oxygen sensor (or a wideband sensor operating in narrow band output mode). CLL is only intended to control Air/Fuel ratio to achieve 14.7:1 (on pump fuel), it is not intended as an auto tune function.

To use CLL an oxygen sensor must be correctly wired to an Analog Voltage Input. The Analog Voltage Input must be configured as Voltage (0-5V).

Note: In firmware versions 1.51 and earlier CLL can only be used on Analog Voltage Input 1. Newer versions allow the analog channel to be selected.

Note: If a heated oxygen sensor is used, its heater may be controlled by the ECU using an Auxiliary Output.

How It Works:

Given a target oxygen sensor voltage, the ECU will increase fuel value when the actual oxygen sensor voltage is below this value (lean). Likewise, the ECU will decrease the fuel value when the actual oxygen sensor voltage is above the target voltage (too rich). The result is an AFR continuously cycling around the stoichiometric point, this is known as dithering. Lockouts are provided to prevent CLL from operating outside a particular RPM range, above a particular map value, below a particular coolant temperature and for a time period after starting.

The following functions are provided to configure CLL:

•

Lambda Mode - CLL operating mode.

•

Dither Voltage - Target oxygen sensor output voltage, typically 0.45 volt.

•

FTrim Limit +/- - Maximum amount by which CLL can adjust fuel values.

•

Gain Control - Controls the rate at which CLL tries to correct AFR.

•

RPM Lockout Low - CLL will not operate below this RPM.

•

RPM Lockout High - CLL will not operate above this RPM.

•

MAP Lockout - CLL will not operate above this MAP value.

•

ECT Lockout - CLL will not operate below this engine coolant temperature.

•

Timer Lockout - CLL will not operate for this many seconds after startup.

•

Analog Channel - The channel that the oxygen sensor or wideband controller is wired to.

The status of the Closed Loop Lambda system can be viewed under the Fuel runtime value tab. Status values are as follows:

•

OFF - CLL is turned off.

•

Increase Fuel - Increasing the fuel trim.

•

Decrease Fuel - Decreasing the fuel trim.

•

Max Clamp - Fuel value has been increased as much as possible.

•

Min Clamp - Fuel value has been decreased as much as possible.

•

Lockout: RPM < 500 - Engine RPM too low, CLL disabled.

•

Lockout: ECT - ECT is below ECT Lockout value, CLL is disabled.

•

Lockout: Startup Timer - Timer Lockout has not expired yet, CLL is disabled.

•

Lockout: RPM High - RPM is above RPM Lockout High value, CLL is disabled.

•

Lockout: RPM Low - RPM is below RPM Lockout Low value, CLL is disabled.

•

Lockout: MAP - MAP is above the MAP Lockout value, CLL is disabled.

•

Lockout: Fuel Cut - Overrun Fuel Cut is active, CLL is disabled.

•

Accel Active - Acceleration Enrichment is active, CLL is disabled.

•

No Signal - Oxygen sensor voltage has been below 0.05 volts for over 15 seconds, CLL is disabled.

Lambda Mode

Lambda Mode sets the current CLL operating mode. Currently only Stoic Mode is available. In this mode the ECU tries to control AFR around the stoichiometric point (14.7:1 on pump fuel).

Dither Voltage

The Dither Voltage is the voltage output by the oxygen sensor at the stoichiometric point (AFR 14.7:1 for pump fuel). this value is typically set to 0.45 Volt.

Fuel Trim Limit +/-

This is the maximum amount by which fuel will be increased/decreased. A typical value is about 15%

Gain Control

Gain Control sets the rate at which fuel is increased/decreased. A too high gain value will result in large swings about the stoichiometric point, while a too low gain will result in very slow correction. A typical gain value is 2.

RPM Lockout Low, RPM Lockout High

RPM Lockouts provide a means by which CLL can be disabled outside a particular RPM range. Typically the RPM Lockout Low will be set well below the idle RPM to ensure CLL is active at idle. In some applications an AFR of 14.7:1 can result in an unstable idle. In this case, set RPM Lockout Low well above the idle RPM.

MAP Lockout

MAP Lockout sets the MAP value at which CLL will be disabled above. This allows CLL to be disabled under power. A typical value is about 70 kPa.

ECT Lockout

This prevents CLL operating below a particular coolant temperature. This avoids having CLL active while warm up enrichment is still being added. Set this value to about 5 degrees below the normal operating temperature.

Timer Lockout

The Timer Lockout provides a means by which CLL can be disabled for a time period after start up. This ensures that all startup enrichments are inactive before CLL is enabled. It also ensures that the oxygen sensor is up to temperature.

Analog Channel

This is the analog voltage channel that the narrow band oxygen sensor or wideband oxygen sensor controller is wired to.


Injector Test

Injector Test

Injector Test

This function allows injector wiring to be tested. Each injector can be tested individually. This function will only operate when engine RPM is 0. When a particular injectors Injector Test function is turned on, the injector will be pulsed at 10 Hz with a pulse width of 1.5 ms.

Note: The fuel pump (if controlled by the ECU) will be disabled during this test procedure as RPM is 0.


AFR Target Table

AFR Target Table

AFR Target Table

The AFR Target Table contains the desired AFR at a given load and RPM for QuickTune. On G2 and G3 ECU's, the AFR Target table is ONLY used for QuickTune and has no effect on the fuel equation.


Fuel - Advanced

Fuel - Advanced

Fuel - Advanced

The following advanced fueling functions are available. It is recommended that these functions are used only by experienced tuners.

•

Injector Timing

•

Individual Cylinder Fuel Trim

•

4D Fuel Table

•

Dual Fuel Tables

•

Staged Injection


Injector Timing

Injector Timing

Injector Timing

Note: This function can only be used if sequential injection is being used.

With sequential injection, each injector is pulsed once every 720 degrees of crankshaft rotation. As a result, the injection frequency is determined by the engine speed. Adjusting zones in the Fuel Table changes the pulse widths and therefore the amount of fuel that is delivered.

However, there is a third variable. This is where in the engine cycle the injector pulse occurs. The Injector Timing function allows full control over this variable.

Example: Typically the idea is to finish injecting the fuel just before the inlet valve OPENS (approximately 360 degrees after TDC (firing)).

The following parameters can be adjusted to control Injector Timing.

•

Injector Timing Mode

•

Injector Timing Adj Level

•

Injector Timing - Single Zone

•

Injector Timing - 2D Table

•

Injector Timing - 3D Table


Injector Timing Mode

Injector Timing Mode

Injector Timing Mode

In most cases it will be sufficient to use fixed injector timing. In these cases the Injector Timing Mode can be set as Single Zone. In some applications it may be desirable to change the injector timing with engine speed. For these cases 2D Tablemay be selected. Finally, the injector timing may be varied with both engine speed and load (as selected under Load Axis) by selecting 3D Table.


Injector Timing Position

Injector Timing Position

Injector Timing Position

This function specifies what the Injector Timing numbers represent. There are 3 options available:

1.

End of Injection - The injector timing value represents the engine position when the injector pulse ends. Because the injector closing time is specified, the ECU calculates the injector opening time required to inject the required amount of fuel. This mode is the most common mode.

2.

Centre of Injection - The injector timing value represents the engine position at the centre of the injector pulse. The injector opening and closing time is adjusted so that the required amount of fuel is injected.

3.

Start of Injection - The injector timing value represents the engine position where the injector pulse starts. Because the injector opening time is specified, the ECU calculates the injector closing time required to inject the required amount of fuel.

Note: Not all modes are available on all Link ECU's


Injector Timing - Single Zone

Injector Timing - Single Zone

Injector Timing - Single Zone

This specifies the injector timing to be used throughout the entire operating range. The units are degrees before top dead centre (BTDC) with reference to top dead centre between the compression and power stroke. Therefore 360 represents TDC between the exhaust and inlet stroke.


Injector Timing - 2D Table

Injector Timing - 2D Table

Injector Timing - 2D Table

This allows the injector timing to be altered with engine speed. The units are degrees before top dead centre (BTDC) with reference to top dead centre between the compression and power stroke. Therefore 360 represents TDC between the exhaust and inlet stroke.

Table Start specifies the value at which the first RPM table element is centered. Table Increments specifies the RPM difference between each of the tables RPM elements.


Injector Timing - 3D Table

Injector Timing - 3D Table

Injector Timing - 3D Table

Note: This option is not available on all Link ECU's.

This allows the injector timing to be altered with engine speed and load. The units are degrees before top dead centre (BTDC) with reference to top dead centre between the compression and power stroke. Therefore 360 represents TDC between the exhaust and inlet stroke.

Table RPM Start specifies the value at which the first RPM table element is centered. Table RPM Increment specifies the RPM difference between each of the tables RPM elements. Table Load Start specifies the value at which the first load table element is centered. Table Load Increment specifies the difference between each of the tables load elements.


Individual Cylinder Fuel Correction

Individual Cylinder Fuel Correction

Individual Cylinder Fuel Correction

Individual Cylinder Fuel Correction allows the fueling of each individual cylinder to be adjusted independently. This can be used to compensate for slight differences in injector flows, slight differences in fuel pressure at each injector, differences in cylinder temperature due to coolant system design, etc...

There are two Fuel Trim Modes available. One mode uses a single zone per cylinder. If more precise adjustment is required, selecting Table allows the individual cylinder correction to be adjusted as a function of load and engine speed.


Fuel Trim Mode

Fuel Trim Mode

Individual Cylinder Fuel Trim Mode

There are two Fuel Trim Modes available. One mode uses a single zone per cylinder. If more precise adjustment is required, selecting Table allows the individual cylinder trim to be adjusted as a function of load and engine speed.


Cylinder Trim - Single

Cylinder Trim - Single

Individual Cylinder Fuel Trim - Single

This mode uses a single zone per cylinder. The values represent percentage enrichment. Note that negative values may also be used to lean out a particular cylinder.


Cylinder Trim - Table

Cylinder Trim - Table

Individual Cylinder Fuel Trim - Table

This uses an 11 x 16 Table for EACH cylinder to allow the individual cylinder fueling to be adjusted as a function of load and engine speed. Table values represent percentage enrichment. Note that negative values may also be used to lean out a particular cylinder.

Table RPM Start specifies the value at which the first RPM table element is centered. Table RPM Increment specifies the RPM difference between each of the tables RPM elements. Table Load Start specifies the value at which the first load table element is centered. Table Load Increment specifies the difference between each of the tables load elements.


4D Fuel Table

4D Fuel Table

4D Fuel Table

Under normal circumstances a 3D Fuel Table is sufficient. In this case RPM is used for one axis with load (typically represented by MAP or MGP) on another axis. The 3rd axis is the fuel zone value. This 3D mapping will be very familiar to the average tuner and a 3D surface representing the fueling can be easily visualised or physically displayed by selecting Surface Graph from the Runtime Displays menu, or by pressing Ctrl+F10.

In special cases 3D mapping may not be adequately flexible to cope with all operating parameters. Multi-throttle turbo charged engines typically show an example of this. With the throttle wide-open at a MAP value of 200kPa and an engine speed of 5000rpm the engine will have considerably different fueling requirements than with the throttle half open and the same MAP and engine speed. In this case the 4D Fuel Table table may be used. This second table may be spanned using throttle position on the load axis. In this particular scenario it may be desirable to span the main fuel table load axis using throttle position and the 4D table using MAP, although either method is capable of producing the desired result.

The 4D table allows a way to achieve four dimensional (4D) mapping to cater for a the most complex tuning situations. This concept is difficult to visualise and tuning in this mode will consume more time. Therefore tuning using the 4D table is recommended for advanced tuners only.

The 4D table may be enabled or disabled by selecting ON or Off under 4D Fuel Mode.

Load Axis selects the load axis for the 4D Fuel Table. The available options are MAP, MGP, Throttle Position (TPS) or Vehicle Speed.

Table RPM Start specifies the value at which the first RPM table element is centered. Table RPM Increment specifies the RPM difference between each of the tables RPM elements. Table Load Start specifies the value at which the first load table element is centered. Table Load Increment specifies the difference between each of the tables load elements.

What the 4D Fuel Table Numbers Mean:

As with most Link ECU correction tables, the 4D Fuel Table is applied as a percentage of the base pulse width. As the base pulse width is calculated using the numbers in the main fuel table, the 4D Fuel Table numbers effectively act as a percentage of the main fuel table.

Another way to word it is: Putting 10% in the 4D Fuel Table is the same as changing the Main Fuel Tables number by 10%

Example:

A reduction in the Main Fuel Table from 50 to 45 is a 10% change (sometimes referred to as one AFR!). The same effect can be achieved by leaving 50 in the Main Fuel Table and putting -10% in the 4D Fuel table. 50 minus 10% of 50 equals 45 or 50 - (50 * 10%) =45


Staged Injection

Staged Injection

Staged Injection

Note: This function is visible only when the Injection Mode is set to Group/Staged or Sequential/Staged.

Staged injection uses primary injectors operating all the time and secondary injectors which operate only at higher load/rpm. Both sets of injectors are controlled by the main fuel table (Fuel Table 1 or Fuel Table 2), however the percentage of the total fuel delivered by each injector set is controlled by the Secondary Injection Table.

The secondary injectors may be brought on at any stage by entering non-zero numbers into the Secondary Injection table.

Note: It is very important that BOTH the primary and secondary injector duty cycles are closely watched to ensure that neither set of injectors are being operated at an excessive duty cycle.

The following functions control staged injection:

•

Sec/Pri Ratio

•

Secondary Injection Table

•

Sec PW Lockout

•

Accel Fuel

•

Accel Time

•

Load Axis

•

Table Start

•

Table Increment

•

Secondary Injector Dead Time Table

Sec/Pri Ratio - Secondary to Primary Injector Flow Ratio

The Sec/Pri Ratio is ratio of the total secondary injector flow to that of the primary injectors. This number must be entered before tuning. If primary and secondary injector flow rate is unknown it will be necessary to determine these either from injector specifications or on an injector flow bench. To calculate the correct number to enter as the Sec/Pri Ratio, divide the total secondary injector flow rate by the total primary injector flow rate. Note that by total flow rate means the sum of all primary injector flows and sum of all secondary injector flows.

If the Sec/Pri Ratio is set too high then the engine will run leaner as the secondary injectors are activated.

If the Sec/Pri Ratio is set too low then the engine will run richer as the secondary injectors are activated.

Example:

If an engine has four 240 cc/min primary injectors and two 400 cc/min secondary injectors then the Sec/Pri Ratio is calculated as follows:

•

Total primary injector flow rate is 4 x 240 = 960 cc/min.

•

Total secondary injector flow rate is 2 x 650 = 1300 cc/min.

•

Sec/Pri Ratio is 1300 / 960 = 1.354.

Secondary Injection Table

The Secondary Injection Table is used to determine the percentage of the total fuel flow which is delivered via the secondary injectors. This value can be changed depending on load.

The Load Axis of this table can be set to either MAP or MGP. The start value of the load axis can be adjusted using the Table Start value. The rate at which the load value increments can be set using the Table Increments value.

•

A value of 0% represents complete fuel delivery through the primary injectors. The secondary injectors will be off. Typically a value of 0% will be used at low load.

•

A value of 50% results in half of the fuel being delivered by the secondary injectors.

•

A value of 100% represents complete fuel delivery through the secondary injectors. The secondary injectors will be off.

In typical applications the engine will run on the primary injectors at low load (0%). Often as load increases the Secondary Injection Table values will increase until the secondary and primary injectors operate at the same pulse width. Note that the Secondary Injection Table value required to give matched pulse widths depends on the size of the injectors in relation to each other.

The Secondary Injection Table value required to give equal pulse widths can be found by the following equation:

•

Secondary Injection Table value for matched Pulse Width = (100 * Sec/Pri Ratio) / (1 + Sec/Pri Ratio)

Example:

The following example calculates the required Secondary Injection Table value to give equal primary and secondary injector pulse widths. Assuming the following information:

•

Total Primary Injector Flow = 1100 cc/min.

•

Total Secondary Injector Flow = 3200 cc/min.

•

Sec/Pri Ratio = 2.9 (3200 / 1100 = 2.9

Therefore the Secondary Injection Table required for matched pulse widths:

Table Value = (100 * Sec/Pri Ratio) / (1 + Sec/Pri Ratio)

= (100 * 2.9) / (1 + 2.9)

= 290 / 3.9

= 74.4 %

i.e. when the pulse widths are the same 25.6% of the fuel is delivered by the primary injectors, while 74.4% of the fuel is delivered by the secondary injectors.

Secondary Pulse Width Lockout

The Secondary Injection Table allows the secondary injectors to be activated either instantaneously or progressively. If the Secondary injectors are activated progressively then there is potential for them to operate at very short pulse widths as they are introduced. However, all injectors have a minimum pulse width for stable operation. This can be up to a full millisecond more than the injector dead time. e.g. A particular injector may have a dead time of approximately 0.9ms, but it will not operate satisfactorily below 1.6ms.

The Sec PW Lockout is the minimum pulse width that the ECU will use for the secondary injectors. If the ECU calculates a required secondary pulse width that is below this then the secondary injectors will stay off and all fuel will be delivered by the primary injectors (including the fuel that was calculated for the secondary injectors). Once the ECU calculates a pulse width greater than the Sec PW Lockout value, fuel will be delivered through the primary and secondary injectors.

A typical value for Sec PW Lockout is between 1.0 and 2.0ms

Staging Acceleration Enrichment

In some applications the primary and secondary injectors are physically mounted in different locations. Often the primary injectors will be mounted closer to the engine’s intake port with the secondary injectors further up the intake runner. If there is a large distance between the two injectors then the engine will run lean momentarily as the secondary injectors are activated. This occurs because the fuel delivered by the primary injectors has been reduced, but there is a delay in the secondary injector’s fuel reaching the engine. To alleviate this problem the following functions have been added.

•

Accel Fuel - This is the percentage enrichment used during the staging transition.

•

Accel Time - This is the number of engine cycles that the staging enrichment will last for.

Secondary Injector Dead Time Table

This table specifies the Secondary Injector Dead Time as a function of system voltage.


Dual Fuel Tables

Dual Fuel Tables

Dual Fuel Tables

Dual Fuel Tables allow the ECU to be tuned for two completely different setups and switch between which table is used at a given time.

Example: When running two different octane fuels or two different engine setups. Dual fuel tables may be used in conjunction with dual ignition and boost tables to completely cater for the different requirements of the two setups.

The default setting for Dual Fuel Table Mode is OFF. In this case only Fuel Table 1 is visible and all fueling is calculated using this table. If Dual Fuel Table Mode is set to Switch on Aux or Switch on DI then Fuel Table 2 becomes visible. The actual active fuel table (the fuel table that is used) is determined by the state of the Digital Input or Auxiliary Output

Switching of fuel tables:

•

If Switch on Aux is selected under Dual Fuel Table then Fuel Table 2 will be selected when the chosen Auxiliary Output becomes active.

•

If Switch on DI under Dual Fuel Table then Fuel Table 2 will be selected when the chosen Digital Input becomes active.


Dual Fuel Table Mode

Dual Fuel Table Mode

Dual Fuel Table Mode

The default Fuel Table is Fuel Table 1. In this case only Fuel Table 1 is visible and all fueling is calculated using this table. If Dual Fuel Table Mode is set to Switch on Aux or Switch on DI then Fuel Table 2 becomes visible. The actual active fuel table (the fuel table that is used) is determined by the state of the Digital Input or Auxiliary Output.

If Switch on Aux is selected then Fuel Table 2 will be selected when the chosen Auxiliary Output becomes active.

If Switch on DI is selected then Fuel Table 2 will be selected when the chosen Digital Inputbecomes active.

Note: INCREASING the zone number INCREASES the amount of fuel which is delivered while decreasing it has the opposite effect.

Fuel Table Layout

The number and spacing of the zones in the Fuel Table is completely user adjustable. Rows/columns may be inserted or removed where desired by right clicking in the desired place on the labels of load/rpm rows/columns. This flexibility allows fine spacing in areas where high resolution/accuracy is required and coarse spacing in less critical areas. The maximum number of rpm columns is 22, while the maximum number of load rows is 20. When adding a new row or column, the new row/columns zone values will be interpolated between the values in the rows/columns which it was inserted between.


Dual Fuel Aux

Dual Fuel Aux

Switching Aux

If Switch on Aux is selected then Fuel Table 2 will be selected when the chosen Auxiliary Output becomes active. The Auxiliary Output chosen as the Aux Channel must be setup as a General Purpose Output.


Dual Fuel DI

Dual Fuel DI

DI Channel

If Switch on DI is selected then Fuel Table 2 will be selected when the chosen Digital Input becomes active. The digital input chosen as the DI Channel must be setup as a General Purpose Switch.


Ignition

Ignition

Ignition

The following functions are available to control ignition.

•

Ignition Setup

•

Engine Coolant Temp (ECT) Trim

•

Intake Air Temp (IAT) Trim

•

Knock Control


Ignition Setup

Ignition Setup

Ignition Setup

The following controls relate to the ignition setup. Typically these will be set once during the inital setup procedure and left unaltered after that.

•

Ignition Mode

•

Load Axis

•

Dwell Time

•

Crank Dwell Extension

•

Maximum Advance

•

Spark Duration


Ignition Mode

Ignition Mode

Ignition Mode

The correct ignition mode must be selected which corresponds to the type of ignition system being used.

•

Off - Ignition is disabled (use for fuel only applications or diagnostics).

•

Distributor - A single coil is used with a distributor.

•

Twin Distributor - This uses two ignition coils and two distributors e.g. some Toyota/Lexus V8 engines.

•

Wasted-spark - This ignition type uses dual-post coils with each coil firing the spark plugs of two cylinders.

•

Direct Spark - Each cylinder has its own ignition coil.

•

Rotary - Leading Wasted - Rotary with one dual post coil for both leading spark plugs.

•

Rotary - Leading Direct - Rotary with a separate coil for each leading spark plug.


Load Axis

Load Axis

Load Axis

This allows the Ignition Table load axis to be selected using either Manifold Absolute Pressure (MAP), Manifold Gauge Pressure (MGP) or Throttle Position (TPS).

Manifold Absolute Pressure mode uses only the signal from the MAP sensor to calculate the current load. This signal is referenced to perfect vacuum which would give a reading of 0kPa. Atmospheric Pressure is approximately 100kPa, while 1.0Bar of Boost (14.7psi) is approximately 200kPa.

Manifold Gauge Pressure (MGP) mode uses signals from a manifold absolute pressure (MAP) sensor and a Barometric Absolute Pressure (BAP) sensor. MGP is the MAP with reference to the BAP. In this mode vacuum is represented by a negative MGP while boost is represented by a positive MGP. This mode is designed to provide compensation for changes in atmospheric pressure and altitude.

Refer HERE for more information on Absolute and Gauge Pressure.

Application Note: Engines using cams with large amounts of overlap tend to generate less manifold vacuum and have a very unsteady MAP signal especially at idle. As a result, the normal MAP and MGP modes are unable to be used to achieve an acceptable state of tune. Instead, the engine load signal can be based on the signal from a throttle position sensor (TPS). In this mode the load axis does not show units of kPa, but instead uses 0% to 100% to represent fully closed to fully open throttle.


Dwell Edge

Dwell Edge

Dwell Edge

Dwell Edge sets the edge of the ignition signal that causes the coil to start dwell time. Basically this option inverts the ignition drives.

Note: For almost all applications, this setting will be Rising. Falling is used for some Honda, Ford and MSD ignitions.


Dwell Time

Dwell Time

Dwell Time

The dwell time is the time (in milliseconds) used to charge the ignition coil(s). The ideal dwell time is highly dependent on the coil. Different coils require a dwell time of anywhere between 1.5 to 7.0ms (at normal operating voltage). If the dwell time is set too low then the ignition energy will be too low and a miss-fire may result. If the dwell time is set too high, the coil and/or igniter will get too hot and may be damaged.

Note: Using excessive dwell time will not necessarily result in more ignition energy.

To complicate matters, the dwell time must be increased when the system voltage is low in order for the coil to be charged to the same level. For this reason a dwell table exists to allow the optimum dwell time to be set for different system voltages.

Note: Information on optimum dwell times for a range of common coils are available from your Link dealer.


Crank Dwell Extension

Crank Dwell Extension

Crank Dwell Extension

On engines using basic trigger patterns (such as one tooth per TDC) the current engine position and speed is not updated particularly often during cranking. The very quick changes in engine speed during cranking can result in the ECU supplying a shorter dwell time than what is specified in the Dwell Time Table. To correct for this case, the dwell time during crank may be extended. The Crank Dwell Extension is the length of time (in milliseconds) that the dwell will be extended ABOVE the value in the dwell time table.

On engines with triggering that uses a high tooth-count, the crank dwell extension may be set low or at zero. On engines with tooth-per-TDC triggering, the crank dwell extension may be set at a conservatively high number such as 5-10ms to ensure that sufficient dwell is always present.

!!! CAUTION !!!

During the short cranking period it is unlikely that excessive dwell will generate enough heat to cause any problems. Although, most igniters have current limiting to prevent coil damage if excessive dwell is used, care should be taken as some do not. There are also a few coils (such as those found on the GM/Holden LS1) that will generate spark too early if excessive dwell is used. In these cases, using too much crank dwell extension can cause serious damage.


Maximum Advance

Maximum Advance

Maximum Advance

Maximum Advance specifies the maximum ignition advance that will ever be applied to the engine. This avoids the case where various ignition trim values and the Ignition Table value accumulate to a dangerously high advance angle. It also avoids damage occurring if an excessively high advance value is inadvertently entered in the Ignition Table.

Note: Maximum Advance does not invoke any physical engine cuts, it simply limits maximum ignition advance to the preset value.


Spark Duration

Spark Duration

Spark Duration

In most distributor applications it is not possible to maintain full dwell time at high engine speeds as there is simply not enough time between spark events. In these applications the dwell must be automatically decreased at high rpm. Of the total time between spark events there is the dwell time (where the coil is charging) and the spark time (while the spark plug is actually being fired). If dwell begins before the spark has finished then the spark is extinguished too early. Therefore there must be a minimum time to elapse before the ECU will being dwell. This value has been called the spark duration and is typically between 0.5 - 1.0ms.


Trailing Split

Trailing Split

Trailing Split

Note: This option is only visible when Engine Type is set to Rotary.

The Trailing Split function provides a means by which the spark timing of leading and wasted spark plugs can be individually adjusted.

The 3D Split Table (shared with Individual Cylinder Trim Table 8) adjusts the timing offset in eccentric shaft degrees of the trailing spark relative to the leading spark. Positive numbers cause the trailing spark to happen before (advanced) the leading spark. Negative numbers cause the trailing spark to happen after (retarded) the leading spark. It is more common to use negative numbers in this table.

The main Ignition Table sets the firing point of the leading spark in actual eccentric shaft degrees.

The 3D Split Table uses the same Load Axis as the main Ignition Table. Table Load Start specifies the value at which the first load table element is centered. Table Load Increment specifies the difference between each of the tables load elements. Table RPM Start specifies the value at which the first RPM table element is centered. Table RPM Increment specifies the RPM difference between each of the tables RPM elements.

The current Trailing Split angle can be viewed in the runtime values area of PCLink under the Ignition tab.

Setup:

If you want the trailing spark to occur AFTER the leading spark, then the Split Table should have negative (-ve) numbers. The numbers in the table will be how long after the leading spark (in degrees) you want the trailing spark to occur.

Example:

If the main ignition table has an entry of 20 at a particular RPM/Load point, the leading spark will occur at 20 degrees Before TDC. If at the same RPM/Load point the Split Table has an entry of -6, the trailing spark will occur at 14 degrees Before TDC (ie 6 degrees after the leading spark).

If the main ignition table has an entry of 17 at a particular RPM/Load point, the leading spark will occur at 17 degrees Before TDC. If at the same RPM/Load point the Split Table has an entry of 4, the trailing spark will occur at 21 degrees Before TDC (ie 4 degrees before the leading spark).


Engine Coolant Temp (ECT) Trim

Engine Coolant Temp (ECT) Trim

Engine Coolant Temp (ECT) Trim

This allows the ignition timing to be adjusted with respect to the engine coolant temperature.

Engine Temp Trim may be turned ON or OFF. If it is turned ON then a 20 zone table becomes active to allow the engine temp correction values to be edited in 10ºC increments. The value entered into each zone represents the amount of ignition advance (in degrees) to be ADDED at that particular temperature. Therefore, entering negative values will remove that amount of ignition advance at that particular temperature. Linear Interpolation is used between each zone to calculate the correction when the current temperature is between the zone centres. The green cell indicates the currently active zone.

Example: It is common to reduce ignition advance at high engine temperatures to avoid detonation. To do this, turn Engine Temp Trim ON and enter negative values in the higher temperature zones (eg above 100ºC).


Intake Air Temp (IAT) Trim

Intake Air Temp (IAT) Trim

Air Temp Trim

This allows the ignition timing to be adjusted with respect to the inlet air temperature.

The Air Temp Trim function may be turned ON or OFF. If it is turned ON then a 20 zone table becomes active to allow the air-temp correction values to be edited in 10ºC increments. The value entered into each zone represents the amount of ignition advance (in degrees) to be ADDED at that particular temperature. Therefore, entering negative values will remove that amount of ignition advance at that particular temperature. Linear Interpolation is used between each zone to calculate the correction when the current temperature is between the zone centres. The green cell indicates the currently active zone.

Example: It is common to reduce ignition advance at high engine temperatures to avoid detonation. To do this, turn Air Temp Trim ON and enter negative values in the higher temperature zones (eg above 100ºC).


Ignition Table

Ignition Table

Ignition Table

The ignition table comprises of a grid of ZONES. The x-axis (horizontal) is engine speed. The y-axis (vertical) is engine load (configured using Ignition Setup - Load Axis). Therefore, each zone represents a unique load/RPM point. Adjusting a zone in the Ignition Table changes the ignition advance/retard that occurs at a particular load/engine speed.

Note: Increasing the zone number increases the amount of advance (degrees BTDC) while decreasing it has the opposite effect. Negative numbers indicate retard.

Ignition Table Layout

The number and spacing of the zones in the Ignition Table is completely user adjustable. Rows/columns may be inserted or removed where desired by right clicking in the desired place on the labels of the RPM Axis or Load Axis (ie right click on the RPM values to insert a new RPM column). This flexibility allows fine spacing in areas where high resolution/accuracy is required and coarse spacing in less critical areas. The maximum number of RPM columns is 22, while the maximum number of Load rows is 20. When adding a new row or column, the new row/columns zone values will be interpolated between the values in the rows/columns which it was inserted between.


Knock Control

Knock Control

Knock Control

Knock Control is a feature designed for reducing engine damage caused by detonation. Detonation occurs due to sharp increases in cylinder pressure usually caused by the ignition event happening too early (too much advance), or excessive compression pressures (eg too much boost).. Other factors can cause detonation including excessive engine temperatures, low octane fuels and lean mixtures.

Detonation can cause irreparable damage to an engine, including burnt pistons and broken ring lands. In almost all cases detonation can be avoided by reducing the amount of ignition advance for a given load. The Knock Control function allows the ECU to detect detonation and automatically reduce ignition advance until detonation no longer occurs.

Timing removed by the Knock Control function remains removed until next time the ECU is shut down. For safety reasons, the ECU will not attempt to put the timing back into the engine. Timing removed will be reset when power is cycled to the ECU therefore timing changes are not permanently stored.

Warning: Knock Control should be used as a safety feature only. It is not design as a tuning aid to help determine optimum ignition timing!

Knock Mode

Knock Mode selects the operating mode of the Knock Control function. The following modes are available:

•

OFF - Knock Control is disabled. 4D Ignition mapping can be used.

•

ON - Knock Control is active. 4D Ignition mapping will be disabled.

Knock Target Table

The 2D/3D Knock Target Table will become visible when Knock Control is activated. This table sets the allowable engine noise for a given RPM/Load. Each engine will have different noise characteristics. Engine noise is generated by mechanical clearances, valve train noise and even valves closing against the seat! Knock control will reduce ignition advance when the actual measured level of engine noise is above the value in the Knock Target Table. This table must be manually filled out for a particular engine. Knock Target values can range from 0 (minimum noise) to 1020 (maximum noise). See the Knock Control setup procedure below for more info on entering values into this table.

The Load axis used for this table can be set under the Load Axis option. Set Load Axis to None to use only a 2D table. The RPM and Load centres of the tables rows and columns can be adjusted by setting the appropriate Table Start and Table Increment values.

Knock Retard Table (Ignition 4D Table)

Note: This is read only table (only the ECU can change its values).

Note: Ignition 4D Mapping and Knock Control share the same ignition trim table therefore these functions can not both be used at the same time.

The Knock Retard Table (displayed as Ign 4D Table) shows the amount of ignition retard caused by the Knock Control system. Each time the actual engine noise level exceeds the Knock Target value for that particular RPM/Load 0.5 degrees of retard will be added to a cell in this table. The Knock Retard Table can be used to determine where excessive engine noise has been detected as each cell that has its retard value changed will turn blue.

The Knock Retard Table is cleared when the ECU is turned off. Ignition changes made by the Knock Control function are NOT stored permanently. The Knock Retard Table can also be cleared by setting Knock Mode to OFF, then back to ON.

Knock Retard Limit

The Knock Retard Limit sets the maximum amount of ignition timing in degrees that will be removed (or maximum amount of ignition retard). This limit avoids the ECU removing too much timing if the value in the Knock Target Table is set too low.

Filtering

On G3 ECU's equipped with Knock Control, signal filtering is configurable. The following adjustments are available to configure knock signal filtering:

•

Freq Channel - This setting sets the sensitivity of the ECU to a particular knock signal frequency range. The following options are available:

•

LP Only - Knock input is sensitive to all frequencies below 7 kHz

•

5.5 kHz - Knock input is most sensitive to frequencies near 5.5 kHz

•

7.0 kHz - Knock input is most sensitive to frequencies near 7.0 kHz

•

9.0 kHz - Knock input is most sensitive to frequencies near 9.0 kHz

•

Gain Channel - This setting adjusts the overall gain of the knock circuitry amplifier. A higher gain number will result in larger Knock Level numbers for a particular signal input. Use this adjustment to getter a better range of Knock Level numbers. If Knock Level numbers are reaching full scale then reducing Gain Channel will bring them back into range.

The required Gain Channel and Freq Channel numbers will depend on the engine type, engine capacity, knock sensor type and knock sensor location. A Freq Channel setting of LP Only is not often used and exists for compatibility with older ECU's. As a general rule engines with a larger capacity require a lower Freq Channel setting.

Runtime Values

The following Runtime values can be observed under the Ignition Runtime Values tab to monitor the state of the Knock Control function:

•

Knock Level - The current measured engine noise level.

•

Knock Target - The current value as interpolated from the Knock Target Table.

•

Ign 4D/Knk Trim - The current value as taken from the Knock Retard Table. This shows the amount of retard caused by the Knock Control function at the current RPM/Load.

Knock Control Setup Procedure:

The following procedure is a guide to setting up Knock Control. Unfortunately the amount of engine noise measured before and during detonation varies significantly from engine to engine, with sensor type and sensor location. Experience is required to determine the best Knock Control setup.

At all times during setup, make sure that an audible knock detection device is used (such as a KnockBlock with headphones). Avoid unnecessarily causing detonation as engine damage may result!

1.

Ensure the engine is tuned to its final optimum state, particularly ignition values. Remember that Knock Control is used as a safety feature should engine operating conditions change, not to determine the final ignition values.

2.

Ensure 4D Ignition Mapping is turned OFF.

3.

Set Knock Mode to ON. This will activate the Knock Target Table and clear the Knock Retard Table (Ign 4D Table).

4.

Select the desired Load Axis. This will typically be the same load axis as used for the ignition table. Set Load Axis to OFF if only a 2D table is to be used (ie engine noise level vs RPM).

5.

Set up the Knock Target Table. The following hints may be useful:

•

Use the Knock Level Runtime Value (under the ignition runtime values tab) to monitor the current engine noise level.

•

The engine must be run at various RPM and load values to determine the engines 'non-detonating' noise characteristics.

•

The value entered in the Knock Target Table will be the amount of engine noise that must be exceeded before ignition timing is decreased. Therefore, this value should be the 'non-detonating' noise level plus some headroom. Typically the value entered in the Knock Target Table will be about 10-20% higher than the 'non-detonating' noise level.

•

Enter high Knock Target Values in areas where Knock Control is not required such as idle, cruise and free revving.

6.

Set the Ignition Retard Limit to the maximum amount of ignition timing allowed to be removed by the Knock Control function. This will typically be between 3 and 10 degrees.

7.

Perform power runs and operate the engine in all load/RPM areas where knock control is to be used. Check the values in the Knock Retard Table (Ign 4D Table). If these values are not zero (or have turned blue) then the Knock Control function became active in those areas. It is up to the tuner to decide if this was due to the occurrence of detonation or if the Knock Target Table values are too low. Remember the Knock Retard Table (Ign 4D Table) is cleared each time the ECU loses power.


Ignition Test

Ignition Test

Ignition Test

This function allows ignition wiring to be tested. Each ignition channel can be tested individually. This function will only operate when engine RPM is 0. When a particular ignition channels Ignition Test function is turned on, the ignition channel will be pulsed at 10 Hz with a pulse width (dwell time) of 5 ms.


Ignition - Advanced

Fuel - Advanced

Ignition - Advanced

The following advanced ignition functions are available. It is recommended that these functions are used only by experienced tuners.

•

Cylinder Trim - Ignition

•

Ignition Overlay Table

•

Dual Ignition Tables


Individual Cylinder Ignition Trim

Individual Cylinder Ignition Trim

Individual Cylinder Ignition Trim

Individual Cylinder Ignition Trim allows the ignition timing of each individual cylinder to be adjusted independently. If this function is turned on, a sperate ignition trim table becomes available to adjust the ignition timing for each cylinder. The units are in degrees.

Note: This feature can be used to help balance individual cylinder temperatures or correct individual timing irregularities caused by inaccurate trigger setups.


4D Ignition Table

4D Ignition Table

4D Ignition Table

Note: 4D Ignition Mapping and Knock Control share the same ignition table (Ign 4d Table) and therefore can not be used at the same time.

Under normal circumstances a 3D Ignition Table is sufficient. In this case RPM is used for one axis with load (typically represented by MAP) on another axis. The 3rd axis is the ignition advance value. This 3D mapping will be very familiar to the average tuner and a 3D surface representing the ignition timing can be easily visualised or physically displayed by selecting Surface Graph from the Runtime Displays menu, or by pressing Ctrl+F10.

In special cases 3D mapping may not be adequately flexible to cope with all operating parameters. Multi-throttle turbo charged engines typically show an example of this. With the throttle wide-open at a MAP value of 200kPa and an engine speed of 5000rpm the engine will have considerably different timing requirements than with the throttle half open and the same MAP and engine speed. In this case the 4D ignition table may be used. This second table may be spanned using throttle position on the load axis. In this particular scenario it may be desirable to span the main fuel table load axis using throttle position and the 4D table using MAP, although either method is capable of producing the desired result.

The 4D table allows a way to achieve four dimensional (4D) mapping to cater for a the most complex tuning situations. This concept is difficult to visualise and tuning in this mode will consume more time. Therefore tuning using the 4D table is recommended for advanced tuners only.

The ignition 4D table may be applied to either one of the Dual Ignition Tables or both.

Note: The 4D Ignition Table works in an identical way as the 4D Fuel Table.

The 4D table X (horizontal) and Y (vertical) axis may be selected under X Axis and Y axis. The zone boundaries may be adjusted using X Start, X Increment, Y Startand Y Increment.

Example Application

A useful application of the 4D Ignition Table is allowing ignition timing to be added on a cold engine at low throttle settings for the purpose of stabilising idle. This could be done using the following settings:

•

X Axis - ECT. Spans the horizontal axis with engine coolant temperature.

•

X Start - -40. Horizontal axis starts at -40 degrees.

•

X Increment - 10. Table horizontal axis increments in steps of 10 degrees (-40, -30, -20, -10, 0, 10 etc...).

•

Y Axis - TPS. Spans the vertical axis with throttle position.

•

Y Start - 0. Vertical axis starts at 0 % TPS.

•

Y Increment - 10. Table vertical axis increments in steps of 10 % TP (0, 10, 20, 30, 40 etc...).

Positive numbers will be entered in the top left corner of the table to increase ignition advance while the engine warms up at low throttle settings.


Dual Ignition Tables

Dual Ignition Tables

Dual Ignition Tables

Dual Ignition Tables allow the ECU to be tuned for two completely different setups and switch between which table is used at a given time.

Example: When running two different octane fuels or two different engine setups. Dual ignition tables may be used in conjunction with dual fuel and boost tables to completely cater for the different requirements of the two setups.

The default setting for Dual Ignition Table is OFF. In this case only Ignition Table 1 is visible and all fueling is calculated using this table. If Dual Ignition Table is set to Switch on Aux or Switch on DI then Ignition Table 2 becomes visible. The actual active ignition table (the ignition table that is used) is determined by the state of the selected Digital Input or Auxiliary Output.

Switching of fuel tables:

•

If Switch on Aux is selected under Dual Fuel Table then Ignition Table 2 will be selected when the chosen Auxiliary Output becomes active.

•

If Switch on DI under Dual Fuel Table then Ignition Table 2 will be selected when the chosen Digital Input becomes active.


Dual Ignition Table Mode

Dual Ignition Table Mode

Dual Ignition Table Mode

The default Ignition Table is Ignition Table 1. In this case only Ignition Table 1 is visible and all fueling is calculated using this table. If Dual Ignition Table Mode is set toSwitch on Aux or Switch on DI then Ignition Table 2 becomes visible. The actual active ignition table (the ignition table that is used) is determined by the state of the Digital Input or Auxiliary Output.

If Switch on Aux is selected then Ignition Table 2 will be selected when the chosen Auxiliary Output becomes active.

If Switch on DI is selected then Ignition Table 2 will be selected when the chosen Digital Inputbecomes active.

Dual Ignition Table Layout

The number and spacing of the zones in the Ignition Table is completely user adjustable. Rows/columns may be inserted or removed where desired by right clicking in the desired place on the labels of load/rpm rows/columns. This flexibility allows fine spacing in areas where high resolution/accuracy is required and coarse spacing in less critical areas. The maximum number of rpm columns is 22, while the maximum number of load rows is 20. When adding a new row or column, the new row/columns zone values will be interpolated between the values in the rows/columns which it was inserted between.


Dual Ignition Aux

Dual Ignition Aux

Aux Channel

If Switch on Aux is selected then Ignition Table 2 will be selected when the chosen Auxiliary Output becomes active. The Auxiliary Output chosen as the Aux Channel must be setup as a General Purpose Output.


Dual Ignition DI

Dual Ignition DI

DI Channel

If Switch on DI is selected then Ignition Table 2 will be selected when the chosen Digital Input becomes active. The digital input chosen as the DI Channel must be setup as a General Purpose Switch.


Limits

Limits

Limits

The following conditions will invoke limits:

•

RPM Limit - Prevents engine RPM increasing beyond a specified value.

•

MAP Limit - Prevents manifold pressure from exceeding a specified value.

•

Vehicle Speed Limit - Prevents vehicle speed from exceeding a specified value.

•

System Voltage Limit - Shuts down the ECU if system voltage exceeds a specified value.


RPM Limit

RPM Limit

RPM Limit

This function limits the engine speed (RPM) to a safe level. The limiting is performed by interrupting fuel injection and ignition events. Note that it is still possible to exceed the rpm limit during down shifts or deceleration.

Both a soft and hard limit can be used. The soft limit is designed to reduce power to smooth the transition to the hard limit. This is achieved by cutting alternating ignition events. If the hard limit is reached the engine output will stop entirely as the ECU will cut all fuel and ignition events. The soft and hard limits will remain active until the engine speeds falls below the set rpm points. The type of limit that will occur can be altered by changing the RPM Limit Mode, however it is recommended that the soft and hard option is used. If a soft or hard limit is used by itself then that type of limiting will occur at the specified RPM. However, if both types of limiting are used the soft limit will occur as the specified RPM. The soft limit will occur at the specified RPM and the hard limit will occur a Hard Limit Addition RPM later.

The actual RPM Limit can be defined over a wide range of engine coolant temperatures. This has been done primarily as a safety feature. It allows a lower RPM Limit to be used when the engine is still warming up as well as a 'limp-mode' RPM Limit to be used if the engine temperature exceeds the normal operating range.

Example: Assume:

•

The engine temperature is 80 degrees C and the RPM Limit is set to 6000 RPM at this temperature in the RPM Limit table.

•

The RPM Limit Mode is set to Soft & Hard Cut.

•

Hard Limit Addition is set to 300 RPM.

In this case, the engine will be soft limited at 6000 RPM, then hard limited at 6300 RPM, while the temperature is 80 degrees C.


MAP Limit

MAP Limit

MAP Limit

This function limits the Manifold Absolute Pressure. This is intended to stop the boost pressure exceeding a safe level on turbo charged/supercharged engines. Under normal conditions with a correctly operating boost control system the MAP Limit should never be reached.

The limiting is performed by interrupting fuel injection and ignition events.

Both a soft and hard limit exist. The soft limit is designed to reduce power to smooth the transition to the hard limit. This is achieved by cutting alternating ignition events. If the hard limit is reached the engine output will stop entirely. This is because the ECU will cut all fuel and ignition events. The type of limit that will occur can be altered by changing the MAP Limit Mode, however it is recommended that the soft and hard option is used. If a soft or hard limit is used by itself then that type of limiting will occur at the specified RPM. However, if both types of limiting are used the soft limit will occur as the specified MAP. The soft limit will occur at the specified MAP and the hard limit will occur at the soft limit MAP plus the Hard Limit Addition. The soft and hard limits will remain active until the MAP falls below the set MAP Limit points.

The actual MAP Limit can be defined over a wide range of engine coolant temperatures. This has been done primarily as a safety feature. It allows a lower MAP Limit to be used when the engine is still warming up as well as a 'limp-mode' MAP Limit to be used if the engine temperature exceeds the normal operating range.

Example: Assume:

•

The engine temperature is 80 degrees C and the MAP Limit is set to 200 kPa at this temperature in the MAP Limit table.

•

The MAP Limit Mode is set to Soft & Hard Cut.

•

Hard Limit Addition is set to 10 kPa.

In this case, the engine will be soft limited at 200 kPa, then hard limited at 210 kPa, while the temperature is 80 degrees C.


Vehicle Speed Limit

Vehicle Speed Limit

Vehicle Speed Limit

This limit is designed to set the maximum vehicle speed. If the vehicle speed limit is reached the ECU will cut ignition events to reduce power. A vehicle speed sensor must be installed and correctly wired to a Digital Input for this function to work.

As multiple speed sensors may be used, the speed signal used for invoking the Vehicle Speed Limit must be set in DI Speed Channel.

A soft ignition cut is used when vehicle speed exceeds the Vehicle Speed Limit.


System Voltage Limit

System Voltage Limit

System Voltage Limit

This is designed to protect the Link ECU and other electronics in the event of a faulty charging system or incorrect jump starting. If the system voltage exceeds the shutdown voltage, the ECU will stall the engine.


Auxiliary Outputs

Auxiliary Outputs

Auxiliary Outputs

ECU's based on the G2 platform may have up to 16 Auxiliary Outputs depending on the ECU type. Aux1-16 may be used to switch solenoids, relays or lights. Examples include the fuel pump relay, engine fan relay and shift lights. In addition Auxiliary Outputs 1-8 may be used to perform functions requiring Pulse Width Modulation (PWM). Examples include electronic boost control, idle speed control (using a solenoid) and a tachometer output.

Set up: The first step in setting up the auxiliary outputs is to select the Function that each Auxiliary Output has been wired for.

Example: If Aux1 has been wired to the fuel pump relay then the Aux1 Function must be selected as Fuel Pump. To do this double click on Auxiliary Outputs in the tree in the top left hand corner of PCLink. This will open the tree to view each Aux. Click once on Aux1. The information relating to Aux1 will appear in the panel to the right of the tree. Select Fuel Pump from the Function drop down menu.

The following functions are available for Auxiliary Outputs:

•

Test

•

Test PWM

•

General Purpose Output

•

Fuel Pump

•

Tacho

•

Boost Solenoid

•

Engine Fan

•

ISC Solenoid

•

ISC Solenoid Slave

•

IC Spray

•

Air Con. Clutch

•

Air Con. Fan

•

Fuel Pump Speed

•

Purge

•

Check Engine Light

•

VVT Solenoid

•

ECU Hold Power

Note: Some functions may only be available on certain Aux Outputs (eg VVT Control). Certain functions allow only one Aux Output to be configured as that function (eg Tacho).

Click HERE to return to G2/G3 tuning functions


Fuel Pump

Fuel Pump

Fuel Pump Auxiliary Output

When the key is turned on and the ECU powers up, the fuel pump will run for a short period of time allowing the fuel pressure to reach its correct value and also circulate fuel in the system. The Prime Time is the length of time that the pump runs for after 'key on'. The fuel pump will run continuously as soon as trigger pulses are received to indicate that the engine is being started or running. The fuel pump will turn off as soon as the engine stops.

Click HERE to return to the Auxiliary Output Page


Prime Time

Prime Time

Prime Time

The Prime Time is the length of time that the pump runs for after 'key on'. The default value is 3 seconds.


Tacho

Tacho

Tacho Auxiliary Output

This function provides a 0-12V pulsed output to drive a low-level tachometer from an auxiliary output pin. There will be one output pulse for each spark plug firing, therefore the frequency of the pulses is determined by the engine speed. The tacho duty cycle is adjustable to cater for the requirements of different tachometers.

Note: This tacho drive will NOT trigger high-level tachometers which are designed to be run directly from a coil's negative terminal.

Click HERE to return to the Auxiliary Output Page


Tacho Duty Cycle

Tacho Duty Cycle

Tacho Duty Cycle

Tacho Duty Cycle determines the percentage of time that the tacho output will be driven high (to 12 volts). Therefore a higher duty cycle will give longer pulses than a lower one. There will be one output pulse for each spark plug firing, therefore the frequency of the pulses is determined by engine speed. Adjustment of this value may be required to get some tachometers to operate correctly.


Tacho Multiplier

Tacho Multiplier

Tacho Multiplier

Tacho Multiplier determines the output frequency of the tacho auxiliary output in relation to engine speed. Normally this value is set to 1.0, resulting in one tacho pulse per ignition event.

Tacho Multiplier can be used to calibrate tachometers that do not read correctly or when a tacho is used on an engine with a different number of cylinders from which it was originally designed for.


Boost Solenoid

Boost Solenoid

Boost Solenoid Auxiliary Output

This option should be selected on the Auxiliary Output drive that is connected to the electronic boost control solenoid. Once this function has been selected the Boost Control heading will become visible.

The duty cycle (the percentage of time that the solenoid is switched on) applied to the boost solenoid will vary depending on the desired boost level (Set under the Boost Control function). However the Frequency is a value that once set will remain fixed.

Note: The recommended frequency to be used for boost control is 20 Hz. Higher frequencies than this can cause unpredictable boost control solenoid operation.

Click HERE to return to the Auxiliary Output Page


Boost Solenoid Frequency

Boost Solenoid Frequency

Boost Solenoid Frequency

Boost Solenoid Frequency determines how many times per second the boost control solenoid will be switched on and off. The duty cycle (the percentage of time that the solenoid is on) applied to the boost solenoid will vary depending on the desired boost level. However, the frequency is a value that once set will remain fixed.

Note: The recommended frequency to be used for boost control is 15 to 20 Hz.


Engine Fan

Engine Fan

Engine Fan Auxiliary Output

This function allows for control of the engine cooling fan using an Auxiliary Output to switch the fan relay. Switch On Temp and Switch Off Hysteresis are the two adjustable values to control this function.

Click HERE to return to the Auxiliary Output Page


Fan On

Fan On

Switch On Temp

When the engine coolant temperature exceeds this value, the function will turn on to activate the cooling fans.


Fan Hysteresis

Fan Hysteresis

Switch Off Hysteresis

Hysteresis is the difference between the switch on and switch off temperature. It is required to eliminate short fan cycles.

Example: If the fans switch on at 95 degrees and the Switch Off Hysteresis is 5 degrees, then the fans will not switch off until the engine coolant temperature falls below 90 degrees.


Air Con. Clutch

Air Con. Clutch

Air Conditioning Clutch Auxiliary Output

This function is used to engage the clutch to drives the air conditioning compressor. AirCon Clutch Release, AirCon Switch Off Value and AirCon Clutch Delay are the three adjustments that can be made.

Click HERE to return to the Auxiliary Output Page


AirCon Clutch Release

AirCon Clutch Release

AirCon Clutch Release

When maximum power is required the Air Conditioning compressor may be turned off to reduce load on the engine. The parameter that is used to trigger the switching off of the Air Conditioning compressor may be set by the tuner and adjusted via the Sw OFF Value.

Example: If TPS has been selected and the Switch Off Value is set to 80, then the air conditioning will be disabled when the throttle position is greater than 80%.


AirCon Switch Off Value

AirCon Switch Off Value

AirCon Switch Off Value

This is the threshold at which the Air Conditioning will be turned off. The best value will be highly dependent on which AirCon Clutch Release Mode has been selected.

Example: If TPS has been selected and the switch off value is set to 80, then the air conditioning will be disabled when the throttle position is greater than 80%.


AirCon Clutch Delay

AirCon Clutch Delay

AirCon Clutch Delay

This function provides a delay between the time the ECU receives an Air Conditioning Request and the clutch being engaged. This delay allows time for the ECU to increase the amount of air bled into the engine via the idle speed control system to maintain a consistent idle.

Click HERE for information on configuring a Digital Input as an Air Conditioning Request input.


Test

Test

Auxiliary Output Test

This function activates the auxiliary output to test wiring of output devices. Note that this may also activate any other features such as Dual Fuel Tables that are set to switch on that Auxiliary Output channel.

The Polarity option sets whether the drive pin is low (0V) when the Auxiliary output is on (recommended) or high (12V). Note that most auxiliary output drives can sink significantly more current when they drive low.

Click HERE to return to the Auxiliary Output Page


Speedo Out

Speedo Out

Speedometer Output

The speedometer output generates an output frequency based on the input frequency of a Digital Input and is suitable for calibration of digital speedometers.

A Digital Input must be wired to a frequency generating device such as a digital tachometer transducer. That digital input must be configured for frequency.

The relationship of the output frequency to input frequency can be altered using the Multiplier and Offset adjustments. Adjustments work as follows:

•

Multi - The ratio of output frequency to input frequency.

•

If set to 1.0 the output frequency will be the same as the input frequency.

•

If set to 2.0 the output frequency will be twice that of the input frequency.

•

If set to 0.5 the output frequency will be half that of the input frequency.

•

Offset - Added to the output frequency over the entire frequency range.

•

Source DI - The Digital Input channel used as the frequency input.

Example Setup

In this example we will assume that a vehicle is equipped with a digital speedometer and hall effect speed transducer. For some reason (maybe a trans change or wheel size change) the speedo calibration is no longer correct. The speedometer reads 80 kph when the vehicle is travelling at 100 kph. To correct this situation the following must be performed:

1.

Break the wire from the transducer to the speedo. Connect the transducer to a Digital Input (eg DI 3).

2.

Configure DI3 as Frequency. As it is a Hall Effect transducer it will be necessary to turn on the pullup resister.

3.

Wire an auxiliary output to the speedo (eg Aux 3).

4.

Configure Aux 3 as Speedo Out.

5.

Set the Source DI to 3.

6.

As we want the speedo to read higher we need to set the multiplier to a number greater than 1.0. In this case the correct Multiplier will be 80/125 = 1.25.

7.

If the speedo has a constant offset, say always reads 3 kph low then Offset can be used to correct this.


General Purpose Output

General Purpose Output

General Purpose Auxiliary Output

General-purpose outputs may be setup to switch on relays, solenoids or lights when particular conditions are met. The conditions required for the output to switch on/off are user definable with an almost endless range of different possibilities available (limited only by the tuners creativity). Once the setup method of these outputs is understood, new functions may be setup easily.

Up to three conditions may be used to define when a General Purpose Output switches on/off. If more than one condition is being used then the conditions may be combined using AND or OR combinations. Some examples are given below.

Switching Condition Terms:

•

AND - ALL conditions must be true before switching will occur.

•

OR - Switching will occur if ANY of the conditions becomes true.

•

> - Greater than.

•

< - Less than.

Switch Off Timer

The Sw Off Timer creates a delay in the switching off of the output. This effect is similar to adding hysteresis as it helps eliminate any rapid on-off-on switching.

Polarity

Polarity sets an Auxiliary Outputs on voltage level.

•

When polarity is set to Low, an auxiliary output will drive its pin to ground when the auxiliary output is ON.

•

When polarity is set to High, an auxiliary output will drive its pin to ground when the auxiliary output is OFF.

Example: Switching a VTEC solenoid

Suppose in this case the solenoid should be switched on at 4500 RPM. To do this only a single condition is required, that being "RPM greater than 4500". To implement this the following setup may be used:

Switch Logic = Cond 1 ONLY

SW Cond 1 = RPM > Value1

Sw Value1 = 3

Example: NOS Control

This example is for demonstrative purposes only and is not a recommended method of NOS control.

Suppose you wanted to disable NOS in first and second gears to reduce wheel spin. To do this only a single condition is required, that being "Gear is greater than 2". To implement this, the following setup may be used:

Switch Logic = Cond 1 ONLY

SW Cond 1 = Gear > Value1

Sw Value1 = 2

To further this example, suppose you also only wanted NOS to be active when boost is being produced. To do this you want the auxiliary output to switch on when "Gear is greater than 2" AND "MAP is greater than 100 kPa". To implement this the following setup may be used:

Switch Logic = Cond 1 AND 2

SW Cond1 = Gear > Value1

Sw Value1 = 2

SW Cond2 = MAP > Value2

Sw Value2 = 100

To further extend this example, suppose you also wanted an override switch that could make the NOS active all the time. You have wired a switch to Digital Input 5 and set it up as a General Purpose input. To do this you would want the auxiliary output to switch on when ("Gear is greater than than 2" AND "MAP is greater than 100 kPa") OR ("Digital Input 5 is On). To implement this the following setup may be used:

Switch Logic = Cond (1 AND 2) OR 3

SW Cond1 = Gear > Value 1

Sw Value1 = 2

SW Cond2 = MAP > Value2

Sw Value2 = 100

SW Cond3 = Digital Input

Sw Value3 = 5

Example: Switching a Variable Cam Timing solenoid

Suppose in this case the solenoid should be on above 4000 RPM but turn off again at 6500 RPM. To do this "RPM must be greater than 4000" AND "RPM must be less than 6500".

Switch Logic = Cond 1 AND 2

SW Cond1 = RPM > Value1

Sw Value1 = 4000

SW Cond2 = RPM < Value2

Sw Value2 = 6500

Example: Switching a water injection solenoid

Suppose in this case the user wants to switch a water injection solenoid constantly on (without using PWM), but only if the engine is making over 1Bar of boost (MAP above 200kPa) AND the inlet air temperature is above 70degC. The user also wants an override switch (using DI-4 which is setup as a general purpose switch) which forces the solenoid to turn on. So the output should switch when; ( "MAP is greater than 200 kPa" AND "Inlet Temp is less than 70 degC" ) OR "Digital input 4 is on".

Switch Logic = Cond (1 AND 2) OR 3

SW Cond1 = MAP > Value1

Sw Value1 = 200

SW Cond2 = Inlet Temp > Value2

Sw Value2 = 70

SW Cond3 = Digital Input

Sw Value3 = 4

Example: Disabling NOS in third gear only

Suppose that you have a weak third gear and want to disable NOS only in that gear. You also have a NOS switch connected to Digital Input 5 (and Digital Input 1 is correctly configured as GP Input). In this case you want the Auxiliary Output to turn on when (Digital Input 5 is ON AND (Gear Position is Less Than Three OR Gear Position is Greater Than Three)).

Switch Logic = Cond (1 OR 2) AND 3

Sw Cond 1 = Gear < Value 1

Sw Value 1 = 3

Sw Cond 2 = Gear > Value 2

Sw Value 2 = 3

Sw Cond 3 = DI (Value) = ON

Sw Cond 3 = 5

Click HERE to return to the Auxiliary Output Page


Test PWM

Test PWM

Auxiliary Output PWM Test Auxiliary Output

This function Pulse Width Modulates the auxiliary output to test wiring of output devices. Frequency sets the actual PWM frequency. The Auxiliary Output is Pulse Width Modulated at 50% duty cycle.

Click HERE to return to the Auxiliary Output Page


GP PWM

GP PWM

General Purpose PWM Auxiliary Output

This function Pulse Width Modulates the auxiliary output based on duty cycles entered into a 3D table. This function is used for generic control of solenoids. Typical applications include nitrous injection and water injection.

GP PWM outputs will pulse width modulate (PWM) an auxiliary output pin at a given frequency. The output duty cycle will be taken from a 3D table when all the on conditions specified are met. The output will continue to PWM for a given time period after conditions cease to be met. When conditions are not met, the output will be 0% duty cycle.

Again, to summarise, the auxiliary output will:

•

Be 0% until on conditions are met.

•

On conditions operate the same as for a GP Auxiliary Output. Adjustments are Sw Cond 1, Sw Cond 2, Sw Cond 3, Sw Value 1, Sw Value 2, Sw Value 3 and Switch Logic.

•

PWM when switch conditions are met.

•

Duty cycle is taken from auxiliary outputs 3D table. Duty Cycle can range from 0 to 100%.

•

Frequency sets the PWM Frequency.

•

Load Axis - Sets the tables load (vertical) axis parameter.

•

Table Load Start and Table Load Increment set the tables load axis span.

•

Table RPM Start and Table RPM Increment set the tables RPM (horizontal) axis span.

•

PWM for a period of time after on conditions are not met.

•

Sw Off Timer sets the time in seconds that the output will continue to PWM for after the on conditions are no longer met.

Note: The active (green) cell will go to the top left table position when on conditions are not met. This is to indicate that the GP PWM output is not working.

Note: Auxiliary outputs are active low. That means they are on when grounding a signal. So 10% duty cycle will result in the output pin being at ground 10% of the time.

The current duty cycle of a particular GP PWM output can be found under the Auxiliary Outputs runtime values labelled Aux x PWM DC.

Click HERE to return to the Auxiliary Output Page


ISC Solenoid

ISC Solenoid

ISC Solenoid Auxiliary Output

This option should be selected on the Auxiliary Output drive required to control the OPEN winding of an Idle Speed Control (ISC) SOLENOID. Once this function has been selected the 'Idle Speed Control' heading will become visible.

The duty cycle applied to the idle speed solenoid will vary depending on the desired idle speed level. However the frequency is a value that once set will remain fixed.

Note: The recommended frequency to be used for idle speed control is 200Hz.

Note: Some Link ECU's require a hardware modification for ISC drives. Consult your nearest Link Dealer for more advice.

ISC Solenoid Slave Auxiliary Output

Note: This function is used for three terminal ISC solenoids only.

This option should be selected on the Auxiliary Output drive required to control a three terminal Idle Speed Control (ISC) solenoids CLOSE winding.

Another Auxiliary Output should be wired to the three terminal ISC solenoids OPEN winding and configured as ISC Solenoid (as described above).

Click HERE to return to the Auxiliary Output Page


IC Spray

IC Spray

Inter-Cooler (IC) Spray Auxiliary Output

This function allows for control of a solenoid or pump to spray water onto an air/air intercooler for more efficient cooling of the intake air.

Spray Duty Cycle controls how much water is delivered once the IC Spray function is activated. 100% means the pump will run continuously. 50% means that the pump will cycle with equal on and off times.

Spray Period is the length of time taken for one complete on/off cycle.

IC Spray Mode has an effect on water consumption over a long period of time. When the switching conditions are no longer met and the Sw Off Timer period has elapsed the IC Spray drive will turn off. There is a strong chance that the system will be part way though a cycle when it switches off. The Resume option means that when the switch conditions are met, the system will continue from the same position in the cycle. This means that the pump may actually be off or about to turn off even though the function has been activated. In contrast, the Reset option will automatically start spraying from the beginning of the cycle as soon as the function has been activated.

Switching Function determines what variable causes the intercooler spray cycle to become active. The ON Value and OFF Value determine the actual value at which to switch on/off the intercooler spray cycle.

Click HERE to return to the Auxiliary Output Page


Air Con. Fan

Air Con. Fan

Air Conditioning Fan Auxiliary Output

This function is used to engage the fan that cools the air conditioning condenser. The fan will run whenever the following conditions are met:

•

The Air Conditioning Request Digital Input is ON and the engine speed is below 2000rpm.

•

The Engine Coolant Temperature is above the Switch On Temperature.

Click HERE for information on configuring a Digital Input as an Air Conditioning Request input.

Switch On Temperature

The switch on temperature can be used to override the normal Air Con. fan operation. When the engine coolant temperature is below the Switch On Temperature, the Air Con fan will run when the Air Conditioning Request Digital Input is ON and the engine speed is below 2000rpm. When engine coolant temperature is above the Switch On Temperature the air con fan will run continuously. This allows the fan to assist in engine cooling. Note that this function operates independently of the normal Engine Fan.

Switch Off Hysteresis

Switch Off Hysteresis is used to avoid the Air Con. Fan cycling on and off around the Switch On Temperature. The Air Con. Fan will switch on at the Switch On Temperature and switch off at the Switch Off Hysteresis number of degrees below the Switch On Temperature.

Example: If the following numbers are used:

•

Switch On Temperature = 96

•

Switch Off Hysteresis = 3

The Air Con. Fan will switch on at 96 degrees and off at 93 degrees.

Polarity

Polarity sets an Auxiliary Outputs on voltage level.

•

When polarity is set to Low, an auxiliary output will drive its pin to ground when the auxiliary output is ON.

•

When polarity is set to High, an auxiliary output will drive its pin to ground when the auxiliary output is OFF.

Click HERE to return to the Auxiliary Output Page


Fuel Pump Speed

Fuel Pump Speed

Fuel Pump Speed Auxiliary Output

Many factory cars use a variable speed fuel pump control system. Typically this simply consists of a series resistor which can be shorted out of the circuit (to engage high speed mode) using a relay but in some cases it consists of a variable frequency/duty cycle controller that allows a continuously variable fuel pump speed. The use of such a system enables the fuel pump to be run at low speed when high fuel flow is not required. While this helps prolong fuel pump life, reduce fuel pump noise at low loads and reduce fuel heating due to excessive circulation, the biggest advantage is that the fuel pressure regulator does not become overwhelmed at low load.

Polarity sets whether the auxiliary output goes high (ie 12V) or low (ie ground) when the drive becomes active.

Control Method sets the type of fuel pump speed control required. Some of these options are tailored to specific vehicles fuel pump controllers, while some are generic. The following options are available:

•

Single XOver - Single crossover. This is a generic two speed controller. The cross over point between low and high speed may be set at the desired injector duty cycle under FP Speed XOver.

•

Subaru V7-9 - Subaru WRX/STI version 7-9 fuel pump controller. FP Low -> Med sets the injector duty cycle at which the fuel pump will change from low to medium speed. FP Med -> High sets the injector duty cycle at which the fuel pump will change from medium to high speed.

•

Nissan GTR - Nissan Skyline GTR fuel pump controller. There are no adjustments for this option.

This function uses a fixed 2% of injector duty cycle for hysteresis. This means that if the cross over point is set at 25% then the injector duty cycle must go above 25% for the pump to go into high speed mode and fall below 23% for the pump to go into low speed mode.

Click HERE to return to the Auxiliary Output Page


Purge

Purge

Purge Auxiliary Output

Many factory cars have a charcoal canister which stores the fuel vapour coming from the fuel tank. A purge solenoid allows the charcoal canister contents to be vented into the engine during light load. There are no adjustments to make. The purge function will turn on the purge solenoid when the following three conditions are met:

1.

Engine Coolant Temp is greater than 50 degrees C.

2.

MAP is less than 90kPa.

3.

Engine Speed is greater than 1800 RPM .

Therefore the engine must be warmed up and operating in vacuum, but not at idle.

Click HERE to return to the Auxiliary Output Page


Check Engine Light

Check Engine Light

Check Engine Light Auxiliary Output

This auxiliary output is used to control the factory dash board or an after market check engine light.

Click HERE to return to the Auxiliary Output Page


VVT Solenoid

VVT Solenoid

VVT Control Auxiliary Output Setup

In order to vary cam advance/retard, the VVT control solenoid must be driven by the ECU. All VVT Control Auxiliary Outputs drive the solenoids ground. The other side of the solenoid must be wired to an ignition switched supply (NOT hot fed).

Warning: Cam control is an advanced feature. This should only be set-up and operated by experienced tuners. Failure to correctly set up cam control can result in the cam timing operating unpredictably and possibly result in engine damage. DO NOT adjust anything you are not completely sure of !

Only Auxiliary Outputs 1 to 4 can be used as VVT Solenoid Auxiliary Outputs. Although Auxiliary Outputs can be wired to any VVT solenoid, the following convention should be used to conform with other Link wiring diagrams and base configurations:

•

Inlet / Inlet LH - Auxiliary Output 1

•

Inlet RH - Auxiliary Output 2

•

Exhaust / Exhaust LH - Auxiliary Output 3

•

Exhaust RH - Auxiliary Output 4

After wiring a VVT Solenoid sensor to an Auxiliary Output, that output should be configured as VVT Solenoid then the following options setup:

•

Cam Type - This value is used in determining which VVT Solenoid will be used for a particular cam control channel. Even though these are listed as exact cam locations (eg LH Inlet), they are just descriptions that are used to associate inputs, outputs and control settings throughout PCLink. Select the description that matches the one you gave the cam position Digital Input. This description will be used when you select an auxiliary output as cam control to tell the ECU that this is the position input you want to use for that output. It will also be used to associate a VVT Control Algorithm with that cam channel.

•

Frequency - The Frequency at which the solenoid will operate. Typically between 250 and 300Hz.

•

Target Table - The table that will be used to set cam position for the selected cam channel. Note that you can assign the same table to more than one VVT Control channel. Eg. Use the same table for both LH Inlet and RH Inlet cams.

•

Load Axis - Determines the Load Axis that will be used for the VVT Control position table. Typically TPS is used.

•

Table Load Start, Table Load Increments, Table RPM Start, Table RPM Increments - Configures the load and RPM sites in the VVT Control Table.

After VVT Control Auxiliary Outputs are configured, refer to:

•

VVT Control Digital Input Setup

•

Tuning VVT Control

Click HERE to return to the Auxiliary Output Page


Auxiliary Output Tables

Auxiliary Output Tables

Auxiliary Output Tables

When auxiliary outputs are configured for features that require a table, an auxiliary output table will become visible. For example, when an auxiliary output is set to VVT Control, an auxiliary output table must be chosen for target cam angle.

Important: The values displayed in the table will be dependent on the function this table has been assigned. So if VVT Control has been assigned, the numbers will be degrees, if GP PWM has been defined, the numbers will be % duty cycle etc...

Click HERE to return to the Auxiliary Output Page


Auxiliary Outputs on Ignition and Injection Channels

Auxiliary Outputs on Ignition and Injection Channels

Auxiliary Output on Ignition and Injection Channels

On G3 based ECU's, unused injection and ignition outputs can be configured as auxiliary outputs. This extends the output capabilities of the ECU. These outputs operate identically to normal auxiliary outputs once configured.

Note: Ignition and Injection Channels that have been assigned ignition and fuel injection functions (this is done automatically when setting the Injection Mode and Ignition Mode) will be overridden by the ECU. Therefore any assignment of an auxiliary output function to these channels will be ignored. Any of these channels used for ignition or injection functions should have their Function set to Ignition or Injection. This will not force these channels to be ignition or injection channels but rather act as a place holder to help prevent someone trying to configure them as another type of output (which the ECU wont let them do anyway).

For more information on setting up these channels as Auxiliary Outputs, click HERE.

Click HERE to return to the Auxiliary Output Page


ECU Hold Power

ECU Hold Power

ECU Hold Power Auxiliary Output

ECU Hold Power provides a means by which the ECU can be made to control its own main power relay. This allows the ECU to switch off at any time after key off. This is useful for returning ISC control stepper motor to its home position before the next startup and for keeping the ECU powered between hot restarts that occur within less than about a minute apart (prevents pre-start fueling being added). This system is used by many factory ECU's. The following is required in order to use the ECU Hold Power function:

•

A Digital Input must be wired and configured as Ignition Switch. This is required to allow the ECU to detect when the driver has turned the key off and shut the engine down.

•

The ECU must be wired to allow it to control its own power. Refer to the ECU's Wiring an Installation manual for further details.

•

An Auxiliary Output must be wired to control the main relay and configured as ECU Hold Power.

Click HERE to return to the Auxiliary Output Page


Digital Inputs

Digital Inputs

Digital Inputs

ECU's based on the G2 platform may have UP TO 12 Digital Inputs (DI) depending on the ECU Type. Digital Inputs 1-4 may be used as high frequency digital inputs to accept signals like vehicle speed and wheel speed. In addition Digital Inputs 5-12 may be connected to switches and configured as General Purpose Inputs to activate a range of functions like, high/low boost, anti-lag, IC Spray, General Purpose Outputs, Dual fuel/ignition tables, etc...

Set up: The first step in setting up the digital inputs is to select the Function that each Digital Input has been wired for.

Example: If DI1 has been wired to the vehicle speed sensor then the DI1 Function must be selected as vehicle speed. To do this double click on Digital Inputs in the tree in top left hand corner of PCLink. This will open the tree to view each Digital Input. Click once on DI1. The information relating to DI1 will appear. Select Vehicle Speed from the Function drop down menu.

The following Digital Input functions are available:

•

General Purpose Input - Used for general switching inputs such as dashboard mounted switches. Anti-lag, Flat Shifting and Launch/Traction Control Digital Inputs use this option. Note that only DI1 to DI8 can do edged detection (used for Clutch switch).

•

Vehicle Speed Sensor - (DI1 to DI8 only) Hall and reluctor vehicle speed signals

•

AC Request - Air Conditioning request signal

•

Water Spray - Intercooler water spray switch

•

Anti-theft - Anti theft (ignition disable) input

•

Neutral/Park - Neutral/park switch input

•

Power Steer - Power steer load sense switch

•

Throttle Closed - Throttle closed switch or idle switch

•

Frequency - (DI1 to DI8 only) Frequency measurement

•

Start Position - Ignition switch start position (used for Pre-Crank Prime)

•

Cam Position - (DI1 to DI4 only) VVT Cam position

•

RPM Limit Switch - Switch to invoke RPM Limit

•

Ignition Switch - Ignition Switch On signal (used for ECU Hold Power function)

Most Digital Inputs have the following functions in common:

•

Pull-Up - Turns the digital inputs active Pull-Up Resistor ON and OFF.

•

On Level - Determines if the ECU will recognise a low voltage (ie 0V) as the digital input being ON or a high voltage (ie 12V).

•

Active Edge - Some digital inputs detect a change in the signal level. Rising detects a change on the digital input from low (0V) to high (12V). Falling detects a change on the digital input from high (12V) to low (0V).


GP Input

GP Input

General Purpose Digital Input

Any of the Digital Inputs may be configured as a general purpose digital input. By connecting a switch (toggle, push button, output from another electronic control unit, etc...) to a digital input, General Purpose Digital Inputs may be used to activate a large range of functions. This range of applications are almost endless as General Purpose Inputs may be used in the control of General Purpose Outputs. General Purpose Inputs may also be used to switch dual fuel/ignition/boost maps, IC Spray, anti-lag, launch control, flat shifting, etc.

To set up a Digital Input as General Purpose Input, the following options must be configured:

•

Active Edge - Some functions (eg Flat Shifting) use a CHANGE in the digital inputs signal level. This is referred to as 'Edge Triggered'. Active edge determines how the signal must change.

•

Rising - The Digital Input must go from a low to a high voltage to be recognised.

•

Falling - The Digital Input must go from a high to low voltage to be recognised.

•

On Level - Most functions require the digital input to either be at either a high voltage or low voltage. This is referred to as 'Level Sensitive'. This function determines whether the ECU recognises a high voltage as the digital input being turned on or a low voltage.

•

High - A high voltage (ie 12V) on the digital input pin will register the Digital Input as being ON (A low voltage (ie 0V) will register as OFF).

•

Low - A low voltage (ie 0V) on the digital input pin will register the Digital Input as being ON (A high voltage (ie 12V) will register as OFF).

Note: Once properly setup, the correct operation of the digital input may be checked by going to the digital inputs tab of the Runtime Status section (bottom right hand corner of PCLink). The Digital Input should turn on and off as expected when the switch is operated.


Anti-theft

Anti-theft

Anti-Theft Digital Input

When this digital input is activated both fuel and ignition will be disabled. This input can be wired to the vehicles security system to prevent the engine starting while the alarm is armed.

Note: Once properly setup, the correct operation of the digital input may be checked by going to the digital inputs tab of the Runtime Status section (bottom right hand corner of PCLink). The Digital Input should display on and off as expected when it is operated.


Neutral/Park

Neutral/Park

Neutral/Park Digital Input

This digital input is used to detect when Neutral or Park is selected in an automatic transmission. When this condition is not sensed it is assumed that the transmission in in one of the drive positions. This allows fuel and idle speed adjustments to be made for the increased load applied to the engine.

See also Drive Fuel Trim and Idle Up Adjustments.

Note: Once properly setup, the correct operation of the digital input may be checked by going to the digital inputs tab of the Runtime Status section (bottom right hand corner of PCLink). The Digital Input should display on and off as expected when it is operated.


Power Steer

Power Steer

Power Steer Digital Input

On cars using power steering this input is used to detect the movement of the steering wheel. This allows adjustments to be made to the fuel and idle speed control to compensate for the increased load on the engine while turning. Steering load is sensed by a pressure switch on the power steer pump. Correct operation of this function can be observed by viewing the Digital Input Runtime Status values.

Refer Idle Up Adjustment.

Note: Once properly setup, the correct operation of the digital input may be checked by going to the digital inputs tab of the Runtime Status section (bottom right hand corner of PCLink). The Digital Input should display on and off as expected when it is operated.


AC Request

AC Request

AC Request Digital Input

This function should be selected on the digital input connected to the air conditioning request signal. The request signal may come from the Air Conditioning 'On' button or from the vehicle cooling system control unit.

Once properly setup, the correct operation of the digital input may be checked by going to the digital inputs tab of the Runtime Status section (bottom right hand corner of PCLink). The Digital Input should turn on and off when the Air Conditioning system is operated.

Note: Once properly setup, the correct operation of the digital input may be checked by going to the digital inputs tab of the Runtime Status section (bottom right hand corner of PCLink). The Digital Input should display on and off as expected when it is operated.


Speed

Speed

Speed Digital Input

A Digital Input may be connected to an electronic vehicle speed sensor (typically located near the output of the gearbox, or as an output from the vehicle dash board) to enable vehicle speed to be calculated. Vehicle speed may be used to control functions such as speed limits. Vehicle speed may also be used in conjunction with engine speed to calculate the currently selected gear for functions such as boost control by gear. Speed input is also used for Launch/Traction Control.

The Calibration number allows the ECU to calculate ground speed in km/h.

Note: In some cases erratic speed signals can occur due to unusual speed signal shapes. Changing from Rising Edge to Falling Edge or vice versa may help with this problem. This problem usually presents as random spikes of increased speed.

Set-up Procedure: The Calibration number is the number of pulses received over a 100 m distance.

Method 1: Drive the vehicle at a known speed and adjust the calibration number until the Vehicle Speed Runtime Value displays correct.

Method 2: Wheel Speed Sensors Only. Calibration Number = (Number of Sensor Teeth / Wheel Diameter) * 31.83. Note that wheel diameter is in meters (m).

Typical values for speed calibration numbers range from about 170 to 280.

Note: Vehicle Speed can be checked in the Runtime Values Digital Inputs tab.


IC Spray

IC Spray

IC Spray Digital Input

When a Digital Input has been selected as IC Spray, it is used as an input from a dash mounted switch to tell the Link ECU that the Intercooler Spray Auxiliary Output should be activated.

Note: To use this input, an Auxiliary Output must be configured as an IC Spray Auxiliary Output.

Note: Once properly setup, the correct operation of the digital input may be checked by going to the digital inputs tab of the Runtime Status section (bottom right hand corner of PCLink). The Digital Input should display on and off as expected when it is operated.


Throttle Closed

Throttle Closed

Throttle Closed Digital Input

This digital input provides indication to the tuner that the throttle is closed. It must be wired to a closed throttle SWITCH, not a potentiometer type position sensor.

Note: This Digital Input is provided for future use by the idle speed control (ISC) system. Currently the ISC system DOES NOT use this digital input, it is provided for display purposes only.


Frequency

Frequency

Frequency Digital Input

Frequency Digital Inputs are used for measuring the frequency of variable frequency signals. On some ECU's a pullup resister can be enabled for digital input channels (required for most optical and hall effect sensors). The desired signal edge to be used for frequency measurement can also be selected.


Cam Position

Cam Position

VVT Control Digital Input Setup

In order to vary cam advance/retard, the current position must be known. Link G3 ECU's use Digital Inputs to measure cam position. Input can be from reluctor or hall effect sensors.

Warning: Cam control is an advanced feature. This should only be set-up and operated by experienced tuners. Failure to correctly set up cam control can result in the cam timing operating unpredictably and possibly result in engine damage. DO NOT adjust anything you are not completely sure of !

Only Digital Inputs 1 to 4 can be used as Cam Position Digital Inputs. Although Digital Inputs can be wired to any cam position sensor, the following convention should be used to conform with other Link wiring diagrams and base configurations:

•

Inlet / Inlet LH - Digital Input 1

•

Inlet RH - Digital Input 2

•

Exhaust / Exhaust LH - Digital Input 3

•

Exhaust RH - Digital Input 4

After wiring a cam position sensor to a Digital Input, that Digital Input should be configured as Cam Position then the following options setup:

•

Cam Type - This value is used in determining which cam position digital input will be used for a particular cam control channel. Even though these are listed as exact cam locations (eg LH Inlet), they are just descriptions that are used to associate inputs, outputs and control settings throughout PCLink. Select the description that best describes the cam location. This description will be used when you select an auxiliary output as cam control to tell the ECU that this is the position input you want to use for that output. It will also be used to associate a VVT Control Algorithm with that cam channel.

•

Active Edge - This determines which edge of the cam position sensor signal will be used to determine VVT cam position. For reluctor sensors, always select a Falling active edge. For hall sensors this edge could be rising or falling. Selection of the wrong edge will affect setting the Offset value.

•

Offset - The angle in crankshaft degrees between TDC and the first camshaft position signal when the camshaft is in its fully retarded position. This value can be measured using a degree wheel or obtained from manufacturers manuals. Alternately the Cam Angle Test function (found in the VVT menu after a Cam Control System has been selected) can be used to determine the Offset value.

When Cam Position and the Sync Signal share the Same Signal (Cam Position on Trig 2)

It is becoming more common to find the same sensor used to measure cam position and provide the sync pulse. A sync pulse is required to determine the position in the firing order for any direct spark or sequential injection application. When a Trigger Mode is selected for an engine that shares the cam position and the sync signal, the Trig 2:VVTi menu will appear in the Triggers menu. Cam Type and Offset for this VVT control are setup in the Trig2 : VVTi menu rather than as a Digital Input.

After VVT Control Digital Inputs are configured, refer to:

•

VVT Control Auxiliary Output Setup

•

Tuning VVT Control


Start Position

Start Position

Start Position Digital Input

Start Position Digital Input is used to detect when the ignition switch is moved to the Start position. This function is used by the Pre-Start Prime feature. The digital input configured as Start Position must be wired to the ignition switches start terminal.

The following options are available to configure this Digital Input:

•

On Level - This sets whether the ECU recognises the Digital Input as ON if the voltage on the digital input pin is high (battery voltage) or low (ground). Select High if the digital input is to be ON when the digital pin has battery voltage applied.

•

Pull-Up Resistor - Activates the Digital Inputs Pull-Up Resistor.

Typical Setup:

For a normal vehicle where the start wire has battery voltage on it during cranking, the following setup would be used:

•

On Level - High.

•

Pull-Up Resistor - Off.


RPM Limit Switch

RPM Limit Switch

RPM Limit Switch Digital Input

This digital input can be used to invoke the RPM Limit. This allows an external switch to control maximum engine RPM. This is useful as a safety feature or for a 'Pit Lane' speed limiting button.


Ignition Switch

Ignition Switch

Ignition Switch Digital Input

this digital input is used by some ECU's for a "Keep Alive" function. Keep Alive allows the ECU to stay powered after the ignition switch has been turned off for a while. This allows time for the ECU to setup for next time the engine will be started (eg setting idle stepper position) and perform any required shut-down functions..


Gear Detection

Gear Detection

Gear Detection

Gear Detection uses information from a vehicle speed digital input to determine which gear is currently selected. Gear position can then be logged or used to control other features such as gear selection based boost control.

To use Gear Detection, the ECU must learn each gear ratio. Then while driving, the ECU continuously compares the current wheel speed/engine speed ratio to the learned gear ratios to determine what gear you are in. If the wheel speed/engine speed ratio does not match any of the learned gear ratios, the ECU assumes the car is in neutral (or the clutch is pressed).

Note: A Digital Input must be wired to a vehicle speed sensor and correctly calibrated to use Gear Detection.

The following options are available for configuration of gear ratio calculation:

•

Ratio Calc Method - Set to OFF to disable Gear Detection or ECU Calculated to activate gear detection with gear ratios calculated by the ECU.

•

Number of Gears - Set to the number of forward gears your gearbox has.

•

DI Speed Channel - Set to the Digital Input you have wired the Vehicle Speed Sensor to.

•

Gear Calibration - Selects the gear whose ratio is to be calculated by the ECU. Set to OFF when all gear ratios have been calculated. This will not disable Gear Detection.

•

Normalise Ratio Table - Normalises the gear ratios displayed in the Gear Ratio Table to a particular gear. This feature only affects the way the gear ratio values are displayed in PCLink. For example, if you know your gearbox has a 1:1 fourth gear ratio, but the ECU calculates a different ratio (due to inclusion of final drive gears etc...), normalise the gear ratios to fourth gear. Fourth gear will then show as a 1:1 ratio and all other gears will also display correct values.

•

Gear Ratio Table - This is not currently editable. It displays the gear ratio values calculated by the ECU.

Gear Ratio Calibration

The following procedure steps through calibration of the Gear Ratio Table.

1.

Set Ratio Calc Method to ECU Calculated. This turns Gear Detection on.

2.

Select the correct DI Speed Channel (The Digital Input that the speed sensor is wired to).

3.

Set the correct Number of Gears.

4.

Display the Runtime Values area of PCLink (Press Ctrl+F5), then select the tab labelled 'Digital Inputs'. This will display the Gear Ratio Status (near the bottom right corner).

5.

Drive the vehicle in first gear. If the Gear Ratio Status displays "No Speed Input" while the vehicle is moving at speeds above approximately 10 kph then there is a speed sensor fault, correct this fault before continuing.

6.

Set Gear Calibration to 1st Gear. Do this while you are driving in first gear as this starts the calibration process.

7.

Speed up until the Gear Ratio Status stops displaying "KPH < 15" (this just indicates that you are going too slow).

8.

Gear Ratio Status will display "Calculating 1st Gear" while the ECU calculates the gear ratio. Keep driving at a stable speed until the Gear Ratio Status displays "Finished". A stable gear ratio must be detected for three seconds during calculation. If a stable gear ratio is not detected within 12 seconds, Gear Ratio Status will display "Error Try Again". If calculation is a success, the newly calculated gear ratio will appear in the gear ratio table.

9.

Repeat steps 6-8 for each gear.


Analog Channels

Analog Channels

Analog Channels

Analog signals are those that vary continuously over a particular voltage range. ECU's based on the G2 platform divide analog inputs into Load Inputs, Temperature Inputs and Analog Inputs.

Load Inputs are sampled at high speed and used for the most critical signals like MAP, MAF and Throttle Position.

Temperature Inputs may be used to measure temperatures using thermistor (variable resistance) sensors. In addition theses inputs may also be used as analog inputs to accept 0-5V signals (certain Link ECU's only).

Analog inputs may be used to accept any 0-5V signal for display and logging purposes. These may be used for input from air/fuel ratio from a wide-band oxygen sensor controller, or for other inputs that range from 0-5V.

The first step in setting up the analog channels is to select the function that each analog channel has been wired for.

The following analogue input types are supported. Note that not all Link ECU's support all types and in some case a particular Analog Channel may only be used for a predetermined input type. The following input types are supported:

•

Load Inputs

•

Temperature Inputs

•

Analog Inputs:

•

Wide Band Oxygen Sensor Controller Input

•

Narrow Band Oxygen Sensor Input

•

Voltage (0-5V)

•

External Boost Adjustment

Example: If AnTemp1 has been wired to a standard Bosch NTC engine coolant temperature sensor then this function must be selected. To do this double click on Analog Channels in the tree in top left hand corner of PCLink. This will open the tree to view each Analog Channel. Click once on AnTemp1. The information relating to AnTemp1 will appear in the panel to the right of the tree. Select Engine Coolant Temperature from the Temp Channel #1 drop down menu. Select Std Bosch NTC in the Temp Sensor Type drop down menu.


Load Inputs

Load Inputs

Load Inputs

Three analog inputs are provided as load inputs. As load inputs are critical, these channels are sampled at a high speed.

Load Inputs 1 or 2 may be used to accept the signal from either a Manifold Absolute Pressure (MAP) sensor or a voltage-type Mass Air Flow (MAF) Meter.

Load Input 3 is always the signal from the Throttle Position Sensor (TPS).


MAP Sensor

MAP Sensor

MAP Sensor Load Input

A Manifold Absolute Pressure (MAP) sensor is required if the fuel or ignition load axis is set to MAP or MGP. The MAP sensor is very important, therefore particular care should be taken to ensure its correct fitting, wiring, set-up and operation.

The MAP sensor must have a linear 0-5V output, although sensors with any calibration may be used. For convenience, there are a range of options for sensors with known calibrations. These may be selected under MAP Sensor Type. Always remember to perform a MAP Sensor Calibration after selecting the MAP Sensor Type.

Some Link ECU's allow the use of non standard MAP sensors. If the required MAP sensor type is not listed then "custom" may be selected. If this is done, the following fields will become available:

•

Low Pressure Value

•

Low Pressure Voltage

•

High Pressure Value

•

High Pressure Voltage

The 4 fields allow the calibration for any MAP sensor to be entered. For example, take the following sensor where five points have been measured.

Only, two points on the calibration line are required.

Example: Take the point at 30kPa where the sensor output voltage is 1.26V and the point at 70kPa where the output voltage is voltage is 2.87V. This information should be entered in the following way.

Low Pressure Value = 30

Low Pressure Voltage = 1.26

High Pressure Value = 70

High Pressure Voltage = 2.87

If the MAP sensor has been correctly wired and the calibration is correct, the correct MAP value should be displayed in the Analog Inputs section of the Runtime Values. This should display approximately 101kPa with the engine off at sea level.


MAP Calibration

MAP Calibration

MAP Sensor Calibration

After selecting the MAP Sensor Type it is essential to perform a MAP Sensor Calibration. The MAP Sensor calibration option may be found next to the TPS Setup under the Options menu.

After selecting the correct type of MAP sensor, the MAP sensor reading may read slightly different than the the barometric absolute pressure (BAP) which has been factory calibrated. However, with the engine not running these should be identical. Performing a MAP Sensor calibration calibrates the MAP sensor against the BAP sensor so that both reading are identical.

The MAP Sensor Calibration MUST be done prior to starting or tuning the engine as an uncalibrated sensor will have a large effect on the tune. It is also recommended to perform the calibration with the MAP line disconnected from the sensor.

The calibration of the MAP sensor can be checked by comparing the BAP and MAP Runtime Values (under the Analog Inputs tab) while the engine is NOT running. These values should be similar.


MAF Meter

MAF Meter

MAF Meter Load Input

A load input may be used to measure the signal from a voltage-type mass air flow meter. Currently the MAF meter may only be used for display and logging purposes. The MAF output is shown in volts.


Throttle Position Sensor

Throttle Position Sensor

Throttle Position Sensor Load Input

There is a dedicated load input reserved for the throttle position sensor. This should be connected to a sensor which has a progressively increasing/decreasing resistance over the entire throttle range.

The TPS must be calibrated by performing a TPS Calibration.

Note: Idle or full throttle switches are not suitable.

If the TPS sensor has been correctly wired and the calibration is correct, the correct percent of throttle opening should be displayed in the Analog Inputs section of the Runtime Values. This should display 0% at closed throttle and 100% at wide open throttle.


TPS Calibration

TPS Calibration

Throttle Position Sensor (TPS) Calibration

After installing a TPS it is essential to perform a TPS Calibration. The TPS Setup option may be found in the Options menu.

Follow the on screen instructions to perform TPS calibration. You will be prompted to open the throttle fully and press OK, then close the throttle fully and press OK.

If the TPS sensor has been correctly wired and the calibration is correct, the correct percent of throttle opening should be displayed in the Analog Inputs section of the Runtime Values. This should display 0% at closed throttle and 100% at wide open throttle.


Temperature Inputs

Temperature Inputs

Temperature Analog Inputs

In addition to the functions that normal analog channels can perform, temperature inputs (labeled as AnTemp) can be used to measure temperatures using thermistor sensors. Thermistor sensors have a resistance that changes with temperature.

Note: Thermocouples (which generate a small voltage which is related to the temperature) may not be used.

There are four temperature related functions available (Note that not all Link ECU's support all options):

•

Engine Coolant Temperature

•

Inlet Air Temperature

•

Fuel Temperature

•

GP Temperature

•

Pyro

When one of the temperature related functions is selected, the following options will become available:

•

Temp Sensor Type


Engine Coolant Temperature

Engine Coolant Temperature

Engine Coolant Temperature Analog Input

One of the AnTemp inputs must be connected to the engine coolant temperature sensor. The sensor must be a thermistor type (resistance changes with temperature). Once the Temp Channel #? has been selected as "Engine Coolant Temp" the following options will become available.

•

Temp Sensor Type

Engine Coolant Temperature is used in the calculation of many functions including Crank Enrichment, Post-start Enrichment, Warm-up Enrichment, Accel Enrichment, and Overrun Fuel Cut. It may also have an effect on ignition timing if the Ignition Engine Temp Trim is used.

Note: It is recommended that an Engine Coolant Temperature Sensor is installed and correctly configured in ALL applications.

If the correct temperature sensor type is not in the drop down list, then Custom may be selected and the resistance vs temperature values entered directly into the custom Calibration Table.


Inlet Air Temperature

Inlet Air Temperature

Inlet Air Temperature Analog Input

One of the AnTemp inputs should be connected to an inlet air temperature sensor. The sensor must be a thermistor (resistance changes with temperature). Once Temp Channel #? has been selected as "Inlet Temperature" the following options will become available.

•

Temp Sensor Type

Inlet Temperature may be used to influence both fuel and ignition.

If the correct temperature sensor type is not in the drop down list, then Custom may be selected and the resistance vs temperature values entered directly into the custom Calibration Table.


Fuel Temperature

Fuel Temperature

Fuel Temperature Analog Input

One of the AnTemp inputs can be connected to a fuel temperature sensor. The sensor must be a thermistor (resistance changes with temperature). Once Temp Channel #? has been selected as "Fuel Temperature" the following options will become available.

•

Temp Sensor Type

Fuel Temperature may be used for to influence the fueling via the Fuel Temperature Trim function. This is normally not required, however it can be very useful for hot restarts in engines where fuel vaporisation is a problem. If a fuel temperature sensor is not available, editing the "warmed-up" zones in the crank enrichment table may be an acceptable substitute.

If the correct temperature sensor type is not in the drop down list, then Custom may be selected and the resistance vs temperature values entered directly into the custom Calibration Table.


GP Temperature

GP Temperature

General Purpose Temperature Analog Input

AnTemp inputs can be connected to any type of resistive temperature sensor. The sensor must be a thermistor (resistance changes with temperature). Once Temp Channel #? has been selected as "GP Temperature" the following options will become available.

•

Temp Sensor Type

If the correct temperature sensor type is not in the drop down list, then Custom may be selected and the resistance vs temperature values entered directly into the custom Calibration Table.

Check the temperature value by displaying the Runtime Values (press Ctrl + F5) and selecting the Analog Inputs tab. The current temperature will be displayed as 'Analog #x-GP Temp' where x is the Analog Input channel configured as GP Pressure.


Temp Sensor Type

Temp Sensor Type

Temp Sensor Type

Thermistor sensors have a resistance that varies with temperature. A given thermistor sensor will have a resistance vs. temperature curve. Typically these curves are very non-linear (ie a doubling in temperature does not cause a doubling or halving in resistance). By default, all temperature related functions are setup for use with a sensor that has the standard Bosch NTC calibration. If the application uses a sensor which is known to have a considerably different calibration then the Temp Sensor Type should be set to custom.

If custom has been selected a calibration table will appear. This allows the use of temperature sensors with any calibration. The resistance of the sensor (in Ohms) may be entered directly for each temperature point in 10 degree steps.


Narrow Band Oxy

Narrow Band Oxy

Narrow Band Oxygen Sensor Analog Input

Select this option when a narrow band oxygen sensor has been wired to this analog input.

Narrow band oxygen sensor input is displayed under the Analog Inputs tab of the Runtime Values.


WB Oxy (Ext)

WB Oxy (Ext)

Top Previous Next

Wide Band Oxygen Sensor Analog Input

Note: Currently Wideband Oxygen Sensor input can only be used for diagnostic and logging purposes.

Note: A Wideband Oxygen sensor cannot be directly connected to this input, an external controller is required for the sensor, with the 0-5V input to the Link ECU coming from that controller.

Certain Analog Inputs can be configured to display the air/fuel ratio using a wide-band oxygen sensor and a suitable external controller. Any wide-band controller with a 0-5V linear output may be used.

The calibration used by the wide-band controller must be entered for correct operation. When the Analog Input has been selected as "WB Oxy (Ext)" the following options will become available:

•

Voltage Point A - The input voltage at the AFR specified by AFR Point A

•

AFR Point A - The AFR at the input voltage specified by Voltage Point A

•

Voltage Point B - The input voltage at the AFR specified by AFR Point B

•

AFR Point B - The AFR at the input voltage specified by Voltage Point B

If more than one Analog Input channel is configured for Wide Band Oxy Input, they will all use the same calibration.

Example: Consider a controller with the following output.

The air fuel ratio corresponding to 0V is 9.0:1 while the air fuel ratio corresponding to 5V is 19.0:1. This information should be entered in the following way.

•

Voltage Point A = 0

•

AFR Point A = 9.0

•

Voltage Point B = 5

•

AFR Point B = 19.0

Or alternately, the air fuel ratio corresponding to 1V is 11.0:1 while the air fuel ratio corresponding to 4.5V is 18.0:1. This information should be entered in the following way.

•

Voltage Point A = 1

•

AFR Point A = 11.0

•

Voltage Point B = 4.5

•

AFR Point B = 18.0

If the wide-band sensor and controller has been correctly fitted and wired and the calibration data has been entered, the correct air fuel ratio should be displayed in the Analog Inputs section of the Runtime Values.


Voltage (0-5V)

Voltage (0-5V)

Top Previous Next

Voltage (0-5V) Analog Input

This function may be used to display the voltage (0 to 5V) applied to any analog input.


Boost Adjust

Boost Adjust

Boost Adjust Analog Input

This feature allows boost pressure to be set via an external switch or potentiometer. The switch or potentiometer should be setup to allow the voltage applied to the analog input to be varied between 0 and 5V.

Requirements for Boost Adjust:

1.

Wire a pot to an analog voltage input.

2.

Configure the analog voltage channel as Boost Adjust.

3.

Wire a boost control solenoid to an auxiliary output.

4.

Set up that output as Boost Solenoid (at about 20 Hz).

5.

Under Boost Control, set the load axis of the boost table to Boost Adjust.

Boost Table Setup Procedure:

1.

Start with the row that is where the pot in its lowest boost position (either 5 volts or 0 volts). Set the numbers in this row to 0% (ie run at the standard waste gate pressure).

2.

In the row where the pot is in its high boost position, adjust the duty cycle numbers to achieve the desired high boost curve.

3.

Select the whole table, then right click and select interpolate vertically to fill out all the numbers in between.

Note: Boost Control must be set up and an Auxiliary Output configured and wired for a boost control solenoid fitted to use this feature.


GP Pressure

GP Pressure

General Purpose Pressure Analogue Input

Analogue Inputs can be configured as general purpose pressure inputs. A requirement for these inputs is the use of a sensor that has a linear output voltage (output voltage doubles if pressure doubles) somewhere in the range of 0-5 Volts. Honeywell make a range of suitable sensors.

In order for PCLink to display the correct pressure value, calibration information must be entered. This calibration information will be provided in the sensor makers data sheets or can be found by testing. Two points on the sensors output voltage vs pressure relationship must be known. Calibrate the sensor in PCLink as follows:

•

Enter the output Voltage and its corresponding Pressure in Voltage Point A and Pressure Point A.

•

Enter another output Voltage and its corresponding Pressure in Voltage Point B and Pressure Point B.

PCLink will use linear interpolation to calculate the pressure at output voltages between, above and below those entered in the calibration points.

Check the pressure value by displaying the Runtime Values (press Ctrl + F5) and selecting the Analog Inputs tab. The current pressure will be displayed as An Volt x where x is the Analog Input channel configured as GP Pressure.


Pyro

Pyro

Pyrometer Analogue Input

Analogue Inputs can be configured as Pyrometer temperature inputs. A requirement for these inputs is the use of a sensor that has a linear output voltage (output voltage doubles if temperature doubles) somewhere in the range of 0-5 Volts. This means that an external control module will be required between the thermocouple sensor and ECU.

In order for PCLink to display the correct temperature value, calibration information must be entered. This calibration information will be provided in the controller makers data sheets or can be found by testing. Two points on the sensors output voltage vs pressure relationship must be known. Calibrate the sensor in PCLink as follows:

•

Enter the output Voltage and its corresponding Temperature in Voltage Point A and Pressure Point A.

•

Enter another output Voltage and its corresponding Temperature in Voltage Point B and Pressure Point B.

PCLink will use linear interpolation to calculate the pressure at output voltages between, above and below those entered in the calibration points.

Check the temperature value by displaying the Runtime Values (press Ctrl + F5) and selecting the Analog Inputs tab. The current temperature will be displayed as An Volt x where x is the Analog Input channel configured as Pyro.


Triggers

Triggers

Triggers

Triggers refers to the sensor(s) which are used for the ECU to calculate the current engine speed and position in the engine cycle.

Note: Because these parameters are so important to the operation of the fuel injection and ignition system, correctly setting up and calibrating the triggering is one of the most important steps in the entire installation and tuning process. Contact your nearest Link Dealer for assistance with these settings if you are al all unsure.

First the Triggering Setup parameters must be set and then the Trigger Calibration process must be performed.


Trigger Setup

Trigger Setup

Trigger Setup

The following controls relate to the setup of the triggering. G2 ECU's use a combination of digital decoding and internal sub-boards to condition trigger signals. G3 ECU's use only on-board digital trigger decoding.

Warning: It is essential that all trigger settings are correct. Failing to correctly setup triggers could result in engine damage. Read the appropriate section of this manual before adjusting any setting. If you are unsure of anything, consult your nearest Link dealer.

Note: Some of the following controls may NOT be visible depending on the Trigger Mode setting and ECU type.

•

Trigger Mode

•

Sync Position

•

Multi-tooth Location

•

Sync Pulse

•

Tooth Count

•

CAM Sync

•

Missing Teeth

•

Sync Pulse

•

Trig 2 : VVT

Depending on the Trigger Mode selected, configuration menus labelled Trigger 1 and Trigger 2 may be visible. These allow setup of each trigger sensor. Configuration options include:

•

Trigger Type

•

Trigger Edge (Visible only if Trigger Type is set to Opto/Hall)

The follow help is specific to particular Trigger Modes:

•

Nissan 360 Opto Setup Procedure


Triggering Mode

Triggering Mode

Triggering Mode

There are a large number of triggering variants used by different engine manufacturers. The important differences are the type of sensors used, the number of pulses sent from the sensor during the engine cycle and the timing of the pulses.

Trigger Mode tells the ECU the number of pulses and the timing of these pulses in relation to each other (the trigger pattern that the engine uses).

Link G3 ECU's use digital trigger decoding so that the actual trigger pattern may be selected (via the Triggering Mode) and processed by the Link ECU.

Important Note: Check all other trigger parameters after changing Trigger Mode. Changing the Trigger Mode will change other trigger setup information. All trigger parameters are re-initialised to pre-selected values each time Trigger Mode is changed. After selecting the desired Trigger Mode, other triggering parameters can then be adjusted as required. Most importantly, check the Trigger Offset value as this will change the base timing.

LinkPlus G2 ECU's have their trigger patterns decoded by an internally fitted sub-board. In these cases the triggering will need to have been specified when the ECU was ordered so that the correct sub-board was fitted. This sub-board converts the actual trigger pattern into a basic pattern with one trigger event for each TDC (1Trig/TDC).

Contact tech@link-electro.co.nz or your local Link Dealer if you are at all unsure of what to select for Trigger Mode.

The follow help is specific to particular Trigger Modes:

•

Nissan 360 Opto Setup Procedure


Nissan 360 Opto Trigger Decoding

Nissan 360 Opto Trigger Decoding

Nissan 360 Opto Trigger Decoding

The Nissan 360 Opto Trigger Decoding Trigger Mode is designed for use with Nissan optical Crank Angle Sensors (CAS) that have 360 evenly spaced slots and 4,6 or 8 different width slots. The G3's digital trigger decoding uses all of the 360 slots to achieve precise engine position calculation.

Of the 4, 6 or 8 slots, one will be wider than the others. This 'Widest Slot' is used by the Link ECU to determine the engines position in the firing order. As the width of this slot varies depending on the exact CAS used, an automated setup procedure has been provided.

Note: THE ENGINE WILL NOT START when Test ECCS Sync is turned ON.

Setup Procedure:

Setup ECCS Trigger Decoding as follows (Read the entire process and ensure you understand before starting):

1.

Ensure the 360 slot signal is wired to the ECU's Trig 1 input.

2.

Ensure the 4,6 or 8 slot signal is wired to the ECU's Trig 2 input.

3.

Switch the key on, do not start the engine.

4.

Connect to the ECU using PCLink.

5.

Ensure all Configuration options are correct.

6.

Under the Fuel heading, select Fuel Setup. Set Injection Mode to OFF. This will prevent the engine from starting.

7.

Under the Triggers heading, select Trigger Setup.

8.

Select Nissan 360 Opto as the Trigger Mode. Note that this will initialise all trigger inputs to default values. The default values are as follows:

•

Trigger 1:

•

Trigger 1 Type = Opto/Hall Sensor (Not adjustable when Nissan 360 Opto Trigger Mode selected).

•

Trigger 1 Pullup = ON

•

Trigger 1 Filtering = Level 1

•

Trigger 2:

•

Trigger 2 Type = Opto/Hall Sensor (Not adjustable when Nissan 360 Opto Trigger Mode selected).

•

Trigger 2 Pullup = ON

•

Trigger 2 Filtering = Level 1

9.

Select the Engine Type. Note that all this does is place a suitable number in the Trigger Offset value to make setting the base timing faster. If your motor is not listed, select Other.

10.

Select the resolution mode. Select Low Res Mode = ON for engines with aggressive cam shaft profiles or lightweight flywheels. This will provide improved timing stability on engines that have large variations in CAS rotation speed per revolution.

11.

Set Test ECCS Sync to ON. This will put the ECU into a special mode where it will automatically calculate the position of the widest slot. Note that in this mode the ECU will disable both fuel and ignition. Enabling this function will also initialise the ECCS Widest Slot value to 0.

12.

Click on the Triggers Runtime Status tab in the bottom section of the PCLink screen. The following runtime values will be displayed for diagnostic purposes:

•

Trig 1 Signal - Will display as YES if the ECU detects a correct 360 slot trigger signal. If this value displays as NO during cranking, check sensor output and wiring.

•

Trig 2 Signal - Will display as YES if the ECU detects a correct 4, 6 or 8 slot trigger signal. If this value displays as NO during cranking, check sensor output and wiring.

•

ECCS Sync - Will display as YES if the ECU is using the widest slot correctly for a synchronisation signal.

13.

Crank the engine. This will start the widest slot calculation procedure. This procedure will take about 4 seconds. If the procedure executes correctly, the following should be observed:

•

The Trig 2 Signal run time value will indicate YES first, closely followed by the Trig 1 Signal runtime value indicating YES.

•

The ECCS Sync runtime value will indicate YES when the process has finished.

•

ECCS Widest Slot will change from zero to a value indicating the width of the slot (typically between 5 and 25).

14.

If after 10 seconds of cranking the ECCS Widest Slot value is still zero, an error has occurred. Recheck all trigger wiring and test the CAS output. If this is OK, repeat the entire procedure.

15.

If the process completed successfully, switch Test ECCS Sync to OFF.

16.

Remembering that the Injection Mode is still set to OFF, crank the engine and check that a stable RPM is obtained and the value is consistent with a typical cranking speed.

17.

Set Injection Mode back to the desired option.

18.

If all is OK, perform a store to permanently save all settings to the ECU.

19.

Set the base timing before attempting to start the engine (DO NOT JUST TRY STARTING THE ENGINE!).


Sync Position

Sync Position

Sync Position

This function appears when the Trigger Mode is set to 1 Trig/TDC. It allows the position of the sync pulse to be specified in relation to each cylinder reaching TDC. The position of the sync trigger must correctly specified so that at any time the ECU can calculate the current position in the firing order.

Note: Contact tech@link-electro.co.nz or your local Link Dealer if you are at all unsure of what to select for Sync Position.


Tooth Count

Tooth Count

Tooth Count

This value specifies the total number of symmetrical teeth or slots in the multi-tooth trigger wheel.

Note: Where a trigger wheel has teeth missing, this value must be set to the number of teeth that would of been counted if the teeth were not missing.

Example:

If a trigger wheel has 24 symmetrically spaced teeth, set this value to 24.

Example:

When using a trigger wheel with 59 teeth and a gap where one tooth are missing (ie there would be sixty teeth if it was not missing), set the Tooth Count value to 60 and Missing Teeth value to 1. Note that this is generally known as a "60 minus 1" trigger wheel.


Multi Tooth Location

Multi Tooth Location

Multi-tooth Location

Select the driving source of the multi tooth crank angle sensor. Options are Cam or Crank.


CAM Sync

CAM Sync

CAM Sync

Note: This option is only available when using Multi Tooth/Missing Trigger Type.

This option specifies if a Camshaft Position Sensor will be used to provide the reference (sync) signal. Select Yes if using a camshaft position sensor or No otherwise.


Missing Teeth

Missing Teeth

Missing Teeth

Note: This option is only available when using Multi Tooth/Missing Trigger Type.

This value specifies the number of teeth or slots that are missing from the trigger wheel.

Example:

When using a trigger wheel with 58 teeth and a gap where two teeth are missing (ie there would be sixty teeth if they were not missing), set the Tooth Count value to 60 and Missing Teeth value to 2. Note that this is generally known as a "60 minus 2" trigger wheel.


Sync Pulse

Sync Pulse

Sync Pulse

Note: The available options for this setting will vary depending on the Trigger Mode selected.

1 Tooth Per TDC / Multi-Tooth:

•

None - No Sync Pulse is used. Only group fire and distributed ignition can be used.

•

Crank - If the sync pulse occurs at crank speed (ie once per crankshaft revolution), set this option to Crank. This is common on wasted spark ignition configurations.

•

Cam - If the sync pulse occurs at cam speed (ie once per two crankshaft revolutions), set this option to Cam.

Multi Tooth / Missing:

•

No - No sync pulse used. Only group fire injection and distributed or wasted spark ignition can be used.

•

Yes x1 Cam - A sync occurs once per two revolutions of the crankshaft.

If Sync Pulse is set to Yes x1 Cam, make sure that Sync Level is set to No.


Trigger Filtering

Trigger Filtering

Trigger Filtering

Warning: this is an advanced feature and should only be configured by a Link trained tuner.

Trigger Filtering sets the amount of hardware filtering applied to trigger input signals.

Some trigger signals contain a large amount of high frequency interference and electrical interference. This interference can cause false trigger events to occur. Filtering is used to eliminate this interference. Ideally the least amount of filtering required should be used.


Trigger Arming Threshold

Trigger Arming Threshold

Trigger Arming Threshold

Note: This option is only available when using a Reluctor Trigger Type.

Warning: this is an advanced feature and should only be configured by a Link trained tuner.

The Trigger Arming Threshold table sets the voltage required to 'Arm' the trigger generation circuitry before waiting for a falling edge.

The purpose of the trigger arming circuitry is to improve the trigger inputs ability to reject interference and electrical noise, thus helping to eliminate spurious trigger signals. At low engine speeds (particularly when cranking), reluctor sensors produce a very low voltage signal. Therefore at low RPM a lower arming voltage is required. As engine speed increases so does the amplitude of the reluctor sensors signal. This allows higher arming thresholds to be used. Different arming voltages can be entered for each 1000 RPM.


Trigger Type

Trigger Type

Trigger Type

Select the correct type of trigger sensor connected to this trigger input. Options are:

•

Reluctor - For variable reluctance type sensors. Characterised by the use of spiked trigger wheels and usually only two wires.

•

Opto/Hall - For Optical or Hall Effect type sensors. Characterised by the use of slotted discs or rotors and typically three wires.


Trigger Pull-up

Trigger Pull-up

Trigger Pull-Up

Trigger Pull-up enables the pull-up resistor on a trigger input. Pull up resistors are often required for open collector (switch to ground) optical and hall effect sensors.

This option should be set to OFF for all Reluctor type sensors. Most optical and hall effect sensors will require the pull-up resistor to be ON.

For further information on the purpose of pull-up resistors, click HERE.


Trigger Priority

Trigger Priority

Trigger Priority

Trigger Priority sets which trigger signal will be serviced by the ECU's microprocessor first should they occur at the same time. It is very unusual that two signals should occur at the exact same time (remembering that the ECU can respond to them within millionths of a second). In some instances this can occur and may cause sync/cyl errors.

Note: The most common setting for this is Trig 1.


Trigger Edge

Trigger Edge

Trigger Edge

Note: This option is only available when using Opto/Hall Trigger Type.

Select the edge of the trigger signal that indicates the trigger event:

•

Rising - The trigger event occurs when the signal goes from a low voltage (eg 0V) to a high voltage (eg 5,8 or 12V).

•

Falling - The trigger event occurs when the signal goes from a high voltage (eg 5,8 or 12V) to a low voltage (eg 0V).


Trig 2 : VVT

Trig 2 : VVT

Trig2 : VVT

Note: This option is only visible when a Trigger Mode has been selected for an engine that use the same sensor for VVT Control cam position and sync pulse.

Click HERE for more VVT cam position measurement setup information.


Sync Level

Sync Level

Sync Level

Note: This option is only available when using Opto/Hall Trigger Type and Multi Tooth/Missing Trigger Mode.

This option is used when a sync position sensor is used that provides a signal that is high for one revolution of the crank, then low for the next revolution. The following options are available:

•

No - This type of sync sensor is not used

•

Yes x1 Cam - This type of sync sensor is used.

If Sync Level is set to Yes x1 Cam, make sure that Sync Pulse is set to No.


Calibrate

Calibrate

Trigger Calibration

Once the correct Triggering Mode has been selected and Triggers 1 and 2 configured, the trigger timing must be calibrated by checking the ignition timing using a timing light. Doing this tells the ECU where the trigger signals occur in relation to engine position.

There are two slightly different calibration procedures depending on the Triggering Mode being used.

Trigger Calibration Procedure (except if Trigger mode is 1 Trig/TDC)

1.

Disable the fuel injectors by selecting OFF as the Injection Mode under the FUEL heading. This will ensure that the engine will not attempt to start while the ignition timing is being calibrated.

2.

Enter the Reference Timing to be used. Typically this will be 10 degrees as most engines have a mark on the crank pulley occurring at 10deg BTDC. If the engine has its timing mark at another position then another value may be used.

3.

Make sure the Lock Timing to Reference function is turned ON. When this function is turned on the ignition timing will be locked and will occur at the Reference Timing providing the Trigger Offset is correct.

4.

Attach a timing light to fire off of cylinder number 1. Crank the engine while watching for consistent ignition operation at a fixed crank position. Adjust the Trigger Offset until the ignition is firing exactly at the position specified in Reference Timing.

5.

Turn the Lock Timing to Reference function OFF and enable the fuel injectors by selecting the relevant Injection Mode. Perform a STORE so that the Trigger Offset value is permanently retained.

6.

Repeat the above procedure once the engine is running (ideally at about 2000 RPM) as it is hard to get accurate timing readings during cranking. To do this, repeat the above procedure without setting Ignition Mode to OFF.

Trigger Calibration Procedure if Trigger mode is 1 Trig/TDC

1.

Enter the number of the first cylinder to fire after the sync pulse occurs under Sync Position.

2.

Disable the fuel injectors by selecting OFF as the Injection Mode under the FUEL heading. This will ensure that the engine will not attempt to start while the ignition timing is being calibrated.

3.

Make sure the Lock to Crank Timing function is turned ON. When this function is turned ON the ignition timing will be locked and will occur at the Crank Timing providing the Distributor or Crank Angle Sensor is in the correct position.

4.

Enter the Crank Timing to be used. This is the timing that will be used when the engine is being cranked during starting. Typically this will be 10 degrees as most engines start well at 10deg BTDC and also have a timing mark on the crank at this point. If the crank does not have a timing mark at the desired point then a mark will need to be added.

5.

Attach a timing light to fire off of cylinder number 1. Crank the engine while watching for consistent ignition operation at a fixed crank position. Adjust the physical Distributor or Crank Angle Sensor position until the ignition is firing exactly at the position specified in Crank Timing.

6.

Turn the Lock to Crank Timing function OFF and enable the fuel injectors by selecting the required Injection Mode. Perform a STORE so that the Crank Timing value is permanently retained.

7.

Repeat the above procedure once the engine is running (ideally at about 2000 RPM) as it is hard to get accurate timing readings during cranking. To do this, repeat the above procedure without setting Ignition Mode to OFF.

Note: The important thing to note with 1 Trig/TDC is that during cranking (when the engine speed is below 400rpm) the ignition will fire at the point that the trigger physically occurs. There is no Trigger Offset so the physical triggering (sensor position in relation to trigger wheel) must be correctly set (mechanically).


Reference Timing

Reference Timing

Reference Timing

When Lock to Reference is turned on the Reference Timing is the ignition timing that the ECU will think that it is using. If the actual timing (as measured using a timing light) is not correct then the Trigger Offset will need to be altered.


Lock to Reference

Lock to Reference

Lock to Reference

When Lock to Reference is turned on the ECU will attemp to lock the ignition timing to the value set by Reference Timing. If the actual timing (as measured using a timing light) is not correct then the Trigger Offset will need to be altered.

Refer to Timing Calibration for information on calibrating trigger signals (setting the base timing).


Trigger Offset

Trigger Offset

Trigger Offset

The Trigger Offset is used to calibrate the trigger timing so that the ECU can calculate the correct engine position at any time.

Trigger Offset is defined as the offset between TDC (between compression and power stroke) on cylinder number 1 and the first trigger event on Trigger 1 that occurs after the sync (Trigger 2). Therefore if the sync occurs and the next tooth on Trigger 1 passes the sensor at exactly TDC no. 1 then the required trigger offset will be 0. If this is not the case (and it typically will not be) then a non-zero Trigger offset will be required.

Although the trigger timing affects both fuel and ignition, it is easiest to calibrate the trigger timing by getting the ECU to try and deliver the ignition timing at a fixed angle (e.g 10deg BTDC) and checking that the ignition is actually occurring at this point using a timing light. This procedure is described under Trigger Calibration.


Crank Timing

Crank Timing

Crank Timing

Crank Timing is used instead of Reference Timing when the Trigger Mode is set to 1Trig/TDC, however the two functions work very differently.

The Crank Timing is the ignition timing that occurs as a result of the physical positioning of the trigger teeth. This may only be adjusted by physically rotating the crank angle sensor pickups in relation to the trigger wheel. Once the crank timing has been set the actual timing value must be measured using a timing light. Finally this value must be entered into PCLink so that the ECU knows this vital information. During Cranking (when the engine speed is less than 400 RPM) the ignition timing will occur at the crank timing. Therefore the crank timing will have a large effect on how well the engine starts. 10 degrees BTDC is usually an acceptable value.


Lock to Crank Timing

Lock to Crank Timing

Lock to Crank Timing

This disables any electronic advance/retard so that the ignition fires upon an actual trigger tooth. This allows the crank timing to be checked using a timing light.

Refer to Timing Calibration for information on calibrating trigger signals (setting the base timing).


Motorsport

Motorsport

Motorsport

The following optional features can be selected for motorsport use:

•

Anti-lag

•

Launch Control

•

Flat Shifting


Anti-Lag

Anti-Lag

Anti-Lag

Anti-lag is a feature which is designed to eliminate the lag period (or spool up time) which is experienced with a typical turbocharger. Anti-lag may be used to generate a small amount of boost under conditions where the engine would normally be operating in vacuum (such as in overrun which occurs when lifting off the throttle). By doing this, the turbocharger will already be spooled when the throttle is re-applied and lag will have been reduced.

Anti-lag is achieved by bypassing air into the engine (via the throttle plate or a solenoid) and retarding the ignition timing to the point where the engine is making very little power. A cyclic ignition cut may also be employed under overrun conditions although this is not essential.

WARNING

Anti-lag will result in very high exhaust gas temperatures. These may be reduced by adding extra fuel via the anti-lag fuel table although it should still be noted that anti-lag will significantly reduce the life of the turbocharger and manifolds.

Anti-Lag Mode is used to select the way in which anti-lag is turned on. The following options are available (click on an option for more info):

•

Mode 1 - Group A - Switch Activation Mode - Should be used in all cases except when motor sport rules prevent the use of non-factory fitted equipment such as switches or idle up solenoids/valves. In this mode a switch should be connected to a Digital Input which has been configured as General Purpose Digital Input. When this mode is selected the DI Channel field will appear to enter which digital input has been used for the anti-lag switch.

•

Mode 2 - Group N - Cyclic Idle Mode - This mode should be used for Group N cars where rules prevent the fitting of additional idle control valves and the throttle plate has to be opened manually using the throttle stop screw.

Note: The state of the Anti-Lag Control system can be verified under the Runtime Values - Motorsport tab.


Anti-Lag Mode 1 - Group A

Anti-Lag Mode 1 - Group A

Anti-Lag Mode 1 - Group A

WARNING

This section describes the operation and setup of anti-lag in Group A mode. Read the ENTIRE section carefully BEFORE attempting to configure anti-lag. failure to do so may result in engine damage. If you are unsure of any settings or adjustments consult a professional tuner.

Anti-Lag Mode #1 is designed for use in most cases where fitting of additional devices to allow extra air to enter the engine (solenoids/valves) and control switches is not restricted by motorsport rules. For Anti-Lag Mode 1 to operate, the following items will be required:

1.

An 'idle up device' such as an idle solenoid that bypasses air around the the throttle plate or a mechanical device such as a cable or motor that can push the throttle open. Note that the standard idle speed control will probably not be able to bypass enough air.

2.

Although not absolutely necessary, a dash mounted switch can be used to activate the anti-lag. Note that this switch should also be wired to active the 'idle up device'.

If a dash mounted disable switch is to be used, before adjusting any anti-lag settings, make sure that the anti-lag control switch has been correctly wired to a Digital Input that is set up as a General Purpose Digital Input. Verify the operation of the Digital Input by looking at the Digital Inputs status value in the Runtime Values, Digital Inputs tabs (Press Ctrl+F5 then click on the Digital Inputs tab). The Digital Input should show as ON when the switch is in the position where anti-lag will be active (also the switch position that activates the 'idle up device'). The number of the Digital Input should be selected as the Anti-Lag DI Control Channel.

If not using a dash mounted disable switch, set this option to Always On. This will mean that Anti-lag is always active and can only be switched off through PCLink.

When any anti-lag mode is selected, an Anti-Lag Retard Table, Anti-Lag Ignition Cut and Anti-Lag Fuel Table will become visible. These are 3D tables. The Anti-Lag Retard Table allows adjustment of the amount that the ignition is retarded under different operating conditions. Like-wise there is an Anti-Lag Fuel Table which allows extra fuel to be added at different operating conditions. The parameter used to span the load axis (vertical axis) of both these tables is set under the Load Axis option. Note that TPS is almost always used to span anti-lag tables.

Anti-Lag Retard Table and Anti-Lag Fuel Table boundaries may be adjusted using Table RPM Start, Table RPM Increment, Table Load Startand Table Load Increment. Note that these settings adjust the boundaries of both tables.

Note: The state of the Anti-Lag system can be verified under the Runtime Status, Motorsport tab. For more information on Anti-lag states, click HERE.


Anti-Lag Mode 2 - Group N

Anti-Lag Mode 2 - Group N

Anti-Lag Mode 2 - Group N - Cyclic Idle Mode

WARNING

This section describes the operation and setup of anti-lag in Group N mode. Read the ENTIRE section carefully BEFORE attempting to configure anti-lag. failure to do so may result in engine damage. If you are unsure of any settings or adjustments consult a professional tuner.

Anti-lag Requirements

Anti-Lag Mode #2 is designed for use in motorsport classes such as Group N where fitting of additional devices to allow extra air to enter the engine (solenoids/valves) and control switches is restricted by motorsport rules. For Anti-Lag Mode 2 to operate, the following items will be required:

1.

Injection Mode must be direct spark. At this stage Cyclic Idle will NOT work with group fire injection modes.

2.

A TPS Calibration will need to be performed with the throttle stop screw in its normal position (allows the throttle to close fully). This will ensure that the opening of the throttle as explained in Item 3 will result in a sensible value.

3.

The throttle stop screw will need to be adjusted to open the throttle. About 20% throttle opening is recommended. Note: Do NOT do this until anti-lag has been set up and the cyclic idle has been enabled.

4.

Although not absolutely necessary, a dash mounted switch can be used to activate anti-lag. This switch will most likely have to be a factory fitted switch. The air conditioning switch is usually suitable.

If a dash mounted disable switch is to be used, before adjusting any anti-lag settings, make sure that the anti-lag control switch has been correctly wired to a Digital Input that is set up as a General Purpose Digital Input. Verify the operation of the Digital Input by looking at that Digital Inputs state in the Runtime Values, Digital Inputs tab (Press Ctrl+F5 then click on the Digital Inputs tab). The Digital Input should show as ON when the switch is in the position where anti-lag will be active.

If a dash mounted switch will not be used, set DI Control Channel to Always On. This will mean that Anti-lag will ALWAYS operate when the vehicle is driven under power.

The number of the Digital Input should be selected as the Anti-Lag DI Control Channel. If not using a dash mounted disable switch, set this option to OFF.

Cyclic Idle

Anti-Lag Mode 2 uses a cyclic RPM limit to achieve a reasonable idle speed while the throttle plate is held open. The cyclic limit is a separate function to the anti-lag function. Cyclic idle is NOT Anti-lag! Various parameters of the cyclic limit can be adjusted to give a more or less aggressive sounding idle. The transition between cyclic idle and normal running can also be adjusted. The following options are provided for configuring the cyclic idle:

•

Cyclic Idle Limit - This is the actual idle speed that the cyclic idle limit will operate at when throttle position is BELOW the Cyclic Idle Low value.

•

Cyclic Idle Low - Idle speed will be controlled at the Cyclic Idle Limit RPM while the throttle position is BELOW this value. At throttle positions between this value and the Cyclic Idle High value, cyclic idle will be progressively decreased to allow for a smooth transition to normal running. This value should be set to about 2% above the closed throttle position (with the throttle stop screw holding the throttle plate opened).

•

Cyclic Idle High - When throttle position is above this value, the cyclic idle limit will be disabled. This value should be set to approximately 5-10% higher than the Cyclic Low value.

•

Smoothing Value - The Smoothing Value sets how aggressive the cyclic idle sounds. A higher value will result in a smoother idle. As this value is decreased the idle will become more aggressive.

In addition to opening the throttle plate using the stop screw, the idle speed control valve can also be used to add additional air to the engine. This results in a lower idle speed when Anti-Lag is disabled due to less throttle opening used. Idle Device Override sets the idle speed control valves position while anti-lag is active.

Group N Anti-lag Operation

With the engine idling on the cyclic idle limit, anti-lag is still not active (even though it may sound like it!). The following conditions must be met before anti-lag will become active.

•

Throttle Position must be above the TP Arming Threshold (typically about 40%) and,

•

Engine Speed must be above the RPM Arming Threshold (typically about 4000 RPM) and,

•

If a dash mounted switch is used, it must be in the ON position.

So in order for anti-lag to activate the switch must be ON (if used), throttle must be opened past the the TP Arming Threshold AND the engine speed must exceed the RPM Arming Threshold. This can be achieved by giving the engine a free rev. Once this has been done, anti-lag will remain active while the above conditions are met. When these conditions are not met for the time set in Timeout, anti-lag will be disabled. Anti-lag will also be disabled immediately if the dash mounted switch is turned off.

When group N anti-lag mode is selected, an Anti-Lag Retard Table, Anti-Lag Ignition Cut and Anti-Lag Fuel Table will become visible. These are 3D tables. The parameter used to span the load axis (vertical axis) of these tables is set under the Load Axis option. Note that TPS is almost always used to span anti-lag tables. Table boundaries may be adjusted using Table RPM Start, Table RPM Increment, Table Load Startand Table Load Increment. Note that these settings adjust the boundaries of all Anti-Lag tables. CLICK on each table name for further help and examples.

•

Anti-Lag Retard Table allows adjustment of the amount that the ignition is retarded under different operating conditions.

•

Anti-Lag Fuel Table allows extra fuel to be added at different operating conditions.

•

Anti-Lag Ignition Cut Table allows control over how ignition is cut during Anti-lag operation.

Note: The state of the Anti-Lag system can be verified under the Runtime Status, Motorsport tab. For more information on Anti-lag states, click HERE.

Example: Group N Anti-Lag Rally Situation.

Assume the following anti-lag settings:

•

Throttle stop screw is set to give 18 % throttle position when the throttle is closed.

•

A/C switch is wired to DI4 and DI Control Channel = 4

•

Cyclic Idle Limit = 2000 RPM

•

Cyclic Idle Low = 20 %

•

Cyclic Idle High = 28 %

•

Smoothing Value = 4

•

TP Arming Threshold = 40 %

•

RPM Arming Threshold = 4000 RPM

•

Timeout = 5 seconds

As the driver sits waiting to be called to the start line, the engine will be idling with a medium aggressive(set by the smoothing value of 4) idle speed of 2000 RPM. Once prompted to drive forward, the driver will open the throttle to start moving. The cyclic limit will remain at 2000 RPM until throttle position exceeds 20 % opening. Then the limit will be phased out until the throttle opening exceeds 28% where it will cease to operate and the engine will run normally (this happens pretty quickly).

Once on the start line the driver (or co-driver) will switch on the A/C switch to put the car in race mode (this may also activate other features such as I/C water spray). This will not activate anti-lag, but prepare the system for anti-lag operation. As the marshal counts down, the driver opens the throttle ready for a big launch. Throttle position exceeds 40% and RPM goes above 4000 RPM. Anti-lag activates.

The stage begins, anti-lag remains active, operating each time the driver backs off. While anti-lag operates, ignition will be retarded from its normal value by the amount entered in the Anti-Lag Retard Table and fuel enriched by the amount entered in the Anti-Lag Fuel Table.

At the end of the stage the driver stops for time keeping. The cyclic limit again comes in to control the idle at 2000 RPM. The RPM has fallen below 4000 RPM and the throttle position is below 40 %, so after 5 seconds anti-lag deactivates...

More Group N Anti-lag Notes

The following notes have been added to help improve the understanding of Group N Anti-lag.

Important points:

•

The idea is to reduce turbo spool up time by keeping the turbo spooled when the driver backs off (overrun).

•

This is achieved by opening the throttle to allow air through, increasing fuel and retarding timing while the engine is in overrun.

•

You cant spool a turbo with a closed throttle (no air = no exhaust = no turbo spooling).

•

With the throttle opened (usually by adjusting the throttle stop screw) the engine will idle too fast for practical driving. The cyclic idle function is provided to bring idle speed back within an acceptable range.

•

Cyclic idle is NOT Anti-lag. It is an idle speed limit and is completely separate from Anti-lag.

•

The Anti-lag dash switch does not turn Anti-lag on. It actually tells the ECU that Anti-lag can be used when the required conditions are met (puts it in Anti-lag standby mode).

The order in which things happen when Anti-lag is used:

1.

At idle, the throttle is partially open, the engine will be idling using the cyclic limit. Anti-lag is NOT working even though the engine is running rough.

2.

Turn on the Anti-lag dash switch. This will not turn anti-lag on, but put the ECU in Anti-lag standby mode. This means that when the required conditions are met Anti-lag will be activated.

3.

Open the throttle past the TP Activation Threshold AND bring the RPM above the RPM Activation Threshold. This will turn on Anti-lag. As the throttle is opened the cyclic idle will cease to operate. The engine will begin trying to spool up the turbo and some positive manifold pressure may be observed.

4.

Drive the vehicle. Assuming that Anti-lag is tuned properly, you may observe popping and banging when backing off the throttle and poor brake performance (as there is no vacuum to run vacuum assisted brakes).

5.

Let the engine come back to idle. Five (or whatever the Timeout value) seconds after throttle position is less than the TP Activation Threshold AND engine RPM is less than the RPM Activation Threshold anti-lag will return to standby mode and the cyclic idle will resume operation.

6.

Switching off the Anti-lag dash switch will turn Anti-lag off. It will not affect the cyclic idle.


Anti-Lag Retard Table / Ign Retard Mode

Anti-Lag Retard Table / Ign Retard Mode

Anti-Lag Retard Table / Ign Retard Mode

This table allows the ignition timing to be retarded as a function of the current engine speed and throttle position while anti-lag is active. The operation of this table depends on the Ign Retard Mode setting found in the anti-lag setup options.

Note: Ignition retard should only be used in areas where anti-lag is required (e.g overrun). At high loads (for example from half to full throttle) all values should be zero so that no retard is used.

Ign Retard Mode settings effect the numbers used in the Anti-Lag Retard Table as follows:

•

Degrees - Anti-Lag Retard Table numbers represent the number of degrees advance that will be added to the current ignition timing. Negative numbers represent retard. A table number of -40 will result in ignition timing being 40 degrees more retarded than normal.

•

Percent - Anti-Lag Retard Table numbers represent the percent of the current ignition timing that will be removed. So if the current ignition timing is 20 degrees advanced, a value of -50% will result in timing of 10 degrees advanced, a number of -100% will result in 0 degrees timing (irrespective of the current ignition value) and a number of -200% will result in ignition timing being 20 degrees retarded.

•

Degrees Absolute - Anti-Lag Retard Table numbers represent the actual ignition timing used when anti-lag is active. If a number of -20 is entered, the actual timing while anti-lag is active will be 20 degrees retarded. Note that in this mode a value of zero in the Anti-Lag Ign Retard Table will result in the normal ignition timing being used.

Anti-lag Retard Table zone boundaries may be adjusted using Table RPM Start, Table RPM Increment, Table Load Start and Table Load Increment. Note that these settings also adjust the boundaries of the Anti-Lag Fuel Table and Anti-Lag Ignition Cut Table.

Example

If Ign Retard Mode is set to Degrees the table will behave as follows:

Typically the Anti-Lag Retard Table will contain values between about -20 and -60 degrees in the areas where anti-lag should operate (typically between 3000 and 7000 RPM and less than about 25% throttle. An example Anti-Lag Ignition Retard Table is shown below:

So while anti-lag is active, at a throttle position of 15% and 5500 RPM, 60 degrees of timing will be removed from the normal ignition timing. So if the normal ignition timing was 25 degrees, the actual timing while anti-lag is active would be 35 degrees retarded.


Anti-Lag Fuel Correction Table

Anti-Lag Fuel Correction Table

Anti-Lag Fuel Correction Table

This table allows fuel to be added as a function of the current engine speed and throttle position. The units are in percentage of extra fuel, meaning that 0 represents no change.

Note: Extra fuel should only be added in areas where anti-lag ignition retard is being used.. At high loads (for example from half to full throttle) all values should be zero so that no extra fuel is added.

Typically this table will contain values between about 0 and 10 % in the areas where anti-lag should operate (typically between 3000 and 7000 RPM and less than about 25% throttle. An example Anti-Lag Fuel Table is shown below:

Anti-lag Fuel Table zone boundaries may be adjusted using Table RPM Start, Table RPM Increment, Table Load Start and Table Load Increment. Note that these settings also adjust the boundaries of the Anti-Lag Retard Table and Anti-Lag Ignition Cut Table.


Anti-Lag Ignition Cut Table

Anti-Lag Ignition Cut Table

Anti-Lag Ignition Cut Table

Note: This table is shared with Individual Cylinder Fuel Correction Table 7. Therefore Individual Cylinder Correction and Anti-Lag can not be used at the same time on engines with more than six cylinders.

Note: Currently the Anti-lag Ignition Cut Table is only available on Direct Spark Ignition Modes. Anti-lag ignition cut will not work with distributed on wasted spark engines.

This table determines the number of cylinders that will be cut per two full firing cycles while anti-lag is active.

While anti-lag is active ignition cut occurs in a random but cyclic manner. The number entered in the Anti-Lag Ignition Cut Table is the number of cylinders that will have their ignition event cut per two full firing cycles (four crankshaft revolutions).

•

If 0 is entered in the table then no cylinders will be cut and ignition will run as per normal.

•

If two times the number of cylinders an engine has (eg 8 on a four cylinder) is entered in the table then all cylinders will be cut.

Cylinders are cut in a random manner but in a pattern that always cycles. This ensures that the correct number of cylinders are cut, but the same cylinder is never cut twice in a row.

Note: Anti-Lag will have no ignition cut in areas where zero is entered in this table. It is the tuners responsibility to fill out this table according to the number of cylinders the engine has and the amount of ignition cut required for a given RPM and Throttle Position.

Anti-lag Ignition Cut Table zone boundaries may be adjusted using Table RPM Start, Table RPM Increment, Table Load Start and Table Load Increment. Note that these settings also adjust the boundaries of the Anti-Lag Retard Table and Anti-Lag Fuel Correction Table.


Launch/Traction Control

Launch/Traction Control

Traction Control

The following Traction Control modes are available:

•

OFF - Launch/Traction Control is disabled.

•

Launch RPM Control #1 - For Launch Control based on vehicle speed. This method of Launch Control can only be disabled by connecting to PCLink and switching Traction Control to OFF.

•

Launch RPM Control #2 - For Launch Control based on vehicle speed that can be disabled using an external switch. Requires a Digital Input to be set up as a General Purpose Input. A dash mounted switch must be installed and wired to a Digital Input. The state of the dash mounted switch determines whether Launch Control is armed.

•

Launch RPM Control #3 - For Launch Control using a clutch pedal switch. Requires a Digital Input to be set up as a General Purpose Input. A clutch pedal mounted switch must be installed and wired to a Digital Input. Launch Control will only be active while the clutch pedal is pressed. A vehicle speed sensor is not required for this mode.


Launch RPM Control Mode #1

Launch RPM Control Mode #1

Launch RPM Control Mode #1 - Always Armed

Launch Control is designed to allow for more consistent stationary launches (i.e drag racing). This mode of Launch Control controls the rate at which engine RPM increases to minimise wheel spin. To do this, the ECU needs vehicle speed information.

This mode of Launch Control does not allow external arming/disarming. The launch control will be permanently armed but only become active when vehicle speed is below the Disarming Threshold and the engine RPM is below the value specified for a particular vehicle speed in the Launch RPM - Ground Speed Table. If external disarming of the Launch Control system is required then Launch RPM Control Mode #2 or #3 should be selected.

This mode of Launch Control employs a vehicle speed dependent RPM limit to reduce wheel spin. The required RPM limit at each vehicle speed will only be found by testing. This means that in all cases, a vehicle speed sensor (driven by non spinning wheels) must be installed and configured. A Digital Input must be set up as Vehicle Speed. The Digital Input used for Vehicle Speed must be specified under DI Speed Channel.

Launch RPM vs Ground Speed values are set in the Launch RPM - Ground Speed Table. The RPM Limit used for Launch Control is a soft limit. Hard Limit Addition specifies the number of RPM that this soft limit can be exceeded by before a hard limit is invoked

The Disarming Speed sets the maximum vehicle speed at which Launch/Traction Control will be active. Above this speed, the normal RPM Limit will be used.

For turbo charged applications, the ignition can be retarded while the Launch Control is active. This will provide increased boost pressure while Launch Control is active. The value set in Launch Ign Trim will be added to the current ignition advance while Launch Control is active. Therefore a negative value will subtract from the ignition advance giving retard (ie this value is always 0 or negative). Eg. A value of -20 will result in the ignition being 20 degrees more retarded than it would normally be if the Launch Control was not active. In Launch RPM Control Mode #1, Launch Ignition Trim is only active while the the vehicle is not moving (ie vehicle speed = 0).

Note: The more retard that is added, the more boost that will be generated (to an extent) but the more heat that will be generated. Setting this value incorrectly could result in engine damage and should only be adjusted by experienced tuners.

Note: A typical value for Launch Ignition Trim is -20 Degrees.

The Ign Trim Activation Point controls when the Launch Control Ignition Trim becomes active. This value defines the throttle position (in %) that must be exceeded before the Launch Control Ignition Trim becomes active. This prevents any ignition retard until wide open throttle.

Note: A typical value for Ign Trim Activation Point is 90%

Note: The following points should be observed when setting up Launch/Traction Control:

•

Obviously it is better to start with the RPM limit too low for a given vehicle speed and raise it.

•

The Disarming Speed should be higher than the speed range over which Launch/Traction Control is used.

•

The Launch Ign Trim should be set to 0 for all non-turbo applications or where retard is not required.

Note: The state of the Launch Control system can be verified under the Runtime Status, Motorsport tab.

Setup Hint:

The RPM values in the Launch RPM tables can be found reasonably easily by experimentation, but for those who want to control the exact amount of slip that occurs, the numbers can be found by calculation as follows:

0% slip RPM = (Speed x Cal x Ratio) / 360 where...

•

Speed is in km/h,

•

Cal is the appropriate Digital Input's speed calibration number,

•

Ratio is the un-normalised Gear Ratio

So as an example, to find the RPM value for 0% slip at 25 kph, assuming the digital input has a calibration number of 260, and the un-normalised gear ratio is 169.3:

0% slip RPM = (Speed x Cal x Ratio) / 360

= (25 x 260 x 169.3) / 360

= 1100450 / 360

= 3057 RPM

In most cases it is desirable to have some slip, so to add 12% slip to the above example:

Slip RPM = 0% Slip RPM x 1.12

= 3057 x 1.12

= 3424 RPM

Alternatively all numbers can be entered in the Launch RPM table as 0% Slip, then PCLink's modify selection by percentage function can be used to add the slip %. To do this, select the RPM values to be changed (hold shift to select more than one value), then press Ctrl and + keys, then type the change followed by the % sign and press enter. Eg type Ctrl and +, then type 12% enter...

The following points should be observed:

•

More slip will be required at low speed to avoid stalling.

•

Speed must be sensed from a non slipping wheel.


Launch RPM Control Mode #2

Launch RPM Control Mode #2

Launch RPM Control Mode #2 - External Arming/Disarming

Launch Control is designed to allow for more consistent stationary launches (i.e drag racing). This mode of Launch Control controls the rate at which engine RPM increases to minimise wheel spin. To do this, the ECU needs vehicle speed information.

This mode of Launch Control allows external arming/disarming of the Launch Control system through the use of an external dash mounted switch. The launch control will be armed when the dash mounted switch is on but only become active when vehicle speed is below the Disarming Threshold and the engine RPM is below the value specified for a particular vehicle speed in the Launch RPM - Ground Speed Table. A Digital Input must be correctly wired to the dash mounted switch and configured as GP Input. The Digital Input connected to the dash mounted switch must be set in DI ON/OFF Control. If external disarming of the Launch Control system is not required then Launch RPM Control Mode #1 should be selected.

This mode of Launch Control employs a vehicle speed dependent RPM limit to reduce wheel spin. The required RPM limit at each vehicle speed will only be found by testing. This means that in all cases, a vehicle speed sensor (driven by non spinning wheels) must be installed and configured. A Digital Input must be set up as Vehicle Speed. The Digital Input used for Vehicle Speed must be specified under DI Speed Channel.

Launch RPM vs Ground Speed values are set in the Launch RPM - Ground Speed Table. The RPM Limit used for Launch Control is a soft limit. Hard Limit Addition specifies the number of RPM that this soft limit can be exceeded by before a hard limit is invoked

The Disarming Speed sets the maximum vehicle speed at which Launch/Traction Control will be active. Above this speed, the normal RPM Limit will be used.

For turbo charged applications, the ignition can be retarded while the Launch Control is active. This will provide increased boost pressure while Launch Control is active. The value set in Launch Ign Trim will be added to the current ignition advance while Launch Control is active. Therefore a negative value will subtract from the ignition advance giving retard (ie this value is always 0 or negative). Eg. A value of -20 will result in the ignition being 20 degrees more retarded than it would normally be if the Launch Control was not active. In Launch RPM Control Mode #2, Launch Ignition Trim is only active while the the vehicle is not moving (ie vehicle speed = 0).

Note: The more retard that is added, the more boost that will be generated (to an extent) but the more heat that will be generated. Setting this value incorrectly could result in engine damage and should only be adjusted by experienced tuners.

Note: A typical value for Launch Ignition Trim is -20 Degrees.

The Ign Trim Activation Point controls when the Launch Control Ignition Trim becomes active. This value defines the throttle position (in %) that must be exceeded before the Launch Control Ignition Trim becomes active. This prevents any ignition retard until wide open throttle.

Note: A typical value for Ign Trim Activation Point is 90%

Note: The following points should be observed when setting up Launch/Traction Control:

•

Obviously it is better to start with the RPM limit too low for a given vehicle speed and raise it.

•

The Disarming Speed should be higher than the speed range over which Launch/Traction Control is used.

•

The Launch Ign Trim should be set to 0 for all non-turbo applications or where retard is not required.

Note: The state of the Launch Control system can be verified under the Runtime Status, Motorsport tab.

Setup Hint:

The RPM values in the Launch RPM tables can be found reasonably easily by experimentation, but for those who want to control the exact amount of slip that occurs, the numbers can be found by calculation as follows:

0% slip RPM = (Speed x Cal x Ratio) / 360 where...

•

Speed is in km/h,

•

Cal is the appropriate Digital Input's speed calibration number,

•

Ratio is the un-normalised Gear Ratio

So as an example, to find the RPM value for 0% slip at 25 kph, assuming the digital input has a calibration number of 260, and the un-normalised gear ratio is 169.3:

0% slip RPM = (Speed x Cal x Ratio) / 360

= (25 x 260 x 169.3) / 360

= 1100450 / 360

= 3057 RPM

In most cases it is desirable to have some slip, so to add 12% slip to the above example:

Slip RPM = 0% Slip RPM x 1.12

= 3057 x 1.12

= 3424 RPM

Alternatively all numbers can be entered in the Launch RPM table as 0% Slip, then PCLink's modify selection by percentage function can be used to add the slip %. To do this, select the RPM values to be changed (hold shift to select more than one value), then press Ctrl and + keys, then type the change followed by the % sign and press enter. Eg type Ctrl and +, then type 12% enter...

The following points should be observed:

•

More slip will be required at low speed to avoid stalling.

•

Speed must be sensed from a non slipping wheel.


Launch RPM Control Mode #3

Launch RPM Control Mode #3

Launch RPM Control Mode #3 - Clutch Pedal Operated

Launch Control is designed to allow for more consistent stationary launches (i.e drag racing). This mode of Launch Control controls the rate at which engine RPM increases to minimise wheel spin. To do this, the ECU needs vehicle speed information.

Note: This mode of Launch Control will be permanently armed and can only be disarmed by connecting to the ECU using PCLink (Note that the clutch switch can be wired in series with a disabling switch). This Launch Control mode will become active after the clutch pedal has been pressed for longer than two seconds. This mode of Launch Control does not require a vehicle speed input but does not give the performance of Launch RPM Modes #1 and #2.

This mode of Launch Control allows external activation of the Launch Control system through the use of a clutch pedal switch. The launch control will be active while the clutch is pressed. A Digital Input must be correctly wired to the clutch pedal switch and configured as GP Input. The Digital Input connected to the clutch pedal switch must be set in DI ON/OFF Control. Note that the Digital Input is used as Level Sensitive. The correct On Level must be set when setting up the Digital input as GP Input.

The RPM Limit used for Launch Control is set in Soft Limit. Hard Limit Addition specifies the number of RPM that this soft limit can be exceeded by before a hard limit is invoked.

For turbo charged applications, the ignition can be retarded while the Launch Control is active. This will provide increased boost pressure while Launch Control is active. The value set in Launch Ign Trim will be added to the current ignition advance while Launch Control is active. Therefore a negative value will subtract from the ignition advance giving retard (ie this value is always 0 or negative). Eg. A value of -20 will result in the ignition being 20 degrees more retarded than it would normally be if the Launch Control was not active. In Launch RPM Control Mode #3, Launch Ignition Trim is only active while the selected Digital Input (clutch switch) is active.

Note: The more retard that is added, the more boost that will be generated (to an extent) but the more heat that will be generated. Setting this value incorrectly could result in engine damage and should only be adjusted by experienced tuners.

Note: A typical value for Launch Ignition Trim is -20 Degrees.

The Ign Trim Activation Point controls when the Launch Control Ignition Trim becomes active. This value defines the throttle position (in %) that must be exceeded before the Launch Control Ignition Trim becomes active. This prevents any ignition retard until wide open throttle.

Note: A typical value for Ign Trim Activation Point is 90%

Note: The following points should be observed when setting up Launch/Traction Control:

•

Obviously it is better to start with the RPM limit too low for a given vehicle speed and raise it.

•

The Launch Ign Trim should be set to 0 for all non-turbo applications or where retard is not required.

Note: The state of the Launch Control system can be verified under the Runtime Status, Motorsport tab.

Example: To see the setup example for using Flat Shifting with Launch Control Mode #3, click HERE.


Flat Shifting

Flat Shifting

Flat Shifting

Flat Shifting is designed to allow full-throttle gear changes to be made. This is achieved by cutting the ignition during the gear change so that the engine does not bounce off of the RPM Limit. The switch to initiate the cut should be mounted on the clutch pedal and connected to a Digital Input. The selected digital input should be configured as a General Purpose Digital Input. The number of the Digital Input channel connected to the clutch switch must be entered under Flat Shift DI.

Note: Flat shifting uses an edge triggered Digital Input. The Active Edge must be configured correctly (Done when setting up the Digital Input as GP Input). If the Active Edge is wrong, flat shifting will be triggered when the clutch is released rather than when it is pressed.

Note: Only Digital Inputs 1-8 can be used for Flat Shifting.

The cut will be begin when the clutch is pressed and last for the length of time set by the Cut Period.

For the flat shifting ignition cut to occur the engine must be operating above the Activation Point > RPM value and Activation Point > %TP value. This prevents the ignition cut occurring at low RPM and/or low throttle position.

Note: The state of the Flat Shifting system can be verified under the Runtime Status, Motorsport tab.

Example: To see the setup example for using Flat Shifting with Launch Control Mode #3, click HERE.


Example - Using Launch Mode #3 and Flat Shifting

Example - Using Launch Mode #3 and Flat Shifting

Example - Using Launch Control Mode #3 and Flat Shifting Together

Both Flat Shifting and Launch Control Mode #3 require the use of a clutch switch to activate them. This has caused some confusion during configuration. The following example is intended to work through setting up both these functions to work in harmony. Note that settings given are examples only and may not be suitable for every application.

Setting up the Digital Input

A clutch switch must be installed at the appropriate position in the pedals travel. The switch should operate just before the clutch plate releases (or just after the clutch engages when the pedal is being released. The clutch switch must be wired to one of the Link ECU's Digital Inputs (Only Digital Inputs 1 to 8 can be used for flat shifting). Launch Control Mode #3 uses the digital input as Level Sensitive (recognises as being on or off) while Flat Shifting uses the Digital Input as Edge Triggered (recognises a change in state on the Digital Input pin).

For the rest of this example it is assumed that the switch used is of the normally open type and has one terminal wired to 12V and the other wired to the Link ECU Digital Input number 2. This would give 12V on the Digital Input pin when the clutch is pressed and 0V when it is released.

Under the Digital Inputs menu select DI 2. Set the Function to GP Input. Options will appear to set the On Level and Active Edge. Set the On Level to High as the input voltage goes high (12V) when the clutch is pressed. Check the operation of the clutch switch by selecting the Digital Runtime Display (press Ctrl + F5) and select the Digital Inputs Tab. The item labelled 'GP Switch DI #2' should read OFF when the clutch pedal is released and ON when pressed.

Set the Active Edge to Rising. Rising edge is used as we want Flat Shifting to activate when the clutch is pressed (not released). The voltage on the Digital Input RISES from 0V to 12V when the clutch pedal is pressed.

Configuring Launch Control

Under the Motorsport menu, select Traction Control. The Launch/Traction control configuration page will be displayed. Set Traction Control to Launch Mode #3. The following options will appear:

•

Soft Limit - Set this to the desired Launch Control Soft Limit RPM (eg 5000 RPM).

•

Hard Limit Addition - Set the value that the Soft Limit value can be exceeded by before the Hard Limit is invoked (eg 100 RPM would give a Hard Limit at 5100 RPM).

•

DI ON/OFF Control - Set the Digital Input channel wired to the clutch switch. In this example channel 2 is used.

•

Ign Trim Activation - Set the throttle opening that must be exceeded before Launch Control will become active (eg 90% would mean the throttle must be nearly fully open before Launch Control will operate).

•

Arming Time - Set the time the clutch must be pressed for before Launch Control will become active (eg 2 seconds).

•

Launch Ignition Trim - Set the ignition advance to be added when Launch Control is active (eg -10 would give 10 degrees retard).

Using the settings described above, Launch Control will become active after the clutch has been pressed for longer than 2 seconds AND when the throttle position is greater than 90%. Launch control will soft limit engine RPM at 5000 RPM and hard limit should the RPM exceed 5100 RPM. Ignition timing will be retarded by 10 degrees from its normal value while Launch Control is active.

Configuring Flat Shifting

Under the Motorsport menu, select Flat Shifting. The Flat Shifting configuration page will be displayed. Set Flat Shifting to ON. The following options will appear:

•

Cut Period - Set the time period that the ignition will be cut for during gear changes (eg 0.2 seconds).

•

Activation Point > - Set the minimum RPM at which Flat Shifting will operate (eg 4000 RPM).

•

Activation Point > - Set the minimum throttle opening before Flat Shifting will operate (eg 90%).

•

DI Control Channel - Set the Digital Input channel wired to the clutch switch. In this example channel 2 is used.

Using the setting described above, Flat shifting will cut ignition when the clutch is pressed (not released) for 0.2 seconds if the engine RPM is above 4000 AND the throttle is open more than 90%.

Due to the two second delay on launch control it will not become active during flat shifting gear changes (unless they take longer than two seconds !!!).


Boost Control

Boost Control

Boost Control

This function allows for electronic boost control on turbo charged engines via a boost control solenoid. A boost control solenoid is used to modify the pressure signal from the turbocharger compressor outlet to the wastegate actuator.

The minimum boost pressure that can be achieved occurs when the solenoid is continuously de-energised (0% Duty Cycle). This pressure is entirely dependent on the wastegate/actuator construction.

The maximum boost pressure that can be achieved occurs when the solenoid is continuously energised (100% Duty Cycle). This pressure is typically dependent on the turbocharger/engine combination. Typically this pressure exceeds that which can be safely tolerated by the engine.

By varying the on/off ratio (changing the Duty Cycle), a boost pressure between the minimum and maximum can be achieved.

The following adjustments are available to configure the boost control system:

•

Boost Mode

•

Load Axis

•

Boost Table

•

Engine Coolant Temp (ECT) Trim

•

Intake Air Temp (IAT) Correction

•

Dual Boost Tables


Boost Mode

Boost Mode

Boost Mode

Boost Mode selects the boost control strategy. The following options are available:

Boost Modes:

1.

Off - The wastegate duty cycle will be zero at all times. This results in the minimum possible boost.

2.

Open Loop - The wastegate duty cycle will be taken directly from the Boost Table.

Click HERE for information on setup of boost control using Boost Adjust (external adjustment knob).


Load Index

Load Index

Load Index

There are 4 load axis options available to allow for more precise control when required.

1.

None gives a 2D Table which allows the tuner to define different Duty Cycles at different engine speeds (RPM).

2.

TPS gives a 3D Table which allows the tuner to define different Duty Cycles for at different engine speeds and throttle positions. This feature allows boost to be progressively increased with throttle position.

3.

Gear gives a 3D Table which allows the tuner to define different Duty Cycles for at different engine speeds and in different gears. This feature allows different boost levels to be setup for each gear.

4.

BoostAdj gives a 3D Table which allows the tuner to define different duty cycles for at different engine speeds according to the voltage applied to the Analog Input which has been configured as the BoostAdj function. This feature allows boost to be set via an external switch or potentiometer.


Boost Table

Boost Table

Boost Table

The Boost Table represents the Duty Cycle that will be applied to the wastegate solenoid whenever the engine is operating under boost. Under vacuum the wastegate Duty Cycle is always 0%. A higher wastegate duty cycle will result in higher boost levels and vice versa.

The Boost Table is used whenever the engine is operating under boost.

Table RPM Start specifies the value at which the first RPM table element is centered. Table RPM Increment specifies the RPM difference between each of the tables RPM elements.

When using a Boost Mode of TPS, Gear or BoostAdj, Table Load Start specifies the value at which the first load table element is centered. Table Load Increment specifies the difference between each of the tables load elements.


Engine Coolant Temp (ECT) Trim

Engine Coolant Temp (ECT) Trim

Boost Engine Coolant Temperature (ECT) Trim

This correction allows the wastegate duty cycle to be adjusted with respect to the engine coolant temperature. The values represent a percentage change in the duty cycle taken from the Boost Base Table (the numbers are NOT added or subtracted).

For example -10 will give a 10% reduction in duty cycle. Therefore if the original duty cycle (taken from the Boost Base Table) was 48% then the actual duty cycle will be decreased by 4.8% to 43.2%.


Dual Boost Tables

Dual Boost Tables

Dual Boost Tables

Dual Boost Tables allow two completely different boost maps to be used. By default Boost Table 1 is visible and active. If Table 2 is selected then the second tables become visible and active while the first table is shown shaded.

If Switch on Aux is selected then second table will be selected when the chosen Auxiliary Output becomes active. If Switch on DI is selected then the second table will be active when the chosen Digital Input becomes active.

•

If Switch on Aux is selected under Active Boost Table then Boost Base Table 2 will be selected when the chosen Auxiliary Output becomes active.

•

If Switch on DI under Active Boost Table Boost Base Table 2 will be selected when the chosen Digital Input becomes active.

Example: When running two different octane fuels or two different engine setups. Dual boost tables may be used in conjunction with dual ignition and fuel tables to completely cater for the different requirements of the two setups.


Intake Air Temp (IAT) Trim

Intake Air Temp (IAT) Trim

Boost Air Temperature Trim

This correction allows the wastegate duty cycle to be adjusted with respect to the inlet air temperature. The values represent a percentage change in the duty cycle taken from the Boost Base Table (the numbers are NOT added or subtracted).

For example -10 will give a 10% reduction in duty cycle. Therefore if the original duty cycle (taken from the Boost Base Table) was 48% then the actual duty cycle will be decreased by 4.8% to 43.2%.


Idle Speed Control

Idle Speed Control

Idle Speed Control

Idle Speed Control (ISC) is required to provide a stable idle speed as engine operating conditions change or when loads are applied. Without idle speed control, an engine will idle too slowly when cold (or too fast when hot). Often the cold idle speed will be so low that the engine stalls. Likewise, extra loads (such as air conditioning compressors switching on) will decrease the idle speed and may cause the idle to become unstable.

The ISC system regulates the engine idle speed by adjusting the amount of air which is by-passed around the throttle. Idle speed control can be achieved using either a solenoid valve (two or three wire) or a stepper motor actuated valve (four terminal or six terminal). One of these devices must be correctly wired to an Auxiliary Output (or outputs). These Auxiliary outputs must be configured as the correct type of idle speed control.

Note: ISC Control settings will not become visible until until at least one Auxiliary Channel is configured for ISC Control. To use an Idle Stepper Motor, Auxiliary Channels 5,6,7 and 5 MUST be set to ISC Stepper.

Idle speed can be controlled in one of two modes: Open Loop or Closed Loop. Open Loop control simply sets the position of the ISC controller (solenoid or stepper) for a given temperature. Closed Loop control compares the actual engine idle speed with the desired engine speed and automatically adjusts to correct the difference between the two. Open Loop idle control is sufficient for most applications and is easily setup. Closed Loop idle control will produce a more stable and repeatable idle but is complex and time consuming to setup (recommended for professional tuners only).

For further help, select one of the following ISC Control Modes:

•

Open Loop

•

Closed Loop #1

Click HERE to return to G2/G3 tuning functions


Closed Loop ISC Control

Closed Loop ISC Control

Closed Loop Idle Speed Control

Warning: This function is for experienced tuners only and requires knowledge of closed loop control systems.

Closed Loop Idle Speed Control provides a more complex idle control system that when correctly setup produces a very stable and repeatable idle speed control. Closed Loop ISC continuously looks at the current idle speed and compares it with the desired idle speed. If there is a difference then the appropriate action is taken to correct the idle speed. Closed Loop ISC control requires that various conditions are met before it will automatically adjust idle speed. For effective closed loop idle control, the following is required:

•

A vehicle speed signal must be present - Vehicle speed is required in order to stop closed loop idle control operating while the vehicle is moving above 10kph.

•

Throttle Position Signal must be present - Throttle position is used to stop closed loop idle operating while the throttle is open.. This stops the ECU trying to reduce idle speed while the driver is trying to increase it by opening the throttle.

•

The engine tune (both fuel and ignition) must be complete around the areas used at idle.

Closed Loop ISC control works in addition to the ECU's Open Loop ISC Control function. Closed loop uses the open loop ISC controls values as a starting point then applies correction to achieve the desired idle RPM. This prevents the ECU having to make large corrections which result in unstable RPM and idle hunting. It is strongly recommended that the engine is tuned using Open Loop Idle Control before attempting to tune closed loop.

The following settings are available for configuring Closed Loop ISC Control:

•

Max Clamp - Defines the maximum duty cycle or stepper position that will be applied.

•

Min Clamp - Defines the minimum duty cycle or stepper position that will be applied.

•

Air Con Step Table - Provides idle speed increase for A/C loads.

•

Startup Step Table - Provides additional air for engine starting

•

Engine Fan Step - Provides idle speed increase for engine fan electrical load.

•

Power Steer Step - Provides idle speed increase for power steer pump load.

•

ISC Base Position Table - Sets the ISC Controllers base position for a given engine temperature.

•

Stepper Reset - ISC Stepper Only - Determines if the stepper motor will be returned to its reset position on power up or power down (requires the ECU hold power function to be active).

•

Key On Fuel Lockout - Used if in some cases if stepper reset is set to Key On to prevent overshoot on startup.

•

Deadband - Disables closed loop control when idle speed is within this many RPM of its target RPM (ISC Solenoid only).

•

Speed Lockout - Digital Input channel used for speed signal input.

•

RPM Lockout - The addition to the target RPM at which Closed Loop ISC control will be deactivated.

•

TP Lockout - The Throttle Position at which Closed Loop ISC Control will be deactivated.

•

Idle RPM Table - The desired idle RPM for a particular engine temperature.

•

Proportional Gain Table - Temperature dependant Proportional gain.

•

Derivative Gain Table - Temperature dependant Derivative gain.

•

Anti-Stall Gain Table - Temperature dependant Anti-Stall gain.

•

Type - ISC stepper motor type

At any time the state of the Idle Control System and idle stepper/solenoid position can be viewed under the Auxiliary Outputs tab of the runtime values (lower portion of PCLink screen).

Closed Loop ISC Control Setup Procedure

The following checks should be made before attempting to setup the idle control system:

•

Ensure the idle control valve/stepper is correctly plumbed and wired to an auxiliary output/s (note that on some ECU's, not all pins can be used for idle control).

•

Configure the Auxiliary Output for idle control. The recommended frequency for an ISC solenoid is 200 Hz.

•

Adjust the value in the Idle Speed Base Position Table for the current engine temperature. Changing the value should result in a change in engine speed. It is important that the ISC control solenoid/stepper can adjust engine speed from at least above and below 300 RPM from the desired idle speed at all engine temperatures. Increasing ISC Solenoid duty cycle should increase engine speed. Decreasing ISC Stepper position should increase engine speed.

Testing has proved that a very reliable idle control can be achieved by applying closed loop compensation to a set of base idle speed duty cycles/stepper positions. Theses base settings vary between engines and must be configured. At this stage, this must be done manually by the tuner. This process involves telling the ECU the duty cycle or stepper position required to achieve the various idle speeds.

The following procedure describes the recommended method of configuring closed loop idle control. It is recommended to set up the engine for open loop idle speed control first as this will provide a close set of base settings. Note that the above checks should be performed before completing this procedure.

1.

Perform the Open Loop ISC Control Setup Procedure first (DO NOT skip this step!)

2.

Set ISC Mode to Closed Loop #1.

3.

Set all Idle Up Adjustments to zero (Air Con Step, Engine Fan Step and Power Steer Step).

4.

Set Proportional Gain to 1 at all temperatures.

5.

Set Differential Gain to 2 at all temperatures.

6.

Set Anti-stall Gain to 8 at all temperatures.

7.

Locate the Idle Position and Idle Target runtime values under the Auxiliary Outputs tab in the lower portion of the PCLink screen.

8.

Enter the desired idle target RPM values in the Idle RPM Table.

9.

Starting with a cold engine, start the engine.

10.

As engine temperature increases, for each cell in the Idle Speed Base Position Table:

•

Allow idle RPM to stabilise at that temperature.

•

Read the Idle Position runtime value. This is the position the closed loop system has determined is required to achieve the target idle RPM.

•

Enter the value back into the appropriate cell in the Idle Speed Base Position Table.

11.

Fill in the cells in the Idle Speed Base Position Table above and below the engine temperature operating range with suitable values.

12.

OK, at this stage the basic Closed Loop ISC setup has been completed. It is now time to tune the closed loop system for optimum response to changes in engine load.

13.

Tune Proportional Gain to obtain the best response. A good test is how well the engine returns to idle after a free rev.

14.

Tune Derivative Gain to obtain the best response.

15.

Set Anti Stall Gain to approximately 5 times proportional gain.

Other Hints for Idle Control Setup

•

When using an ISC Stepper Motor, start with lower numbers in the base position table (eg 50) rather than higher numbers. that will prevent the stepper motor from winding out too far during reset and bottoming out (bottom out causes loss of a known position). This will cause a higher idle RPM, but ensure that the stepper is in a known position while setting up idle speed control. Also set up in open loop mode first.

•

When using an ISC Stepper Motor, it may be necessary to cycle to key a few times before a consistent stepper position is found.

•

Keep ignition values similar around the low RPM/load zones. Ignition timing has a significant effect on idle speed. Having large changes between ignition zones can cause an oscillating (hunting) closed loop idle. Ignition timing can also be used to obtain a higher/lower idle RPM if required.

Setup Procedure for Link Two Wire ISC Solenoids

The following setup procedure is a quick guide to setup with a Link\/Bosh two wire ISC solenoid.

1.

Make sure the valve is plumbed correctly and wired to an auxiliary channel that supports ISC solenoid.

2.

Select the auxiliary channel as ISC solenoid and set the frequency to 200Hz (very important).

3.

Make sure the car is properly tuned from cold to hot.

4.

Test the ISC valve by entering different duty cycles. Higher numbers should result in a higher engine RPM. Make sure that when the DC is set to 0% the engine idles at about 400 RPM (adjust the throttle plate screw). Adjust the screw on the ISC valve to give approx 50% DC at your normal hot idle speed.

5.

Set the ISC mode to open loop. Start the car from cold and adjust the ISC solenoid duty cycles to get approximately the desired idle RPM at each temperature as the engine warms up.

6.

Switch the ISC mode to closed loop. Start with the following settings:

•

Min Clamp = 10

•

Max Clamp = 90

•

TP Lockout = 1.5% (make sure TPS is spanned correctly)

•

Speed Lockout = none (unless you have speed on DI1)

•

RPM Lockout = 500

•

Deadband = 10 RPM

•

Fan Step and Power Steer step = 0

•

Set desired target RPM's

•

Proportional gain = all 1

•

Derivative gain = all 2

•

Anti stall gain = all 8

•

Startup step = all 10

•

A/C step = all 0

7.

Start again from cold. As the engine warms up, watch the Idle Status in the runtime values tab. When it says Target RPM, look at the Idle Position value. That is the DC required to make your target RPM. Enter that number into the Base Position table at the appropriate temperature.

8.

Trim A/C, fan step and gain values as required.

Click HERE to return to the Idle Speed Control Page


Open Loop ISC Control

Open Loop ISC Control

Open Loop Idle Speed Control

Open Loop Idle Speed Control provides a simple means of regulating idle speed based on engine temperature. This mode of ISC Control allows the tuner to set the ISC Controllers (solenoid or stepper) position for a given engine temperature. Additional compensations can be applied for loads that may become active at idle such as A/C compressors or engine fans.

The following settings are available for configuring Open Loop ISC Control:

•

Max Clamp - Defines the maximum duty cycle or stepper position that will be applied.

•

Min Clamp - Defines the minimum duty cycle or stepper position that will be applied.

•

Air Con Step - Provides idle speed increase for A/C loads.

•

Startup Step - Provides additional air for engine starting

•

Engine Fan Step - Provides idle speed increase for engine fan electrical load.

•

Power Steer Step - Provides idle speed increase for power steer pump load.

•

ISC Base Position Table - Sets the ISC Controllers base position for a given engine temperature.

•

Stepper Reset - ISC Stepper Only - Determines if the stepper motor will be returned to its reset position on power up or power down (requires the ECU hold power function to be active).

•

Type - ISC stepper motor type

•

Key On Fuel Lockout - Used if in some cases if stepper reset is set to Key On to prevent overshoot on startup.

At any time the state of the Idle Control System and idle stepper/solenoid position can be viewed under the Auxiliary Outputs tab of the runtime values (lower portion of PCLink screen).

Open Loop ISC Setup Procedure:

The following checks should be made before attempting to setup the idle control system:

•

Ensure the idle control valve/stepper is correctly plumbed and wired to an auxiliary output/s (note that on some ECU's, not all pins can be used for idle control).

•

Configure the Auxiliary Output for idle control. The recommended frequency for an ISC solenoid is 200 Hz.

•

Adjust the value in the Idle Speed Base Position Table for the current engine temperature. Changing the value should result in a change in engine speed. It is important that the ISC control solenoid/stepper can adjust engine speed from at least above and below 300 RPM from the desired idle speed at all engine temperatures. Increasing ISC Solenoid duty cycle should increase engine speed. Decreasing ISC Stepper position should increase engine speed.

The following procedure provides a general method for setting up open loop idle speed control. This procedure assumes that an Idle solenoid or stepper has been correctly wired and configured and that the engine in in its final state of tune.

1.

Set ISC Mode to Open Loop.

2.

Set all Idle Up Adjustments to zero (Air Con Step, Engine Fan Step and Power Steer Step).

3.

Starting with a cold engine, start the engine.

4.

As the engine warms up, adjust each cell in the ISC Base Position Table to achieve the required idle speed. Note that it may be necessary to adjust the Max Clamp and Min Clamp values during this procedure.

5.

Fill in the cells above and below the engine temperature operating range with suitable values.

6.

With the engine at normal running temperature, individually switch on any loads that may be connected. Adjust the appropriate Idle Up Adjustment to achieve the required idle speed with the load active.

7.

Set the Min Clamp value as follows:

•

ISC Stepper - Set Min Clamp to the lowest value in the ISC Base Position Table less the sum of all Idle Up Adjustments. eg if the lowest table value is 40 and there are two idle up adjustments used with values of 2 and 6, then set Min Clamp to 40 - 8 = 32.

•

ISC Solenoid - Set Min Clamp to the lowest value in the ISC Base Position Table.

8.

Set the Max Clamp value as follows:

•

ISC Stepper - Set Max Clamp to the highest value in the ISC Base Position Table.

•

ISC Solenoid - Set Max Clamp to the highest value in the ISC Base Position Table plus the sum of all Idle Up Adjustments. eg if the highest table value is 79 and there are three idle up adjustments used with values of 3, 9 and 5 then set Max Clamp to 79 + 3 + 9 + 5 = 96.

Other Hints for Idle Control Setup

•

Keep ignition values similar around the low RPM/load zones. Ignition timing has a significant effect on idle speed. Having large changes between ignition zones can cause an oscillating (hunting) closed loop idle. Ignition timing can also be used to obtain a higher/lower idle RPM if required.

Click HERE to return to the Idle Speed Control Page


RPM Lockout

RPM Lockout

Idle Speed Control RPM Lockout

Note: This function is only available in Closed Loop ISC Control modes.

This setting sets addition to the Target Idle RPM above which closed loop idle control will be disabled. If Closed Loop ISC control tries to reduce RPM when it is too high (such as during overrun) chances are that the ISC solenoid or Stepper will end up fully closed. This could result in an undershoot and possible stall as the engine returns to idle due to the time taken to return the ISC controller to its required position.

Note: This value adds to the Idle RPM Table value. So if the table has a value of 850 RPM for a given temperature and the RPM Lockout value is 400 RPM, Closed Loop ISC control will be disabled while RPM is above 850 + 400 = 1250 RPM.

Click HERE to return to the Idle Speed Control Page


Type

Type

Idle Speed Control Stepper Type

Note: This function is only available in ISC Stepper mode.

Type selects the type of ISC Stepper wired. The following ISC Stepper types are supported:

•

4 Terminal (Bipolar) - This type of ISC stepper motor has four terminals in its wiring connector.

•

6 Terminal (Unipolar) - This type of ISC stepper motor has six terminals in its wiring connector.

Refer to the appropriate ECU wiring and installation manual for information on wiring ISC stepper motors. Note that ISC stepper motors must be wired to Auxiliary Outputs 5 to 8.

Click HERE to return to the Idle Speed Control Page


Idle Speed Base Position Table

Idle Speed Base Position Table

Idle Speed Base Position Table

The Idle Speed Base Position Table determines the required Stepper Motor or ISC Solenoid position to achieve the desired idle speed (RPM) at a given engine temperature with all Idle Up Adjustments disabled.

When using an ISC Solenoid, the numbers in this table represent the % duty cycle that the solenoid is open. Therefore increasing the value will result in a faster idle speed.

When using an ISC Stepper Motor, the numbers in this table represent the number of steps from the stepper motors fully open position. Therefore increasing this number will result in decreasing idle speed. This is because the stepper is moving further away from its fully open position (hence closer to its fully closed position).

The maximum and minimum values that can be entered in this tabled are limited by the Max Clamp and Min Clamp settings.

Click HERE to return to the Idle Speed Control Page


Stepper Reset

Stepper Reset

Stepper Reset

Note: This function is only visible when Auxiliary Outputs 5,6,7 and 8 are set to ISC Stepper.

Stepper Reset determines whether the ISC Stepper motor is returned to its default position when the ECU is turned on or shut down. Resetting the stepper motor on ECU power up means that the motor has to return to its default (usually fully open) position often during cranking. This means that correct stepper position can not be established until a few seconds after key on (often during cranking or after startup). Resetting the stepper motor on ECU power down means that the stepper motor will already be in the correct position for the next power up. This is the method used by most vehicle manufacturers. The following options are available for Stepper Reset:

•

Key ON - Stepper position is reset when the ECU is powered up.

•

Key OFF - Stepper position is reset after the key is turned off, but before the ECU is powered down. This method requires that the ECU is specially wired to enable it to control when it shuts itself down and that an Auxiliary Output is configured as ECU Hold Power.

Key-On Fuel Lockout

In order to properly use ISC Stepper control it is necessary that the ECU can sense when the driver has turned the ignition switch off. The ECU will then immediately shut the engine down, reset the stepper motor to its home position for next startup, then power itself down. In order for the ECU to be able to power itself down after the key has been switched off it must be wired correctly, have a Digital Input setup as Ignition Switch and an Auxiliary Output setup as ECU Hold Power. In these cases Stepper Reset will be set to Key OFF.

In some cases it may not be practical to wire the ECU in this manner or there may not be sufficient spare digital inputs. In these cases, Stepper Reset must be set to Key ON. In this mode, when the key is turned on, the stepper motor is moved to its fully open position, then returned to its correct position for startup. During this period (up to four seconds) the idle valve can be open far enough to produce a very high RPM (eg up to about 4000 RPM on a V5/6 WRX/STi). This produces an undesirable over-rev on startup. The Key-On Fuel Lockout allows the engines starting to be delayed by certain time period to prevent this. If the stepper reaches its starting position before the time period is up, the engine will be allowed to start immediately. There are two options for the driver:

1.

Crank the engine until it starts. The engine will be allowed to start when the stepper is ready or the Key-On Fuel Lockout time is up.

2.

Wait a few seconds for the stepper to reset, then crank. The engine will start immediately in this case.

Note: It is recommended to use the ECU Hold Power function when using ISC stepper motors.

Click HERE to return to the Idle Speed Control Page


Idle Up Adjustments

Idle Up Adjustments

Idle Up Adjustments

Idle Up Adjustments are provided to help increase idle speed to compensate for increased mechanical and electrical loads. The following Idle Up Adjustments are provided:

•

Air Con Step - Provides increased idle speed while the A/C compressor and fun are running. This function requires that an Auxiliary Output is configured as A/C Clutch and a Digital Input is configured as A/C In. In Closed Loop ISC control mode this is a temperature dependant table.

•

Engine Fan Step - Provides increased idle speed while the engine fan is running.

•

Power Steer Step - Provides increased idle speed for power steering load. This function requires that a Digital Input is configured as Power Steer.

•

Startup Step - Provides increased air bypass for starting. Startup step decays as over a period of three seconds after RPM is detected. In Closed Loop ISC control mode this is a temperature dependant table.

All units for the above adjustments are in either %DC (ISC Solenoid) or in Steps (ISC Stepper). Idle Up Adjustment values are added to the current value in the Idle Speed Base Position Table.

Click HERE to return to the Idle Speed Control Page


Min Clamp

Min Clamp

Minimum Idle Clamp

This is the minimum duty cycle or idle stepper motor position that the ISC system will use regardless of any other settings. This is used to prevent unusually low stepper motor positions or duty cycles should an inconsistent number be entered in the ISC Base Position Table. this setting is also used to prevent the engine from stalling.

Typically this value is set to about 10% less than the lowest value used in the ISC Base Position Table.

Click HERE to return to the Idle Speed Control Page


Max Clamp

Max Clamp

Maximum Idle Clamp

This is the maximum duty cycle or idle stepper motor position that the ISC system will use regardless of any other settings. This is used to prevent unusually large stepper motor positions or duty cycles should an inconsistent number be entered in the ISC Base Position Table or should all idle up values sum to an amount that results in an unusually high idle.

Typically this value is set to about 10% more than the highest value used in the ISC Base Position Table.

Click HERE to return to the Idle Speed Control Page


Idle RPM Table

Idle RPM Table

Idle RPM Table

Note: This function is only available in Closed Loop ISC Control modes.

This table sets the target (desired) idle RPM for a given engine temperature.

Note: This table works in conjunction with the Idle Speed Base Position Table. Refer to the Closed Loop ISC Control Setup Procedure for more information.

Click HERE to return to the Idle Speed Control Page


Deadband

Deadband

Deadband

Note: This function is only available in Closed Loop ISC Control modes using an ISC Solenoid (not used for ISC Stepper).

In some cases closed loop ISC control may become unstable just around its target idle RPM. This is due to the closed loop system continuously trying to increase/decrease idle to maintain a constant RPM. The Deadband value prevents the closed loop system from altering idle speed when it is within that many RPM of its target.

Example: If the Deadband is 20 RPM, and target RPM is 800, the closed loop ISC control system will not try to correct idle speed once it falls within the 780 - 820 RPM band.

Click HERE to return to the Idle Speed Control Page


Speed Lockout

Speed Lockout

Idle Speed Control Vehicle Speed Lockout

Note: This function is only available in Closed Loop ISC Control modes.

This setting determines if speed will be used as a factor in determining when the closed loop idle control system will operate. Disabling closed loop idle control while the vehicle is moving prevents the idle speed control system trying to reduce idle speed during normal driving. If the idle speed control is allowed to try to reduce idle speed during driving, this can result in the idle valve/stepper being fully closed. When the vehicle comes to a stop (or during gear changes), the idle system has to open the valve substantially to catch the falling engine speed. Sometimes the engine speed will undershoot its target and possibly cause the engine to stall. Disabling idle speed control while the vehicle is moving can help prevent this. The following options are available:

•

None - Speed will not be used to disable closed loop idle control.

•

DI #X - Vehicle speed will be used to disable closed loop idle control when the vehicle is moving (speed is greater than 10 kph). For this to work correctly, a Digital Input must be correctly wired to a vehicle speed sensor, correctly configured and calibrated. X is the channel number of the digital input used for vehicle speed.

Click HERE to return to the Idle Speed Control Page


Throttle Position Lockout

Throttle Position Lockout

Idle Speed Control Throttle Position Lockout

Note: This function is only available in Closed Loop ISC Control modes.

This setting sets the throttle position above which closed loop idle control will be disabled. Disabling closed loop idle control while the throttle is open prevents the idle control system continuously trying to reduce engine speed back to idle RPM.

Click HERE to return to the Idle Speed Control Page


Proportional Gain

Proportional Gain

Idle Speed Control Proportional Gain

Note: This function is only available in Closed Loop ISC Control modes.

This value effectively sets the the sensitivity of the closed loop idle control system to deviations between actual RPM and target RPM. A higher proportional gain will make the closed loop system produce a larger output to make the engine speed equal to the target speed (set in the Idle RPM table). The required proportional gain will vary depending on engine temperature. This is due to differing engine operating characteristics and ISC solenoids/steppers operating in a different range between cold and hot positions.

The following points should be observed:

•

If the proportional gain is too high, the idle speed may become unstable and constantly cycle above and below the target RPM. Note that increasing Derivate Gain may improve this.

•

If the proportional gain is too low the actual engine RPM may never reach the target RPM.

How it works...

The ECU continuously checks the actual engine RPM and the Target (desired) idle RPM. The difference between these two values is called the Error. When there is a large difference between the actual and target RPM values, the error is large. When they are the same, the error is zero. Error is multiplied with the proportional gain to get the required amount of correction to idle speed. Therefore a larger Proportional Gain will result in a larger amount of correction for a given error. When the actual and target RPM values are very close the error is very small. When a small error is multiplied with the Proportional Gain it results in a small output and very little change in idle speed.

Click HERE to return to the Idle Speed Control Page


Derivative Gain

Derivative Gain

Idle Speed Control Derivative Gain

Note: This function is only available in Closed Loop ISC Control modes.

This value effectively sets the the speed at which the closed loop idle control system responds to changes in engine RPM due to introduced/removed loads (such as A/C compressors or engine fans). A higher Derivative Gain will make the closed loop system respond more aggressively to sudden changes in idle RPM. The required derivative gain will vary depending on engine temperature. This is due to differing engine operating characteristics and ISC solenoids/steppers operating in a different range between cold and hot positions.

The following points should be observed:

•

If the derivative gain is too high, the idle speed may overshoot (momentarily go too high) when a load is applied and undershoot (momentarily go too low) when it is removed.

•

If the derivative gain is too high, the idle speed may become unstable and constantly cycle above and below the target RPM.

•

If the proportional gain is too low, the Closed Loop ISC control system may be slow to respond to changes in engine load.

How it works...

The ECU continuously checks the rate at which engine speed is changing. When engine speed is changing quickly there is said to be a large Rate of Change (ROC). When engine speed is not changing ROC is zero. ROC is multiplied by the derivative gain to get the required amount of instantaneous correction to idle speed. Therefore a larger Derivative Gain will result in a larger amount of correction for a given sudden change in engine speed.

Click HERE to return to the Idle Speed Control Page


Anti-Stall Gain

Anti-Stall Gain

Idle Speed Control Anti-Stall Gain

Note: This function is only available in Closed Loop ISC Control modes.

Anti-stall Gain effectively works the same as Proportional Gain, however becomes active when actual engine RPM falls more than 150 RPM below the target RPM. This provides additional ISC operation when engine speed suddenly falls below its target to prevent stalling. Refer to the Proportional Gain help page for further information. The required Anti-stall Gain will vary depending on engine temperature. This is due to differing engine operating characteristics and ISC solenoids/steppers operating in a different range between cold and hot positions.

The following points should be observed:

•

If the Anti-Stall Gain is too high, the idle speed do a sharp increase when engine speed gets very low (such as when loading the vehicle up in gear with the hand brake on).

•

If the Anti-Stall Gain is too low the engine may stall easily when loaded up.

Click HERE to return to the Idle Speed Control Page


VVT Control

VVT Control

VVT Control

Selected Link ECU's based on the G3 platform have the ability to control Continuously Variable Valve Timing (VVT). VVT is used by engine manufacturers to dynamically adjust valve timing, improving power, economy and emissions. Link ECU's use a high speed precision Proportional-Integral-Derivative (PID) control algorithm to accurately position cam shafts. Closed loop control allows cam positioning to remain unaffected by variations in oil temperature and pressure.

Warning: VVT control is an advanced feature. Although G3 VVT control provides a large amount of status information, it should only be set-up and operated by experienced tuners. Failure to correctly set up VVT Control can result in unpredictable cam timing that could possibly result in engine damage. DO NOT adjust anything you are not completely sure of !

Warning: It is strongly recommended that where a preset VVT configuration is offered for your engine that it is used rather than a custom configuration.

VVT Configuration

To set up VVT Control, the following steps must be taken:

1.

Setup Position Inputs - A camshaft position sensor must be wired to a digital input and that digital input configured as cam position. Some engines will share the VVT position signal with their sync pulse signal. In these cases, the VVT position sensor is wired to Trig 2.For simplicity, wiring a cam's position sensor and solenoid to the same numbered auxiliary output and digital input is recommended. All Link wiring diagrams and base maps use the following convention:

•

Inlet / Inlet LH - Digital Input 1 / Auxiliary Output 1.

•

Inlet RH - Digital Input 2 / Auxiliary Output 2.

•

Exhaust / Exhaust LH - Digital Input 3 / Auxiliary Output 3.

•

Exhaust RH - Digital Input 4 / Auxiliary Output 4.

2.

Setup Control Outputs - That same same cam shafts position control solenoid must be wired to an auxiliary output that is configured as Cam Control. Note that it is not necessary to use the same numbered Digital Input as the Auxiliary Output but only Digital Inputs 1 to 4 and Auxiliary Outputs 1 to 4 can be used for cam control.

3.

Tune The Control Algorithm - The VVT Control algorithm must be tuned or preset tuning settings chosen.

4.

Observe VVT Control runtime status information of the VVT Control system in the VVT tab of the PCLink runtime values to ensure correct operation

VVT Control Adjustments

The following VVT Control adjustments are available:

•

Digital Input Setup

•

Auxiliary Output Setup

•

VVT Control

•

Custom VVT Control Tuning

•

Special Information For VVT Control Systems

The following internet links provide information to other VVT control setup information.

•

Link BMW Dual VANOS Wiring Diagram

•

Link Toyota 1UZFE VVTi Wiring Diagram


VVT Control Digital Input Setup

VVT Control Digital Input Setup

VVT Control Digital Input Setup

In order to vary cam advance/retard, the current position must be known. Link G3 ECU's use Digital Inputs to measure cam position. Input can be from reluctor or hall effect sensors.

Warning: Cam control is an advanced feature. This should only be set-up and operated by experienced tuners. Failure to correctly set up cam control can result in the cam timing operating unpredictably and possibly result in engine damage. DO NOT adjust anything you are not completely sure of !

Only Digital Inputs 1 to 4 can be used as Cam Position Digital Inputs. Although Digital Inputs can be wired to any cam position sensor, the following convention should be used to conform with other Link wiring diagrams and base configurations:

•

Inlet / Inlet LH - Digital Input 1

•

Inlet RH - Digital Input 2

•

Exhaust / Exhaust LH - Digital Input 3

•

Exhaust RH - Digital Input 4

After wiring a cam position sensor to a Digital Input, that Digital Input should be configured as Cam Position then the following options setup:

•

Cam Type - This value is used in determining which cam position digital input will be used for a particular cam control channel. Even though these are listed as exact cam locations (eg LH Inlet), they are just descriptions that are used to associate inputs, outputs and control settings throughout PCLink. Select the description that best describes the cam location. This description will be used when you select an auxiliary output as cam control to tell the ECU that this is the position input you want to use for that output. It will also be used to associate a VVT Control Algorithm with that cam channel.

•

Active Edge - This determines which edge of the cam position sensor signal will be used to determine VVT cam position. For reluctor sensors, always select a Falling active edge. For hall sensors this edge could be rising or falling. Selection of the wrong edge will affect setting the Offset value.

•

Offset - The angle in crankshaft degrees between TDC and the first camshaft position signal when the camshaft is in its fully retarded position. This value can be measured using a degree wheel or obtained from manufacturers manuals. Alternately the Cam Angle Test function (found in the VVT menu after a Cam Control System has been selected) can be used to determine the Offset value.

When Cam Position and the Sync Signal share the Same Signal (Cam Position on Trig 2)

It is becoming more common to find the same sensor used to measure cam position and provide the sync pulse. A sync pulse is required to determine the position in the firing order for any direct spark or sequential injection application. When a Trigger Mode is selected for an engine that shares the cam position and the sync signal, the Trig 2:VVTi menu will appear in the Triggers menu. Cam Type and Offset for this VVT control are setup in the Trig2 : VVTi menu rather than as a Digital Input.

After VVT Control Digital Inputs are configured, refer to:

•

VVT Control Auxiliary Output Setup

•

Tuning VVT Control


VVT Control Auxiliary Output Setup

VVT Control Auxiliary Output Setup

VVT Control Auxiliary Output Setup

In order to vary cam advance/retard, the VVT control solenoid must be driven by the ECU. All VVT Control Auxiliary Outputs drive the solenoids ground. The other side of the solenoid must be wired to an ignition switched supply (NOT hot fed).

Warning: Cam control is an advanced feature. This should only be set-up and operated by experienced tuners. Failure to correctly set up cam control can result in the cam timing operating unpredictably and possibly result in engine damage. DO NOT adjust anything you are not completely sure of !

Only Auxiliary Outputs 1 to 4 can be used as VVT Solenoid Auxiliary Outputs. Although Auxiliary Outputs can be wired to any VVT solenoid, the following convention should be used to conform with other Link wiring diagrams and base configurations:

•

Inlet / Inlet LH - Auxiliary Output 1

•

Inlet RH - Auxiliary Output 2

•

Exhaust / Exhaust LH - Auxiliary Output 3

•

Exhaust RH - Auxiliary Output 4

After wiring a VVT Solenoid sensor to an Auxiliary Output, that output should be configured as VVT Solenoid then the following options setup:

•

Cam Type - This value is used in determining which VVT Solenoid will be used for a particular cam control channel. Even though these are listed as exact cam locations (eg LH Inlet), they are just descriptions that are used to associate inputs, outputs and control settings throughout PCLink. Select the description that matches the one you gave the cam position Digital Input. This description will be used when you select an auxiliary output as cam control to tell the ECU that this is the position input you want to use for that output. It will also be used to associate a VVT Control Algorithm with that cam channel.

•

Frequency - The Frequency at which the solenoid will operate. Typically between 250 and 300Hz.

•

Target Table - The table that will be used to set cam position for the selected cam channel. Note that you can assign the same table to more than one VVT Control channel. Eg. Use the same table for both LH Inlet and RH Inlet cams.

•

Load Axis - Determines the Load Axis that will be used for the VVT Control position table. Typically TPS is used.

•

Table Load Start, Table Load Increments, Table RPM Start, Table RPM Increments - Configures the load and RPM sites in the VVT Control Table.

After VVT Control Auxiliary Outputs are configured, refer to:

•

VVT Control Digital Input Setup

•

Tuning VVT Control


Tuning VVT Control

Tuning VVT Control

Tuning The VVT Control Algorithm

This should only be done after VVT Control Digital Inputs and Auxiliary Outputs have been correctly configured.

•

Click here for more info on setting up VVT Control Digital Inputs

•

Click here for more info on setting up VVT Control Auxiliary Outputs

Warning: VVT control is an advanced feature. Although G3 VVT control provides a large amount of status information, it should only be set-up and operated by experienced tuners. Failure to correctly set up VVT Control can result in unpredictable cam timing that could possibly result in engine damage. DO NOT adjust anything you are not completely sure of !

Tuning VVT Control can be done by either choosing a pre-set configuration or using a custom setup. Default configurations hide the complexities of the tuning values and are strongly recommended. The following options are provided for configuration of default and custom setups:

•

Cam Control System - Select your engine VVT type here. If your engine type is not listed here, contact your Link dealer to find out if another pre-set configuration will work on your engine.

•

ECT Lockout - This value determines the engine coolant temperature that must be exceeded before the VVT control system will become active. This allows VVT control to be disabled at lower engine temperatures when oil is too cold. The cams will remain in the fully retarded position. Typical values range from 20 to 50 degrees.

•

RPM Lockout - This value determines the RPM value that must be exceeded before the VVT control system will become active. This allows VVT control to be disabled at lower RPM. At lower RPM oil pressure is low and reluctor position signals can have insufficient amplitude. The cams will remain in the fully retarded position. Typical values range from 500 RPM (on at idle) to 1500 RPM (off at idle).

•

PID Setup - This selects between default PID control and Custom options. In custom mode PID settings for each cam channel will become visible in the under VVT control menu (white area at op left of PCLink screen). Click Here for more information on custom VVT PID setup.

•

Cam Angle Test - Used for diagnosing cam control setup. Click for more information.

At all times, the status of the VVT Control System can be viewed in the VVT status runtime values in the lower section of the PCLink screen.


Custom VVT PID Tuning

Custom VVT PID Tuning

Custom VVT Control Algorithm PID Tuning

Warning: VVT control is an advanced feature. Although G3 VVT control provides a large amount of status information, it should only be set-up and operated by experienced tuners. Failure to correctly set up VVT Control can result in unpredictable cam timing that could possibly result in engine damage. DO NOT adjust anything you are not completely sure of !

When Custom PID Setup is chosen, new items will appear in the configuration tree (white area at top left of PCLink screen) under the VVT Control heading. These new menus contains the PID settings for each VVT channel that has been configured. When Custom PID Setup is selected, the following items cam be adjusted for each VVT channel:

•

Control Algorithm

•

Proportional Gain

•

Integral Gain

•

Derivative Gain

•

Filter

•

Max Clamp Table

•

Min Clamp Table


Control Algorithm

Control Algorithm

VVT Control Algorithm

Warning: Do NOT adjust VVT settings without fully understanding their function. It is not possible to tune VVT without knowledge of PID control algorithms and using data plotting. For these reasons, VVT tuning should be left to experienced tuners only.

Control Algorithm selects the VVT PID Tuning settings that will be used for a particular VVT Control channel. This allows one set PID Tuning Settings to be used for more than one cam.

To use one set of VVT PID Tuning Settings settings for more than one cam, set the Control Algorithm for each cam to the name of the cam whose VVT PID Tuning Settings settings you wish to use.

Example:

A Subaru engine has two inlet cams and two exhaust cams. On some models, all of these have variable timing. To simplify tuning the VVT control, it would be better to pair up the VVT PID tuning Settings for the LH and RH inlet cams and pair up the VVT PID Tuning Settings for the LH and RH exhaust cams. All four cams will be controlled independently, but both inlet cams will use the same PID Tuning Settings and both exhaust cams will use the same PID Tuning Settings. Set the Control Algorithms for each cam as follows:

•

Set LH Inlet Control Algorithm to LH Inlet

•

Set RH Inlet Control Algorithm to LH Inlet

•

Set LH Exhaust Control Algorithm to LH Exhaust

•

Set RH Exhaust Control Algorithm to LH Exhaust

The VVT PID Tuning Settings for both RH cams will now have no effect and not be visible. Both Inlet cams VVT PID Tuning Settings will now be adjusted using the LH Inlet VVT Control settings. Both Exhaust cams VVT PID Tuning Settings will now be adjusted using the LH exhaust VVT control settings.


Proportional Gain

Proportional Gain

VVT Proportional Gain

Warning: Do NOT adjust VVT settings without fully understanding their function. It is not possible to tune VVT without knowledge of PID control algorithms and using data plotting. For these reasons, VVT tuning should be left to experienced tuners only.

Proportional Gain adjusts the Proportional Gain of the VVT Control's PID algorithm. Increasing this number increases the proportional gain, decreasing this number decreases the proportional gain.

Note: If you do not know what a Proportional Gain is, do not adjust this value!


Integral Gain

Integral Gain

VVT Integral Gain

Warning: Do NOT adjust VVT settings without fully understanding their function. It is not possible to tune VVT without knowledge of PID control algorithms and using data plotting. For these reasons, VVT tuning should be left to experienced tuners only.

Integral Gain adjusts the Integral Gain of the VVT Control's PID algorithm. Increasing this number increases the integral gain, decreasing this number decreases the integral gain.

Note: If you do not know what a Integral Gain is, do not adjust this value!


Derivative Gain

Derivative Gain

VVT Derivative Gain

Warning: Do NOT adjust VVT settings without fully understanding their function. It is not possible to tune VVT without knowledge of PID control algorithms and using data plotting. For these reasons, VVT tuning should be left to experienced tuners only.

Derivative Gain adjusts the Derivative Gain of the VVT Control's PID algorithm. Increasing this number increases the derivative gain, decreasing this number decreases the derivative gain.

Note: If you do not know what a Derivative Gain is, do not adjust this value!


Filter

Filter

VVT Filter

Warning: Do NOT adjust VVT settings without fully understanding their function. It is not possible to tune VVT without knowledge of PID control algorithms and using data plotting. For these reasons, VVT tuning should be left to experienced tuners only.

Filter adjusts the ability of the VVT Control to reject inconsistencies in the cam position signal input. Inconsistencies occur due to factors such as cam belt slack and engine speed variation. Increasing the filter number allows smoother control of cam positioning, but will decrease the response time of the VVT Control. It is recommended to use a setting between 4 and 8. Note that increasing the Filter value adds delay to the control loop which may cause instability.


Max Clamp Table

Max Clamp Table

VVT Max Clamp Table

Warning: Do NOT adjust VVT settings without fully understanding their function. It is not possible to tune VVT without knowledge of PID control algorithms and using data plotting. For these reasons, VVT tuning should be left to experienced tuners only.

The Max Clamp Table sets the maximum duty cycle that will ever be applied to the cam control solenoid at a particular engine temperature.

Limiting the range of the VVT control solenoids duty cycle helps improve VVT Control stability. As engine temperature changes, due to changes in oil viscosity and component clearances, different duty cycle ranges are required for VVT control operation. An any given temperature, the VVT solenoid will operate at duty cycles between the values given in the Max Clamp and Min Clamp tables.


Min Clamp Table

Min Clamp Table

VVT Min Clamp Table

Warning: Do NOT adjust VVT settings without fully understanding their function. It is not possible to tune VVT without knowledge of PID control algorithms and using data plotting. For these reasons, VVT tuning should be left to experienced tuners only.

The Min Clamp Table sets the minimum duty cycle that will ever be applied to the cam control solenoid at a particular engine temperature.

Limiting the range of the VVT control solenoids duty cycle helps improve VVT Control stability. As engine temperature changes, due to changes in oil viscosity and component clearances, different duty cycle ranges are required for VVT control operation. An any given temperature, the VVT solenoid will operate at duty cycles between the values given in the Max Clamp and Min Clamp tables.


Cam Angle Test

Cam Angle Test

Cam Angle Test

The Cam Angle Test is a function designed to assist with diagnostics of VVT control position signals. It can be used to determine the correct Offset value for a VVT Control Digital Input and assists with technical support inquiries.

The purpose of the Cam Angle Test function is to display the position in crankshaft degrees ATDC where each position pulse occurs. When Cam Angle Test is activated a new Tab called Cam Testing appears in the runtime values area at the bottom of the PCLink screen.

Using Cam Angle Test

To active the Cam Angle Test Function, perform the following steps:

1.

Ensure a Cam Position Digital Input has been wired and configured.

2.

Select the appropriate VVT Control Channel in the Cam Test Angle drop down list.

3.

Select the Test Pulse Count. This is the number of teeth on the cam position sensor (you can adjust this later if the number of teeth is unknown).

4.

Observe the Cam Test Runtime Values at the bottom of the PCLink screen (press Ctrl+F5 to make digital RTV's visible).

5.

Run the engine above the VVT RPM Lockout and ECT Lockout values.

6.

The position at which each cam pulse occurs will be displayed.

If the positions appear to be changing erratically, then the wrong Test Pulse Count may be selected. Either adjust Test Pulse Count until the values become stable or disassemble the motor and count the teeth on the cam.

After the values have stabilised, the lowest position reading out of the first Test Pulse Count number of positions is the value that should be used for that VVT Control channels Offset value. The cam must be in its relaxed position (ie not controlled) while working out the offset value.


Runtime Values & Runtime Status

Runtime Values & Runtime Status

Runtime Values & Runtime Status

Runtime Values

Runtime Values are used to display information to assist with tuning, diagnostics and monitoring. In addition, some values will highlight or change colour to indicate a particular condition. Runtime Values can be displayed by selecting the Digital option in the Runtime Displays menu or by pressing Ctrl+F5. Runtime Values are organised into functional groups. Each group is accessed by clicking the appropriate tab in the lower section of the PCLink display.

Note: Some runtime values will only be displayed if the parameter they are displaying is activated. Also, some items may not be available on certain Link ECU's.

Runtime Value Groups:

•

Fuel

•

Fuel Advanced

•

Ignition

•

Ignition Advanced

•

Analog Inputs

•

Digital Inputs

•

Auxiliary Outputs

•

Trigger Inputs

•

Limits

•

Motorsport

Runtime Status

Runtime Status items are grouped in the right most side of the Runtime Values area usually located in the bottom third of the PCLink screen. Runtime Status values are used to display the state of various engine management system parameters. States such as ON, OFF, YES, NO, ERROR are displayed in the Runtime Status area while the Runtime Values area displays continuously varying values such as injector duty cycle and engine temperature.

Runtime Status values are grouped under the following headings:

•

Triggers

•

Aux Outputs

•

Analog Inputs

•

Fuel - Advanced

•

Ignition - Advanced

•

Motor Sport


Runtime Values - Fuel

Runtime Values - Fuel

Runtime Values - Fuel

The following runtime values relating to fueling may be available depending on configuration settings and functions that have been enabled:

•

Inj Duty Cycle

•

Crank Enrichment

•

Accel Fuel

•

Inj Dead-Time

•

Drive Fuel

•

Injector PW

•

Post-Start Enrichment

•

Inlet Air Temp (IAT) Fuel Trim

•

AirCon (AC) Fuel Trim

•

Engine Fan Trim

•

Fuel Table

•

Warm-up Enrichment

•

Lag Fuel Trim

•

Fuel Temp Trim


Fuel Table

Fuel Table

Fuel Table - Runtime Value

This is the current value being taken from the Fuel Table. It is important to realise that when the current operating parameters do not fall in the centre of a zone, the Link ECU uses the values from the zones that the engine is operating between and interpolates to get a value for the current operating position.

Example: Operating half way between two zones with values of 50.0 and 51.0, the utilised Fuel Table value will be 50.5.


Accel Fuel

Accel Fuel

Acceleration Enrichment - Runtime Value

This displays the current Acceleration Enrichment as a percentage of the base injector pulse width.


Crank Enrichment

Crank Enrichment

Crank Enrichment - Runtime Value

This displays the current Crank Enrichment as a percentage of the base injector pulse width.


Post-Start Enrichment

Post-Start Enrichment

Post Start Enrichment - Runtime Value

This displays the current Post-Start Enrichment as a percentage of the base injector pulse width.


Warm-up Enrichment

Warm-up Enrichment

Warm-up Enrichment - Runtime Value

This displays the current Warm-Up Enrichment as a percentage of the base injector pulse width.


Inlet Air Temp (IAT) Fuel Correction

Inlet Air Temp (IAT) Fuel Correction

Inlet Air Temp Fuel Correction - Runtime Value

This displays the current Inlet Air Temperature Correction as a percentage of the base injector pulse width.


Fuel Temp Correction

Fuel Temp Correction

Fuel Temp Correction - Runtime Value

This displays the current Fuel Temperature Correction as a percentage of the base injector pulse width.


Injector Dead Time

Injector Dead Time

Injector Dead Time - Runtime Value

This displays the current injector dead-time trim being applied. The dead-time trim is a function of system voltage and the type of injectors being used. The units are in milliseconds (ms). This value is added to the base injector pulse width to get the actual pulse width which is applied to the injectors.

Note: Dead time is the actual time it takes to open and close the injector.


Inj Duty Cycle

Injector Duty Cycle

Injector Duty Cycle - Runtime Value

This is the percentage injector duty cycle being applied to the injectors. A value of 100% indicates that the injectors are on continuously.

Note: In practice it is wise to leave some margin with the duty cycle remaining below 90% at full power. If higher values are required then this indicates an inadequate fuel supply system or undersized injectors.


Injector PW

Injector Pulse Width

Injector Pulse Width - Runtime Value

This is the injector pulse width being applied to the injectors. The units are in milliseconds (ms - thousands of a second).


Anti-lag Fuel Correction

Anti-lag Fuel Correction

Anti-lag Fuel Correction - Runtime Value

This displays the current trim being applied by the Anti-lag Fuel Correction Table as a percentage of the base injector pulse width.


Drive Fuel Trim

Drive Fuel Trim

Drive Fuel Trim - Runtime Value

This Runtime Value displays the current Drive Idle Load Fuel Trim.


AirCon (AC) Fuel

AirCon (AC) Fuel

AirCon Fuel Trim - Runtime Value

This Runtime Value displays the current Air Con Idle Load Fuel Trim.


Engine Fan Trim

Engine Fan Trim

Engine Fan Trim

This Runtime Value displays the current Engine Fan Idle Load Fuel Trim.


Prime Fuel

Prime Fuel

Prime Fuel - Runtime Value

This value displays the Pre-Crank Prime fuel that was added last time the engine was started. This value will still display while the engine is running to allow it to be viewed. (Crank fuel does not generally last long enough for it to be viewed).


Wake-Up Width

Wake-Up Width

Wake-Up Width - Runtime Value

This value displays the width of the Wakeup Enrichment injection pulses in ms (milliseconds).


Wake-Up Status

Wake-Up Status

Wake-Up Status - Runtime Value

This value displays the status of the Wakeup Enrichment function. The following states may be shown:

•

Off - No wakeup enrichment is being added.

•

Active - Asynchronous injection wakeup enrichment pulses occurred.


Runtime Values - Fuel Advanced

Runtime Values - Fuel Advanced

Runtime Values - Fuel Advanced

The following runtime values relating to advanced fueling may be available depending on configuration settings and functions that have been enabled:

•

Fuel 4D Trim

•

Injector Timing

•

FTrim Cyl #

•

Inj Width Cyl #

•

Inj Deadtime (Sec)

•

Injector PW (Sec)

•

Injector Duty Cycle (Sec)


4D Fuel Trim

4D Fuel Trim

4D Fuel Trim - Runtime Value

This displays the current trim being applied by the FD Fuel Table as a percentage of the base injector pulse width.


Injector Timing

Injector Timing

Injector Timing - Runtime Value

This displays the current injector timing of either the opening or closing (depending on the selected mode) in degrees before top dead centre (BTDC).


Injector Pulse Width (Sec)

Injector Pulse Width (Sec)

Top Previous Next

Injector Pulse Width (Secondary Injectors) - Runtime Value

This displays the pulse width applied to the secondary injectors in milliseconds (ms).


Injector Duty Cycle (Sec)

Injector Duty Cycle (Sec)

Top Previous Next

Injector Duty Cycle (Secondary Injectors) - Runtime Value

This displays the duty cycle applied to the secondary injectors.


Injector Dead Time (Sec)

Injector Dead Time (Sec)

Top Previous Next

Injector Dead Time (Secondary Injectors) - Run Time Value

This displays the interpolated value taken from the Secondary Injector Dead Time Table.


Individual Cylinder Fuel Trim

Individual Cylinder Fuel Trim

Individual Cylinder Fuel Trim - Run Time Value

This displays the current individual cylinder fuel correction being applied for a particular injector. This runtime value is only visible if the Individual Cylinder Fuel Correction function is active.


Individual Injector Pulse Width

Individual Injector Pulse Width

Individual Injector Pulse Width - Run Time Value

This displays the current individual injector pulse width. This runtime value is only visible if the Individual Cylinder Fuel Trim function is active.


Runtime Status - Fuel Advanced

Runtime Status - Fuel Advanced

Runtime Status - Fuel Advanced

This tab of the Runtime Status area displays status information relating to advanced fueling functions. Depending on whether the particular Fuel - Advanced function is enabled, the following Runtime Status Values may be displayed:

•

Active Fuel Table


Active Fuel Table

Active Fuel Table

Active Fuel Table - Runtime Status

This runtime value shows the status of the Dual Fuel Tables function and may show the following states:

•

Table 1 - Fueling is being calculated from Fuel Table 1.

•

Table 2 - Fueling is being calculated from Fuel Table 2.


Runtime Values - Ignition

Runtime Values - Ignition

Runtime Values - Ignition

The following runtime values relating to ignition may be available depending on configuration settings and functions that have been enabled:

•

Ign Angle

•

Ign Table

•

Engine Coolant Temp (ECT) Ign Trim

•

Inlet Air Temp (IAT) Ign Trim

•

Lag Ign Trim

•

Overrun Ign Trim

•

Knock Level #

•

Dwell Time

•

Launch Ign Trim


Ign Angle

Ignition Angle

Ignition Angle - Runtime Value

This is the ACTUAL ignition timing in degrees before top dead centre (BTDC).

Note: This is the actual ignition advance/retard including all trims and 4Ds. The I.Table Runtime Value is the ignition value read directly from the Ignition Table.


Trailing Split

Trailing Split Runtime Value

Trailing Split - Runtime Value

This is the ACTUAL Trailing Split in degrees. A negative value indicates that the trailing spark is occurring after the leading spark. A positive value indicates that the trailing spark is occurring before the leading spark.


Ign Table

Ign Table

Ignition Table - Runtime Value

This is the value taken from the Ignition Table in degrees before top dead centre (BTDC). This may NOT be the final ignition value.

Note: The I.Table Runtime Value is the ignition value read directly from the Ignition Table whereas the Ign Angle Runtime Value is the actual ignition advance/retard including all trims.


Engine Coolant Temp (ECT) Correction

Eng Temp Trim

Engine Coolant Temp (ECT) Ignition Trim - Runtime Value

This is the Engine Coolant Temperature Trim applied to the ignition timing in degrees. Positive values advance the ignition timing, while negative values retard the timing.


Intake Air Temp (IAT) Trim

Air Temp Trim

Intake Air Temp (IAT) Trim - Runtime Value

This is the Air Temperature Trim applied to the ignition timing in degrees. Positive values advance the ignition timing, while negative values retard the timing.


Anti-lag Ign Trim

Anti-lag Ign Trim

Anti-lag Ignition Trim - Runtime Value

This is the number of degrees being added to the current engine timing by the Anti-Lag system. When this number is negative, it means that ignition is being retarded by this amount (not retarded to this value).


Overrun Ign Trim

Overrun Ign Trim

Overrun Ignition Trim - Runtime Value

This is the number of degrees that ignition is retarded during an Overrun Fuel Cut.


Dwell Time

Overlay Ignition

Dwell Time - Runtime Value

This value displays the current coil Dwell Time in ms.


Knock Level

Knock Level

Knock Level - Runtime Value

This value displays the current Engine Noise Level. This value can be used for logging or for Knock Control.


Knock Target

Knock Target

Knock Target - Runtime Value

This value displays the current value interpolated from the Knock Target Table.


Launch Ign Trim

Launch Ign Trim

Launch Ignition Trim - Runtime Value

This is the number of degrees being added to the current engine timing by the Launch Control system. When this number is negative, it means that ignition is being retarded by this amount (not retarded to this value).


Runtime Values - Ignition Advanced

Runtime Values - Ignition Advanced

Runtime Values - Ignition Advanced

The following runtime values relating to advanced ignition may be available depending on configuration settings and functions that have been enabled:

•

Ign Overlay Table


Ign 4D / Knk Trim

Ign 4D / Knk Trim

Ign 4D / Knk Trim - Runtime Value

If 4D Ignition mapping is being used, this is the change in ignition timing (in degrees) being applied by the 4D Ignition Table.

If Knock Control is being used, this value shows the change in ignition timing being applied by the Knock Control function.


Runtime Status - Ignition Advanced

Runtime Status - Ignition Advanced

Runtime Status - Ignition Advanced

This tab of the Runtime Status area displays status information relating to advanced ignition functions. Depending on whether the particular Ignition - Advanced function is enabled, the following Runtime Status Values may be displayed:

•

Active Ignition Table


Active Ignition Table

Active Ignition Table

Active Ignition Table - Runtime Status

This runtime value shows the status of the Dual Ignition Tables function and may show the following states:

•

Table 1 - Ignition is being calculated from Ignition Table 1.

•

Table 2 - Ignition is being calculated from Ignition Table 2.


Runtime Values - Analog Inputs

Runtime Values - Analog Inputs

Runtime Values - Analog Inputs

The following runtime values relate to Analog Inputs:

•

Manifold Absolute Pressure (MAP)

•

Barometric Absolute Pressure (BAP)

•

Manifold Gauge Pressure (MGP)

•

Throttle Position (TP)

•

Engine Coolant Temperature (ECT)

•

Inlet Air Temperature (IAT)

•

Battery Voltage (Batt V)

•

WB Oxy # ?

•

Oxy # ? (Narrow)

•

Analog # ?


Manifold Absolute Pressure

Manifold Absolute Pressure

Manifold Absolute Pressure - Runtime Value

This value represents the current manifold absolute pressure in kilo Pascal's (kPa). This should read approximately 101 kPa at sea level with the engine not running.


Barometric Absolute Pressure

Barometric Absolute Pressure

Barometric Absolute Pressure - Runtime Value

This value represents the current barometric absolute pressure in kilo Pascal's (kPa). This should read approximately 101 kPa at sea level.


Manifold Gauge Pressure

Manifold Gauge Pressure

Manifold Gauge Pressure - Runtime Value

This value represents the current manifold gauge pressure in kilo Pascal's (kPa). This is simply the manifold absolute pressure minus the barometric absolute pressure. Therefore it should read 0 kPa with the engine not running.


Throttle Position

Throttle Position

Throttle Position - Runtime Value

This value represents the current throttle position in percentage of throttle opening (% of full throttle).


Engine Coolant Temperature

Engine Coolant Temperature

Engine Coolant Temperature - Runtime Value

This value represents the current engine coolant temperature in degrees Celsius.


TPS Delta Max

TPS Delta Max

TPS Delta Max - Runtime Value

This value displays the maximum rate of change of throttle position. This is used to setup Acceleration Enrichment and Wakeup Enrichment.


Inlet Air Temperature

Inlet Air Temperature

Inlet Air Temperature - Runtime Value

This value represents the current inlet air temperature in degrees Celsius.


Battery Voltage

Battery Voltage

Battery Voltage - Runtime Value

This value represents the current system voltage. Providing the charging system is working correctly, this should read approximately 13.5-14.5V with the engine running. With a decent battery and cabling the system voltage should not fall below 8V during cranking. If the system voltage falls below 6.5V then the LinkPlus G2 will turn off.


Wide Band Oxy

Wide Band Oxy

Wide Band Oxygen Sensor - Runtime Value

This value displays the current Air Fuel ratio (AFR) from a particular Analog Input channel configured as Wideband Oxy.


Analog Input Voltage

Analog Input Voltage

Analog Input Voltage - Runtime Value

This value displays the current voltage on a particular Analog Input.


Narrow Band Oxy

Narrow Band Oxy

Narrow Band Oxygen Sensor - Runtime Value

This value displays the current Air Fuel ratio (AFR) from a particular Analog Input channel configured as Narrow Band Oxy.


GP Temp Analog Input

GP Temp Analog Input

General Purpose Temperature Analog Input - Runtime Value

This value displays the current temperature on a particular Analog Input that has been configured as GP Temperature.


GP Pressure Analog Input

GP Pressure Analog Input

General Purpose Pressure Analog Input - Runtime Value

This value displays the current pressure in kPa of a particular Analog Input that has been configured as GP Pressure.


Fuel Temp Analog Input

Fuel Temp Analog Input

Fuel Temperature - Runtime Value

This value displays the current fuel temperature. An analog temperature input must have been correctly configured and wired to a a correctly calibrated fuel temperature sensor for this value to read correctly.


MAF

MAF

Mass Air Flow - Runtime Value

This value displays the current Mass Air Flow in Grams per Second and also in Volts. An Analog Input must have been configured for MAF and correctly wired to a calibrated MAF Sensor for this value to be correct.


Runtime Status -Analog Inputs

Runtime Status -Analog Inputs

Runtime Status - Analog Inputs

When an Analog Input is configured for a particular function, this tab of the Runtime Status area shows the current state of that Analog Input.

Some Analog Inputs are displayed by function. While others are listed by their Analog Input channel number. Depending on the configuration of Analog Channels, the following Analog Input Runtime Status values may be displayed:

•

MAP

•

TPS

•

AN ?

•

AN Temp ?

Each Analog Input Runtime Status will display one of the following states:

•

Not Selected - No function is assigned to this Analog Input

•

OK - The Analog Input has a function assigned and has a voltage between 0V and 5V present on the input pin.

•

Input at 0V/Gnd - The measured Analog Input Voltage is at 0V. This may be a wiring/sensor fault if it is not intended for the signal to be at 0V.

•

Input at 5V - The measured Analog Input Voltage is at 5V. This may be a wiring/sensor fault if it is not intended for the signal to be at 5V.


Runtime Values - Digital Inputs

Runtime Values - Digital Inputs

Runtime Values - Digital Inputs

When a Digital Input is configured for a particular function, this tab of the Runtime Values area shows the current state of that Digital Input and any other relevant information.

Rather than displaying the Digital Inputs by number, they are listed according to the function they are assigned. The following Digital Input Runtime Status values may be displayed depending on the configuration of digital Inputs:

•

AirCon Request

•

Water Spray

•

Anti-Theft

•

Neutral / Park

•

Power Steer

•

Idle Switch

•

Ignition Switch

•

Limit Switch

•

GP Switch DI # ?

Each Digital Input Runtime Status will display one of the following states:

•

OFF - The Digital Input is not active. Note that the actual voltage level required to make a Digital Input active is configured in the On Level setting for that particular Digital Input.

•

ON - The Digital Input is active. Any function associated with this Digital Input will also be enabled.

Some Digital Inputs have variables associated with them. The following runtime values relate to Digital Inputs.

•

Speed

•

Frequency

•

Gear

•

Gear Ratio Status

•

Gear Ratio Calc


Frequency

Frequency

Frequency - Runtime Value

This is the frequency of the pulses being received on the Digital Input.


Speed

Speed

Vehicle Speed - Runtime Value

This value displays the current vehicle speed for a particular Digital Input.


Gear Ratio Status

Gear Ratio Status

Gear Ratio Status - Runtime Value

This value displays the current status of the Gear Detections automatic gear ratio calculation. This may show the following states:

•

OFF - Automatic gear ratio calculation is disabled

•

No Speed Input - Either the vehicle is not moving, or there is a fault with the vehicle speed sensor, its wiring or setup.

•

KPH < 15 - Vehicle speed is too slow to accurately calculate gear ratio.

•

Calculating X Gear - A gear ratio is being calculated.

Refer to Gear Detection for more information.


Gear Ratio Calc

Gear Ratio Calc

Gear Ratio Calculation - Runtime Value

This value shows the current gear ratio being calculated by the ECU. The value is expressed as a ratio of RPM to speed sensor frequency. This value is for diagnostics and is not used in normal operation.

Refer to Gear Detection for more information.


Gear

Gear

Gear - Runtime Value

This value shows the currently selected gear. A value of 0 means that an unknown gear has been detected (the gear ratios are calibrated incorrectly.

Refer to Gear Detection for more information.


Runtime Values - Auxiliary Outputs

Runtime Values - Auxiliary Outputs

Runtime Values - Auxiliary Outputs

The current status of auxiliary outputs configured for particular functions is displayed under this section. Depending on the configuration of auxiliary outputs, the following runtime values may be displayed:

•

Boost AT Trim

•

Boost ET Trim

•

Waste Gate DC

•

Idle Position

•

Idle Target

•

Aux x PWM DC

•

Active Boost Table

•

Idle Status

In addition the status of each auxiliary output is also displayed in the Runtime Status area.


Boost AT Trim

Boost AT Trim

Boost Air Temperature Trim - Runtime Value

This value shows the current trim being applied to the Boost Control for intake air temperature trim.


Waste Gate DC

Waste Gate DC

Waste Date Duty Cycle - Runtime Value

This value shows the current waste gate duty cycle.


Idle Position

Idle Position

Idle Position - Runtime Value

This value shows the current position of the ISC solenoid or stepper motor. ISC Stepper position is shown in steps from fully open. ISC Solenoid position is shown in % duty cycle.

Click HERE to go to the Idle Speed Control Page


Boost ET Trim

Boost ET Trim

Boost Engine Temperature Trim - Runtime Value

This value shows the current trim being applied to the Boost Control for engine temperature trim..


Idle Target

Idle Target

Idle Target - Runtime Value

This is the current target RPM for the Closed Loop Idle Speed Control system.

Click HERE to go to the Idle Speed Control Page


Aux x PWM DC

Aux x PWM DC

Aux x PWM DC - Runtime Value

This is the current duty cycle of a particular Auxiliary Output. This value is usually displayed when GP PWM auxiliary outputs are used.


Active Boost Table

Active Boost Table

Active Boost Table - Runtime Value

This value shows the current table being used to retrieve Boost Control target or duty cycle values from. This value will be displayed when the Dual Boost Table function is active.


Idle Status

Idle Status

Idle Status - Runtime Value

This value displays the state of the Idle Speed Control system. The following states may be displayed:

•

OFF - Idle speed control disabled.

•

Crank % DC - This indicates that the idle solenoid/stepper is in its crank position (defaults to 80% open).

•

Inc Idle - An attempt is being made to increase idle speed (closed loop only).

•

Dec Idle - An attempt is being made to decrease idle speed (closed loop only).

•

Hold - Throttle Open - The throttle is open past the TP Lockout position, so closed loop idle control is disabled (closed loop only).

•

Hold - RPM Lockout - Closed loop control is disabled as RPM is greater than the RPM Lockout value (closed loop only).

•

RPM Target - The idle speed has reached its current Target RPM (closed loop only).

•

Open Loop Mode - Idle speed control operating in Open Loop mode.

•

Min Clamp Active - The ISC solenoid/stepper is at its Min Clamp value.

•

Max Clamp Active - The ISC solenoid/stepper is at its Max Clamp value.

•

Hold - Speed - Closed loop control is disabled as speed is greater than 10 kph (closed loop only). Refer to Speed Lockout.

•

Hold - Startup - Startup Step is being applied.

•

Hold - Timer - Closed loop is disabled until RPM has stabilised for two seconds.

•

Hold - Fuel Cut - Closed loop control is disabled as the Overrun Fuel Cut is active.

•

Lag Override 95% - The Anti-Lag ISC Override is active.

•

Dec Idle - RPM Timeout - It too too long to decrement idle to its target value.

Click HERE to go to the Idle Speed Control Page


Runtime Status - Auxiliary Outputs

Runtime Status - Auxiliary Outputs

Runtime Status - Auxiliary Outputs

This tab of the Runtime Status values shows the state of each Auxiliary Output.

Auxiliary Outputs are listed by number. Each Auxiliary Output Runtime Status value can take on one of three states:

•

Not Selected - No function has been assigned to this Auxiliary Output.

•

OFF - The Auxiliary Output is not active.

•

ON - The Auxiliary Output is active. Any function associated with this Auxiliary Output will also be enabled.


Runtime Values - Triggers

Runtime Values - Triggers

Runtime Values - Trigger Inputs

This section displays the runtime values relating to the trigger inputs. The following runtime values are displayed.

•

Engine Speed

•

Trigger Errors

In addition the status of each trigger input is also displayed in the Runtime Status area.


Engine Speed

Engine Speed

Engine Speed - Runtime Value

This value represents the current engine speed in revolutions per minute (RPM). An erratic or unstable value indicates a triggering problem. This may be the result of the triggering configuration setup, wiring faults or a faulty sensor/pickup.


Trigger Errors

Trigger Errors

Trigger Errors - Runtime Value

This is used for diagnostics to indicate triggering problems. The value should increase only at the start of cranking, but stay steady at all times after that. Trigger errors may be the result of an incorrect triggering configuration setup, wiring faults or a faulty sensor/pickup.


Trigger Arming Threshold

Trigger Arming Threshold

Trigger Arming Threshold - Runtime Value

This value displays the current Trigger Arming Threshold voltage.


Runtime Status - Triggers

Runtime Status - Triggers

Runtime Status - Triggers

This tab of the Runtime Status values shows the state of each Trigger Input.

Depending on Trigger Configuration, the following Trigger Runtime Status values may be displayed:

•

Trigger 1

•

Trigger 2

Each of the above trigger Runtime Status values can display one of the following states:

•

No - No trigger signal is being received.

•

Yes - A trigger signal is present.


Runtime Values - Limits

Runtime Values - Limits

Runtime Values - Limits

The runtime values under this section show when limits or cuts occur. The following limits/cuts are displayed:

•

RPM Limit

•

MAP Limit

•

Fuel Cut

In addition the status of each limit is also displayed in the Runtime Status area.


RPM Limit

RPM Limit

RPM Limit - Runtime Value

This value shows the current RPM Limit. If the engine speed exceeds the value set under RPM Limit, limiting will occur and this runtime value will highlight.


MAP Limit

MAP Limit

MAP Limit - Runtime Value

This value shows the current MAP Limit value. This value will highlight when the MAP limit is active.


Launch RPM Limit

Launch RPM Limit

Launch RPM Limit - Runtime Value

This value shows the current Launch/Traction Control RPM Limit.


Runtime Status - Limits

Runtime Status - Limits

Runtime Status - Limits

This tab of the Runtime Status values shows the state of each Limit.

Depending on Limits that are enabled, the following Trigger Runtime Status values may be displayed:

•

RPM Limit

•

MAP Limit

•

Overrun fuel Cut

•

KPH Limit

•

Max Ignition

•

Voltage Limit

•

Over Voltage

•

Under Voltage

•

Launch RPM Limit

Each of the above Limit Runtime Status values can display one of the following states:

•

OFF - The Limit is not active or has not been reached.

•

Active - The Limit is active or has been reached.


Runtime Values - ECU Status

Runtime Values - ECU Status

Runtime Values - ECU Status

The runtime values in this section display information about ECU hardware. They provide a means of checking internal ECU operation and wiring. Depending on the ECU type, any of the following ECU Status Runtime Values may be displayed:

•

ECU Temperature

•

5V Ext AN supply

•

CAS Voltage


ECU Temperature

ECU Temperature

ECU Internal Temperature - Runtime Value

This value shows the current ECU internal temperature. It is not recommended to operate the Link ECU at temperatures below -20 degrees C or above 70 degrees C.


CAS Voltage

CAS Voltage

CAS Voltage - Runtime Value

This value shows the current voltage on the ECU's CAS out supply. This supply is used to provide a reference voltage crank angle sensors. It is important that this value remains close to the preset value (either 8V or 12 V). A low voltage may indicate a wiring fault, sensor failure or ECU failure.


5V External Analog Suply

5V External Analog Suply

5V External Analog Supply - Runtime Value

This value shows the current voltage on the ECU's 5V out supply. This supply is used to provide a reference voltage for sensors such as the MAPS sensor and TPS. It is important that this value remains close to 5V. A low voltage may indicate a wiring fault, sensor failure or ECU failure.


ECU Status Runtime Values

ECU Status Runtime Values

ECU Status Runtime Values

These values provide information about the ECU's internal hardware. The following values may be displayed:

Note: these values can not be configured or adjusted by the user. A fault in one of these values may indicate an ECU failure. Contact your nearest Link dealer for more information.

•

12V Internal Supply - This shows the measured voltage of the ECU's 12V internal regulated voltage supply.

•

3.3V Internal Supply - This shows the measured voltage of the ECU's 3.3V internal regulated voltage supply.

•

5V Analog Supply - State of the ECU's external 5V regulated supply.

•

Data Flash Checksum - Monitors the state of the ECU's on board memory.

•

Fuel Calculation - Displays the states of the ECU's fueling calculation. Errors can occur due to abnormal values entered in configuration options or fuel tables.

•

Hardware Block x - Displays the state of part of the ECU's circuitry.

The last four items will display one of the following values:

•

Ok - Hardware passed check

•

ERROR - If this is displayed contact your nearest Link dealer for further advice.


Runtime Values - Motorsport

Runtime Values - Motorsport

Runtime Values - Motorsport

This tab of the Runtime Values area displays information relating to Motorsport Functions. Depending on whether the particular motorsport function is enabled, the following Runtime Values may be displayed:

•

Anti-Lag

•

Flat Shifting

•

Launch Control


Anti-lag

Anti-lag

Anti-lag - Runtime Value

This runtime value may show the following states:

•

OFF - Anti-Lag is disabled

•

ON - Anti-Lag is active and operating.

•

AL = OFF (DI=OFF) - The external anti-lag enable switch is turned off.

•

AL = Standby Mode - The external anti-lag enable switch (connected to a Digital Input)is on, but anti-lag is not active.


Launch Control

Launch Control

Launch Control - Runtime Status

This runtime value may show the following states:

•

OFF - Launch/Traction Control is disabled.

•

ON-Armed - Launch/Traction Control is enabled and armed.

•

ON-Disarmed - Launch/Traction Control is enabled and disarmed.


Flat Shifting

Flat Shifting

Flat Shifting - Runtime Status

This runtime value may show the following states:

•

OFF - Flat Shifting is disabled.

•

RPM Lockout Active - RPM is below the Flat Shifting RPM Lockout value.

•

TPS - Lockout Active - Throttle Position is below the Flat Shifting TPS Lockout value.

•

Ready - Flat Shifting is waiting for a clutch switch (connected to Digital Input).

•

ON - Flat Shifting is Active (Ignition cut active). Note that this warning will last longer than the ignition cut event to allow it to be seen.


VVT Control Runtime Values

VVT Control Runtime Values

VVT Control - Runtime Values

The following Runtime Values display information relating to operation of the VVT Control function:

Note: XX is the name of the selected cam control channel.

•

XX Target - This is the current value being taken from this particular cams target position table.

•

XX Posn - This is the actual position of the cam. Note that this should be very close to that cams target position.

•

XX Solenoid - This is the current duty cycle of the cam's position control solenoid.

•

XX Err Counter - this value counts errors that occur in the measurement of the cams position. This value should remain constant and not increase while the engine is running. Errors here could indicate incorrect setup of the cam channels digital input. Note that it is not uncommon to get 1 or 2 errors on startup.

•

XX Signal - Indicates if a trigger signal is being detected for that cam channel. This value also gives the status of trigger signals if an error is detected. The following states can occur:

•

OK - No problems detected with Cam Position signals.

•

No Signal - No Cam Position Signal Detected.

•

N/A - RPM Lockout - RPM is below the VVT RPM Lockout value and VVT Control is not active.

•

Error: N Cam Pulse - Indicates that cam pulse N is not occurring at the expected engine position. Contact a Link Dealer for further assistance.

•

Error: Missing Pulse - Indicates that one or less than the expected number of pulses occurred. Contact a Link Dealer for further assistance.

•

Error: Extra Pulse - Indicates that one or more than the expected number of pulses occurred. Contact a Link Dealer for further assistance.

•

Error: Cannot Sync - The first pulse after TDC did not occur in the expected position. Contact a Link Dealer for further assistance.

•

XX Status - Displays the state of the VVT control channel. The following states can occur:

•

Off: RPM Zero - The engine is not running.

•

Active - Cam control is currently active.

•

Hold - RPM Lockout - Cam control is disabled as RPM is below the RPM Lockout value.

•

Hold - ECT - Cam control is disabled as ECT is lower than the ECT Lockout value.

•

OFF - Cam Signal Error - There is an error with the cam position signal, VVT control has been disabled. Refer to XX Signal above for more information.


Runtime Status - Diagnostics

Runtime Status - Diagnostics

Runtime Status - Diagnostics

This tab of the Runtime Status area displays information relating to the software operation of the ECU. The following diagnostic values may be displayed:

•

Fuel Calculation - This Runtime Status value indicates that an error occurred during the fueling calculations. This value can display three states:

•

OK - The fueling calculation completed without error.

•

ERROR - An error occurred during fueling calculations.

•

NC - Fueling calculation not active (ie Injection Mode is set to OFF)


Table Load Increment

Table Load Increment

Table Increment (Load)

Table RPM Start, Table RPM Increment, Table Load Start and Table Load Increment are the four parameters used to define custom zone boundaries for various Tables. The table size is always 11 x 16 with equal spacing between each zone, however the starting points and step sizes are adjustable.

Table Load Increment determines the difference between load rows in a given table.

Example: A table with a Table Load Start of 20 and Table Load Increment of 25 will have load rows centred at 20, 45, 70, 95 etc ...

Similar applies to table columns using Table RPM Start and Table RPM Increment.


Table RPM Increment

Table RPM Increment

Table Increment (RPM)

Table RPM Start, Table RPM Increment, Table Load Start and Table Load Increment are the four parameters used to define custom zone boundaries for various Trim Tables. The table size is always 11 x 16 with equal spacing between each zone, however the starting points and step sizes are adjustable.

Table RPM Increment determines the difference between RPM columns in a given table.

Example: A table with a Table RPM Start of 500 and Table RPM Increment of 250 will have load columns centred at 500, 750, 1000, 1250 etc ...

Similar applies to table rows using Table Load Start and Table Load Increment.


Table RPM Start

Table RPM Start

Table Start - RPM

Table RPM Start, Table RPM Increment, Table Load Start and Table Load Increment are the four parameters used to define custom zone boundaries for various Trim Tables. The table size is always 11 x 16 with equal spacing between each zone, however the starting points and step sizes are adjustable.

Table RPM Start determines the first RPM column in a given table.

Example: A table with a Table RPM Start of 500 and Table RPM Increment of 250 will have load columns centred at 500, 750, 1000, 1250 etc ...

Similar applies to table rows using Table Load Start and Table Load Increment.


Table Load Start

Table Load Start

Table Start - Load

Table RPM Start, Table RPM Increment, Table Load Start and Table Load Increment are the four parameters used to define custom zone boundaries for various Trim Tables. The table size is always 11 x 16 with equal spacing between each zone, however the starting points and step sizes are adjustable.

Table Load Start determines the first load row in a given table.

Example: A table with a Table Load Start of 20 and Table Load Increment of 25 will have load rows centred at 20, 45, 70, 95 etc ...

Similar applies to table columns using Table RPM Start and Table RPM Increment.


LinkPlus V14 Functions

LinkPlus V14 Functions

LinkPlus V14 Tuning Functions

This section of the tuning function manual relates directly to LinkPlus (not LinkPlus G2) ECU's. This manual covers all functions available in LinkPlus ECU's up to V14 software. V14 is the latest and final release of this software.

Most of this text was extracted directly from early tuning manuals and still contains reference to the Link Tuning Module.

The available LinkPlus tuning functions are divided into the following headings.

•

Configurations

•

Limits

•

Lambda

•

Utilities

•

Idle Speed Control

•

Fuel

•

Ignition

•

Knock Control

•

Boost Control


Configuration

Configuration Functions

The following functions are available under the Configurations heading.

AirCon Request

Aspiration

Engine Configuration

MAP Sensor

Number of Cylinders

Priority

Row Steps

Sync/Cyl Ratio

Tacho Time

Temperature Sensor


AirCon Request

Air Conditioning Request Level

The LinkPlus can use either a rising or falling edge on the Air Conditioning request input. The type of edge is adjustable.

•

The voltage on the AirCon input moves from 0V to 12V when a request is generated. Select "AC Req Level L-H". L-H represents a low to high transition.

•

The voltage on the AirCon input moves from 12V to 0V when a request is generated. Select "AC Req Level H-L". H-L represents a high to low transition.


Aspiration

Aspiration

This will allow the engines aspiration to be selected. For a non-turbo engine press the ADJUST DOWN and the Tuning module will display "Asp:Non Turbo. For a turbo engine press the ADJUST UP to display "Asp: Turbo" This setting combined with the ROW STEPS selection will determine the Reload table.


Engine Configuration

Engine Configuration

Used to configure the LinkPlus for engines with non-typical requirements. Options are available for the following:

•

Lexus 1UZFE (two distributors)

•

MX5 (allows sequential fuel, idle, clamps, etc)

•

Honda (for the inverted ignition drive)

•

VR4 (allows sequential fuel)


MAP Sensor

Map Sensor Type

The option of using the on-board (internal) or external map sensor is available. The on-board map sensor should be used when the engine is normally aspirated or the required boost pressure is less than 250kPa absolute. When using this mode remember to connect the vacuum line from the engine to the sensor on the LinkPlus. If an engine requires more than 250kPa absolute boost pressure, the external map sensor option will need to be selected. The LinkPlus has been configured to use a GM 3 bar MAP sensor, capable of measuring 200kPa of boost (30kPa). See Installation section 3.8 for wiring information. To select internal map press the ADJUST DOWN button. To select external map press the ADJUST UP button.


Num. of Cylinders

Number of Cylinders

Displays the current number of cylinders. Changes are made by pressing the ADJUST buttons and must be stored and power recycled before the new settings become active.


Priority

Priority

If the sync and trigger pulse occur close together, this setting allows the user to set the priority to the more important pulse. Options are cylinder or sync.


Sync/Cyl Ratio

Sync/Cyl Ratio

If sequential fuel or multi-coil applications are selected, this menu is used to setup the 'expected' ratio between Cylinder and Sync trigger pulses. This allows the LinkPlus to measure the 'actual' Cylinder and Sync ratio and compare this to the 'expected' value. If there are any inconsistencies between the ratios an error will be displayed (see next menu). Set Ratio value as shown in Table 11.1. Do a store after the number has been changed.

Sync/Cyl Ratio

Cylinders 1 Sync pulse per 2 Sync pulses per

engine cycle engine cycle

3 3 N/A

4 4 2

5 5 N/A

6 6 3

8 8 4

10 10 5

12 12 6


Tacho Extension

Tacho Time

Allows the selection of standard or extended tacho signal. If the tacho is unstable with the TEST TPM menu stable, try selecting the extended tacho option.


Temperature Sensor

Temperature Sensor

This selects either the factory negative temperature coefficient (NTC) or the Link IC type sensor. The displayed temperature should be approximately correct. (There is a huge difference between the two. The correct selection will be obvious).


Injection Mode

Fuel Mode

This menu allows the selection of "Group" or "Sequential " fuel. If sequential mode is required each injector MUST be wired individually back to the LinkPlus. Do NOT select sequential mode if the injectors are wired for group fire.

Group Injection

Sequential Injection


Group Injection

Group Injection

The injectors are wired in either one single group, or more commonly in two groups for higher cylinder engines. Since several injectors are operating simultaneously, each inlet port will be on a different phase of the engine cycle i.e. some cylinders will be on intake phase while others may be on compression, exhaust etc. The injection rate is once per engine cycle and is locked to the engine RPM (synchronous), but not indexed (phased) to the engine cycle.


Sequential Injection

Sequential Injection

Each injector is individually wired and controlled by the ECU, and can only inject once per engine cycle (2 rev. of crank). The injection is phased to the engine such that the injector operates only while the inlet valve is open so the fuel does not "reside" in the port. Secondly, some advantage may be had from the higher air velocity in the port during the induction stroke, which may improve air/fuel mixing to some extent. This may prove advantageous at idle, in engines required to meet stringent emissions regulations.

Synchronisation Signal

With sequential injection each injector must be phased correctly to the engine meaning a sync pulse is required to determine engine position and hence the firing sequence. The Sync pulse MUST ONLY appear ONCE per engine cycle (2 crankshaft revolutions). Hence the camshaft will need to provide a sync signal. If the sync is generated from the crankshaft the rate will be twice that required resulting in incorrect operation.

If the current engine configuration does not meet the requirements, a trigger wheel will need to be fabricated and driven from the camshaft.


Row Steps

Row Steps

Refer to Row Steps


Limits

Limiting Functions

The following adjustable functions are available under the Limits heading.

RPM Limit

Advance Limit

MAP Limit

MAP Limit On/Off


RPM Limit

RPM Limit

Sets the RPM limit. Limiting is achieved by 100% fuel cut until the RPM drops below the preset value. A soft limit is evoked 200 RPM before this by removing alternative spark.


Advance Limit

Advance Limit

Sets the absolute maximum ignition advance irrespective of any value programmed into the ZONE IGNITION table. Note this is a numeric limit only and does not invoke any actual ignition or fuel cuts.


MAP Limit

Map Limit

Sets Manifold Air Pressure limit to prevent over boost. Values are expressed in absolute pressure so all values above 100 kPa represent boost pressures. The LinkPlus will 'soft' limit the engine 10kPa before the MAP limit. If the engine reaches the actual MAP limit a hard limit will be evoked, cutting all fuel and ignition.

e.g. 150 kPa = 9 psi boost

200 kPa = 15 psi boost

Upper limit = 300 kPa. (When using external MAP sensor)


Shift Light

Shift Light

This sets the RPM at which the shift light is turned ON.


MAP Limit On/Off

Map Limit On/Off

This function allows the Map Limit to be switched OFF. This will prevent soft and hard engine limiting when the manifold pressure exceeds the map limit.


Lambda

Closed Loop Lambda Functions

Closed loop operation involves the use of an exhaust gas oxygen sensor (Lambda probe) to provide the computer with a feedback signal indicating the actual fuel/air ratio. This signal allows the computer to make instantaneous corrections to the injector fuel flow until the required air/fuel ratio is achieved. This automatically compensates for all the variables that may cause incorrect fuel scheduling, having two modes of operation.

1.

The system should first be tuned in open loop mode (LAMBDA = OFF) until a reasonable state of tune is achieved. This step allows the subsequent AUTO-TUNE system to achieve a faster lock-on since it should not have to make major corrections if the initial tune is about right.

2.

The Lambda Targets and other related functions should be set as desired.

3.

The closed loop mode is enabled by turning the Lambda function on.

Closed loop operation will only occur if the following conditions are met

- Engine Temperature above 50C

- Engine been running for 90 seconds after start

- Manifold above overrun vacuum

- No acceleration (transient) fuel pending

If the above conditions are met the system will automatically start adjusting the ZONE FUEL, matching the actual lambda voltage to the lambda targets. The system samples and corrects at a rate proportional to engine speed. This rate allows sufficient time for fuel changes to take effect and appear at the exhaust. (The feedback system is not instantaneous and therefore needs a short stabilising period)

When the LAMBDA control is switched on ONLY one zone will be changed at a time.

NOTE: All corrections made by the AUTO-TUNE system are temporary until a STORE is carried out.

The following functions are available from the Lambda heading.

Lambda On/Off

MAP Lock Out

RPM Lock Out

Lambda Targets


Lambda ON/OFF

Lambda ON/OFF

This function allows Closed Loop Lambda tuning to be turned on or off.

The oxygen sensor (and associated wiring) MUST be connected and functioning properly if the closed loop tuning is used. Failure to meet this requirement may result in engine damage if not carefully monitored.


MAP Lock Out

MAP LockOut

Prevents lambda correction above the MAP lockout value set. Default = 300 kPa. E.g. To prevent lambda control under boost, set this value to 110 and STORE.


RPM Lock Out

RPM LockOut

This will prevent the closed loop system operating below this target RPM, independent of manifold air pressure. The default value is 500 RPM. To change use the ADJUST button.


Lambda Targets

Lambda Targets

There are 6 Lambda targets which relate to different loads. See manual for details.

Lambda "target" System

The actual required fuel/air ratio is dependent on the operating conditions prevailing at the time and is generally "load" sensitive. During operation at idle and light throttle cruise, the A/F ratio should be fairly lean in the interests of fuel economy and low exhaust emissions. At high power however, the A/F ratio needs to be richer to produce satisfactory horsepower, reduce cylinder head temperature, and control detonation. Both engine RPM and manifold air pressure (MAP) are used to select one of six Lambda "target" values for the system to use as a reference.

Adjusting Lambda Targets

A separate block of zones are used to store the target values, adjustable from the * LAMBDA * heading on the tuning module. The default values loaded will depend on the type of "ROW STEPS" selected from the * Configurations * heading (For more information on ROW STEPS see section 13.2).

These values were determined after much testing and should be correct for the majority of applications. The target values are displayed as a voltage, which the software compares to the actual probe voltage and makes the necessary correction. e.g. 60 = 0.6 volts.

NOTE: The "cruise" target (zone 27) MUST be smaller than or equal to the "power" target (zone 28). The simple interpolator used on the lambda targets will not handle negative (reverse) trends.

Refer to 10.5 on how to adjust these.

Probe Voltage vs A/F Ratio

The relationship between Lambda probe voltage and the A/F ratio is not very linear since the Lambda probe shows a steep voltage step at stoichiometric mixtures. This transition voltage indicates that no excess oxygen or fuel is present i.e chemically perfect combustion, and is the desired voltage for minimum exhaust emissions. At low to medium power, the system should be "rocking" back and forth over this transition line so that the catalytic converter can do its job. The actual voltage at which this occurs lies between 0.4 to 0.6 volts. Tests have shown that if the target is set much below 60 (.6 volts) undesirable idle surging will result in some engines. Some experimentation may be necessary. Above the stoichiometric point the curve flattens out as the A/F ratio becomes richer. The maximum voltage produced is normally about 0.92 volts which equates to VERY rich A/F ratios. The targets should never be set above 90 (.9 V) for this reason. As a rough guide:

VOLTAGE %CO A/F RATIO (approx.)

< 0.6 < 1.0 > 15:1

0.72 1.0 14:1

0.76 2.0

0.80 3.0

0.84 5.0 13:1

0.86 6.0 12:1

0.88 8.0 + 11:1

Note:

Enrichment becomes fairly compressed at higher voltages i.e. small voltage changes = large ratio changes.


Utilities

Utilitiy Functions

The following functions are available under the Utilities heading.

OverRun

Temperature Switch

Shift Light

TPS High

In addition there are also Utilities sub-catagories.

Utilities -Drive A & B

Utilities - Launch Control

Utilities - Water Spray


OverRun

Overrun Vacuum

This represents the engines MAP when it is running in overrun vacuum. It is a target value used by the LinkPlus to aid in idle speed and fuel control. When the engines manifold air pressure drops below this target, various tasks are actioned by the LinkPlus. As this value is a function of the engine modification state, it will vary, and should always be adjusted for each engine.

The engine must be at its normal operating temperature before adjusting this setting. With the engine idling observe the MAP value. The overrun vacuum number needs to be approximately 4-5 kPa below this value. As this value is mainly used to aid idle speed control it can be checked during the idle speed setup procedure. Remember that different fuelling and electrical load can vary the engine's MAP at idle. Keep this in mind when setting this value.


Temperature Switch

Temperature Switch

Sets the value at which the temperature sensitive drive becomes active. This drive is primarily intended for radiator fan control and uses the engine temperature sensor to measure coolant temperature. The value is displayed in degrees Celsius, above that the fan will operate. Note that there is a 4-degree difference between switch on and switch off to prevent repetitive, short fan cycling.


TPS High

TPS High

TPS High

This allows the TPS high value to be defined. TPS High is the TPS value at wide-open throttle (WOT). By default the TPS range will be from 10 (fully closed trottle) to 100 (WOT).

DO NOT adjust the TPS High value unless Row Steps (under CONFIGURATIONS menu) is set to TPS.

When using TPS mode the TPS High value sets the row selected at WOT.

In all other modes the default setting of 100 should remain. For more information see Row Steps.

Selecting TPS High Value

Before starting section, read section 8.16, which explains the TPS Range.

The "TPS low" value is fixed at 10 and cannot be adjusted. The "TPS high" value is user defined and controls the numbers of ROWS available for tuning. Hence the purpose of this step is to setup the number of ROWS required for tuning, by selecting a suitable "TPS high" value. For example a TPS range of 10 to 100 would access 4 ROWS, since three zone boundaries (30, 60, 90) were crossed, while a span of 10 to 200 would allow access to 7 ROWS.

The ROW boundaries are as follows;

ROW SPAN CENTRE ZONES

ROW 1 0 to 30 ( 10) [100..195]

ROW 2 31 to 60 ( 45) [200..295]

ROW 3 61 to 90 ( 75) [300..395]

ROW 4 91 to 120 (105) [400..495]

ROW 5 121 to 150 (135) [500..595]

ROW 6 151 to 180 (165) [600..695]

ROW 7 181 to 210 (195) [700..795]

ROW 8 210 to 240 (225) [800..895]

ROW 9 241 to 270 (255) [900..995]

ROW 10 271 to 300 (285) [1000..1095]

NOTE - The zoning structure for ZONE ADVANCE is identical to ZONE FUEL.

The "high" value should be selected based on the required tuning Rows. For example:

1)

4 Rows Required for tuning

Set TPS High to 105

2)

6 Rows required for tuning

Set TPS High to 165

3)

10 Rows required for tuning

Set TPS High to 285


Utilities -Drive A & B

Utilities -Drive A & B

Drive A and Drive B

There are two high power drives available, each capable of switching up to 5A continuous. The drives can be switched independently of each other. There are 3 parameters controling each drive.

Drive A & B Trigger

Drive A & B Sense

Drive A & B Sw Point


Drive A & B Trigger

Drive A & B Trigger

The drives can be independently setup to turn ON using one of these two methods.

•

RPM -This will switch on a drive at a predetermined RPM utilising 200 RPM of hysteresis.

•

%FF - This will switch on a drive at a preset injector duty and represents engine load.


Drive A & B Sense

Drive A and B Sense

Controls the switching sense of Drive A and B. Both drives are independently adjustable.

Drive x OFF->ON. At the required switching point Drive A or B will switch from OFF to ON.

Dive x ON->OFF. At the required switching point Drive A or B will switch from ON to OFF.


Drive A & B Sw Point

Drive A & B Switch Point

Sets the rpm or fuel flow value that must be reached before the drive is activated.


Utilities - Launch Control

Utilities - Launch Control

Utilities - Launch Control

Both the Launch Control and Flat Shifting features are controlled by functions under this heading. The following functions are available for adjustment.

Flat Shifting On/Off

Launch Control On/Off

Launch Mode

Launch RPM

Launch Retard

Launch Rise

Launch Control Setup

This function allows full throttle stationary launching and is controlled from Input Aux2. When launching a vehicle from stationary, the throttle fully open and the clutch engaged, the LinkPlus will limit the engine to an adjustable preset RPM. When the clutch is released, the hard limit is turned off, replaced by the ÒLaunch RiseÓ function which controls the rise in engine RPM. When the next gear is selected by depressing the clutch, the driver can keep full throttle, as the LinkPlus limits the engine RPM while the clutch is engaged (flat shifting function Ñ see Section 8.4).

Dash mounted switch: When using this setup the Launch Control Switch MUST be a NO (Normally Open Switch). With the switch in its ON position the launch-input line is pulled low to ground and the system activated. When the switch is in its resting position the launch input line returns to +5V deactivating the launch function.

Clutch switch: It should be positioned so the switch makes contact when the clutch pedal is fully released. This allows the clutch "weight" to be taken up when the launch system is activated. When the pedal is fully released the switch makes contact which deactivates the launch system. This MUST be a NC (Normally Closed) switch. With the clutch engaged, the switch should be closed circuit. With the clutch fully released the switch should be open circuit.

Launch Control Arming Procedure

This function is intended for launching the vehicle from a stationary position. For this reason once the vehicle has been launched the launch function remains off until the system has been rearmed. A separate flat shifting function is available.

Check to ensure the launch function is switched ON. With the engine idling press the launch control button. This may be as switch on the dash or a switch positioned on the clutch pedal. Hold the switch for the arming period of 4 seconds. After this time to launch system will be armed. To indicate this the tacho output on the LinkPlus will be switched off for 1 second. If the vehicles tacho is controlled by the LinkPlus the tacho will momentary reset to zero indicating the launch system has been armed.

Alternatively, the ÒLaunch StatusÓ can be viewed from the Tuning Module under ÒUtilitiesÓ or from the runtime flags in PCLink.

The Launch control system is now armed. On the first time setup gradually apply throttle to ensure the engine RPM limits to the launch RPM. Releasing the switch starts the launch control system by controlling the engine RPM rate of rise. At this point the system becomes disarmed. To rearm the launch button must be pressed again for the arming period of 4 seconds.

The main advantage of this system is when the launch switch is positioned on the clutch pedal. The disarming prevents the system rearming when the clutch is pressed to select the next gear. This means the launch control is used for the initial launch but remains off for the remaining of the run until the system is rearmed.

Rate of Rise

Use to control traction. Excessive wheel slip can be controlled by reducing the value which will slow the engineÕs rate of rise.

Retard On turbo charged engines this will allow boost to be generated at launch. The amount of retard will control the boost level. The more retard used the more heat will be generated so caution should be observed.

Launch Control Disarming Procedure

Once the launch control system is armed it can only be disarmed by 3 methods:

1.

Power down ECU.

2.

Switch Function OFF with PCLink or Tuning Module.

3. Allow engine to reach its launch RPM. Release launch switch allowing launch system to activate.

Flat Shifting

It is a basic function that allows wide-open throttle gearshifts by using an ignition cut. It shares the same control input as launch control (Aux2). The effect of this is to limit the engine RPM until the next gear is selected. Ideally the switch should be mounted on the clutch pedal. The same switch used for launch control is used for flat shifting. Note that both the launch control and flat shifting can be used together.

Advantages

On a normally aspirated engine it allows smoother and quicker gearshifts with less wear on gearbox components. On a turbo charged engine as well as the above benefits, it allows boost to be maintained during gearshifts. If the throttle is temporary closed the air in the inlet manifold is stalled which means a small lag in boost recovery when the throttle is opened.

Remember. Launch Control is for stationary launching, Flat shifting is for WOT upshifts while the vehicle is moving.

Activation Procedures

Check to ensure the Flat shifting function is switched ON via the configuration menu

Check the TPS sensor is connected and spanned correctly. If the TPS is not currently used, set it to span the defaults setting of 10 to 100.

The function is now activated ONLY when the launch control is disarmed, the TPS is above 60% throttle, RPM >2000 and the launch/Flat switch is ON.

The ÒFlat ShiftingÓ status can be viewed from the Tuning Module under ÒUtilitiesÓ.

Note: The status will only indicate ON if ALL the activation settings are correct.

This will activate the flat shifting function and shares the same control input as the launch control.

Combining Launch Control and Flat Shifting

If both functions are enabled they are activated as follows:

Launch Control: Aux2 input pulled and held to ground for >4 seconds.

Flat Shift Active: Launch control disarmed. TPS >60, RPM >2000.

In summary, if Aux2 is held low at any time for 4 seconds, the launch control system will arm. This condition should never occur during gear shifts when flat shifting is required.


Flat Shifting On/Off

Flat Shifting

This will activate the flat shifting function.


Launch Control On/Off

Launch Ctrl On/Off

This will activate the launch control function.


Launch Mode

Launch Mode

Launch Mode


Launch RPM

Launch RPM

This sets the RPM at which the engine will limit when the launch system is activated via a clutch switch or gear knob button.


Launch Retard

Launch Retard

Sets the amount of ignition timing retard while the clutch is depressed. This value is subtracted from the current advance angle value right down to zero degrees (TDC), but not beyond. This feature should help improve turbo spooling prior to launch. Set to 0 if no retard is required. Default value = 25 degrees.


Launch Rise

Launch Rise

Sets the rate of rise of RPM after the clutch has been released. Effective range = 800/sec to 25,000/sec. Default = 3000/sec.


Utilities - Water Spray

Utilities - Water Spray

Utilities - Water Spray

The following functions are available to control water spray.

Water Spray Switch Point

Water Spray Trigger

Water Spray Duty Cycle


Water Spray Sw Point

Water Spray Switch Point

From this menu the switching point of the Water Spray can be adjusted. This function will ONLY be active under boost. The menu displayed will reflect its switching configuration. It can be setup to turn ON at a preset MAP or percentage fuel flow.

•

Spray ON 70 %FF (Default value)

The Water Spray will switch on at 70% Fuel Flow. Use the ADJUST buttons to change the % FF.

•

Spray ON 240kPa (Default value)

The Water Spray will switch on at 240kPa. The MAP value where this function turns ON can be changed by using the ADJUST buttons.


Water Spray Trigger

Water Spray Trigger

The water spray can be switched on when the MAP or %FF reaches a target value. To select MAP mode press the ADJUST UP button and the menu will display "Spray Config=Map". To select %FF press the ADJUST DOWN displaying "Spray Config=%FF". See the * UTILITIES * section 8 on how the adjust the switching points and duty cycle settings.


Water Spray Duty Cycle

Water Spray Duty Cycle

This setting controls the duty cycle (ON to OFF ratio) of the spray pump allowing a "soak and dry" period for the spray. This will greatly reduce the water required as no advantage results in continually drenching the inter-cooler. The cooling effect comes from the evaporation of the water rather than the temperature of the water itself. The total cycle time is 6 seconds (ON + OFF time). The default setting is 50%, meaning an equal ON and OFF time of 3 seconds. A value of 80% means an ON time of 4.8 seconds and OFF time of 1.2 seconds. To change the duty cycle use the adjust buttons.


Idle Speed Control

Idle Speed Control Functions

The LinkPlus offers 4 idle speed control options:

•

2 Terminal Solenoid

•

3 Terminal Solenoid

•

4 Terminal Stepper Motor

•

6 Terminal Stepper Motor.

The 2 and 3 terminal Solenoid options can be driven directly from the LinkPlus, with no additional hardware required. The Stepper motor type however, will need to be known before the LinkPlus is dispatched. This allows the appropriate sub-board to be inserted.

For the Idle speed system to function correctly, the TPS MUST be connected for both solenoid and stepper idle control devices. Ensure the TPS "low" value at closed throttle is 10.

The following idle speed related functions are available.

AirCon Step

Fan Step

ISC Type

Idle Cold

Idle Hot

Idle RPM

Step Direction

Solenoid Idle Speed Setup (Relates to tuning module but can be applied using PCLink)

The Idle speed control system has three main adjustments for correct operation.

1.

"IDLE (xx% ) yyyz" sets the required idle speed in steps of 50 rpm. The (xx%) value shows the actual duty cycle to assist settings and monitoring. Use the ADJUST buttons to select the idle RPM.

2.

Two default values for cold and hot engines.

Hot Engine

Select "IDLE (xx%) yyy z" on the remote and set the required idle speed. Once the idle rpm has stabilised note the duty cycle value shown in parentheses (xx%) and record the value. Select the "Idle Hot xx%" menu and enter the recorded value + 2%.

e.g. Duty Cycle = 43% (stable hot idle) then enter a value of 45%

Cold Engine

Use the same procedure as above except note the duty cycle shortly after a cold start. Enter this value using the menu " Idle Cold xx%" under the "IDLE SPEED" heading. The engines idle will always be higher when it is cold implying the IDLE COLD value will be larger than IDLE HOT.

Store the new value by moving to a STORE menu and holding both ADJUST buttons until the display shows "********" and then release.

Note that the software also generates an intermediate (warm) value, which is the average of the cold and hot settings but is not independently adjustable. If the target rpm is changed at a later date, the HOT and COLD default values may require adjustment.

3.

Hold Mode Setup Ñ TPS

To aid in the control of the Idle Speed solenoid the software uses TPS to determine throttle position. Always ensure the TPS "low" value is 10. This is the value used to determine closed throttle and MUST be set to ensure the correct operation of the Idle Speed system. See the * UTILITIES * Section 8 for TPS setup information.

To test, press the throttle. The idle status should indicate a 'T: for throttle open.

4.

Hold Mode Setup Ñ Overrun Vacuum

When the engineÕs MAP reduces below the overrun vacuum target, the system will enter hold mode. To setup refer to Section 8.1.1.

·

To test allow the engine to reach 4000-5000 RPM then snap the throttle closed to put the engine in overrun vacuum. The idle status should indicate 'V'. As the RPM falls, the engine vacuum should reduce and go above the overrun vacuum target. The symbol 'V' should be replaced with a '-', '+' or '=' symbol as the system begins to correct the idle.

If the 'V' remains, approximately 2 kPa should be subtracted from the overrun vacuum target and the test redone. The aim is to maintain the 'V' status for as long as possible as the engine RPM returns to its normal value.

5.

The Idle speed system will perform idle correction under the following conditions

·

TPS < 13 (Throttle Closed)

·

RPM < 1500

·

Engine MAP > Overrun Vacuum Target

All other conditions will cause the idle system to enter hold mode, where "Idle Hot" and "Idle Cold" are used to determine duty cycle.

Note:

Failure to setup any of the above parameters correctly will result in incorrect operation.

12.3 Stepper Idle Speed Setup (Relates to tuning module but can be applied using PCLink)

The Idle speed stepper control system has two main adjustments.

1.

"IDLE xxx yyy z" sets the required idle speed in steps of 50 rpm. Use the ADJUST buttons to select the idle RPM.

The value 'xxx' represents the stepper position in units of steps and will change as the system performs Idle Speed Control.

As the stepper motor provides no position feedback, the Idle Speed system needs a reference point from which to control the idle. It achieves this by assigning a value of '50' to the stepper motor position if the engineÕs idle is stable and equal to its target (i.e. '=' symbol). This value may not actually represent 50 steps from closed throttle, but is used by the ISC system as a reference point.

From this point the Idle Speed system will use IDHOT and IDCOLD during its hold phase. For example, with the current step position = 50 and IDHOT = 60, when hold mode is entered the stepper motor will be moved up 10 steps to the new position 60.

When the engine returns to a condition that requires idle correction the RPM should be slightly higher than the required target. The step count will move from 60 towards 50 as the engine returns to its normal idle.

2.

Select the required stepper direction. Monitor the character ÔzÕ (annunciator) to observe what action the idle speed system is taking. The engine RPM should be moving in accordance with the annunciator displayed. There are 2 possibilities.

·

z = Ô-Ô. This symbol implies the Idle Speed software is trying to reduce idle. If this is not occurring and the idle is increasing, the stepper direction is incorrect. Press the EDIT DOWN moving to the "Step Direction : x" menu. Press one of the ADJUST buttons to toggle the "x" character and reverse the stepper direction. The change in engine RPM should now match the annunciator.

·

z = Ô+Õ. This symbol implies the Idle Speed software is trying to increase idle. If this is not occurring and the idle is decreasing, the stepper direction is incorrect. Press the EDIT DOWN moving to the "Step Direction : x" menu. Press one of the ADJUST buttons to toggle the "x" character and reverse the stepper direction. The change in engine RPM should now match the annunciator.

3.

The default values are IDHOT = 60 and IDCOLD = 70. Use caution when adjusting these values. DO NOT use numbers less than 50 as this will drop below the reference point used by the ECU.

Apply steps 2-4 as outlined in the previous Section 12.2. Any reference to 'duty cycle' should be replaced by 'step'.

4.

The Idle speed system will perform idle correction under the following conditions

·

TPS < 13

·

Engine MAP > Overrun Vacuum Target

·

Engine RPM < 1500

All other conditions will cause the stepper motor to move to its hold position, until the idle correction requirements are detected.


AirCon Step

AirC Step

When an air conditioning request is generated, the LinkPlus will increase the engines idle (if ISC is connected) before engaging the compressor clutch. The amount of idle increase can be adjusted here. The default setting is 10. For a solenoid this implies a 10% increase in duty cycle, for a stepper motor this implies 10 steps before engaging the clutch. This compensates for the extra load preventing idle surge or the engine stalling. Note that extra enrichment can also be added using the Air Con Enrichment function.


Fan Step

Fan Step

Fan Step

When an fan is switched on, the LinkPlus will increase the engines idle (if ISC is being used). The amount of idle increase can be adjusted here. The default setting is 10. For a solenoid this implies a 10% increase in duty cycle, for a stepper motor this implies 10 steps. This compensates for the extra load preventing idle surge or the engine stalling.


ISC Type

ISC Type

This menu allows the Idle Speed device to be selected. The two options are solenoid or stepper motor. The setting will store automatically.


Idle Cold

Idle Cold

This menu should only be adjusted if solenoid has been selected as the idle device. There are 2 default values labelled "Idle Hot" and "Idle Cold". These are used by the software to preset the ISC duty cycle during hold mode to about the correct value during gear shifts, over run vacuum, returning to idle etc.

When the engine is below 20oC the "Idle Cold" value is the default duty cycle. Between this temperature and 50 the software will interpolate to create an intermediate duty cycle.


Idle Hot

Idle Hot

This menu should only be adjusted if solenoid has been selected as the idle device. There are 2 default values labelled "Idle Hot" and "Idle Cold". These are used by the software to preset the ISC duty cycle during hold mode to about the correct value during gear shifts, over run vacuum, returning to idle etc.

When the engine is above 50oC, the "Idle hot" value is the default duty cycle forced into the solenoid. This should provide an idle RPM close to the required value.


Idle RPM

Idle RPM

Idle RPM

This sets the desired speed that the engine will idle at.


Step Direction

Step Direction

This setting only applies if the idle control device is a stepper motor. It controls the direction of step ensuring the engine RPM is moving in the correct sense towards the idle target. The annunciator at the far right character represents the stepper direction. "N" represents normal, "R" represents reverse. Any changes to this menu will be saved automatically.


Fuel

Fuel Functions

The following adjustable functions are available under the Fuel heading.

Master

Overrun Fuel Cut

Injection Mode

Injector Timing

In addition there are also Fuel sub-catagories.

Fuel - Accel

Fuel - Auxiliary

After adjusting the Master, an engines fueling needs are adjusted by editing zones of the Fuel Zone Table.

Fuel Zone Table

Fuel Injection Modes

FuelThe LinkPlus offers the option of either Group fire for up to 12 cylinders or Sequential fuel delivery for a maximum of 8 cylinders. The actual injection hardware for these two options is very similar with the exception that each injector for sequential mode is individually wired back to the ECU (All other aspects such as injector location, fuel supply and manifold layout remain the same). The main difference is that a Sequential system requires a more complex crank/cam-angle sensor, which ensures each injector is phased to the correct cylinder such that it opens on the inlet stroke.

Group Injection

The injectors are wired in either one single group, or more commonly in two groups for higher cylinder engines. Since several injectors are operating simultaneously, each inlet port will be on a different phase of the engine cycle i.e. some cylinders will be on intake phase while others may be on compression, exhaust etc. The injection rate is once per engine cycle and is locked to the engine RPM (synchronous), but not indexed (phased) to the engine cycle.

Sequential Injection

Each injector is individually wired and controlled by the ECU, and can only inject once per engine cycle (2 rev. of crank). The injection is phased to the engine such that the injector operates only while the inlet valve is open so the fuel does not "reside" in the port. Secondly, some advantage may be had from the higher air velocity in the port during the induction stroke, which may improve air/fuel mixing to some extent. This may prove advantageous at idle, in engines required to meet stringent emissions regulations.

Simultaneous Injection.

For every revolution of the crankshaft all injectors are opened together. This injection is used during crank when sequential fuel is selected. During the initial cranking phase the cylinder position has yet to be determined, so the LinkPlus cannot initiate sequential fuel. By using simultaneous injection, fuel can be introduced sooner, allowing the engine start quicker. Once running the fuel delivery is switched to sequential.

Mixture Compensation at high altitudes

The low density at high altitudes requires a leaner air-fuel mixture. This is achieved by reducing the injector duration by a calibrated amount to maintain a constant AF ratio. As the LinkPlus operates from a speed-density principal, any change in altitude, hence density, is automatically compensated for.


Master

Master Fuel

Controls overall fuel injection scheduling and is effective throughout the entire operating range from idle to full power. The scale ranges from 0..255, the higher the value, the greater the overall fuel.


Injector Timing

Injector Timing

This menu will only be adjustable if sequential fuel mode is selected. By using the cylinder number and assuming the injectors have been wired to the firing sequence, the LinkPlus will automatically open each injector on the inlet stroke. A small adjustment allows the injectors to be opened +/- one TDC either side of the inlet stoke. The Tuning module will display the current injection stroke.


Overrun Fuel Cut

Overrun Fuel Cut

During overrun vacuum when the engine is decelerating, the fuel supply to the engine can be completely cut. On closed throttle under high engine vacuum, there is a low oxygen content resulting in incomplete combustion and hence unburnt hydrocarbons. By removing fuel in an overrun condition emissions can be reduced and fuel economy can be improved.

Note:

The TPS MUST be connected and span correctly before turning this function ON.


Fuel Zone Table

Fuel Zone Table

A fuel table exists to adjust fueling for individual load/rpm points. There are 200 fuel zones arranged in a rectangular grid consisting of 10 ROWS by 20 COLUMNS. The ROWS progress in steps of Manifold Air Pressure (unless this is changed using RowSteps) to provide the "load" axis, and the COLUMNS progress in steps of RPM. Therefore each column represents a unique operating condition allowing fuel changes to be made in small, localised areas.

The selection of zones is completely automatic, depending on the actual RPM and MAP values at that instant. The current (active) zone is identified as having a green background.

The adjustment scale is form 0 - 255 with a larger number corresponding to an increase in fuel.

Zones may be adjusted individually (as with the ZoneFuel function on the Tuning Module) or a whole row may be adjusted (as with the RowFuel funciton on the Tuning Module).

The general tuning procedure is to adjust the Master first, then adjust entire rows of the fuel zone table at a time and finally fine tune individual zones.


Fuel - Accel

Fuel - Accel

Fuel - Accel

This section include fuel related functions which effect fuel enrichment only during acceleration when the throttle position is being changed. The related functions are:

Accel

Accel Decay

Enrichment Mode

WakeUp Pulse

WakeUp Width


Accel Table

Accel

When the throttle is abruptly opened, the air-mixture is leaned out briefly. To achieve good throttle response during acceleration, enrichment is required. There are 4 ACCEL zones, the first 3 covering a 2000 RPM span, the last zone covering a 4000 RPM span. By definition:

ACCEL zone 1 covers 0 - 2000 RPM

ACCEL zone 2 covers 2000 - 4000 RPM

ACCEL zone 3 covers 4000 - 6000 RPM

ACCEL zone 4 covers 6000 - 10000 RPM

By using 4 zones it allows the enrichment to be optimised and set for varying conditions. The two inputs available to calculate enrichment are MAP or TPS, selectable from the 'Fuel - Setup' heading. The amount of enrichment is dependent on rate of change, and engine temperature. Note that ACCEL is only effective during the actual movement of the throttle to cover any brief flat spots occurring at that time. The actual zone is selected automatically, and is shown as Z=x where x = the currently active zone. e.g. Z=2 indicates transient zone 2 (2000..4000 RPM range).


Accel Decay

Accel Decay

Controls the rate at which the acceleration fuel is removed from the engine. The larger the number the longer it takes to remove the ACCEL fuel from the engine. Likewise, a smaller number will reduce the time it takes to remove this fuel. To change this setting use the ADJUST buttons. A typical value is 6; 15 represents a "very long" decay time, 1 represents a "very short" decay time.


Enrichment Mode

Enrichment Mode

For good throttle response enrichment must take place during acceleration (i.e. when the throttle is opening). This can be calculated using either the change in MAP or TPS. By default this is set to MAP mode. When this mode is used poor throttle response may be attributed to low idle vacuum, multiply butterfly setup, engine condition, or inlet geometry design. The cause is a delay in the MAP signal when the throttle is abruptly opened. To help overcome this problem select TPS enrichment mode. As the TPS is directly connected to the throttle shaft there will be a minimum delay when the butterfly is opened.

Note:

The TPS MUST be connected and span correctly before selecting TPS enrichment mode.


WakeUp Pulse

WakeUp Pulse

This controls the number of additional pulses added when transient enrichment is required. The Default value is 4. This means 4 additional closely spaced pulses will be added, each 1.1ms in width.

To switch this function off set the number of pulses to zero.


WakeUp Width

WakeUp Width

WakeUp Injection will fire a short burst of injector pulses per engine TDC when transient enrichment is required. This will improve the engines throttle response and should be used in conjunction with the 4 existing ACCEL Zones. Adjustment is provided for both the width and number of pulses.

"WakeUp Width" will control the width of each WakeUp pulse. The default value is 210, giving a 1.1ms pulse width. To increase the width, increase this number.


Fuel - Auxiliary

Fuel - Auxiliary

Fuel - Auxiliary

This section include fuel related functions which are supplementry to the main fueling requirements. These functions are:

Clamp

Air Con Enrichment

Cold Start

Crank Decay

Crank Enrichment

Hot Restart

Inlet Air Temp

Lag Fuel

Prime Temperature

Volts Correction


Clamp

Clamp

This will clamp the Manifold Air Pressure signal to a minimum value (high vacuum) to stabilise the RPM at idle. This helps prevent idle surge present in some engines with large intake volumes. The value shown in (xxx) is the actual MAP value and the far right value = the clamp value. Typical values range from 30. . 35 for normal engines. The clamp is only active below 1500 RPM.


Air Con Enrichment

Air Conditioning Enrichment

From this menu extra fuel can be added when the Air conditioning is switched on, assuming it is controlled by the LinkPlus. When the AirCon compressor is engaged the extra load can cause unstable idle, so extra enrichment can be introduced to help stabilise this. The default value is 0 implying no added fuel. The enrichment is only active below 1500 RPM. To change this setting use the adjust buttons.


Cold Start

Cold (Post-Start warm-up)

Controls cold start and warm up enrichment by adding extra fuel to the engine. The adjustment value is shown on the right hand side of the display and will gradually reduce to zero as the engine temperature rises towards 70¡C. Note this is the temperature-decayed-value rather than the full cold value. The number shown in parenthesis (xxx) is the actual engine temperature for monitoring purposes.

Note:

The far right characters on the Tuning Module will display N/C if the sensor is not connected.


Crank Decay

Crank Decay

This controls the rate at which the crank enrich fuel is removed. The larger the number, the longer it will take to remove this fuel. Use the ADJUST buttons to change this number. A typical value is 20. Upper limit = 40 (Long decay period), Lower limit = 5 (Short decay period).


Crank Enrichment

Crank Enrichment

This is the amount of extra fuel added while the engine is cranked and for a short period after starting. It is a temperature dependent enrichment and only effective when the engine temperature is below 50oC. The actual value used by the LinkPlus will provide more crank enrichment with decreasing engine temperature and will decay with time (see crank decay).

The SMALLER the number, the GREATER the enrichment. The base default value is 70.


Hot Restart

Hot Restart

When the engine temperature is above 80oC addition fuel can be added to help stabilise idle on a hot restart. The extra fuel will remain active for 1 minute after restart allowing time for under bonnet temperatures to reduce and the engines mixture to stabilise. The default setting is 0, which means no hot restart compensation.


Inlet Air Temp

Inlet Air Temperature (IAT)

Allows adjustment for compensation of inlet air temperature on air/fuel ratio. Cold air is denser, so for the same throttle position, the volumetric efficiency of the engine will reduce as air temperature increases. As inlet air temperature rises the fuel is reduced to compensate for the lower air density. The number in brackets shows the actual air temperature in degrees Celsius. The fuel correction number is displayed on the right and can be changed using the ADJUST buttons.

Note:

The far right characters on the Tuning Module will display N/C if the sensor is not connected.


Lag Fuel

Lag Fuel

Provides additional fuel for the cooling of exhaust gases. The default value is 8 which should be adequate. This function is only active when anti-lag is running in full retard mode.


Prime Temperature

Prime Temperature

This allows the pre-start injector prime temperature to be adjusted. At low temperatures the mixture formation is inadequate to start the engine. This is due to the poor mixing of air and fuel, as well as fuel condensation on the cylinder walls. To compensate for these losses, if the engine temperature is BELOW the prime threshold at key-on, the engine will receive a short injector shot to assist starting.

Note this setting is checked when the LinkPlus is powered up, so any adjustment will only take effect if the power is recycled. Use the ADJUST buttons to alter the temperature.


Volts Correction

Volts Correction

Provides a compensation value for fluctuations in battery voltage caused by heavy electrical loads being switched on and off e.g. headlights, heaters, fans or engine cranking. The opening time of the injector will vary with battery voltage. In order to compensate for this, the LinkPlus will increase injection duration with a falling voltage supply. This will prevent surging idle speeds and is of particular significance on crank when the battery voltage can drop as low as 8 Volts.

Initially set the value to "15" (STORE) and tune the engine with minimum electrical loads switched on. Once a satisfactory tune is found, allow engine to idle and switch on maximum electrical loads. Readjust the VOLTS value to restore the "unloaded" idle quality and STORE the result. The actual battery voltage is also displayed for monitoring purposes.

Note that the adjustable value does not represent actual voltage but is a trim value with no particular units.


Ignition

Ignition Functions

The following adjustable functions are available under the Ignition heading.

Dwell Time

Ignition Coils

Ignition Type

Static Ignition

Most importantly the Ignition Zone Table may be used to adjust ignition timing.

Ignition Zone Table


Ignition Zone Table

Ignition Zone Table

An ignition table exists to adjust ignition timing for individual load/rpm points. There are 200 ignition zones arranged in a rectangular grid consisting of 10 ROWS by 20 COLUMNS. The ROWS progress in steps of Manifold Air Pressure (unless this is changed using RowSteps) to provide the "load" axis, and the COLUMNS progress in steps of RPM. Therefore each column represents a unique operating condition allowing timing changes to be made in small, localised areas.

The selection of zones is completely automatic, depending on the actual RPM and MAP values at that instant. The current (active) zone is identified as having a green background.

The number in the igntion table represents degrees of advance. This number must be greater than or equal to zero. An engines base timing is NOT controlled by the ECU. It is very important that the base/static timing this is set and checked or any numbers displayed in the ignition table are meaningless. For base timing adjustment see Setting Static Timing.


Dwell Time

6.1.4 Dwell Time

Use with caution. Incorrect dwell (too long) may result in coil/igniter failure.

Typical settings

Distributor (1 coil) = 5 - 5.5 mS

Multicoil (waste spark) = 4 mS

Multicoil (coil per plug) = 3 mS

Dwell set too short will result in the coil not fully charging. The engine may misfire at higher RPM. A hot igniter or coil may indicate too much dwell.

Note:

Modern 'coil over plug' assemblies have very little heat soak ability and may fail while still relatively cool to the touch. This is due to the poor heat conductivity of the resins within the coil.

Note:

3 mS is the default value which will require adjusting for most applications.


Static Timing

Static IGN

This function is used to tell the LinkPlus what static (base) timing has been set. For example, if the static timing has been set at 10° BTDC (see Setting Static Timing), then 10° should be entered. The Static IGN number is added to all of the zone ignition numbers so that they represent the actual ignition advance received by the engine (not just the advance generated by the LinkPlus). This number is for display purposes ONLY and will NOT cause the LinkPlus to advance the ignition timing. The default value is zero.


Ignition Type

Ignition Type

The LinkPlus offers 8 Ignition drives which can be configured from a basic distributor setup through to the more complex Multi-Coil arrangements. The following ignition types in are supported by the LinkPlus.

Cylinder Number | Distributor | Wasted Spark | Direct Spark
1 |  |  | 1 Single Post Coil
2 |  | 1 Dual Post Coil | Single Post Coils
3 |  |  | 3 Single Post Coils
4 |  | 2 Dual Post Coils | Single Post Coils
5 |  |  | 5 Single Post Coils
6 |  | 3 Dual Post Coils | Single Coils
8 |  | 4 Dual Post Coils | Single Coils
12 |  | 6 Dual Post Coils |

This Ignition Type menu allows the ignition setup to be selected. Before selecting one of these options ensure the necessary hardware has been installed and wired in. To prevent an accidental change to this setting, it cannot be altered while the engine is running.

The two options are:

Distributor

Multi-Coil

If Multi-Coil is selected the Coil Type option of Direct or Wasted spark is available.

Wasted Spark

The menu will display "x - Dual Coils", where x represents the required number of dual post coils. This mode will only be permitted when using an even number of cylinders.

Direct Spark

In this mode there is one coil per cylinder. This will display " x - Single Coils", where x represents the required number of coils.

NOTE: Any changes here will be automatically stored. This option cannot be changed while the engine is running.

NOTE. Any changes here will be automatically stored.


Distributor

Distributor

Definition

A distributor routes the high voltage generated by the coil to the intended spark plug via a rotor and HT wiring. It rotates at half the crankshaft speed.

Trigger Requirements

The only information required for ignition timing, is one signal representing every engine TDC. This can be generated from optical, hall, magnetic pick up etc.


Multi-Coil : Wasted Spark

Multi-Coil: Wasted Spark

Definition

Wasted spark will fire two cylinders simultaneously, using a common dual post coil. During a crankshaft revolution, one cylinder is fired on the compression stroke, the other offset by 360o crankshaft angle (i.e. the opposing stroke = exhaust stroke). One crankshaft rotation later, these two cylinders are two working stokes further ahead and the spark plugs fire again, but now with reversed roles. The result is that one coil will be fired twice per engine cycle hence the term "wasted spark". This setup can ONLY be used on engines with an even number of cylinders. The maximum number of cylinders the LinkPlus can drive on wasted spark is 12.

Trigger & Hardware Requirements

Cylinder Pulse

For the correct timing of ignition, the crank or cam sensor MUST provide a signal that can be decoded to produce one pulse per engine TDC. On a 4-cylinder engine for example, this is 2 TDC pulses per crankshaft revolution (4 per Camshaft revolution) and an 8-cylinder engine will have 4 TDC per crankshaft revolution (8 per camshaft revolution)

Sync Pulse

To determine the correct firing sequence, a sync pulse is required as a reference to determine engine position. The sync pulse can only appear once on the crankshaft (1 signal per engine revolution) or once on the camshaft (1 signal per engine cycle).

Dual Post Coils

One Dual post coil is required per 2 cylinders with a primary resistance less than or equal to 1 ohm. Figure 6.1 shows a typical coil. The coils should be positioned so they minimise the length of the HT Leads. This will help reduce the noise generated when the spark plugs are fired.

Figure 6.1 Dual Post Coil

Important Points for Wasted Spark

When two spark plugs are fed from one dual post coil they are connected in series, meaning one plug is "incorrectly" polarised.

The main concern when using dual post coils is the generation of interference. When two spark plugs are fired together there is twice the spark energy generated and hence twice the radiation produced per engine TDC. This noise level increase can interfere with ECU operation and cause unwanted static on car radios. The following precautions should be used to minimise these effects.

First install 'Resistive Spark Plugs' if the engine does not currently use them. This will reduce radiation levels and also help even out spark energy distribution. Without it, the spark plug with the least load (exhaust stroke) tends to monopolise spark.

Secondly, ALWAYS use suppressed HT leads, which can be identified by measuring their resistance. Typically they vary from 1000 ohms to 5000 ohms depending on lead length. DO NOT use copper leads under any circumstances.

Lastly always fit a Coil suppresser to the coil positive. Any value between 1uF and 10uF will be suitable.

Therefore when using Dual Post Coils combine the following:

Resistive sparks plugs

Suppressed Leads

Coil Suppresser (1uF - 10uF)


Multi-Coil : Direct Spark

Multi-Coil: Direct Spark

Definition

Direct spark uses an ignition coil per cylinder, firing each cylinder once per engine cycle (2 crankshaft revolutions). If multi-coil operation is required for an odd number of cylinders, the only option is to use an ignition coil per cylinder. This mode is also suitable when the number of cylinders is even and Ôwasted sparkÕ has not been selected. The LinkPlus can drive a maximum of 8 cylinders with direct spark.

Trigger & Hardware Requirements

Cylinder Pulse

For the correct timing of ignition the crank or cam sensor MUST provide a signal that can be decoded to produce one pulse per engine TDC. For example, on a 4-cylinder engine this is 2 TDC pulses per crankshaft revolution and an 8-cylinder engine will have 4 TDC per crankshaft revolution.

Sync Pulse

When each cylinder is fired using individual coils a sync pulse is required to determine engine position and hence firing sequence. This signal must ONLY appear ONCE per engine cycle (2 crankshaft revolutions). Hence the camshaft will need to provide a sync signal. If the sync is generated from the crankshaft the rate will be twice that required resulting in incorrect operation.

Single Coils

On factory setups using direct spark, the coil and igniter is usually in one package, mounted over the spark plug. These are normally three terminal devices, +12V, Ground, and an igniter signal. If the coil is accessible, it should have a primary resistance less than or equal to 1 ohm. When using a non-factory arrangement the coils should be positioned so they minimise the length of the HT Leads. This will help reduce the noise generated when the spark plugs are fired.


Set Static

Set Static (Timing)

This allows the static (base) timing of the engine to be adjusted or checked. By pressing the ADJUST UP button (using a Tuning module), the Set Static function is switched on. This automatically sets the advance limit to zero so that the LinkPlus generates zero degrees of advance. When this function is switched ON, the Advance Limit menu will show 00°. This allows the static timing of the engine to be checked using a timing light. See Setting Static Timing.

Note:

When power to the LinkPLus is removed this function will always return to the default OFF setting.


Setting Static Timing

Setting Static Timing

The static timing is defined as the ignition timing that will occur when the LinkPlus ignition timing is set at zero degrees (no electronic advance). The LinkPlus default ignition curve is based on a static timing of 10°BTDC. Therefore it is essential that this is checked before driving the vehicle. Any variation in the base timing will need to be considered when adjusting the zones of the ignition table. Note that below 500 RPM (while starting the engine) only the base timing is effective and should be set for optimum starting characteristics.

Adjustment

With the tuning module connected and the engine running, move to the * IGNITION * heading. Press the EDIT DOWN button twice to display the 'SET STATIC: OFF' menu. Press the ADJUST UP button to turn the function on (This can only be done with the engine running). This will zero the electronic advance generated by the LinkPlus, allowing the engines static timing to be checked with a timing light. To adjust the static timing, the distributor or crank angle sensor may be rotated on most engines. Once the desired static timing has been set, the Set Static function should be turned off by pressing the ADJUST DOWN button. The static timing number should then be entered into the Static IGN function.


Knock Control

55

Knock Control Functions

Knock control uses a block mounted, piezo electric microphone (knock sensors) to "listen" for abnormal engine noise / vibrations which occur when an engine detonates (knocks). Filters inside the ECU reject the majority of unwanted signals but the software processing this signal requires a certain amount of discrimination. Once a knock event has been detected, ignition timing is removed from the current ignition zone (1 of 200). The maximum amount of retard is six degrees from any one zone, although the system will not retard beyond zero degrees electronic advance (base timing).

E.g. If original zone value was 5 degrees, then at maximum retard produced by the LinkPlus would be ZERO, not -1 degrees.

All Corrections are temporary unless stored i.e. they will be lost when the key is turned off.

This arrangement allows the system to be more adaptive to the current conditions. For example, driving one day with poor fuel will cause the system to make corrections where necessary but with no long-term storage. This means when superior fuel is used or climatic conditions change, the ignition map will have a "clean slate" rather than previously compromised values.

Knock control may be turned on or off using the Knock Control on/off function

The 3 main adjustments for the knock system are:

•

Knock Base

•

Knock RPM

• Knock RPM Start

Knock Count

A "knock event" occurs when the engine noise, transmitted by the knock sensor exceeds the Knock target. Once detected, the current ignition zone has one degree of timing removed and the Knock Count is incremented by one. To switch OFF press the ADJUST DOWN button and the menu will display "Knock OFF zzz". Pressing ADJUST UP will reactivate the knock control system displaying "KNOCK (xxx) zzz".

?

xxx = Knock Count. This is the total number of "knock events" detected by the system for the current run.

zzz = Knock Signal. Shows the actual "processed" knock signal fed into the microprocessor. This value should be small at idle (typ. less than "10") and increase with RPM and load (boost) as the background noise rises i.e. The signal will always rise with increasing power at a PROGRESSIVE rate if there is no detonation. The amplitude of the Knock Signal will depend on knock sensor position and the engines type/modification state.

For example a Knock Count of 5 (xxx = 5) indicates the knock level processed from the engine, has exceeded the Knock target 5 times.

NOTE: Any changes (ON/OFF) are automatically stored.

The following functions are available from the Knock heading.

Knock Control Setup

To ensure the correct operation & setup of the knock control system, a scientific method is the most comprehensive approach to build up a noise profile of the engine. This involves using some form of data logging (e.g. SerialLink, PrintLink or PCLink) " to capture all the important ECU signals for in-depth analysis. This has the advantage of allowing plenty of time for analysis together with other information (RPM, MAP, OXY etc.) which all interact to some degree.

Detecting Detonation from data logging

Interpret detonation as a significant jump in value (say 30 Ð50 units) within one line of text. Note from Table 9.0 the abrupt level change (marked *****) in the KNK (knock) column indicating probable detonation.

Note: In some cases transient detonation (between gear shifts) is very difficult to eliminate completely without seriously affecting the power output of engine. The amount of acceptable detonation is a fairly complex issue beyond the scope of this simple guide.

RPM MAP WG% OXY INJ% TEMP KNK ADV

4617 151 31 75 44 78 12 13

4807 193 31 91 66 78 46 9 *****

4994 226 29 89 70 78 25 8

5131 215 28 89 68 78 25 9

5344 215 26 88 70 78 30 8

5453 218 25 88 72 78 31 8

5651 219 23 87 75 78 40 8

5800 222 21 88 77 78 33 8

5976 224 18 87 81 78 45 8

6103 224 16 89 85 78 49 8

6288 226 13 89 86 78 56 8

6418 227 10 89 87 78 58 8

6542 227 10 90 90 78 63 8

6706 228 10 89 94 78 71 8

6779 227 10 91 94 78 75 7

6917 228 10 90 94 78 79 6

7034 229 10 17 96 78 85 6

6892 131 39 78 12 78 70 25

6225 32 37 68 4 80 46 25

5711 20 35 73 1 80 33 25

5124 19 32 2 1 80 17 25

3728 92 28 4 16 82 4 23

3750 99 28 5 17 82 4 21

3839 110 28 4 21 82 6 18

3907 129 28 5 25 82 8 16

4025 150 28 9 32 82 7 13

4159 176 29 84 45 82 10 12

4353 211 29 90 62 82 33 9 *****

4506 218 27 91 59 82 18 9

4687 210 26 89 60 82 21 9

4870 214 25 88 63 82 26 9

5048 215 24 86 66 82 26 8

5239 216 22 86 68 82 26 8

5398 219 20 84 71 82 34 8

5542 221 18 85 75 82 38 8

5747 223 16 85 76 82 47 8

5901 224 14 84 81 82 53 8

6054 225 11 86 84 82 73 8 *****

EXAMPLE: The printout is an actual example of a vehicle accelerating during two runs. The easiest way to visualise this data is to graph it as shown in Figure 9.1. This provides a picture of the engines noise profile, clearly showing the contrast between engine noise and the three possible detonations. The "dashed line" shows one suggested knock target line. From this graph all the relevant parameters can be gather to correctly setup the knock system.

Selecting Base Target and RPM start point.

The engine does not start producing any significant noise until approximately 4000 RPM. This will be the starting RPM. The Knock level at this point is approximately 10 so a safe "base target" would be 20. As this value is open to some interpretation and there is no one correct answer.

Selecting Rpm Correction

From Figure 9.1 the engine noise increases approximately 25 unit per 1000 RPM. The overall knock target now represents the "grey" region. If the Knock signal from the engine enters this region, a knock event will be generated and timing will be removed.

Figure 9.1

Summary Table

Base Target = 20

Start Rpm = 4000

RPM Correction = 25

RPM Knock Target

4,000 20

5,000 45

6,000 70

7,000 95

8,000 120

9,000 145

10,000 170

Testing Knock Sensor Installation

Move the Knock Count menu and observe the Knock level (far right characters). Use a metal object such as a spanner and tap the engine block close to the sensor or the actual bolt securing a donut style sensor. The knock level will show a value proportional to how hard the block or sensor bolt is hit. No reading indicates a faulty sensor or a wiring problem.


Knock On/Off

Knock On/Off

Knock Control (on/off)

Knock control may be turned on or off using the Knock Control on/off function.


Knock Base

Knock Base Target

This allows the knock base target to be set. This is the amplitude of the Knock signal when the engine starts to generate noise. From this point, engine noise will normally rise as the RPM and load increases. To match the Knock target to the engines noise profile the target requires RPM correction.


Knock RPM Correction

Knock RPM Correction

The microprocessor uses the base target and RPM correction to produce a knock target that is proportional to RPM i.e. at higher engine RPM more "noise" is generated, hence the knock threshold needs to be increased. For every 1000 RPM the RPM correction value will be added to the Base Target. Intermediate values will also be calculated.


Knock RPM Start

Knock RPM Start

The last adjustable factor that will vary from engine to engine, is the RPM point where the engine begins to generate considerable noise. This is the rpm point at which Knock RPM will begin to operate and provide a higher knock threshold for higher engine speeds. Knock RPM start can range from 1000 through to 4000.


Boost Control

Boost Control Functions

Wastegate Overview

Turbo charger boost control is achieved using a wastegate to bypass the correct amount of exhaust gas around the turbocharger.

The following settings must be adjusted to achieve the required result. Turbochargers, wastegate actuators, control solenoids, and engine characteristics all have an effect on the dynamics of the system. Therefore each system must be configured differently. The recommended procedure is to make small adjustments and fully evaluate the result before further changes are made.

Boost Targets

WG Base

WG Sens

WG RPM

Boost Hold

Target Reference

Also a safe MAP Limit is important to protect from 'over boosting'.

Wastegate Overview

Turbo charger boost control is achieved using a wastegate to bypass the correct amount of exhaust gas around the turbocharger. This can be achieved by employing either an integral wastegate or an external wastegate.

In either case, the wastegate is opened and closed by a pneumatic actuator. When sufficient pressure reaches the actuator, the wastegate is opened to vent excess exhaust gas around the turbocharger. This has the affect of limiting boost pressure. If no pressure reaches the actuator then the wastegate never opens. As a result all exhaust gas must pass through the turbocharger. This causes the boost pressure to rise to whatever the turbocharger is capable of generating.

Electronic Boost Control Overview

Electronic boost control is achieved by modifying the pressure signal from the turbocharger compressor outlet to the wastegate actuator using a solenoid.

The minimum boost pressure that can be achieved occurs when the solenoid is de-energised. This pressure is entirely dependent on the wastegate/actuator construction.

The maximum boost pressure that can be achieved occurs when the solenoid is energised. This pressure is dependent on the turbocharger/engine combination. Typically this pressure exceeds that which can be safely tolerated by the engine.

By varying the on/off ratio (duty cycle) of the boost control solenoid, a boost pressure between the minimum and maximum (outlined above) can be achieved. Three examples are given below.

•

When the solenoid is continuously de-energized (minimum possible boost) the duty cycle is 0%.

•

When the solenoid is continuously energized (maximum possible boost) the duty cycle is 100%.

•

When the solenoid is being pulsed with equal on and off times the duty cycle is 50%.


Boost Targets Table

Boost Target Values

A row of zones in the Boost Table is used to hold target boost values for each 500 RPM interval between 500 & 10000 rpm. This allows the boost curve to be tailored for the application. The boost may be held at lower levels through the mid range to suppress detonation and then allowed to rise at higher rpm where detonation is less likely. The target values may be changed by using the EDIT mode (for individual adjustment) or by selecting BOOST, which adjusts all 20 zones simultaneously. All boost targets are shown in kPa (absolute).


Wastegate Sensitivity

Wastegate Sensitivity

Wastegate Sensitivity

All closed loop (feedback) systems require an optimum sensitivity level, which is a compromise between fast response time and overall stability. High sensitivity values produce fast response at the expense of overshoot followed by oscillation around the target value. Low sensitivity values result in boost moving slowly towards the target.

Experience has shown that in most systems, a 'WGATE SENS xx' value between 1 and 10 is used. Never set the value to 0.


Wastegate Base

Wastegate Base

Wastegate Base

This value is used for calculating the initial duty cycle that the ECU will apply to the boost control solenoid as a 'first guess' when trying to control boost.

When the engine rpm increases above the value set by WG RPM and the throttle is increased above approximately three-quarters open, the ECU will change from its lockout state (where the ECU is not trying to control boost) to its active state where the ECU will begin to control boost.

Each time the ECU changes into its active state, the initial duty cycle applied to the solenoid is calculated using information including the WG Base. The WG Base is not equal to the initial duty cycle, however a higher WG Base will lead to a higher initial duty cycle and vice versa.

Ideally the WG Base is set so that the duty cycle required to maintain the desired boost is already being applied during lockout. Therefore when the ECU changes into its active state it does not need to significantly change the duty cycle being applied to the boost control solenoid.

If the WG Base is too high, then the initial duty cycle will be too high and the boost pressure will overshoot.

If the WG Base is too low, then the initial duty cycle will be too low and the boost pressure will increase slowly to its target value.


Wastegate RPM

Wastegate RPM

Wastegate RPM

WG RPM sets the engine rpm at which the boost control lockout will be disabled provided that the TPS value is also sufficient for the lockout to be disabled. The lockout is required because at low rpm there may not be sufficient exhaust gas to fully spool the turbo. Therefore, regardless of what the boost control system is doing, it would be impossible to reach the boost target. Under these conditions without a lockout feature, the ECU would try in vain to increase the boost by increasing the solenoid duty cycle. When enough exhaust gas is produced to spool the turbo the boost pressure would grossly overshoot since the solenoid would be continuously open (100% duty cycle) leading to the wastegate being fully shut.

The ideal WG RPM value is highly dependant on the turbo size in comparison to the engine it is being run on. The WG RPM should be set approximately equal to the engine RPM where the turbo begins to produce boost. Typical values usually fall between 3,000 and 4,500 rpm. If boost control is set up satisfactorily in low gears, but overshoots at low engine rpm when driving in higher gears (4th or 5th gear etc.) then the solution is usually to increase the WG RPM.


Boost Hold

Boost Hold

Boost Hold (only available with some software)

This feature will hold the boost control solenoid fully open (and the wastegate fully closed) until the engineÕs manifold air pressure has reached a set percentage of the boost target. This feature is designed to improve the boost response times. The default value is 80%. Take for example a target of 200kPa (approximately 1Bar of Boost). The solenoid will be held fully open until 180kPa (approximately 0.8Bar of Boost). After this point the boost control system will revert to operation as normal.


Target Reference

Target Reference

Target Reference (only available with some software)

This feature allows selection of how the throttle position, as measured by a throttle position sensor or TPS, affects boost control. There are two options:

•

Normal (Nom) - The boost control system is in lockout until the TPS value reaches a non-adjustable threshold (usually at a TPS reading of 70 in most software variants).

•

Throttle Proportional (TPS) - The boost pressure is proportional to the throttle position. For example, at 70% throttle only 70% of the boost target should be achieved.


Boost Control Diagnostics

Boost Control Diagnostics/Troubleshooting

The following diagnostic guide ranges from 'no operation at all' through to tuning and fine adjustment of a serviceable system.


Boost Control - Antilag

Boost Control - Antilag

AntiLag

This Antilag system is primarily intended to reduce the spool time of a typical turbocharger thus improving throttle response. This is achieved by bypassing air into the engine and employing ignition retard to control engine output during low power operation.

The Antilag system is controlled by 2 parameters:

•

Engine RPM

•

Throttle Position (measured using TPS)

The LinkPlus can generate maximum retard, proportional retard, proportional advance or full advance based on the value of the above 2 parameters. When setting up the amount of retard and/or bypassed air it is important the AntiLag system is running in full retard mode. The requirements for this mode are Engine RPM > 2000 and TPS < 30. This may not be possible during the initial stages of tuning so STEP 9-12 of the setup procedure will force the system into full AntiLag mode. The AntiLag Setup MUST be followed for the correct operation of the AntiLag system.

The functions to control Antilag are:

AntiLag On/Off

Antilag Mode

Ign Retard

Lag Fuel

TPS Lag Setup

There are two methods used to control the amount of air bypassed into the engine.

a)

Use the factory throttle-stop screw the permanently hold the throttle open.

b)

Bypass air into the engine ONLY when Antilag is switched ON.

These two methods require the LinkPlus to offer two Antilag modes.

Antilag Setup

The first 3 steps require the engine to be run in non-Antilag mode so leave ALL antilag function OFF and DO NOT alter the engine hardware.

Step 1.

AntiLag Mode 1

Confirm the Sync pulse is being processed by scrolling to the * DIAGNOSTICS * heading and viewing the 'Cyl = Y Sync = Y' menu. This should be done while the engine is running. There MUST be a 'Y' on both Cyl and Sync labels. A 'N' indicates a missing signal. Once confirmed select sequential as the fuel delivery Mode. DO NOT use 'Group Fire'.

AntiLag Mode 2

The Fuel delivery Mode can be either group or sequential.

Step 2.

Confirm the TPS is connected and spans 10-100 as described in Section 8.2. Also, the "enrichment mode" MUST be set to TPS (See section 13.1.7). The default mode is 'map' and this may result in poor throttle response between gearshifts when antilag is switched on.

Step 3.

The engine should be at its normal operating temperature

Step 4. Air Bypass Setup for Mode 1 or Mode 2

Once Steps 1-3 have been completed the air bypass can be setup

Mode 1: With key on and engine stationary, open throttle with stop-screw until TPS SPAN = 28. This is about the correct amount of throttle opening required for Antilag and some sort of lock nut or similar should be used to ensure the setting remains stable.

Mode 2: Check the air bypass solenoid(s) have been wired as shown in Figure 11.6. This will ensure that air is only bleed into the engine when Antilag is switched ON.

Step 5.

Switch Ignition ON. DO NOT start engine.

Step 6. AntiLag ON

The Antilag system may be switched on/off by moving to the * BOOST * heading and scrolling to the 'AntiLag' menu. Use the ADJUST UP key to switch Antilag = ON. (Any changes are automatically stored).

Step 7. AntiLag Switch

View the 'AntiLag' menu from STEP 6. The symbol "*" is displayed when the AntiLag system is activated. Move the AntiLag switch to the ON position and check the "*" symbol appears. If not recheck wiring. Leave in the ON position.

Step 8. Select AntiLag Mode

Press the EDIT DOWN button once to display the Antilag Mode. Use to ADJUST keys as required and the display will show Mode 1 or Mode 2 accordingly. (Any changes are automatically stored). Ensure the system has been wired to the correct Mode.

Step 9. Setup TPS OFFSET for Antilag.

Press the EDIT DOWN button once to display 'TPS SET(xx) = OFF' menu. Press the ADJUST UP button to display 'TPS SET(xx) = ON'. In PCLink select 'TPS Lag set' under the Boost Control menu and switch on. This will force the system into full retard mode independent of engine RPM and throttle position.

Step 10. Target for adjusting AntiLag System (Retard & Air Bypass)

The target when setting up the Antilag system is a value of about 1900 to 2200 RPM @ 0 PSI (i.e no vacuum, no boost) with the throttle resting in its 'closed' position. This should be achievable by adjusting the amount of bypass air and IGN RETARD. Remember these two will interact. Ignition retard can be increased to reduce engine RPM at the expense of increased exhaust gas temperatures.

If the idle speed solenoid is a 2 or 3 wire solenoid, the duty cycle can be modified by using 'Lag ISC DC xx%' to let additional air into the engine over and above the antilag air solenoids. The idle speed solenoid cannot flow all of the air necessary but is used to 'trim' the extra air to provide an optimal level of antilag i.e. antilag solenoid is 100% activated when the antilag is switched on plus additional air via the original idle speed solenoid.

If a stepper idle speed is fitted, it cannot be employed for additional antilag air.

Antilag Mode 1.

If the gauge reads high e.g. 5 PSI, then too much throttle opening is being used. Back off stop-screw until "0" on the gauge. Likewise, if too low (showing vacuum) wind the stop-screw in to raise the pressure. Note if lag mode idle RPM is too high (to achieve the "0" PSI on gauge) the retard value may be increased to lower the RPM.

Antilag Mode 2.

If the gauge reads high e.g. 5 PSI, then too much air is being bypassed into the engine. Reduce the amount of bypassed air until "0" shows on the gauge. Likewise, if too low (showing vacuum) more air will need to be bypassed into the engine.

Step 11. Start the engine

When the engine starts the system will be in full Anti Lag Mode. The engine will run by default with 20 degrees of ignition retard. Adjust both Air bypass and retard as described in Step 10.

LAG FUEL provides additional fuel for cooling exhaust gases. Default value of '8' should be adequate. LAG FUEL is only active when running in full retard mode. Refer Fig. 11.7.

Step 12. Setup Complete

Once satisfied with the setup move to the 'TPS SET(xx) = ON' menu. Press the ADJUST DOWN button to display 'TPS SET(30) = OFF'. PCLink will display this menu under 'Runtime ValuesÓ and is called 'TPS Lag xxÓ. The 'xx' MUST display 30 on the 'closed' throttle position. The Antilag switch can now be switched OFF. If Mode 1 is used the engine RPM should stabilise at about 2000 RPM and running slightly irregular due to the cyclic fuel limiting used to control the "idle" RPM.

Antilag Cautions

•

Take care during testing with the turbo and exhaust manifold temperature. Components get very hot under the bonnet so keep an eye on anything close to the turbo/manifold for signs of overheating.

•

Also be aware that on vehicles with vacuum assisted brakes that the lack of vacuum will make the brakes very "heavy".


AntiLag On/Off

AntiLag On/Off

Antilag (On/Off)

Turns Antilag ON or OFF. Ensure you have read and understand the Boost Control - Antilag section before turning Antilag ON.


Antilag Mode

Antilag Mode

Mode 1

This Mode is typically used for Group N applications where regulations prevent the addition of separate devices to hold the throttle open or bypass air into the engine. The factory throttle-stop screw must be used to permanently hold the throttle butterfly slightly open with a typical TPS value of between 25 and 30. This now becomes the new "closed" position and should never go back past this point. The common method to achieve this is to use the factory throttle stop screw.

The problem with this method occurs when Antilag is switched OFF. This method prevents the throttle from being closed for idle and normal driving and thus requires a special mode. To control idle RPM cyclic fuel limiting is used so the engine will sound irregular. This will offer reasonable low speed driving despite the amount of open throttle.

Mode 2

In this Mode air is bypassed into the engine ONLY when Antilag is switched ON. The engine will run as normal with antilag switched OFF eliminating the need for cyclic fuel cuts as is used in Mode 1. A Solenoid is normally used to supply the bypassed air.

It can be configured to bypass air directly past the butterfly into the engine or, the solenoid when energised can be used to hold the throttle butterfly slightly open. Refer the Figure 11.6 for wiring information.

Note. One Solenoid may flow insufficient air to produce effective turbo spool. Two solenoids run in parallel may be required.


Ign Retard

Ign Retard

Ign Retard

Sets the amount of ignition retard during Anitlag operation.

Ensure you have read and understand the Boost Control - Antilag section before before adjusting Antilag settings.


Lag Solenoid

Lag Solenoid

Lag Solenoid


TPS Lag Setup

TPS Lag Setup

TPS Lag Setup

Setup TPS OFFSET for Antilag.

Selecting 'TPS Lag set' under the Boost Control - Antilag menu will force the system into full retard mode independent of engine RPM and throttle position.


Runtime Values

Runtime Values

Runtime Values

The Following Run Time Values are available on LinkPlus computers.

Engine Speed

Injector Duty Cycle

System Voltage

Active Zone

Manifold Air Pressure

Throttle Position

Wastegate DC

Ignition Advance

Engine Temperature

Idle Speed DC

Narrow-band Oxy

Inlet Air Temperature

Sync / Cyl Error

Knock Reading

TPS Lag

Knock Count


Engine Speed

Engine Speed

Engine Speed Runtime Value

Displays current engine speed in revolutions per minute (RPM).


Injector Duty Cycle

Injector Duty Cycle

Injector Duty Cycle Runtime Value

This displays the duty cycle being applied to the injectors. Three examples are shown below.

•

0% duty cycle means the injectors are never turned on.

•

50% duty cycle means that the injectors are being pulsed with equal on times and off times.

•

100% duty cycle means that the injectors are never turned off.

Clearly the ECU cannot drive the injectors past 100% duty cycle. In practice it is a good idea to leave some margin with the injector duty cycle not exceeding 90%. This read-only function is primarily designed to make sure the injectors are not being 'maxed out' at high power.


System Voltage

System Voltage

System Voltage Runtime Value

This displays the current system voltage. Providing good wiring connections have been made this should be a good indication of the battery voltage. With a good battery this should read approximately 12V with the engine turned off. During cranking the voltage should remain above 8V. With the engine running and a properly functioning charging system this should be approximately 14.5V.


Active Zone

Active Zone

Active Zone Runtime Value

Displays the fuel and ignition 'Zone' currently being accessed.

Zone numbering is as follows:

The first digit represents the current fuel table row.

The last two digits represent the particular engine RPM for which that zone is effective.

eg. Zone 415 is Row 4, 1500 - 2000 RPM (1750 RPM centre).


Manifold Air Pressure

Manifold Air Pressure

Manifold Air Pressure Runtime Value

This displays the current manifold absolute pressure in kilopascals (kPa) as measured by the MAP sensor. Note that because this is absolute pressure it should read approximately 100kPa with the engine off (at sea level). MAP should read less than 100kPa when the engine is generating vacuum, and greater than 100kPa on turbocharged/supercharged engines when they are generating boost.


Throttle Position

Throttle Position

Throttle Position Runtime Value

This displays the current setting as measured by the throttle position sensor. The range is 20 at closed throttle to 100 at wide-open throttle, if the TPS span is correctly set.


Wastegate DC

Wastegate DC

Wastegate Duty Cycle Runtime Value

This displays the duty cycle being applied wastgate solenoid. Three examples are shown below.

•

0% duty cycle means the wastegate solenoid is never activated.

•

50% duty cycle means that the wastegate solenoid is being pulsed with equal on times and off times.

•

100% duty cycle means that the wastegate solenoid is never turned off.

For more information on wastegate solenoid operation see Boost Control.


Ignition Advance

Ignition Advance

Ignition Advance Runtime Value

This value displays the current ignition advance angle in degrees before TDC.

Note:

•

On LEM V4 ECU's the value displayed must be added to the engines static timing setting.

•

On LEM V4 and LinkPlus ECU's the value displayed will be the sum of the applied ignition advance and the static ignition value. The actual ignition advance value at the engine crankshaft will be dsiplayed ONLY IF the static ignition setting has been set to the same value as the engines static timing.


Engine Temperature

Engine Temperature

Engine Temperature Runtime Value

This displays the current engine coolant temperature in degrees Celsius. This will display ERR on the Tuning Module if the sensor is not connected.


Idle Speed DC

Idle Speed DC

Idle Speed Duty Cycle Runtime Value

Displays the current duty cycle of the idle speed control solenoid (if used).


Narrow-band Oxy

Narrow-band Oxy

Narrow Band Oxygen Sensor Runtime Value

This displays the voltage output from narrow-band oxygen sensor if one has been fitted.


Inlet Air Temperature

Inlet Air Temperature

Inlet Air Temperature Runtime Value

This displays the current inlet air temperature in degrees C if the correct air temperature sensor has been connected. This will display ERR on the Tuning Module if the sensor is not connected.


Sync / Cyl Error

Sync / Cyl Error

Sync / Cyl Error Runtime Value

The menu displays a counter, which is incremented every time any inconsistency is found between the 'expected' Sync/Cyl Ratio and the measured ratio. A value of 1 or 2 may be observed on startup. This is normal as the ECU is just beginning its triggering sequence. 'NA' will be displayed if the sync pulse is not required for the current configuration i.e. Fuel deliver mode = Group and Ignition = distributor.

This counter can be useful when trying to fault find engine misfire under load. Simply observe the counter value before and after misfire. If the value has increased a triggering anomaly has occurred.


Knock Reading

Knock Reading

Knock Reading Runtime Value

Shows the actual "processed" knock signal fed into the microprocessor. This value should be small at idle (typ. less than "10") and increase with RPM and load (boost) as the background noise rises i.e. The signal will always rise with increasing power at a PROGRESSIVE rate if there is no detonation. The amplitude of the Knock Signal will depend on knock sensor position and the engines type/modification state.


TPS Lag

TPS Lag

TPS Lag Runtime Value


Knock Count

Knock Count

Knock Count Runtime Value

A "knock event" occurs when the engine noise, transmitted by the knock sensor exceeds the Knock target. Once detected, the current ignition zone has one degree of timing removed and the Knock Count is incremented by one.

The Knock Count Runtime Value is the total number of "knock events" detected by the system for the current run.

For example a Knock Count of 5 indicates the knock level processed from the engine, has exceeded the Knock target 5 times.


Runtime Status

Runtime Status

Runtime Status

The Following Run Time Status Values are available on LinkPlus computers.

Map Limit

Knock

RPM Limit

Radiator Fan

Drive A

Drive B

Air Con

Anitlag

Idle Status

Lambda Status

Launch Switch

Throttle


Map Limit

Map Limit

Map Limit Runtime Status

This value displays 'ON' if the map limit is active. See MAP Limit.


Knock

Knock

Knock Runtime Status

This value displays 'ON' if knock control is active. See Knock Control.


RPM Limit

RPM Limit

RPM Limit Runtime Status

This value displays 'ON' if the RPM limiter is active. See RPM Limit.


Radiator Fan

Radiator Fan

Radiator Fan Runtime Status

This value displays 'ON' if the Radiator Fan Drive is active. See Temperature Switch.


Drive A

Drive A

Drive A Runtime Status

This value displays 'ON' if Drive A is active. See Utilities -Drive A & B.


Drive B

Drive B

Drive B Runtime Status

This value displays 'ON' if Drive B is active. See Utilities -Drive A & B.


Air Con

Air Con

Air Con Runtime Status

This value displays 'ON' if Air Con Drive is active.


Anitlag

Anitlag

Antilag Runtime Status

This value displays 'ON' if Antilag is active. See Boost Control - Antilag.


Idle Status

Idle Status

Idle Status Runtime Status


Lambda Status

Lambda Status

Lambda Runtime Status

This value displays 'ON' if Closed Loop Lambda Control is active. See Lambda.


Launch Switch

Launch Switch

Launch Switch Runtime Status

This value displays 'ON' if the clutch operated Launch Contol switch is active. See Launch Control.


Throttle

Throttle

Throttle Runtime Status

This value displays the current throttle status.


LEMV5 Functions

LEMV5 Functions

LEM V5 Tuning Functions

This section of the tuning function manual relates directly to LEM V5 ECU's. This manual covers all functions available in LEM ECU's running V5 software. V5 is the latest and final release of this software.

The available LEM V5 tuning functions are divided into the following headings.

•

Configuration

•

Limits

•

Lambda

•

Utilities

•

Fuel

•

Ignition

•

Aux 1 Out

•

Aux 2 Out


Introduction

Introduction

LEM V5 Introduction

By this stage it is assumed that your LEM has been fully installed in accordance with the 'LEM V5 Wiring and Installation' manual, and that no attempt to start the engine has been made.

The LEM has a large number of functions to allow various parameters of the engine to be controlled. This manual describes the purpose and effect that each of these functions has. It also gives a step-by-step description of how to get the engine running. Finally, it gives a brief description of the tuning process. This manual does not attempt to make a novice tuner into an expert as this can only be achieved with tuning experience.

The decision of who tunes your LEM is an important one. It is recommended that your LEM is 'dyno tuned' by a Link dealer. However, it is possible to achieve very good results by 'road tuning' your LEM provided the tuner has the appropriate tools and understanding. As a bare minimum the tuner MUST have the following:

•

A timing light

•

A Link Tuning Module OR Laptop computer (with Windows, the PCLink application and either a SerialLink or USBLink adaptor)

•

A way of measuring air/fuel ratios (using either an oxygen sensor with a display such as the LambdaLink or an exhaust gas analyser)

•

A decent understanding of engine dynamics and the LEM V5 functions.

Finally, it is worth noting that the amount of tuning performed and the experience of the tuner are the two most important factors in determining how happy you will be with your engine management system.

CAUTION

Do not fit or adjust this management system unless you are prepared to accept the consequences. i.e. total engine destruction if tuning errors are made.

Feel free to contact your dealer or phone Link on +64 (3) 348-8854 from outside NZ or (03) 348-8854 from inside NZ or email tech@link-electro.co.nz.


First Time Setup

First Time Setup

LEM V5 First Time Setup

The following procedure uses the Link Tuning Module, although a laptop PC may also be used.

Pre-Start Checks

The following checks and adjustments are mandatory before attempting to start the engine.

1.

Ensure ECU and all associated components are connected and that the battery is fully charged and connected.

2.

Physically connect either the Tuning Module or laptop as explained in the ÔTuning DevicesÕ section BEFORE turning the ignition switch on.

3.

Turn the ignition switch to the on position. The fuel pump should run for about 2 seconds then shut off. DO NOT attempt to start the engine.

If you are using a remote it should immediately light up and display 'ENG SPEED'. If using a PC you ust establish an online connection using <Control><Shift>L or the appropriate icon.

IMPORTANT If the remote fails to power up normally or PCLink fails to connect turn the key off immediately and check all wiring, especially 'SIGNAL GROUND' and '+12V'. If 'SIGNAL GROUND' connection is absent there is a danger of flooding the engine with fuel. However, PCLink failed connections are often due to other problems.

4.

Perform a Reload. Note: This will over-write any previously programmed values.

5.

Go to the CONFIGURATION heading.

6.

Select the correct number of cylinders.

7.

Select the ignition type that is being used.

8.

Set Row Steps to MAP unless you have valid reasons to do otherwise.

9.

Perform a STORE, before removing and then reapplying power to the LEM.

10.

Set the correct injection mode. DO NOT select staged if the fuel system and injector wiring is not setup for staged injection.

11.

Select the desired function for the Aux1Out and Aux2Out drives. Note that when all three ignition channels are being used for ignition purposes Aux1Out may only be as a low-level tachometer drive.

12.

Select the desired function for the IG3 drive (if IG3 is not used for ignition).

13.

If the CORRECT air temperature sensor has been fitted and wired, the IAT Control function may be turned on. However, if this is not the case (or if you are unsure) IAT Control MUST be left off.

14.

Select the correct option for the Sync/Cyl Priority from the Configurations menu.

15.

Go to the LIMITS heading and check that the default settings are suitable for your application.

16.

Select 'MAP' on the tuning module or view the Manifold Air Pressure value on PCLink. This should read about 100 kPa ± 3 at sea level.

17.

Select 'ENG TEMP' on the tuning module or view the Engine Temperature value on PCLink. This should show the current engine coolant temperature. Use your discretion to decide if this is correct.

18.

Select 'IAT' on the tuning module or view the Inlet Air Temperature on PCLink. If the correct sensor has been fitted and IAT Control is turned on, this should show the current air temperature. Use your discretion to decide if this is correct.

19.

Select 'SYS VOLTS' on the tuning module or view the System Voltage value on PCLink. This should read about 12.0 ± 1 volt.

20.

If TPS is being used, setup the TPS Span. After doing this the TPS value should read correctly with a span of 20 to 100.

21.

Set the Master to the desired value.

22.

Perform a STORE.

23.

Electrically disconnect the injectors.

24.

Select 'Set Static' from the 'IGNITION' heading. Turn the function on to zero the ignition advance generated by the LEM. Now use a timing light to check the actual static timing while cranking the engine. In most applications this should be set at 10 degrees BTDC. Adjust this if necessary by rotating the distributor or crank angle sensor (if possible). Some sub-boards allow for extra static timing adjustment. Now enter the static timing value (i.e. 10 degrees BTDC) into the Static Ign function to tell the LEM what the base timing has been used.

Note: Be wary of 'dial-back' timing lights. They often give misleading results, especially on multi-coil engines.

25.

Remove power from the LEM (turn off the key) and reconnect the injectors.

All of the previous steps are essential for the engine to initially start and run. All other setting options will have reasonable default values at this stage and probably won't need adjusting until after the engine has been started.

Starting the Engine

1.

After the pre-start tests have been successfully completed, select 'ENG SPEED' if using the remote. Attempt to start the engine. If the engine starts and runs, go to step 3.

2.

If the engine does not start check the 'ENG SPEED' reading. This should show about 100 - 300 RPM. If there is no reading then a TRIGGER fault is occurring and must be remedied before any further progress can be made.

If the remote shows the cranking engine speed but will not start, try selecting 'Master' under the 'FUEL' heading and make fairly large changes until the engine runs.

If the engine still fails to start check for low system voltage while cranking. If the voltage falls below 7.5 volts while the engine is being cranked then the LEM will go through a reset. This is a common fault that will prevent the engine from starting. If using a tuning module, move to a menu other than 'ENG SPEED' before trying to start the engine. If the tuning module returns to 'ENG SPEED' by itself then the LEM has been put through a reset. Check for voltage drops between the battery and ECU and the state of the battery itself. Ensure the power supply is not going through the ignition switch, as this can create voltage drops on crank. Wherever possible, the +12V supply should be run through a relay powered directly from the battery.

If engine still fails to start, then carry out basic diagnostic procedures to determine the fault. Most engines start up and run mostly straight away. Repetitive cranking without the engine starting often results in fouled spark plugs. Do not continue to crank engine endlessly it if wonÕt start. Find out why!

3.

Assuming the engine is now running, go to the 'FUEL' heading and select 'Master'. Increase the throttle until the engine speed engine is about 2000rpm. Adjust 'Master' up or down until the engine runs smoothly and evenly.

4.

Re-check the Static Timing with the engine running at about 2000rpm and the Set Static function turned on. Re-adjust this if necessary.

5.

Allow the engine to warm up for a while before making any further changes. It is recommended at this stage to visually examine the engine, fuel system, cooling system etc. for leaks or any other damage.

6.

Operate the engine at medium load so that either rows 3 or 4 are selected. Re-adjust the Master to give the desired air/fuel ratio. Decrease the engine speed until the engine is at idle and adjust the RowFuel or ZoneFuel to establish a reasonable idle.

Note: Master can be used to establish a reasonable idle but results in a very unrealistic value for this important fuel control. The engine should be running at mid-range RPM and load when setting the Master.

7.

Carry out a STORE function before turning off the engine

8.

At this stage the engine should start, run and respond to tuning adjustments. It is preferable to attempt a rough tune at moderate to high power before taking the vehicle to a dyno or race track for final tuning. There may be non- ECU related problems to be fixed at higher power before wasting expensive dyno or track time. Examples of such problems include an inadequate fuel system.


Configuration

Configuration

Configuration Functions

The following functions are available under the Configurations heading.

Fuel Cut

Number of Cylinders

IGN3 Mode

Injection Mode

Priority

IAT Control

Ignition

Row Steps


Fuel Cut

Fuel Cut

Overrun Fuel Cut

During overrun vacuum when the engine is decelerating, the fuel supply to the engine can be completely cut. On closed throttle under high engine vacuum, there is a low oxygen content resulting in incomplete combustion and hence unburnt hydrocarbons. By removing fuel in an overrun condition emissions can be reduced and fuel economy can be improved.

Note:

The TPS MUST be connected and span correctly before turning this function ON.


Number of Cylinders

Number of Cylinders

Number of Cylinders

This tells the LEM how many cylinders the engine has.


IGN3 Mode

IGN3 Mode

IGN3 Mode

This tells the LEM what function the IG3 driver is being used for if it is not required for ignition purposes. The options are Tachometer or Shift Light.


Injection Mode

Injection Mode

Injection Mode

Inj ModeThis tells the LEM what injection mode is being used. The options are Group or Staged. Note that Staged injection uses both primary and secondary injectors and should NOT be confused with sequential injection. Do not select staged injection unless the fuel system and injector wiring has been specifically set up for staged injection.


Priority

Priority

Refer Priority


IAT Control

IAT Control

IAT Control

This allows the inlet air temperature corrections to be enabled or disabled. NEVER turn this function on if the correct air temperature sensor has not been fitted and wired to the LEM.


Ignition

Ignition

Ignition Type

Ignition TypeThis tells the LEM what type of ignition system is being used. The options are Distributor or Multi-coil for piston engines. The correct option should be clear except in a few cases like the Lexus/Toyota V8s that use dual distributors/coils. In this particular case multi-coil should be selected. There are also two options available for 2-rotor rotary engines. The correct option depends on the igniters used. Consult the 'LEMV5 - Wiring and Installation' manual for more information.

The following ignitions configurations are available.

Distributor

Multi Coil

2-RE 3 Channel

2-RE Toggle


Distributor

Distributor

Distributor Ignition Configuration

Consult the 'LEMV5 - Wiring and Installation' manual for more information.


Multi Coil

Multi Coil

Multi Coil Ignition Configuration

Consult the 'LEMV5 - Wiring and Installation' manual for more information.


2-RE 3 Channel

2-RE 3 Channel

2-RE 3 Channel Ignition Configuration

Consult the 'LEMV5 - Wiring and Installation' manual for more information.


2-RE Toggle

2-RE Toggle

2-RE Toggle Ignition Configuration

Consult the 'LEMV5 - Wiring and Installation' manual for more information.


Row Steps

Row Steps

Row Steps

The following Row Step modes can be selected.

MAP

TPS

Vacuum

TPS+MAP

Row Steps refers to the way in which the fuel and ignition zone table ROWS are selected. There are four possible modes with each one specific to an engine configuration. These modes are MAP, Vacuum, TPS and MAP+TPS. The desired Row Steps mode may be selected under the Configurations heading.

•

Naturally aspirated : Row Steps available - MAP, Vacuum, TPS

•

Turbo/Supercharged : Row Steps available - MAP , MAP+TPS

In MAP and Vacuum modes ROW selection is based ONLY on the engines Manifold Air Pressure.

High-lift long-duration cams can create problems for EFI systems due to irregular or low manifold vacuum at low RPM and idle. This results in the engine being 'over fuelled' since the MAP sensor interprets the poor vacuum as the throttle being mostly open, when in fact, the throttle is closed on the idle stop. Although the over-fuelling at idle can be tuned out this will usually create a lean spot elsewhere since the actual zone selected by the software is incorrect due to the 'incorrect' MAP signal. A solution is to use the throttle position sensor (TPS) to select the active row.

The base reload table is designed to be used with MAP or TPS+MAP modes. If TPS or Vacuum modes are selected the fuel and ignition values will need to be changed considerably.


MAP

MAP

Row Steps - MAP Mode

Application: Naturally aspirated OR Turbo charged engines.

This is the default mode and is recommended for most applications. It allows Manifold Air Pressure to select the current zone table ROW. This will give 4 rows for a naturally aspirated engine and up to 8 rows for a turbo charged engine. To effectively use this mode the engine should have good idle vacuum, operating in row 1 or 2. If the engine exhibits poor vacuum it may be necessary to use one of the other modes.


TPS

TPS

Row Steps - TPS Mode

Application: Normally Aspirated Engines Only

Use this mode ONLY if the engine is normally aspired and MAP and VACUUM modes have produced unsatisfactory results. The purpose of selecting rows using TPS is to provide stable zone selection when the MAP signal is fluctuating due to high overlap cams etc.

The actual injector pulse width is still a function of MAP at all times, so the row steps mode will ONLY effect the zone table ROW selection. Therefore the MAP sensor hose should still be connected regardless of which mode is chosen.

Note: Do not select TPS mode unless the TPS sensor is fitted, wired and correctly setup.


Vacuum

Vacuum

Row Steps - Vacuum Mode

Application: Naturally aspirated engines ONLY

Use this mode ONLY on a naturally aspirated engine (i.e not turbo charged). In this mode the zone table will span 8 ROWS of vacuum. This structure provides more rows to tune with when compared to the default MAP Mode, which allows only 4 rows for a normally aspirated engine. These additional rows provide more precise control, however tuning in this mode will usually take longer than using MAP mode.


TPS+MAP

TPS+MAP

Row Steps - TPS+MAP Mode

Application: Turbo Charged engines ONLY.

If the MAP of the engine is going to exceed 110kPa (1.5PSI boost) due to turbo/super charging and the engine exhibits poor idle vacuum, this mode should be selected. The TPS is used to select the vacuum rows 1,2,3 and 4 helping to stabilise ROW selection. As soon as the MAP exceeds 110kPa, the row selection will automatically revert to MAP zoning. To ensure correct operation the TPS must be set to span 20-100. This means at the cross-over point (110kPa) there will be no sudden fuel steps in the selected zone.


Limits

Limits

Limits

The folowing limits are available on the LEM V5.

RPM Limit

MAP Limit

Advance Limit


RPM Limit

RPM Limit

Refer RPM Limit


MAP Limit

MAP Limit

Refer MAP Limit


Advance Limit

Advance Limit

Refer Advance Limit


Lambda

Lambda

Lambda

The following functions are available for configuration of the Closed Loop Lambda System.

Closed Loop Lambda ON/OFF

Dither

Oxygen Target

Closed Loop Lambda Control

The closed loop lambda control system is designed to adjust the injector pulse width during idle and low load so that the air/fuel ratio is optimised for three-way catalytic converter operation. This function is designed to lower emissions as well as automatically compensating for various factors that may cause a day-to-day change in idle quality. Closed loop lambda is only active if all of the following conditions are met.

•

The Lambda function is turned on

•

The injector duty cycle is less than about 10%

•

The engine coolant temperature is above 70ûC

•

The engine in not in over-run vacuum

•

There is no 'acceleration' fuel pending

If the above conditions are met, the system adjusts the relevant zones in the Fuel Table so that the resulting air/fuel ratio gives the AVERAGE voltage as set by the Oxy Target. The system uses a dithering technique to constantly ramp the air/fuel ratio back and forth. These slightly rich/slightly lean oscillations supply a three-way catalytic converter with the exhaust gas ÔmixÕ which gives the lowest emissions.


Closed Loop Lambda ON/OFF

Closed Loop Lambda ON/OFF

Refer Lambda ON


Dither

Dither

Closed Loop Lambda Control - Dither

This controls the excursion (range) of the lean to rich cycle. A larger number gives larger excursions.


Oxygen Target

Oxygen Target

Closed Loop Lambda Control - Oxygen Target

This is the target narrow-band oxygen sensor voltage. This is normally set around 60 (0.60V) to give an AVERAGE air/fuel ratio close to the stoichiometric air/fuel ratio of 14.7:1.


Utilities

Utilities

Utilities

The following functions are available under the Utilities heading.

OverRun

Shift RPM

Fan Temperature


Overrun Vacuum

Overrun Vacuum

Refer OverRun


Shift RPM

Shift RPM

Shift RPM

This sets the RPM at which the shift light is turned ON provided IG3 is configured as a shift light.


Fan Temperature

Fan Temperature

Fan Temperature

Sets the value at which the Fan drive becomes active. This drive is primarily intended for radiator fan control and uses the engine temperature sensor to measure coolant temperature. The fan will operate if the engine coolant temperature (in degrees Celsius) exceeds the Fan Switch value. Note that there is a 4-degree difference between switch-on and switch-off to prevent repetitive, short fan cycling.


Fuel

Fuel

Fuel

The following functions are available under the Fuel heading.

Master

Stage Point

Stage Ratio

Fuel Zone Table

Accel

Auxiliary

Fuel Injection Overview

Fuel Injector Control The LEM controls the engine fuel flow by sending electrical pulses of varying width and frequency to the injectors. When the injector is energised, a solenoid (electromagnet) opens the injector fully and fuel flows into the intake system.

The amount of fuel injected over a period of time depends on how often the injectors are opened (pulse rate) and the duration of each injection (pulse width). The pulse widths are calculated using the speed density principle and are quite short, typically 1.5 to 10 milliseconds. The pulse rate changes with engine speed so that there is one injection for each 4 stroke cycle . If at the time of injection the inlet valve is closed, the fuel injected will reside at the inlet port until the next intake stroke. This arrangement permits injectors to be fired together in groups thus reducing the number of injector drives required and simplifies injector wiring.

The Speed Density Principle

The LEM must calculate the mass air flow of the engine and then apply the correct pulse width to inject the correct amount of fuel.

The amount of air an engine is ingesting at any particular time primarily depends on three main factors:

•

Engine Size (Capacity)

•

Engine Speed.

•

Cylinder Air Density. A measure of the air density in the cylinder when the inlet valve/port has just closed.

Engine Size (Capacity) is a known number that does not change. Therefore this is not a major concern. Likewise the current engine speed is measured by the LEM so this value is always known. However, measuring the cylinder air density is more difficult.

Determining the Density

Direct measurement of cylinder air density is not practical, but may be calculated by measuring the inlet manifold air pressure and applying a correction value. The manifold air pressure is measured by the MAP sensor in the LEM. The correction factor between manifold density and cylinder density (volumetric efficiency) is unknown and is different for each engine. To complicate matters, the required correction factor changes with engine speed and load.

The LEM has a table (referred to as the Fuel Table) consisting of 160 zones. Each zone represents a unique load and speed point. Essentially the tuning process involves operating the engine throughout a wide range of engine speeds and loads and making adjustments to the zones until the engine fuelling is correct under all conditions. Each zone may be adjusted individually or groups of zones may be adjusted at the same time.

In all cases the columns of the Fuel Table are selected by engine speed. However, there are several options for selecting how the row steps are selected. See Row Steps.

In most cases the manifold air pressure (MAP) is used to select the ROWS of the Fuel Table. In some cases (e.g. engines with cams generating a lot of overlap) manifold air pressure may not give an accurate indication of cylinder air density due to reversion of flow out of the inlet ports. An alternative scheme is to measure the degree of throttle opening with a throttle position sensor (TPS) and use throttle position to select the ROWS of the Fuel Table.


Master

Master

Refer Master


Stage Point

Stage Point

Stage Point

This function is only displayed if the Injection Mode is set as Staged. The Injector Switching Point is the primary injector duty cycle at which the transition to both primary and secondary injectors occurs.


Stage Ratio

Stage Ratio

Stage Ratio

This function is only displayed if the Injection Mode is set as Staged. The Stage Ratio function is required to allow compensation for different ratios between the primary and secondary injector flows. The stage ratio is a number between 0.01 and 0.99 and may be approximated by Equation 5.1.

Stage Ratio = Total Primary Flow .

Total Primary Flow + Total Secondary Flow

Equation 5.1 - Approximation for Stage Ratio

If the total primary injector flow equals the total secondary injector flow the theoretical stage ratio is 0.50. In practice the stage ratio should be set slightly higher (for example 0.53) to maintain consistent air/fuel ratios after switching. If the ratio is set correctly then the transition will be smooth.

If the ratio is set too high the engine will run rich after the transition, while if it is too low the engine will run lean after the transition.


Fuel Zone Table

Fuel Zone Table

Zone Fuel Table

Zone Fuel

There are 160 fuel zones arranged in a rectangular grid consisting of 8 ROWS and 20 COLUMNS. The ROWS progress in steps of Manifold Air Pressure or Throttle Position to provide the 'load' axis, while the COLUMNS progress in steps of RPM. Therefore, each zone represents a unique engine operating condition allowing fuel changes to be made in small, localised areas. The selection of zones is completely automatic, depending on the actual RPM and MAP values at that instant.

Rather than putting this function under the Fuel menu, the fuel table is graphically shown. The active zone is highlighted in green. To select a zone either click on it or move to it using the arrow keys. To adjust a zone use the Q and A keys for up and down respectively, or click on the up/down buttons which appear in the zone.

Row Fuel

Rowfuel Allows the Fuel Table to be adjusted a WHOLE ROW at a time. All values in the current ROW will be adjusted up or down irrespective of the RPM. If the active zone is in row 2 and 4 units are added to Rowfuel, ALL zones in row 2 will have 4 units added to their current values. Rowfuel is primarily intended as a coarse adjustment to allow broad shaping of the Fuel Table during initial tuning, and should be adjusted after Master has been set, but before ZoneFuel is used.

Careful use of RowFuel will eliminate the need to spend large amounts of time using ZoneFuel.

When a zone is selected, up/down arrows will appear next to the left hand margin. Click on one of these to adjust the entire row. Alternatively <Ctrl> Q and <Ctrl> A increase or decrease the row containing the selected zone.

ZFMode

When using the ZoneFuel function in 'normal' mode, tuning should only be performed when operating at the centre of the active zone. For example, when adjusting zone 330 (when MAP is 60-90kPa and RPM is 3000-3500) ideally the engine should be held at a constant MAP of 75kPa and an RPM of 3250 while adjustments are made. Unfortunately, it is not possible to see exactly where you are in a zone when using the tuning module. As a solution the 'zone+' mode has been created to modify the behaviour of the ZoneFuel function. In this mode, adjustments that are made when operating near the boundary of two zones will have an effect on both zones. This means that although it is still preferable, it not essential that ZoneFuel adjustments are only made when operating at the zone centres.Note that when using PCLink, ZFMode is automatically set to Normal and may not be changed. Zone+ mode can only be used with the Tuning Module.


Accel

Accel

Accel

The following functions are available under the Fuel - Accel heading.

Wake Inject

Accel High

Accel Low

Accel Decay

When the throttle is abruptly opened, the air-mixture is 'leaned out' briefly. To achieve good throttle response, acceleration enrichment is required. Accel fuel is added by increasing the normal injection pulse width. There are two Accel zones called Accel Low and Accel High.

•

Only ACCEL LOW is used below 2000 RPM

•

Both ACCEL Low and High values are used between 2000 and 4000 RPM

•

Only ACCEL HIGH is used above 4000 RPM

The ACCEL fuel is activated by a sudden MAP change (or TPS change if Row Steps equals TPS). The actual amount of enrichment is dependent on the rate of the change, the engine temperature and the relevant ACCEL zone. Note that ACCEL is only effective during the actual movement of the throttle to cover any brief Ôflat spotsÕ occurring at that time. The accel zone is selected automatically depending on the current engine speed. Larger numbers provide more enrichment.


Wake Inject

Wake Inject

Wake Inject

In contrast to Accel, Wake-inject provides an extra injector pulse the moment acceleration begins, rather than widening the normal injector pulse. This can be used to eliminate a brief lean 'flat spot' immediately after the throttle is snapped open. A larger wake-inject number widens the width of the wake-inject pulse to provide more fuel.


Accel High

Accel High

Accel High

There are two Accel zones called Accel Low and Accel High.

•

Only ACCEL LOW is used below 2000 RPM

•

Both ACCEL Low and High values are used between 2000 and 4000 RPM

•

Only ACCEL HIGH is used above 4000 RPM

Refer to Accel for further information.


Accel Low

Accel Low

Accel Low

There are two Accel zones called Accel Low and Accel High.

•

Only ACCEL LOW is used below 2000 RPM

•

Both ACCEL Low and High values are used between 2000 and 4000 RPM

•

Only ACCEL HIGH is used above 4000 RPM

Refer to Accel for further information.


Accel Decay

Accel Decay

Refer Accel Decay


Auxiliary

Auxiliary

Auxiliary

The following functions are available under the Fuel - Auxiliary heading.

Cold Crank

Clamp

Electrical Load

Warm Up

IAT Fuel


Cold Crank

Cold Crank

Cold Crank

The Cold Crank function adjusts the amount of enrichment while the engine is cranked when cold and for a short period of time after starting. The actual amount of enrichment provided during cold starting depends on the Cold Crank value as well as the engine coolant temperature. When the engine temperature is above 40ûC no Cold Crank enrichment is provided. A larger number provides more enrichment.


Clamp

Clamp

Refer Clamp.


Electrical Load

Electrical Load

Electrical Load

This function provides a compensation value for fluctuations in battery voltage caused by heavy electrical loads being switched on and off e.g. headlights, heaters, fans or engine cranking. The opening time of the injector will vary with battery voltage. In order to compensate for this, the LEM will increase injection duration with a falling voltage supply. This will prevent surging idle speeds and is of particular significance on crank when the battery voltage can drop as low as 8 Volts.Initially set the value to 30 and tune the engine with minimum electrical loads switched on. Once a satisfactory tune is found, allow engine to idle and switch on maximum electrical loads. Readjust the VOLTS value to restore the 'unloaded' idle quality and STORE the result. The actual battery voltage is also displayed for monitoring purposes.Note that the adjustable value does not represent actual voltage but is a trim value with no particular units.


Warm Up

Warm Up

Warm-Up

Almost without exception, engines require enrichment (richer mixture) during their warm-up period after being started from cold. The Warm-Up function controls this enrichment. The LEM monitors engine temperature and gradually reduces the amount of enrichment as the engine warms up. When the engine coolant temperature is above 70 degrees Celcius no enrichment is provided. A larger number provides more enrichment.


IAT Fuel

IAT Fuel

IAT Fuel

This function allows for fuel changes to be made to compensate for changes in inlet air temperature. Put simply, hotter air is less dense meaning that less oxygen will be available to burn in the combustion chambers. Without inlet air temperature correction (IAT Fuel = 0), an engine will run richer on a hotter day and leaner on a cooler day. With full inlet air temperature correction (IAT Fuel = 100) the air/fuel ratios will remain fairly constant over a wide range of inlet air temperature. In reality it is desirable to allow air/fuel ratios to become richer on hot days to protect against detonation, but not quite as rich as if no correction was applied. For this reason the recommended IAT Fuel setting is 75.

DO NOT set IAT Fuel to any value other than 0 if the correct air temperature sensor has not been fitted and correctly wired to the LEM. Factory fitted air temperature sensors MAY NOT be used.


Ignition

Ignition

Ignition

As well as providing fully adjustable ignition timing, the LEM has the following features.

•

The dwell angle is automatically adjusted with engine speed to maintain a constant dwell time giving maximum coil output with minimum wastage. Essentially the LEM switches the coil current on at a calculated time before the spark is required, to just reach maximum energy. This system eliminates holding the coil current at high levels thus greatly reducing heat build up and electrical power wastage.

•

The LEM can be setup to advance the ignition timing anywhere between base timing and the value set by the Max Advance (under the Limits heading). The LEM will not retard beyond the base/static timing.

•

Below 500 RPM the engine will ALWAYS run on base timing. The LEM will not generate electronic advance.

The following functions are available under the IGNITION heading

Dwell Mode

Base Timing

IAT Retard

Trailing Ignition Split

Ignition Zone Table

To set static ignition timing - Setting Static Timing


Dwell Mode

Dwell Mode

Dwell Mode

This function allows the ignition coil dwell time to be adjusted for different coils. When the ECU is setup with a distributor driven ignition the dwell options are 4 or 5 ms. When the ECU is setup with a multi-coil ignition the dwell options are 3 or 4 ms.


Base Timing

Base Timing

Base Timing

This function is used to tell the LEM what static (base) timing has been set. For example, if the static timing has been set at 10 degrees BTDC (see Setting Static Timing) then 10 degrees should be entered. This Base Timing number is added to all of the Ignition Table numbers so that they represent the actual ignition advance received by the engine (not just the advance generated by the LEM). This number is used for display purposes only and will NOT cause the LEM to change the ignition timing. The default value is zero.


IAT Retard

IAT Retard

IAT Retard

This function allows the ignition timing to be retarded if the inlet air temperature is excessive. This function only begins to retard the ignition if the air temperature is over 70 degrees C. Therefore this function will only have an effect on turbocharger/supercharged engines if the inlet air temperature is getting very hot (intercooler air flow blocked etc).For example, if the IAT Retard number is set at 2, then the ignition timing will be retarded 2 degrees for every ten degrees Celsius over 70 degrees C.


Trailing Ignition Split

Trailing Ignition Split

Trailing Ignition Split


Ignition Zone Table

Ignition Zone Table

Zone IGN

Like the Fuel Table, there is a 160 table allowing localised adjustments to be made for unique operating conditions. The table structure and numbering system is identical to that used by the Fuel Table with 8 rows and 20 columns.The selection of zones is completely automatic, depending on the actual RPM and MAP/TPS values at that instant.

Rather than putting this function under the Ignition menu, the Igniton Table is graphically shown. The active zone is highlighted in green. To select a zone either click on it or move to it using the arrow keys. To adjust a zone use the Q and A keys for up and down respectively, or click on the up/down buttons which appear in the zone.


Setting Static Timing

Setting Static Timing

Set Static

This function allows the static (base) timing of the engine to be checked or adjusted (see Setting Static Timing). By turning this function on, the Max Advance is automatically set to zero so that the LEM generates zero degrees of advance. This allows the static timing to be checked using a timing light.Note: When power is removed from the LEM this function will always return to the default OFF setting.

Setting The Static Timing

The static timing is defined as the ignition timing that will occur when the LEM is generating zero degrees of advance. The default LEM ignition table is based on a static timing of 10 degrees BTDC. Therefore it is essential that the base timing be checked before operating the engine under any load. Any variation in base timing must be considered when adjusting the zones of the Ignition Table. Remember that below 500RPM (while starting the engine) the base timing is used. Therefore it is not recommended to retard the base timing and compensate by advancing the numbers in the Ignition Table as poor starting may result.With the engine running turn on the Set Static function. Use a timing light to check the static timing. On most engines the static timing can be adjusted by rotating the distributor or crank angle sensor. Once the desired static timing has been set, turn off the Set Static function.


Aux 1 Out

Aux 1 Out

Aux 1 Out

This tells the LEM what function the AuxOut 1 drive is being used for. This may be RPM Switch, Idle Speed Control or Boost Control when the Ignition Type is Distributor or 2 Channel. When the Ignition Type is 3 channel, Aux1 must be used as a tachometer drive.

Aux 1 Out can be configured to perform the following functions.

Boost Control

Idle Speed Control

RPM Switch


Aux 1 Out Function

Aux 1 Out Function

Aux 1 Out

This tells the LEM what function the AuxOut 1 drive is being used for. This may be RPM Switch, Idle Speed Control or Boost Control when the Ignition Type is Distributor or 2 Channel. When the Ignition Type is 3 channel, Aux1 must be used as a tachometer drive.

Auxiliary Output 1 (Aux1Out)Auxiliary Output 1 may be used to perform one of three functions.

•

Electronic Boost Control (using a boost control solenoid)

•

RPM Switch (for variable valve timing etc.)

•

Idle Speed Control (using a 2-wire ISC solenoid)

The chosen function for Aux1Out can be selected under the configurations menu. However, it is important that the ECU has been configured and wired correctly for the desired function (see the 'Wiring and Installation' manual for more information). Details on setting up Boost Control and Idle Speed Control are covered in the following two chapters.


Boost Control

Boost Control

Aux 1 Out - Boost Control

The following functions are available under the Boost Control heading.

Wastegate Sensitivity

Wastegate Base

Wastegate Hold

Boost Target

Boost Mode

Other Related Topics Include:

Boost Adjustment Knob

Boost Control Setup Procedure

Wastegate Overview

Turbo charger boost control is achieved using a wastegate to bypass the correct amount of exhaust gas around the turbocharger. This can be achieved by employing either an integral wastegate or an external wastegate.

In either case, the wastegate is opened and closed by a pneumatic actuator. When sufficient pressure reaches the actuator, the wastegate is opened to vent excess exhaust gas around the turbocharger. This has the affect of limiting boost pressure. If no pressure reaches the actuator then the wastegate never opens. As a result all exhaust gas must pass through the turbocharger. This causes the boost pressure to rise to whatever the turbocharger is capable of generating.

Electronic Boost Control Overview

Electronic boost control is achieved by modifying the pressure signal from the turbocharger compressor outlet to the wastegate actuator using a solenoid.

The minimum boost pressure that can be achieved occurs when the solenoid is de-energised. This pressure is entirely dependent on the wastegate/actuator construction.

The maximum boost pressure that can be achieved occurs when the solenoid is energised. This pressure is dependent on the turbocharger/engine combination. Typically this pressure exceeds that which can be safely tolerated by the engine.

By varying the on/off ratio (duty cycle) of the boost control solenoid, a boost pressure between the minimum and maximum (outlined above) can be achieved. Three examples are given below.

•

When the solenoid is continuously de-energized (minimum possible boost) the duty cycle is 0%.

•

When the solenoid is continuously energized (maximum possible boost) the duty cycle is 100%.

•

When the solenoid is being pulsed with equal on and off times the duty cycle is 50%.


Wastegate Sensitivity

Wastegate Sensitivity

Wastegate Sensitivity (Advanced Mode Only)

Holding the wastegate duty cycle at the fixed value set by WG Base will often result in boost dropping as the engine speed increases. In these cases a closed loop system is required to monitor the current boost pressure and continuously adjust the duty cycle to maintain the Boost Target. However the sensitivity of the closed loop system must be set for the application.If the sensitivity is too high the boost pressure will oscillate around the desired target.

If the sensitivity is too low then the duty cycle will not be changed fast enough and the boost pressure will slowly deviate away from the boost target as engine speed increases.

When the sensitivity is set to 0, the closed loop control is turned off. In this case the duty cycle will remain at the value set by WG Base.


Wastegate Base

Wastegate Base

Wastegate Base

This is the wastegate solenoid duty cycle required to make the target boost pressure immediately after the turbo spools up. Higher boost targets will require a higher duty cycle.


Wastegate Hold

Wastegate Hold

Wastegate Hold (Advanced Mode Only)

This feature will hold the boost control solenoid fully open (100% duty cycle) so that the wastegate remains fully closed until the engineÕs manifold air pressure has reached a set percentage of the boost target. This feature is designed to improve the boost response times. The default value is 50%. For example, if the boost target is set at 200kPa (1Bar of Boost), the solenoid will be held fully open until 150kPa (0.5Bar of Boost). After this point the duty cycle will return to the value set by the WG Base.

If the manifold air pressure drops or stops climbing at any point the software will drop out of boost hold mode.

Increasing the WG Hold value too far will result in the boost overshooting regardless of the other settings. This is because Boost Hold keeps all pressure out of the wastegate actuator. There will always be some time taken to fill the empty actuator with the required pressure to hit the desired boost. Because of this, the boost hold value should never be increased past 85%.


Boost Target

Boost Target

Boost Target (Advanced Mode Only)

This is the target boost pressure in kPa absolute. For example 200kPa is 1Bar of boost or approximately 15psi.


Boost Mode

Boost Mode

Boost Control Modes

This boost control system may be setup to operate in either simple mode or advanced mode.

The simple mode requires only the wastegate duty cycle to be set. Increasing this number will give more boost, while decreasing this number will give less boost. In many applications using a fixed duty cycle will give a satisfactory results. However, in other cases a fixed duty cycle may result in boost dropping off with increased engine speed and higher boost levels in higher gears. Finally some turbocharger setups may spool slightly faster if 100% duty cycle is applied during the spool up phase.

In these cases the advanced mode can be used. The advanced mode uses a closed loop system that monitors the MAP sensor and automatically adjusts the duty cycle to maintain the desired boost. However, unlike the simple mode, which has a single adjustment, the advanced mode requires four adjustments to be correctly set to achieve satisfactory results.

Advanced Mode Control Settings

The advanced mode features four settings that must be correctly adjusted to achieve a satisfactory result.Considerable changes have been made compared to earlier versions of boost control software. Most of these changes have been made to simplify the process of setting up of boost control. Boost control has been made easier to understand and can now be setup in a clear step-by-step process with fewer interactions between different settings. Some features of the previous boost control system have been lost while other features have been gained.


Boost Adjustment Knob

Boost Adjustment Knob

Boost Adjustment Knob

Later model LEMs with the 4-pin connector may have a boost adjustment knob (potentiometer) wired to allow for real-time adjustment of the boost pressure (see the ÔWiring and InstallationÕ manual for information on wiring of the boost knob). When 0V is applied to the Boost Adj pin, the full boost pressure will be achieved. As the voltage applied to the Boost Adj pin is increased, the boost control solenoid duty cycle is reduced (thereby reducing boost). When the Boost Adj pin voltage reaches 5V the WG duty cycle will be 0% giving the minimum possible boost.

Note that when using advanced mode, the closed loop system only operates when the Boost Adj knob is set to achieve maximum boost. As the boost is turned down the system will operated as in simple mode.


Boost Control Setup Procedure

Boost Control Setup Procedure

Boost Control Setup Procedure

1. Set WG Sens to 0 (open loop), WG Hold to 0% and WG Base to 0

2. Set Boost Target at the desired value

3.

Load the engine and observe the current boost pressure. This is the minimum possible boost. Increase WG Base so that boost settles at the desired level immediately after spool up.

4.

Increase WG Hold until boost begins to overshoot on spool up then reduce hold slightly. Note that the maximum possible WG Hold may change under different conditions (e.g different gears etc.). Use a WG Hold value with causes no overshoot under any conditions.

5.

If boost is dropping off with rpm increase the WG Sens until boost is steady or until oscillation occurs.


Idle Speed Control

Idle Speed Control

Aux 1 Out - Idle Speed Control

Idle Speed ControlThe Idle speed system will perform idle correction under the following conditions:

TPS < 22 (Throttle Closed)

Engine MAP > Overrun

All other conditions will cause the idle system to enter a hold mode, where 'Idle Hot' and 'Idle Cold' are used to determine the duty cycle.

For the Idle speed system to function correctly, the TPS MUST be connected and setup properly (see TPS Span).

The idle speed control system has three adjustments for correct operation. The first value is the desired Idle RPM when the engine is fully warmed up. The other two values 'Idle Hot' and 'Idle Cold' are the base ISC solenoid duty cycles used when returning to idle. Minimum Duty Cycle sets the minimum duty cycle that will be applied to the minimum duty cycle.

To setup idle speed control see - Idle Speed Control Setup


Idle RPM

Idle RPM

Idle RPM

This is the target idle speed when the engine coolant temperature is above 50 degrees C. The target idle speed automatically increases by approximately 100rpm per 10 degrees C below 50 degrees C. For example, if the idle speed is set at 1000rpm, then the target idle speed immediately after a cold startup on a 10 degrees C day will be 1400rpm.


Idle Cold

Idle Cold

Idle Cold

When the engine is below 30 degrees C the 'Idle Cold' value is the default duty cycle. Between 30 degrees C and 60 degrees C the software will create an intermediate duty cycle between using Idle Hot and Idle Cold.


Idle Hot

Idle Hot

Idle Hot

When the engine is above 60 degrees C, the 'Idle Hot' value is the default duty cycle. This should provide an idle RPM close to the required value.


Minimum Duty Cycle

Minimum Duty Cycle

Minimum Duty Cycle

This sets the minimum duty cycle that will be applied to the ISC solenoid.


Idle Speed Control Setup

Idle Speed Control Setup

Idle Speed Setup (Tuning Module)

1.

Ensure that both the TPS Span and the overrun vacuum value are set up correctly.

2.

Set the required idle speed. The (xx%) value shows the current duty cycle for monitoring purposes.

3.

With the engine hot go to the 'IDLE (xx% ) yyyz' function and wait for the idle rpm to stabilise. Once this has occurred note the duty cycle value shown in parentheses (xx%) and record the value. Select the 'Idle Hot xx%' menu and enter the recorded value +/- 2%.

4.

Use the same procedure as above except note the duty cycle shortly after a cold start. Enter this value using the menu ' Idle Cold xx%' under the 'IDLE SPEED' heading. The engines idle will be higher when it is cold, therefore the IDLE COLD value will be larger than the IDLE HOT value.

Remember to store the new values using the STORE function.

Note that the software also generates an intermediate (warm) duty cycle, which is an average of the cold and hot settings but is not independently adjustable. If the target rpm is changed at a later date, the Idle Hot and Idle Cold values will require readjustment.

As the idle speed system uses software uses the TPS reading, always ensure the TPS is correctly setup and spanning correctly with a closed throttle value of 20.


RPM Switch

RPM Switch

Aux 1 Out - RPM Switch

The following functions are available for RPM Switch control.

RPM On

RPM Off


RPM On

RPM On

Aux 1 Out - RPM Switch - RPM On

RPM On (used in RPMSw mode)This sets the engine speed at which the Aux1Out drive turns on.


RPM Off

RPM Off

Aux 1 Out - RPM Switch - RPM Off

RPM Off (used in RPMSw mode)This sets the engine speed at which the Aux1Out drive turns off. RPM Off should be set higher than RPM On. By setting RPM Off higher than RPM On, the Aux1Out drive may be used to provide a 'windowed' on-time (e.g Off => On => Off).


Aux 2 Out

Aux 2 Out

Aux 2 Out

Auxiliary Output 2 (Aux2Out)Auxiliary Output 2 may be switched on using one of the following

•

RPM Switch (Aux2 turns on at a particular RPM)

•

MAP (Aux2 turns on at a particular MAP)

•

Fuel Flow Switch (Aux2 turns on at a particular %ff)

•

TPS (Aux2 turns on at a particular TPS value)

Each Function being controlled by two values.

Value

Timer


Function

Function

Aux 2 Out - Function

Auxiliary Output 2 (Aux2Out)Auxiliary Output 2 may be switched on using one of the following

•

RPM Switch (Aux2 turns on at a particular RPM)

•

MAP (Aux2 turns on at a particular MAP)

•

Fuel Flow Switch (Aux2 turns on at a particular %ff)

•

TPS (Aux2 turns on at a particular TPS value)

Each Function being controlled by two values.

Value

Timer


Value

Value

Aux 2 Out - Value

This is the set point (RPM/TPS/MAP/%ff) at which Aux2 Out will turn on


Timer

Timer

Aux 2 Out - Timer

This enables a delay before turning the Aux2out drive off.


Runtime Value

Runtime Value

Runtime Values

The Following Run Time Values are available on LEM V5 computers.

Engine Speed

System Voltage

Injector Duty Cycle

Active Zone

Manifold Air Pressure

Throttle Position

Wastegate DC

Ignition Advance

Engine Temperature

Narrow-band Oxy

Idle Speed DC

Inlet Air Temperature

Sync / Cyl Error

Wide Band Oxy

Boost Adjust

Inj Pulse Width


Engine Speed

Engine Speed

Refer Engine Speed


System Voltage

System Voltage

Refer System Voltage


Inj Duty Cycle

Inj Duty Cycle

Refer Injector Duty Cycle


Active Zone

Active Zone

Refer Active Zone


Throttle Position

Throttle Position

Refer Throttle Position


Wastegate DC

Wastegate DC

Refer Wastegate DC


Ignition Advance

Ignition Advance

Refer Ignition Advance


Narrow-band Oxy

Narrow-band Oxy

Refer Narrow-band Oxy


Idle Speed DC

Idle Speed DC

Refer Idle Speed DC


Sync / Cyl Error

Sync / Cyl Error

Refer Sync / Cyl Error


Wide Band Oxy

Wide Band Oxy

Wide Band Oxygen Sensor Runtime Value

This displays the air/fuel ratio as measured using a wide-band oxygen sensor and controller.


Boost Adjust

Boost Adjust

Boost Adjust Runtime Value

This displays the voltage applied to the Boost Adj pin. The voltage applied to this pin controls the boost pressure.


Inj Pulse Width

Inj Pulse Width

Injector Pulse Width Runtime Value

This displays the length of time that each injector pulse is applied for in milliseconds (ms). Note that there are one thousand milliseconds in one second so the pulse widths are quite short. Due to mechanical characteristics, all injectors have a minimum pulse width for their correct operation. Typically this is somewhere between 1.0 and 2.0ms. This is normally only a concern at idle with very large injectors. In these cases the pulse widths required to deliver the required amount of fuel may be smaller than the injectors can tolerate. This can result in idling problems due to erratic injector behaviour.


Runtime Status

Runtime Status

Runtime Status

The Following Run Time Status Values are available on LEM V5 computers.

Map Limit

RPM Limit

Accel Active

Radiator Fan

Aux 1 Out

Aux 2 Out

Fuel Cut

IAT Retard

Staging Active

Idle Status

Lambda Status

Throttle


Map Limit

Map Limit

Refer Map Limit


RPM Limit

RPM Limit

RPM Limit Status

Indicates if the RPM Limit is active.


Accel Active

Accel Active

Acceleration Enrichment Status

Indicates if Accleration Enrichment is active.


Radiator Fan

Radiator Fan

Refer Radiator Fan


Aux 1 Out

Aux 1 Out

Aux 1 Out Drive Status

Indicates the status of the Aux 1 Out Drive.


Aux 2 Out

Aux 2 Out

Aux 2 Out Drive Status

Indicates the status of the Aux 2 Out Drive.


Fuel Cut

Fuel Cut

Overrun Fuel Cut Status

Indicates if the Overrun Fuel Cut is active.


IAT Retard

IAT Retard

Intake Air Temperature Retard Status

Indicates if Intake Air Temperature Retard is active.


Staging Active

Staging Active

Injector Staging Status

Indicates the status of second injector stage.


Idle Status

Idle Status

Refer Idle Status


Lambda Status

Lambda Status

Refer Lambda Status


Throttle

Throttle

Refer Throttle


LEMV4 Functions

LEMV4 Functions

LEM V4 Tuning Functions

This section of the tuning function manual relates directly to LEM V4 ECU's. This manual covers all functions available in LEM ECU's running V4 software. Note that LEM V4 software can be upgraded to V5 software (contact your nearest Link dealer for more information). V5 is the latest and final release of this software.

The available LEM V4 tuning functions are divided into the following headings.

•

Configuration

•

Limits

•

Lambda

•

Utilities

•

Idle Speed Control

•

Fuel

•

Boost control

•

Ignition Zone Table


LEM V4 Introduction

LEM V4 Introduction

LEM V4 Introduction

Operational Outline: Fuel Injection

The Link Engine Management System (LEM) controls the engine fuel flow by sending electrical pulses of varying width and frequency to the injectors. When the injector is energised, a solenoid (electromagnet) opens the injector fully and fuel flows into the intake system.

The amount of fuel injected over a period of time depends on how often the injectors are opened (Pulse Rate) and the duration of each injection (Pulse Width). The actual pulse widths are quite short, typically 1.5 to 10 milliseconds (1 millisecond = 1/1000 second). The pulse rate varies with engine speed usually resulting in one injection for each crankshaft revolution. This injector timing strategy results in each cylinder receiving two injections per complete 4 stroke cycle (2 revolutions). If at the time of injection the inlet valve is closed, the fuel injected will reside at the inlet port until the next intake stroke. This arrangement permits all injectors to be fired together in groups thus reducing the number of drive amplifiers and also simplifies the injector wiring. Alternatively, the injectors may be phased to the engine and inject only while the inlet valve is open. This is sequential injection mode, which overcomes problems associated with large valve overlap times for some performance engines. The implementation however requires special crank angle sensors. For sequential injection you will require LinkPlus Engine Management which is a different computer.

The Speed Density Principle

In order to inject the correct amount of fuel, the Link Engine Management System must calculate the mass air flow of the engine and convert this air flow signal into a fuel flow signal.The amount of air an engine is processing at any particular time depends on two main factors:

•

Engine Speed. The mass air flow increases in direct proportion to engine speed assuming all other factors are constant.

•

Cylinder Air Density. A measure of the air density in the cylinder when the inlet valve/port has just closed.

Determining the Speed

Engine R.P.M. is easily measured by feeding pulses from the crank angle or cam angle sensor to the Link Engine Management System. This pulse rate in conjunction with the CYLINDER setting determines the rate at which the injectors are pulsed. This pulse also supplies information for the computer's zoning and RPM limit functions.

Determining the Density

Direct measurement of cylinder air density is not practical, but may be calculated by measuring the inlet manifold air density and applying a correction value. The manifold air density is determined (normally) by measuring manifold air pressure (MAP) with a pressure transducer. The correction factor between manifold density and cylinder density (Volumetric Efficiency, V.E.) is found by the Link Engine Management System looking up a table in its memory and doing a series of mathematical calculations. This table (Zone Fuel) consists of 96 zones each covering a narrow operating range. Each zone may be individually or group programmed to suit the application. In some cases (e.g. performance cams) manifold air pressure may not give an accurate indication of air density due to reversion flow out of the inlet ports. An alternative scheme is to measure the degree of throttle opening with a rotary position sensor (TPS sensor).

Cold Starting

Almost without exception, all engines require additional fuel (rich mixture) during cold starting and the warm up period immediately following. The Link Engine Management System monitors engine temperature via a suitable sensor and provides automatic (programmed) enrichment. This automatic system (the normal system) monitors engine temperature and adds extra fuel at a rate proportional to the engine temperature and the user adjustable "COLD" value. For engine temperatures below an adjustable temperature threshold (default = 20oC), the Link Engine Management System automatically primes the engine with a short injector burst during the initial phase of cranking.


Configuration

Configuration

Configuration Functions

The following functions are available under the Configurations heading.

Aux Out

Row Steps

Num. of Cylinders

Temperature Sensor

Priority

Ignition

IG3


Aux Out

Aux Out

Aux Out - High Power Drive

The LEM V4 can be configured to run either a RPM switch, idle speed control or boost control.

RPM Switch

Boost control

Idle Speed Control


Row Steps

Row Steps

Row Steps

This control allows the zone table row selection to be setup in one of four modes. These are Map, Vacuum, MAP+TPS, and TPS. To scroll through these modes used the ADJUST buttons. Not all options will be selectable as this well depend on the engine aspiration.

•

Non Turbo : Row Steps available - MAP, Vacuum, TPS

•

Turbo : Row Steps available - MAP , MAP+TPS

Be aware that the default zone table is configured for Vacuum and Boost. If the ROW STEPS are changed to Vacuum or TPS, for use on a naturally aspirated engine, the fuel and ignition numbers will need adjusting. The fuelling will be too rich and the ignition too retarded. The LEM MUST be retuned.


Number of Cylinders

Number of Cylinders

Refer Num. of Cylinders


Temperature Sensor

Temperature Sensor

Temperature Sensor

This selects either the factory negative temperature coefficient (NTC) or the Link IC type sensor. Confirm the correct choice by viewing the "TEST ENGT" or "COLD" menu on the tuning module. The displayed temperature should be approximately correct. (There is a huge difference between the two. The correct selection will be obvious).


Ignition

Ignition

Ignition

The LEM offers 3 Ignition drives which can be configured from a basic distributor setup through to the more complex wasted spark arrangements. The following configurations are supported by the LEM V4.

Distributor

2 Channel

3 Channel

Ignition Drives

The igniter drives (labelled IGN1 Ð IGN3) are used to control an external igniter module producing ignition spark under programmed control. The output from these drives is a pulse waveform with the following features.

•

The igniter signal can equal or be advanced in timing with respect to the input trigger signal. NOTE The LEM may advance the timing but cannot retard beyond the base (input) timing. Below 500 RPM the engine will run ONLY on base timing. The LEM will not generate electronic advance.

•

The dwell angle varies with engine speed to produce maximum coil output with minimum wastage. Essentially the LEM switches the coil current on at a calculated time before the spark is required, so as to just reach maximum energy. This system eliminates holding the coil current at high levels thus greatly reducing heat build up and electrical power wastage.

•

Under limiting conditions (excessive RPM or boost) the output pulses are progressively inhibited to provide a soft-limiting feature. The limit values may be programmed using the appropriate controller.

Igniter

The Igniter module is a device used to switch the coils off or on by supplying a ground for the coil negative. A link igniter module is shown in Figure 6.0. The igniter is basically a solid state switch, which also limits the coil current to a predetermined value. This limiting feature eliminates ballast resistors and provides consistent output over a wide range of battery voltages. Over voltage clamping is incorporated to prevent damage to the igniter should a high-tension lead become disconnected or similar. The signal used to control this is fed from the ignition drives on the LEM, labelled ÔIGN1 to IGN3Õ. If the factory igniter cannot be used, the Link igniter/s should be mounted inside the engine bay as these carry coil primary current. DO NOT mount the igniter inside the passenger compartment or close to hot engine components such as exhaust manifolds. NEVER mount the Igniter next to the LEM.

Coil Type

Low resistance coils (i.e. 1 ohm or less) must be used for maximum output energy, although higher resistance types will still function satisfactorily. This applies to both single and dual post coils in distributed and multi coil applications.

Setting Static Timing

This is defined as the mechanical advance of the engine with the LEM producing no addition timing (i.e. zero degrees electronic advance). The LEM default ignition curve is based on a 10BTDC base timing so this should be checked before driving the vehicle. Any variation in the base timing will need to be considered when adjusting the advance curve. Also note that below 500 RPM (especially cranking) only the base timing is effective and should be set for optimum starting characteristics.Under Limits menu select ADVANCE LIMIT and set advance limit to zero. With engine at idle or low speed, set ignition initial timing by distributor position. This value will vary depending on engine type etc., but 10¡ BTDC (Before Top Dead Centre) would be a good starting point. Once set, reset ADVANCE LIMIT to required limit value, and check advance operation with timing light.

Multi-Coil: Wasted Spark

Definition

Wasted spark will fire two cylinders simultaneously, using a common dual post coil. During a crankshaft revolution, one cylinder is fired on the compression stroke, the other offset by 360o crankshaft angle (i.e. the opposing stroke = exhaust stroke). One crankshaft rotation later, these two cylinders are two working stokes further ahead and the spark plugs fire again, but now with reversed roles. The result is that one coil will be fired twice per engine cycle hence the term "wasted spark". This setup can ONLY be used on engines with an even number of cylinders. The maximum number of cylinders the LEM can drive on wasted spark is 6.

Trigger & Hardware Requirements

Cylinder PulseFor the correct timing of ignition, the crank or cam sensor MUST provide a signal that can be decoded to produce one pulse per engine TDC. On a 4-cylinder engine for example, this is 2 TDC pulses per crankshaft revolution (4 per Camshaft revolution) and an 8-cylinder engine will have 4 TDC per crankshaft revolution (8 per camshaft revolution)

Sync Pulse

To determine the correct firing sequence, a sync pulse is required as a reference to determine engine position. The sync pulse can only appear once on the crankshaft (1 signal per engine revolution) or once on the camshaft (1 signal per engine cycle).

Dual Post Coils

One Dual post coil is required per 2 cylinders with a primary resistance less than or equal to 1 ohm. The coils should be positioned so they minimise the length of the HT Leads. This will help reduce the noise generated when the spark plugs are fired.

Important Points for Wasted Spark

•

When two spark plugs are fed from one dual post coil they are connected in series, meaning one plug is "incorrectly" polarised.

•

The main concern when using dual post coils is the generation of interference. When two spark plugs are fired together there is twice the spark energy generated and hence twice the radiation produced per engine TDC. This noise level increase can interfere with ECU operation and cause unwanted static on car radios. The following precautions should be used to minimise these effects. First install ÔResistive Spark PlugsÕ if the engine does not currently use them. This will reduce radiation levels and also help even out spark energy distribution. Without it, the spark plug with the least load (exhaust stroke) tends to monopolise spark. Secondly, ALWAYS use suppressed HT leads, which can be identified by measuring their resistance. Typically they vary from 1000 ohms to 5000 ohms depending on lead length. DO NOT use copper leads under any circumstances. Lastly always fit a Coil suppresser to the coil positive. Any value between 1uF and 10uF will be suitable.

•

Therefore when using Dual Post Coils combine the following:

•

Resistive sparks plugs

•

Suppressed Leads

•

Coil Suppresser (1uF - 10uF)


Distributor

Distributor

Distributor Ignition Configuration

Refer to Link Engine Management LEMV4 Installation Manual for information related to this topic.


2 Channel

2 Channel

2 Channel Ignition Configuration

Refer to Link Engine Management LEMV4 Installation Manual for information related to this topic.


3 Channel

3 Channel

3 Channel Ignition Configuration

Refer to Link Engine Management LEMV4 Installation Manual for information related to this topic.


IG3 Drive

IG3 Drive

IG3 Drive

In software version 4 (LEM V4) the IG3 Drive is user configurable. Use to operate a shift light (LED ONLY) or a tachometer.

RPM Switch - Shift Light

Tachometer


RPM Switch - Shift Light

RPM Switch - Shift Light

IG3 Low Power Drive (RPM Switch - Shift Light)

Used in conjunction with a dash mounted LED light, the shift light provides a programmable gear shift indicator for racing purposes. This drive will supply power to a high intensity LED. DO NOT connect a relay or filament bulb to IG3.


Tachometer

Tachometer

IG3 Low Power Drive (Tachometer)

Tacho Configuration

Tachometer Drive produces a +12V Peak to Peak, two-millisecond wide pulse train to drive low level tachometers etc. There is one output pulse for every spark produced irrespective of the number of cylinders. Connect this wire directly to the tachometer. The LEM tacho signal will NOT drive a tachometer designed to run from the coil negative.


Limits

Limits

Limits

Limits.

RPM Limit

MAP Limit

Advance Limit

Shift Light RPM


Shift RPM

Shift RPM

Refer Shift Light


Lambda

Lambda

Lambda

The following functions are available for configuration of the closed loop Lambda system.

Closed Loop Lambda ON/OFF

Lambda Target Table

Closed Loop Lambda Control

Closed loop operation involves the use of an exhaust gas oxygen sensor (Lambda probe) to provide the computer with a feedback signal indicating the actual fuel/air ratio. This signal allows the computer to make instantaneous corrections to the injector fuel flow until the required air/fuel ratio is achieved. This automatically compensates for all the variables that may cause incorrect fuel scheduling, having two modes of operation;

•

Automatic programming: (Tuning Module Connected). The computer is able to "tune" itself throughout the entire operating range simply by driving the vehicle and allowing the computer to do all the work. The air/fuel ratio "targets" may be set to any required value depending on the application.

When the Tuning Module is connected and Closed Loop lambda is activated, the LEM will ONLY correct fuel if the following menus are selected.

•

ZONE FUEL

•

INJECTOR DUTY CYCLE

•

TEST RPM

•

CURRENT LAMBDA TARGET

If a different menu is selected closed loop control will be halted.

•

Continuous mode: (No Tuning Module) The computer normally operates in continuous mode after Auto or manual tuning is complete and compensates for all the day-to-day variables that cause the air/fuel ratio to drift, resulting in absolutely consistent running and low exhaust emissions.

In either mode, closed loop lambda will only change the current fuel zone to match the lambda target. There will be NO change to the MASTER value or ROW FUEL adjustment.

FunctionsThe following functions are available from the Lambda heading.

System Requirements

Hardware for closed loop (LAMBDA = ON) operation is essentially the same as for open loop (LAMBDA = OFF) with the following exceptions;

An exhaust gas oxygen sensor (Lambda probe) mounted in the exhaust manifold as close as possible to the cylinder head (rather than down the tail-pipe) to ensure fast response. The probe temperature must exceed 300 degrees Celsius for normal operation, and most types have a built-in electrical heater to assist with this requirement. The heater also allows the system to come on line faster after a cold start and ensures that temperature is always adequate during prolonged idle running. Connect the heater wires to earth and an ignition switched +12 volt supply. Typical current draw is 1 to 2 amps.

Wire colours vary between manufactures, but the following colours are fairly common;

Bosch White wires = heater (polarity not important)

Black wire = output signal

Nissan Red and Black wire = heater

White wire = output signal

All sensors have M18 x 1.5 metric threads, and a boss will need to be welded into the exhaust manifold for mounting purposes. Handle the probe CAREFULLY since the internal ceramic material is easily cracked if sharp blows are applied. For prolonged operation on leaded fuels, a lead tolerant sensor must be used. These have an extra shroud with small gas sampling hole around the sensing tip to prevent lead deposits from fouling the sensitive material. Failure to use this type will result in inaccurate readings after several hours of running with subsequent incorrect operation.

Operation and Setup

The closed loop mode is enabled using the Lambda ON/OFF function.

The system should first be tuned in open loop mode (LAMBDA = OFF) until a reasonable state of tune is achieved. This step allows the subsequent AUTO-TUNE system to achieve a faster lock-on since it should not have to make major corrections if the initial tune is about right. Closed loop operation will only occur if the following conditions are met:

•

Engine Temperature above 50oC

•

Engine been running for 90 seconds after start

•

Manifold above overrun vacuum

•

No acceleration (transient) fuel pending

If the above conditions are met the system will automatically start adjusting the ZONE FUEL, matching the actual lambda voltage to the lambda targets. The system samples and corrects at a rate proportional to engine speed. This rate allows sufficient time for fuel changes to take effect and appear at the exhaust. (The feedback system is not instantaneous and therefore needs a short stabilising period)

The following functions will change when the LAMBDA control is switched on:

ZONE FUEL : Fully automatic zone fuel tuning. The current operating zone will be tuned to match the lambda targets. This means corrections will ONLY affect one zone at a time.

NOTE: All corrections made by the AUTO-TUNE system are temporary until a STORE is carried out. All other Tuning Module functions remain unchanged.

Lambda "target" system

Refer - Lambda Target Table

Probe Voltage vs A/F Ratio

The relationship between Lambda probe voltage and the A/F ratio is not very linear since the Lambda probe shows a steep voltage step at stoichiometric mixtures. This transition voltage indicates that no excess oxygen or fuel is present i.e chemically perfect combustion, and is the desired voltage for minimum exhaust emissions. At low to medium power, the system should be "rocking" back and forth over this transition line so that the catalytic converter can do its job. The actual voltage at which this occurs lies between 0.4 to 0.6 volts. Tests have shown that if the target is set much below 60 (.6 volts) undesirable idle surging will result in some engines. Some experimentation may be necessary. Above the stoichiometric point the curve flattens out as the A/F ratio becomes richer. The maximum voltage produced is normally about 0.92 volts which equates to VERY rich A/F ratios. The targets should never be set above 90 (.9 V) for this reason. As a rough guide:

VOLTAGE %CO A/F RATIO (approx)

< 0.6 < 1.0 > 15:1

0.72 1.0 14:1

0.76

2.0

0.80

3.0

0.84

5.0 13:1

0.86

6.0 12:1

0.88

8.0 + 11:1

Note:

Enrichment becomes fairly compressed at higher voltages i.e. small voltage changes = large ratio changes


Closed Loop Lambda

Closed Loop Lambda

Refer Lambda ON


Lambda Target Table

Lambda Target Table

Lambda "target" system

The actual required fuel/air ratio is dependent on the operating conditions prevailing at the time and is generally "load" sensitive. During operation at idle and light throttle cruise, the A/F ratio should be fairly lean in the interests of fuel economy and low exhaust emissions. At high power however, the A/F ratio needs to be richer to produce satisfactory horsepower, reduce cylinder head temperature, and control detonation. Both engine RPM and manifold air pressure (MAP) are used to select one of six Lambda "target" values for the system to use as a reference.

Adjusting Lambda TargetsA separate block of zones are used to store the target values, adjustable from the LAMBDA heading. The default values loaded will depend on the type of "ROW STEPS" selected from the Configurations heading (For more information on ROW STEPS ).

These values were determined after much testing and should be correct for the majority of applications. The target values are displayed as a voltage, which the software compares to the actual probe voltage and makes the necessary correction. e.g. 60 = 0.6 volts.

NOTE: The "cruise" target (zone 27) MUST be smaller than or equal to the "power" target (zone 28). The simple interpolator used on the lambda targets will not handle negative (reverse) trends.


Utilities

Utilities

Utilities

Utilities.

TPS High

TPS Low

OverRun

RPM Switch

Temperature Switch


TPS High

TPS High

TPS Span Set Up (TPS High)

To configure the TPS Span, select the TPS Setup option from the Options menu and follow the on screen prompts.


TPS Low

TPS Low

TPS Span Set Up (TPS Low)

To configure the TPS Span, select the TPS Setup option from the Options menu and follow the on screen prompts.


RPM Switch

RPM Switch

RPM Switch (Aux Out - High Power Drive)

This is a power drive capable of switching up to 5 amps. It can be configured to turn ON at a preset RPM or engine load. This should be setup from the Aux Out heading. This function allows the switching point to the adjusted in steps of 100 RPM.


Temperature Switch

Temperature Switch

Refer Temperature Switch


Idle Speed Control

Idle Speed Control

Idle Speed Control

Idle Speed Control.

Idle RPM

Idle Hot

Idle Cold


Idle RPM

Idle RPM

Refer Idle RPM


Idle Cold

Idle Cold

Refer Idle Cold


Idle Hot

Idle Hot

Refer Idle Hot


Fuel

Fuel

Fuel

Fuel.

Master

Fuel Zone Table

Accel

Auxiliary


Fuel Zone Table

Fuel Zone Table

Fuel Zone Table

There are 96 fuel zones arranged in a rectangular grid consisting of 6 ROWS by 16 COLUMNS. The ROWS progress in steps of Manifold Air Pressure or Throttle Position to provide the "load" axis, and the COLUMNS progress in steps of RPM. Therefore, each zone represents a unique engine operating condition allowing fuel changes to be made in small, localised areas. The selection of zones is completely automatic, depending on the actual RPM and MAP values at that instant. The current (active) zone is identified to allow correlation to the zone sheet and to give an indication of where you are in the table. The zone numbering system is not linear, but designed to provide a clearer indication as to effective location. For example zone 110 = ROW 1, 1000..1500 RPM, zone 255 = ROW 2, 5500..6000 RPM zone 545 = ROW 5, 4500..5000 RPM etc. Adjustment scale = 0..255.


Accel

Accel

Fuel - Accel

Refer Accel Table


Acceleration Enrichment Table

Acceleration Enrichment Table

Refer to Accel Table


Auxiliary

Auxiliary

Fuel - Auxiliary

Auxiliary.

Crank Enrichment

Clamp

Volts Correction

Cold Start


Crank Enrichment

Crank Enrichment

Refer Crank Enrichment


Clamp

Clamp

Clamp

This will clamp the Manifold Air Pressure signal to a minimum value (high vacuum) to stabilise the RPM at idle. This helps prevent idle surge present in some engines with large intake volumes. Typical values range from 30. . 35 for normal engines. The clamp is only active below 1500 RPM.


Volts Correction

Volts Correction

Refer Volts Correction


Cold Start

Cold Start

Refer Cold Start


Boost control

Boost control

Boost Control

Boost Control.

Wastegate Sensitivity

Wastegate Base

Wastegate RPM

Boost Table


Wastegate Sensitivity

Wastegate Sensitivity

Refer WG Sens


Wastegate Base

Wastegate Base

Refer WG Base


Wastegate RPM

Wastegate RPM

Refer WG RPM


Boost Table

Boost Table

Boost Target Values

An extra row of zones has been added to the zoning system to hold target boost values for each 500 RPM interval between 500 & 10000 rpm. This allows the boost curve to be tailored for the application. The boost may be held at lower levels through the mid range to suppress detonation and then allowed to rise at higher rpm where detonation is less likely. The target values may be changed individually by selecting the adjust arrows at the left of the table, which adjusts all 20 zones simultaneously . All boost targets are shown in kPa (absolute).


Runtime Values

Runtime Values

Runtime Values

The Following Run Time Values are available on LEM V4 computers.

Engine Speed

System Voltage

Injector Duty Cycle

Active Zone

Manifold Air Pressure

Throttle Position

Wastegate DC

Ignition Advance

Engine Temperature

Narrow-band Oxy

Idle Speed DC

Knock Reading


Manifold Air Pressure

Manifold Air Pressure

Refer Manifold Air Pressure


Engine Temperature

Engine Temperature

Refer Engine Temperature


Knock Reading

Knock Reading

Refer Knock Reading


Runtime Status

Runtime Status

Runtime Status

The Following Run Time Status Values are available on LEM V4 computers.

Map Limit

RPM Limit

Radiator Fan

Idle Status

Lambda Status

Throttle


Map Limit

Map Limit

Refer MAP Limit


Ignition Zone Table

Ignition Zone Table

Ignition Zone Table

There are 96 ignition zones arranged in a rectangular grid consisting of 6 ROWS by 16 COLUMNS. The ROWS progress in steps of Manifold Air Pressure or Throttle Position to provide the "load" axis and the COLUMNS progress in steps of RPM. Each zone therefore represents a unique engine operating condition allowing ignition changes to be made in small, localised areas. The selection of zones is completely automatic, depending on the actual RPM and MAP/TPS values at that instant. The current (active) zone is identified to allow correlation to the zone sheet and to give an indication of where you are in the table. The zone numbering system is not linear, but designed to provide a clearer indication as to the effective location. e.g.

zone 110 = ROW 1, 1000..1500 RPM

zone 255 = ROW 2, 5500..6000 RPM

zone 545 = ROW 5, 4500..5000 RPM etc.

The adjustment value is shown as degrees of advance, displayed on the right hand side of the display. This value is the actual interpolated number and hence the current advance generated by the LEM. To edit any static advance angle (i.e. edit the actual zone advance), use the zone editor. The current operating zone is displayed in the centre of this menu.


Technical Terms

Technical Terms

Technical Terms

A range of technical terms have been given to assist in understanding engine management and this manual:

•

Duty Cycle

•

Frequency

•

Hysteresis

•

Pull-Up Resistors

•

Absolute and Gauge Pressure

•

Linear Interpolation


Duty Cycle

Duty Cycle

Duty Cycle

The duty cycle is defined as the width of the pulses (on time) divided by the period (on time + off time) multiplied by 100%.

Example: A signal with a duty cycle of 20% will be high (on) for 20% of its full period and low (off) for 80% of its full period.


Frequency

Frequency

Frequency

A signals Frequency is how many times it repeats itself per second.

A signals period is the actual time the signal takes to repeat itself. The period is found by dividing one by the signals frequency (Period = 1/frequency)

Example: A signal with a frequency of 5 Hz will repeat 5 times per second and have a period of 0.2 seconds.


Hysterisis

Hysteresis

Hysteresis

Hysteresis is the difference between the point at which something is switched on and the point at which it is switched off (or vice versa). Hysteresis prevents outputs from switching rapidly on-off-on-off as the control signal hovers around the switching point.

Example: If an output drive was set to turn on at 50% injector duty cycle with a 2% hysteresis, then the output would switch on the moment the injector duty cycle is 50% (or greater). The output then stays on until injector duty cycle is 48% (or less). This prevents the drive rapidly switching if injector duty cycle was fluctuating around 50%.

Example: If the fan switches on at 95 degrees and the Switch Off Hysteresis is 5 degrees, then the fan will not switch off until the engine coolant temperature falls below 90 degrees.


Pull-Up Resistors

Pull-Up Resistors

Pull-Up Resistors

Pull-Up resistors are used on some inputs to allow both high (12V) and low (0V) driving transducers to be connected. Pull up resistors are connected between the input pin and supply voltage pin. This effectively pulls the input pin to a high voltage (hence the name "Pull Up") when nothing is connected to the input, or it is driven high by an external device.

Example: Use of a pull up resistor with a simple mechanical switch. If the switch is connected in series with the input pin and ground, without a Pull-Up Resistor Enabled, opening or closing the external switch will not change the voltage at the input pin. With the Pull-Up Resistor enabled, when the external switch is open, the input pin will be at +12V (connected to +12V through the Pull-Up resistor) and when the switch is closed, the input pin will be at 0V (Ground). This provides the necessary two distinct voltage levels for the ECU to detect that the external switch has been changed.

Example: Connection of a Digital Input to a vehicle spedometer digital output. This output provides (in most cases) a square wave type signal. As this signal changes between 0V and 12V by itself, the Pull-Up resistor is not required to be enabled (again, in most cases).


Absolute and Gauge Pressure

Absolute and Gauge Pressure

Absolute and Gauge Pressure

Absolute Pressure is referenced to a complete vacuum.

Example: Therefore measuring a complete vacuum would give a pressure reading of 0 kPa. Atmospheric pressure at sea level when referenced to a complete vacuum measures approximately 101 kPa. 1 bar (approx.14.7 psi) of turbocharger boost pressure would measure approximately 200 kPa.

Gauge Pressure is referenced to barometric (atmospheric) pressure. Note that atmospheric pressure decreases with distance from the earths centre.

Example: Measuring vacuum would give a negative gauge pressure reading (or more typically measured in units such as mm Hg or In Hg). Measuring turbo boost pressure would give a positive gauge pressure.


Linear Interpolation

 Top Previous

Linear Interpolation

Top Previous

Linear Interpolation

Linear Interpolation refers to the method by which values are calculated from a table when the reference parameter falls between the tables row/column centres.

Example: Take the following Warm-Up Enrichment Table. This table has temperature column zone centres at -40, -30, -20, -10, 0 ,+10 etc... degrees. Assume the current Engine Coolant Temperature is -6 degrees. This does not lie exactly on one of these zone centres, but somewhere part way between -10 and 0 degrees. The chart below shows that at -6 degrees, the warm up enrichment is interpolated and found to be 38%.